
module ALU_DW01_add_0 ( A, B, CI, SUM, CO );
  input [15:0] A;
  input [15:0] B;
  output [15:0] SUM;
  input CI;
  output CO;
  wire   carry_15_, carry_14_, carry_13_, carry_12_, carry_11_, carry_10_,
         carry_9_, carry_8_, carry_7_, carry_6_, carry_5_, carry_4_, carry_3_,
         carry_2_, carry_1_;

  LDL_EO3_1 U1_15 ( .A1(A[15]), .A2(B[15]), .A3(carry_15_), .X(SUM[15]) );
  LDL_ADDF_HD_1 U1_13 ( .A(A[13]), .B(B[13]), .CI(carry_13_), .CO(carry_14_), 
        .S(SUM[13]) );
  LDL_ADDF_HD_1 U1_12 ( .A(A[12]), .B(B[12]), .CI(carry_12_), .CO(carry_13_), 
        .S(SUM[12]) );
  LDL_ADDF_HD_1 U1_11 ( .A(A[11]), .B(B[11]), .CI(carry_11_), .CO(carry_12_), 
        .S(SUM[11]) );
  LDL_ADDF_HD_1 U1_10 ( .A(A[10]), .B(B[10]), .CI(carry_10_), .CO(carry_11_), 
        .S(SUM[10]) );
  LDL_ADDF_HD_1 U1_8 ( .A(A[8]), .B(B[8]), .CI(carry_8_), .CO(carry_9_), .S(
        SUM[8]) );
  LDL_ADDF_HD_1 U1_7 ( .A(A[7]), .B(B[7]), .CI(carry_7_), .CO(carry_8_), .S(
        SUM[7]) );
  LDL_ADDF_HD_1 U1_6 ( .A(A[6]), .B(B[6]), .CI(carry_6_), .CO(carry_7_), .S(
        SUM[6]) );
  LDL_ADDF_HD_1 U1_5 ( .A(A[5]), .B(B[5]), .CI(carry_5_), .CO(carry_6_), .S(
        SUM[5]) );
  LDL_ADDF_HD_1 U1_4 ( .A(A[4]), .B(B[4]), .CI(carry_4_), .CO(carry_5_), .S(
        SUM[4]) );
  LDL_ADDF_HD_1 U1_3 ( .A(A[3]), .B(B[3]), .CI(carry_3_), .CO(carry_4_), .S(
        SUM[3]) );
  LDL_ADDF_HD_1 U1_2 ( .A(A[2]), .B(B[2]), .CI(carry_2_), .CO(carry_3_), .S(
        SUM[2]) );
  LDL_ADDF_HD_1 U1_9 ( .A(A[9]), .B(B[9]), .CI(carry_9_), .CO(carry_10_), .S(
        SUM[9]) );
  LDL_ADDF_HD_1 U1_14 ( .A(A[14]), .B(B[14]), .CI(carry_14_), .CO(carry_15_), 
        .S(SUM[14]) );
  LDL_ADDF_HD_1 U1_1 ( .A(A[1]), .B(B[1]), .CI(carry_1_), .CO(carry_2_), .S(
        SUM[1]) );
  LDH_AN2_1 U1 ( .A1(B[0]), .A2(A[0]), .X(carry_1_) );
  LDH_EO2_1 U2 ( .A1(A[0]), .A2(B[0]), .X(SUM[0]) );
endmodule


module ALU_DW01_sub_0 ( A, B, CI, DIFF, CO );
  input [15:0] A;
  input [15:0] B;
  output [15:0] DIFF;
  input CI;
  output CO;
  wire   carry_15_, carry_14_, carry_13_, carry_12_, carry_11_, carry_10_,
         carry_9_, carry_8_, carry_7_, carry_6_, carry_5_, carry_4_, carry_3_,
         carry_2_, carry_1_, B_not_15_, B_not_14_, B_not_13_, B_not_12_,
         B_not_11_, B_not_10_, B_not_9_, B_not_8_, B_not_7_, B_not_6_,
         B_not_5_, B_not_4_, B_not_3_, B_not_2_, B_not_1_, B_not_0_;

  LDL_EO3_1 U2_15 ( .A1(A[15]), .A2(B_not_15_), .A3(carry_15_), .X(DIFF[15])
         );
  LDL_ADDF_HD_1 U2_2 ( .A(A[2]), .B(B_not_2_), .CI(carry_2_), .CO(carry_3_), 
        .S(DIFF[2]) );
  LDL_ADDF_HD_1 U2_3 ( .A(A[3]), .B(B_not_3_), .CI(carry_3_), .CO(carry_4_), 
        .S(DIFF[3]) );
  LDL_ADDF_HD_1 U2_4 ( .A(A[4]), .B(B_not_4_), .CI(carry_4_), .CO(carry_5_), 
        .S(DIFF[4]) );
  LDL_ADDF_HD_1 U2_5 ( .A(A[5]), .B(B_not_5_), .CI(carry_5_), .CO(carry_6_), 
        .S(DIFF[5]) );
  LDL_ADDF_HD_1 U2_6 ( .A(A[6]), .B(B_not_6_), .CI(carry_6_), .CO(carry_7_), 
        .S(DIFF[6]) );
  LDL_ADDF_HD_1 U2_7 ( .A(A[7]), .B(B_not_7_), .CI(carry_7_), .CO(carry_8_), 
        .S(DIFF[7]) );
  LDL_ADDF_HD_1 U2_8 ( .A(A[8]), .B(B_not_8_), .CI(carry_8_), .CO(carry_9_), 
        .S(DIFF[8]) );
  LDL_ADDF_HD_1 U2_10 ( .A(A[10]), .B(B_not_10_), .CI(carry_10_), .CO(
        carry_11_), .S(DIFF[10]) );
  LDL_ADDF_HD_1 U2_11 ( .A(A[11]), .B(B_not_11_), .CI(carry_11_), .CO(
        carry_12_), .S(DIFF[11]) );
  LDL_ADDF_HD_1 U2_12 ( .A(A[12]), .B(B_not_12_), .CI(carry_12_), .CO(
        carry_13_), .S(DIFF[12]) );
  LDL_ADDF_HD_1 U2_13 ( .A(A[13]), .B(B_not_13_), .CI(carry_13_), .CO(
        carry_14_), .S(DIFF[13]) );
  LDL_ADDF_HD_1 U2_9 ( .A(A[9]), .B(B_not_9_), .CI(carry_9_), .CO(carry_10_), 
        .S(DIFF[9]) );
  LDL_ADDF_HD_1 U2_14 ( .A(A[14]), .B(B_not_14_), .CI(carry_14_), .CO(
        carry_15_), .S(DIFF[14]) );
  LDL_ADDF_HD_1 U2_1 ( .A(A[1]), .B(B_not_1_), .CI(carry_1_), .CO(carry_2_), 
        .S(DIFF[1]) );
  LDH_OR2_1 U1 ( .A1(A[0]), .A2(B_not_0_), .X(carry_1_) );
  LDH_EN2_S_1 U2 ( .A1(B_not_0_), .A2(A[0]), .X(DIFF[0]) );
  LDH_INV_1 U3 ( .A(B[9]), .X(B_not_9_) );
  LDH_INV_1 U4 ( .A(B[8]), .X(B_not_8_) );
  LDH_INV_1 U5 ( .A(B[7]), .X(B_not_7_) );
  LDH_INV_1 U6 ( .A(B[6]), .X(B_not_6_) );
  LDH_INV_1 U7 ( .A(B[5]), .X(B_not_5_) );
  LDH_INV_1 U8 ( .A(B[4]), .X(B_not_4_) );
  LDH_INV_1 U9 ( .A(B[3]), .X(B_not_3_) );
  LDH_INV_1 U10 ( .A(B[2]), .X(B_not_2_) );
  LDH_INV_1 U11 ( .A(B[1]), .X(B_not_1_) );
  LDH_INV_1 U12 ( .A(B[15]), .X(B_not_15_) );
  LDH_INV_1 U13 ( .A(B[14]), .X(B_not_14_) );
  LDH_INV_1 U14 ( .A(B[13]), .X(B_not_13_) );
  LDH_INV_1 U15 ( .A(B[12]), .X(B_not_12_) );
  LDH_INV_1 U16 ( .A(B[11]), .X(B_not_11_) );
  LDH_INV_1 U17 ( .A(B[10]), .X(B_not_10_) );
  LDH_INV_1 U18 ( .A(B[0]), .X(B_not_0_) );
endmodule


module POCOP_DW01_inc_0 ( A, SUM );
  input [15:0] A;
  output [15:0] SUM;
  wire   carry_15_, carry_14_, carry_13_, carry_12_, carry_11_, carry_10_,
         carry_9_, carry_8_, carry_7_, carry_6_, carry_5_, carry_4_, carry_3_,
         carry_2_;

  LDL_ADDH_1 U1_1_14 ( .A(A[14]), .B(carry_14_), .CO(carry_15_), .S(SUM[14])
         );
  LDL_ADDH_1 U1_1_1 ( .A(A[1]), .B(A[0]), .CO(carry_2_), .S(SUM[1]) );
  LDL_ADDH_1 U1_1_2 ( .A(A[2]), .B(carry_2_), .CO(carry_3_), .S(SUM[2]) );
  LDL_ADDH_1 U1_1_3 ( .A(A[3]), .B(carry_3_), .CO(carry_4_), .S(SUM[3]) );
  LDL_ADDH_1 U1_1_4 ( .A(A[4]), .B(carry_4_), .CO(carry_5_), .S(SUM[4]) );
  LDL_ADDH_1 U1_1_5 ( .A(A[5]), .B(carry_5_), .CO(carry_6_), .S(SUM[5]) );
  LDL_ADDH_1 U1_1_6 ( .A(A[6]), .B(carry_6_), .CO(carry_7_), .S(SUM[6]) );
  LDL_ADDH_1 U1_1_7 ( .A(A[7]), .B(carry_7_), .CO(carry_8_), .S(SUM[7]) );
  LDL_ADDH_1 U1_1_8 ( .A(A[8]), .B(carry_8_), .CO(carry_9_), .S(SUM[8]) );
  LDL_ADDH_1 U1_1_9 ( .A(A[9]), .B(carry_9_), .CO(carry_10_), .S(SUM[9]) );
  LDL_ADDH_1 U1_1_10 ( .A(A[10]), .B(carry_10_), .CO(carry_11_), .S(SUM[10])
         );
  LDL_ADDH_1 U1_1_11 ( .A(A[11]), .B(carry_11_), .CO(carry_12_), .S(SUM[11])
         );
  LDL_ADDH_1 U1_1_12 ( .A(A[12]), .B(carry_12_), .CO(carry_13_), .S(SUM[12])
         );
  LDL_ADDH_1 U1_1_13 ( .A(A[13]), .B(carry_13_), .CO(carry_14_), .S(SUM[13])
         );
  LDH_EO2_1 U1 ( .A1(carry_15_), .A2(A[15]), .X(SUM[15]) );
  LDH_INV_1 U2 ( .A(A[0]), .X(SUM[0]) );
endmodule


module ALU ( A, B, S, Y );
  input [15:0] A;
  input [15:0] B;
  input [2:0] S;
  output [15:0] Y;
  wire   N41, N42, N43, N44, N45, N46, N47, N48, N49, N50, N51, N52, N53, N54,
         N55, N56, N57, N58, N59, N60, N61, N62, N63, N64, N65, N66, N67, N68,
         N69, N70, N71, N72, n6, n27, n28, n29, n30, n31, n35, n36, n37, n38,
         n39, n40, n410, n420, n430, n440, n450, n460, n470, n480, n490, n500,
         n510, n520, n530, n540, n550, n560, n570, n580, n590, n600, n610,
         n620, n630, n640, n650, n660, n670, n680, n690, n700, n710, n720, n73,
         n74, n75, n76, n77, n78, n79, n80, n81, n82, n83, n84, n85, n86, n87,
         n88, n89, n90, n91, n92, n93, n94, n95, n96, n97, n98, n99, n100, n1,
         n2, n3, n4, n5, n7, n8, n9, n10, n11, n12, n13, n14, n15;

  ALU_DW01_sub_0 sub_7 ( .A(A), .B(B), .CI(n6), .DIFF({N72, N71, N70, N69, N68, 
        N67, N66, N65, N64, N63, N62, N61, N60, N59, N58, N57}) );
  ALU_DW01_add_0 add_7 ( .A(A), .B(B), .CI(n6), .SUM({N56, N55, N54, N53, N52, 
        N51, N50, N49, N48, N47, N46, N45, N44, N43, N42, N41}) );
  LDL_OR3_1 U2 ( .A1(n99), .A2(S[1]), .A3(n94), .X(n1) );
  LDL_OR3_1 U3 ( .A1(n100), .A2(S[0]), .A3(n94), .X(n2) );
  LDL_OR3_1 U4 ( .A1(S[0]), .A2(S[1]), .A3(n94), .X(n3) );
  LDL_INV_1 U5 ( .A(n1), .X(n4) );
  LDL_INV_1 U6 ( .A(n1), .X(n5) );
  LDL_INV_1 U7 ( .A(n3), .X(n7) );
  LDL_INV_1 U8 ( .A(n3), .X(n8) );
  LDL_INV_1 U9 ( .A(n27), .X(n9) );
  LDL_INV_1 U10 ( .A(n9), .X(n10) );
  LDL_INV_1 U11 ( .A(n2), .X(n11) );
  LDL_INV_1 U12 ( .A(n2), .X(n12) );
  LDL_NR2_1 U13 ( .A1(n99), .A2(S[2]), .X(n13) );
  LDL_NR2_1 U14 ( .A1(n100), .A2(S[2]), .X(n14) );
  LDL_NR2_1 U15 ( .A1(n99), .A2(S[2]), .X(n37) );
  LDL_NR2_1 U16 ( .A1(n100), .A2(S[2]), .X(n36) );
  LDL_BUF_1 U17 ( .A(n35), .X(n15) );
  LDL_NR3_1 U18 ( .A1(n100), .A2(n99), .A3(n94), .X(n35) );
  LDL_OAI2111_1 U19 ( .A1(n10), .A2(n700), .B1(n710), .B2(n720), .B3(n73), .X(
        Y[15]) );
  LDL_INV_1 U20 ( .A(A[15]), .X(n700) );
  LDL_AOAI211_1 U21 ( .A1(A[15]), .A2(n14), .B(n13), .C(B[15]), .X(n710) );
  LDL_AOI22_1 U22 ( .A1(N56), .A2(n12), .B1(A[14]), .B2(n8), .X(n73) );
  LDL_OAI2111_1 U23 ( .A1(n27), .A2(n74), .B1(n75), .B2(n76), .B3(n77), .X(
        Y[14]) );
  LDL_INV_1 U24 ( .A(A[14]), .X(n74) );
  LDL_AOAI211_1 U25 ( .A1(A[14]), .A2(n36), .B(n37), .C(B[14]), .X(n75) );
  LDL_ND2_1 U26 ( .A1(N71), .A2(n15), .X(n76) );
  LDL_OAI2111_1 U27 ( .A1(n27), .A2(n78), .B1(n79), .B2(n80), .B3(n81), .X(
        Y[13]) );
  LDL_INV_1 U28 ( .A(A[13]), .X(n78) );
  LDL_AOAI211_1 U29 ( .A1(A[13]), .A2(n36), .B(n37), .C(B[13]), .X(n79) );
  LDL_ND2_1 U30 ( .A1(N70), .A2(n35), .X(n80) );
  LDL_OAI2111_1 U31 ( .A1(n27), .A2(n82), .B1(n83), .B2(n84), .B3(n85), .X(
        Y[12]) );
  LDL_INV_1 U32 ( .A(A[12]), .X(n82) );
  LDL_AOAI211_1 U33 ( .A1(A[12]), .A2(n14), .B(n37), .C(B[12]), .X(n83) );
  LDL_ND2_1 U34 ( .A1(N69), .A2(n15), .X(n84) );
  LDL_OAI2111_1 U35 ( .A1(n10), .A2(n86), .B1(n87), .B2(n88), .B3(n89), .X(
        Y[11]) );
  LDL_INV_1 U36 ( .A(A[11]), .X(n86) );
  LDL_AOAI211_1 U37 ( .A1(A[11]), .A2(n14), .B(n13), .C(B[11]), .X(n87) );
  LDL_ND2_1 U38 ( .A1(N68), .A2(n15), .X(n88) );
  LDL_AOI222_1 U39 ( .A1(A[12]), .A2(n7), .B1(N54), .B2(n11), .C1(A[14]), .C2(
        n4), .X(n81) );
  LDL_AOI222_1 U40 ( .A1(A[11]), .A2(n7), .B1(N53), .B2(n11), .C1(A[13]), .C2(
        n4), .X(n85) );
  LDL_AOI222_1 U41 ( .A1(n8), .A2(A[10]), .B1(N52), .B2(n11), .C1(A[12]), .C2(
        n4), .X(n89) );
  LDL_AOI222_1 U42 ( .A1(A[13]), .A2(n7), .B1(N55), .B2(n12), .C1(A[15]), .C2(
        n4), .X(n77) );
  LDL_ND2_1 U43 ( .A1(N72), .A2(n35), .X(n720) );
  LDL_ND2_1 U44 ( .A1(N57), .A2(n35), .X(n97) );
  LDL_OAI2111_1 U45 ( .A1(n10), .A2(n90), .B1(n91), .B2(n92), .B3(n93), .X(
        Y[10]) );
  LDL_INV_1 U46 ( .A(A[10]), .X(n90) );
  LDL_AOAI211_1 U47 ( .A1(A[10]), .A2(n36), .B(n37), .C(B[10]), .X(n91) );
  LDL_ND2_1 U48 ( .A1(N67), .A2(n15), .X(n92) );
  LDL_OAI2111_1 U49 ( .A1(n27), .A2(n28), .B1(n29), .B2(n30), .B3(n31), .X(
        Y[9]) );
  LDL_INV_1 U50 ( .A(A[9]), .X(n28) );
  LDL_AOAI211_1 U51 ( .A1(A[9]), .A2(n14), .B(n13), .C(B[9]), .X(n29) );
  LDL_ND2_1 U52 ( .A1(N66), .A2(n15), .X(n30) );
  LDL_OAI2111_1 U53 ( .A1(n27), .A2(n38), .B1(n39), .B2(n40), .B3(n410), .X(
        Y[8]) );
  LDL_INV_1 U54 ( .A(A[8]), .X(n38) );
  LDL_AOAI211_1 U55 ( .A1(A[8]), .A2(n36), .B(n13), .C(B[8]), .X(n39) );
  LDL_ND2_1 U56 ( .A1(N65), .A2(n35), .X(n40) );
  LDL_OAI2111_1 U57 ( .A1(n10), .A2(n420), .B1(n430), .B2(n440), .B3(n450), 
        .X(Y[7]) );
  LDL_INV_1 U58 ( .A(A[7]), .X(n420) );
  LDL_AOAI211_1 U59 ( .A1(A[7]), .A2(n36), .B(n13), .C(B[7]), .X(n430) );
  LDL_ND2_1 U60 ( .A1(N64), .A2(n15), .X(n440) );
  LDL_OAI2111_1 U61 ( .A1(n10), .A2(n460), .B1(n470), .B2(n480), .B3(n490), 
        .X(Y[6]) );
  LDL_INV_1 U62 ( .A(A[6]), .X(n460) );
  LDL_AOAI211_1 U63 ( .A1(A[6]), .A2(n36), .B(n37), .C(B[6]), .X(n470) );
  LDL_ND2_1 U64 ( .A1(N63), .A2(n35), .X(n480) );
  LDL_OAI2111_1 U65 ( .A1(n10), .A2(n500), .B1(n510), .B2(n520), .B3(n530), 
        .X(Y[5]) );
  LDL_INV_1 U66 ( .A(A[5]), .X(n500) );
  LDL_AOAI211_1 U67 ( .A1(A[5]), .A2(n14), .B(n37), .C(B[5]), .X(n510) );
  LDL_ND2_1 U68 ( .A1(N62), .A2(n15), .X(n520) );
  LDL_OAI2111_1 U69 ( .A1(n10), .A2(n540), .B1(n550), .B2(n560), .B3(n570), 
        .X(Y[4]) );
  LDL_INV_1 U70 ( .A(A[4]), .X(n540) );
  LDL_AOAI211_1 U71 ( .A1(A[4]), .A2(n36), .B(n13), .C(B[4]), .X(n550) );
  LDL_ND2_1 U72 ( .A1(N61), .A2(n35), .X(n560) );
  LDL_OAI2111_1 U73 ( .A1(n10), .A2(n580), .B1(n590), .B2(n600), .B3(n610), 
        .X(Y[3]) );
  LDL_INV_1 U74 ( .A(A[3]), .X(n580) );
  LDL_AOAI211_1 U75 ( .A1(A[3]), .A2(n36), .B(n37), .C(B[3]), .X(n590) );
  LDL_ND2_1 U76 ( .A1(N60), .A2(n15), .X(n600) );
  LDL_OAI2111_1 U77 ( .A1(n10), .A2(n620), .B1(n630), .B2(n640), .B3(n650), 
        .X(Y[2]) );
  LDL_INV_1 U78 ( .A(A[2]), .X(n620) );
  LDL_AOAI211_1 U79 ( .A1(A[2]), .A2(n14), .B(n13), .C(B[2]), .X(n630) );
  LDL_ND2_1 U80 ( .A1(N59), .A2(n35), .X(n640) );
  LDL_OAI2111_1 U81 ( .A1(n10), .A2(n660), .B1(n670), .B2(n680), .B3(n690), 
        .X(Y[1]) );
  LDL_INV_1 U82 ( .A(A[1]), .X(n660) );
  LDL_AOAI211_1 U83 ( .A1(A[1]), .A2(n14), .B(n37), .C(B[1]), .X(n670) );
  LDL_ND2_1 U84 ( .A1(N58), .A2(n15), .X(n680) );
  LDL_OAI2111_1 U85 ( .A1(n10), .A2(n95), .B1(n96), .B2(n97), .B3(n98), .X(
        Y[0]) );
  LDL_INV_1 U86 ( .A(A[0]), .X(n95) );
  LDL_AOAI211_1 U87 ( .A1(A[0]), .A2(n14), .B(n13), .C(B[0]), .X(n96) );
  LDL_AOI22_1 U88 ( .A1(N41), .A2(n12), .B1(A[1]), .B2(n5), .X(n98) );
  LDL_AOI222_1 U89 ( .A1(A[8]), .A2(n7), .B1(N50), .B2(n11), .C1(A[10]), .C2(
        n4), .X(n31) );
  LDL_AOI222_1 U90 ( .A1(n7), .A2(A[9]), .B1(N51), .B2(n11), .C1(A[11]), .C2(
        n4), .X(n93) );
  LDL_AOI222_1 U91 ( .A1(A[6]), .A2(n8), .B1(N48), .B2(n12), .C1(A[8]), .C2(n5), .X(n450) );
  LDL_AOI222_1 U92 ( .A1(A[5]), .A2(n8), .B1(N47), .B2(n12), .C1(A[7]), .C2(n5), .X(n490) );
  LDL_AOI222_1 U93 ( .A1(A[4]), .A2(n8), .B1(N46), .B2(n12), .C1(A[6]), .C2(n5), .X(n530) );
  LDL_AOI222_1 U94 ( .A1(A[3]), .A2(n8), .B1(N45), .B2(n12), .C1(A[5]), .C2(n5), .X(n570) );
  LDL_AOI222_1 U95 ( .A1(A[2]), .A2(n8), .B1(N44), .B2(n12), .C1(A[4]), .C2(n5), .X(n610) );
  LDL_AOI222_1 U96 ( .A1(A[1]), .A2(n8), .B1(N43), .B2(n12), .C1(A[3]), .C2(n5), .X(n650) );
  LDL_AOI222_1 U97 ( .A1(A[0]), .A2(n8), .B1(N42), .B2(n12), .C1(A[2]), .C2(n5), .X(n690) );
  LDL_AOI33_1 U98 ( .A1(S[1]), .A2(n94), .A3(S[0]), .B1(n99), .B2(n94), .B3(
        n100), .X(n27) );
  LDL_AOI222_1 U99 ( .A1(A[7]), .A2(n7), .B1(N49), .B2(n11), .C1(n5), .C2(A[9]), .X(n410) );
  LDL_INV_1 U100 ( .A(S[2]), .X(n94) );
  LDL_INV_1 U101 ( .A(S[0]), .X(n99) );
  LDL_INV_1 U102 ( .A(S[1]), .X(n100) );
  LDH_CLHL U103 ( .L(n6) );
endmodule


module RFILE ( CLK, AADR, BADR, CADR, A, B, C, WE );
  input [2:0] AADR;
  input [2:0] BADR;
  input [2:0] CADR;
  output [15:0] A;
  output [15:0] B;
  input [15:0] C;
  input CLK, WE;
  wire   RF_0__15_, RF_0__14_, RF_0__13_, RF_0__12_, RF_0__11_, RF_0__10_,
         RF_0__9_, RF_0__8_, RF_0__7_, RF_0__6_, RF_0__5_, RF_0__4_, RF_0__3_,
         RF_0__2_, RF_0__1_, RF_0__0_, RF_1__15_, RF_1__14_, RF_1__13_,
         RF_1__12_, RF_1__11_, RF_1__10_, RF_1__9_, RF_1__8_, RF_1__7_,
         RF_1__6_, RF_1__5_, RF_1__4_, RF_1__3_, RF_1__2_, RF_1__1_, RF_1__0_,
         RF_2__15_, RF_2__14_, RF_2__13_, RF_2__12_, RF_2__11_, RF_2__10_,
         RF_2__9_, RF_2__8_, RF_2__7_, RF_2__6_, RF_2__5_, RF_2__4_, RF_2__3_,
         RF_2__2_, RF_2__1_, RF_2__0_, RF_3__15_, RF_3__14_, RF_3__13_,
         RF_3__12_, RF_3__11_, RF_3__10_, RF_3__9_, RF_3__8_, RF_3__7_,
         RF_3__6_, RF_3__5_, RF_3__4_, RF_3__3_, RF_3__2_, RF_3__1_, RF_3__0_,
         RF_4__15_, RF_4__14_, RF_4__13_, RF_4__12_, RF_4__11_, RF_4__10_,
         RF_4__9_, RF_4__8_, RF_4__7_, RF_4__6_, RF_4__5_, RF_4__4_, RF_4__3_,
         RF_4__2_, RF_4__1_, RF_4__0_, RF_5__15_, RF_5__14_, RF_5__13_,
         RF_5__12_, RF_5__11_, RF_5__10_, RF_5__9_, RF_5__8_, RF_5__7_,
         RF_5__6_, RF_5__5_, RF_5__4_, RF_5__3_, RF_5__2_, RF_5__1_, RF_5__0_,
         RF_6__15_, RF_6__14_, RF_6__13_, RF_6__12_, RF_6__11_, RF_6__10_,
         RF_6__9_, RF_6__8_, RF_6__7_, RF_6__6_, RF_6__5_, RF_6__4_, RF_6__3_,
         RF_6__2_, RF_6__1_, RF_6__0_, RF_7__15_, RF_7__14_, RF_7__13_,
         RF_7__12_, RF_7__11_, RF_7__10_, RF_7__9_, RF_7__8_, RF_7__7_,
         RF_7__6_, RF_7__5_, RF_7__4_, RF_7__3_, RF_7__2_, RF_7__1_, RF_7__0_,
         N25, N26, N27, N28, N29, N30, N31, N32, N33, N34, N35, N36, N37, N38,
         N39, N40, N44, N45, N46, N47, N48, N49, N50, N51, N52, N53, N54, N55,
         N56, N57, N58, N59, n6, n7, n8, n9, n10, n11, n12, n13, n14, n15, n16,
         n17, n18, n19, n20, n21, n22, n23, n24, n2500, n2600, n270, n280,
         n290, n300, n310, n320, n330, n340, n350, n360, n370, n380, n390,
         n400, n41, n42, n43, n440, n450, n460, n470, n480, n490, n500, n510,
         n520, n530, n540, n550, n560, n570, n580, n590, n60, n61, n62, n63,
         n64, n65, n66, n67, n68, n69, n70, n71, n72, n73, n74, n75, n76, n77,
         n78, n79, n80, n81, n82, n83, n84, n85, n86, n87, n88, n89, n90, n91,
         n92, n93, n94, n95, n96, n97, n98, n99, n100, n101, n102, n103, n104,
         n105, n106, n107, n108, n109, n110, n111, n112, n113, n114, n115,
         n116, n117, n118, n119, n120, n121, n122, n123, n124, n125, n126,
         n127, n128, n129, n130, n131, n132, n133, n134, n135, n136, n137,
         n138, n139, n140, n141, n142, n143, n144, n145, n146, n147, n148,
         n149, n150, n151, n152, n153, n154, n155, n156, n157, n158, n159,
         n160, n161, n162, n163, n164, n165, n166, n167, n168, n1, n2, n3, n4,
         n5, n169, n170, n171, n172, n173, n174, n175, n176, n177, n178, n179,
         n180, n181, n182, n183, n184, n185, n186, n187, n188, n189, n190,
         n191, n192, n193, n194, n195, n196, n197, n198, n199, n200, n201,
         n202, n203, n204, n205, n206, n207, n208, n209, n210, n211, n212,
         n213, n214, n215, n216, n217, n218, n219, n220, n221, n222, n223,
         n224, n225, n226, n227, n228, n229, n230, n231, n232, n233, n234,
         n235, n236, n237, n238, n239, n240, n241, n242, n243, n244, n245,
         n246, n247, n248, n249, n25000, n251, n252, n253, n254, n255, n256,
         n257, n258, n259, n26000, n261;

  LDL_FDPQ_HD_1 RF_reg_0__15_ ( .D(n168), .CK(CLK), .Q(RF_0__15_) );
  LDL_FDPQ_HD_1 RF_reg_0__14_ ( .D(n167), .CK(CLK), .Q(RF_0__14_) );
  LDL_FDPQ_HD_1 RF_reg_0__13_ ( .D(n166), .CK(CLK), .Q(RF_0__13_) );
  LDL_FDPQ_HD_1 RF_reg_0__12_ ( .D(n165), .CK(CLK), .Q(RF_0__12_) );
  LDL_FDPQ_HD_1 RF_reg_0__11_ ( .D(n164), .CK(CLK), .Q(RF_0__11_) );
  LDL_FDPQ_HD_1 RF_reg_0__10_ ( .D(n163), .CK(CLK), .Q(RF_0__10_) );
  LDL_FDPQ_HD_1 RF_reg_0__9_ ( .D(n162), .CK(CLK), .Q(RF_0__9_) );
  LDL_FDPQ_HD_1 RF_reg_0__8_ ( .D(n161), .CK(CLK), .Q(RF_0__8_) );
  LDL_FDPQ_HD_1 RF_reg_0__7_ ( .D(n160), .CK(CLK), .Q(RF_0__7_) );
  LDL_FDPQ_HD_1 RF_reg_0__6_ ( .D(n159), .CK(CLK), .Q(RF_0__6_) );
  LDL_FDPQ_HD_1 RF_reg_0__5_ ( .D(n158), .CK(CLK), .Q(RF_0__5_) );
  LDL_FDPQ_HD_1 RF_reg_0__4_ ( .D(n157), .CK(CLK), .Q(RF_0__4_) );
  LDL_FDPQ_HD_1 RF_reg_0__3_ ( .D(n156), .CK(CLK), .Q(RF_0__3_) );
  LDL_FDPQ_HD_1 RF_reg_0__2_ ( .D(n155), .CK(CLK), .Q(RF_0__2_) );
  LDL_FDPQ_HD_1 RF_reg_0__1_ ( .D(n154), .CK(CLK), .Q(RF_0__1_) );
  LDL_FDPQ_HD_1 RF_reg_0__0_ ( .D(n153), .CK(CLK), .Q(RF_0__0_) );
  LDL_FDPQ_HD_1 RF_reg_4__15_ ( .D(n104), .CK(CLK), .Q(RF_4__15_) );
  LDL_FDPQ_HD_1 RF_reg_4__14_ ( .D(n103), .CK(CLK), .Q(RF_4__14_) );
  LDL_FDPQ_HD_1 RF_reg_4__13_ ( .D(n102), .CK(CLK), .Q(RF_4__13_) );
  LDL_FDPQ_HD_1 RF_reg_4__12_ ( .D(n101), .CK(CLK), .Q(RF_4__12_) );
  LDL_FDPQ_HD_1 RF_reg_4__11_ ( .D(n100), .CK(CLK), .Q(RF_4__11_) );
  LDL_FDPQ_HD_1 RF_reg_4__10_ ( .D(n99), .CK(CLK), .Q(RF_4__10_) );
  LDL_FDPQ_HD_1 RF_reg_4__9_ ( .D(n98), .CK(CLK), .Q(RF_4__9_) );
  LDL_FDPQ_HD_1 RF_reg_4__8_ ( .D(n97), .CK(CLK), .Q(RF_4__8_) );
  LDL_FDPQ_HD_1 RF_reg_4__7_ ( .D(n96), .CK(CLK), .Q(RF_4__7_) );
  LDL_FDPQ_HD_1 RF_reg_4__6_ ( .D(n95), .CK(CLK), .Q(RF_4__6_) );
  LDL_FDPQ_HD_1 RF_reg_4__5_ ( .D(n94), .CK(CLK), .Q(RF_4__5_) );
  LDL_FDPQ_HD_1 RF_reg_4__4_ ( .D(n93), .CK(CLK), .Q(RF_4__4_) );
  LDL_FDPQ_HD_1 RF_reg_4__3_ ( .D(n92), .CK(CLK), .Q(RF_4__3_) );
  LDL_FDPQ_HD_1 RF_reg_4__2_ ( .D(n91), .CK(CLK), .Q(RF_4__2_) );
  LDL_FDPQ_HD_1 RF_reg_4__1_ ( .D(n90), .CK(CLK), .Q(RF_4__1_) );
  LDL_FDPQ_HD_1 RF_reg_4__0_ ( .D(n89), .CK(CLK), .Q(RF_4__0_) );
  LDL_FDPQ_HD_1 RF_reg_2__15_ ( .D(n136), .CK(CLK), .Q(RF_2__15_) );
  LDL_FDPQ_HD_1 RF_reg_2__14_ ( .D(n135), .CK(CLK), .Q(RF_2__14_) );
  LDL_FDPQ_HD_1 RF_reg_2__13_ ( .D(n134), .CK(CLK), .Q(RF_2__13_) );
  LDL_FDPQ_HD_1 RF_reg_2__12_ ( .D(n133), .CK(CLK), .Q(RF_2__12_) );
  LDL_FDPQ_HD_1 RF_reg_2__11_ ( .D(n132), .CK(CLK), .Q(RF_2__11_) );
  LDL_FDPQ_HD_1 RF_reg_2__10_ ( .D(n131), .CK(CLK), .Q(RF_2__10_) );
  LDL_FDPQ_HD_1 RF_reg_2__9_ ( .D(n130), .CK(CLK), .Q(RF_2__9_) );
  LDL_FDPQ_HD_1 RF_reg_2__8_ ( .D(n129), .CK(CLK), .Q(RF_2__8_) );
  LDL_FDPQ_HD_1 RF_reg_2__7_ ( .D(n128), .CK(CLK), .Q(RF_2__7_) );
  LDL_FDPQ_HD_1 RF_reg_2__6_ ( .D(n127), .CK(CLK), .Q(RF_2__6_) );
  LDL_FDPQ_HD_1 RF_reg_2__5_ ( .D(n126), .CK(CLK), .Q(RF_2__5_) );
  LDL_FDPQ_HD_1 RF_reg_2__4_ ( .D(n125), .CK(CLK), .Q(RF_2__4_) );
  LDL_FDPQ_HD_1 RF_reg_2__3_ ( .D(n124), .CK(CLK), .Q(RF_2__3_) );
  LDL_FDPQ_HD_1 RF_reg_2__2_ ( .D(n123), .CK(CLK), .Q(RF_2__2_) );
  LDL_FDPQ_HD_1 RF_reg_2__1_ ( .D(n122), .CK(CLK), .Q(RF_2__1_) );
  LDL_FDPQ_HD_1 RF_reg_2__0_ ( .D(n121), .CK(CLK), .Q(RF_2__0_) );
  LDL_FDPQ_HD_1 RF_reg_6__15_ ( .D(n72), .CK(CLK), .Q(RF_6__15_) );
  LDL_FDPQ_HD_1 RF_reg_6__14_ ( .D(n71), .CK(CLK), .Q(RF_6__14_) );
  LDL_FDPQ_HD_1 RF_reg_6__13_ ( .D(n70), .CK(CLK), .Q(RF_6__13_) );
  LDL_FDPQ_HD_1 RF_reg_6__12_ ( .D(n69), .CK(CLK), .Q(RF_6__12_) );
  LDL_FDPQ_HD_1 RF_reg_6__11_ ( .D(n68), .CK(CLK), .Q(RF_6__11_) );
  LDL_FDPQ_HD_1 RF_reg_6__10_ ( .D(n67), .CK(CLK), .Q(RF_6__10_) );
  LDL_FDPQ_HD_1 RF_reg_6__9_ ( .D(n66), .CK(CLK), .Q(RF_6__9_) );
  LDL_FDPQ_HD_1 RF_reg_6__8_ ( .D(n65), .CK(CLK), .Q(RF_6__8_) );
  LDL_FDPQ_HD_1 RF_reg_6__7_ ( .D(n64), .CK(CLK), .Q(RF_6__7_) );
  LDL_FDPQ_HD_1 RF_reg_6__6_ ( .D(n63), .CK(CLK), .Q(RF_6__6_) );
  LDL_FDPQ_HD_1 RF_reg_6__5_ ( .D(n62), .CK(CLK), .Q(RF_6__5_) );
  LDL_FDPQ_HD_1 RF_reg_6__4_ ( .D(n61), .CK(CLK), .Q(RF_6__4_) );
  LDL_FDPQ_HD_1 RF_reg_6__3_ ( .D(n60), .CK(CLK), .Q(RF_6__3_) );
  LDL_FDPQ_HD_1 RF_reg_6__2_ ( .D(n590), .CK(CLK), .Q(RF_6__2_) );
  LDL_FDPQ_HD_1 RF_reg_6__1_ ( .D(n580), .CK(CLK), .Q(RF_6__1_) );
  LDL_FDPQ_HD_1 RF_reg_6__0_ ( .D(n570), .CK(CLK), .Q(RF_6__0_) );
  LDL_FDPQ_HD_1 RF_reg_1__15_ ( .D(n152), .CK(CLK), .Q(RF_1__15_) );
  LDL_FDPQ_HD_1 RF_reg_1__14_ ( .D(n151), .CK(CLK), .Q(RF_1__14_) );
  LDL_FDPQ_HD_1 RF_reg_1__13_ ( .D(n150), .CK(CLK), .Q(RF_1__13_) );
  LDL_FDPQ_HD_1 RF_reg_1__12_ ( .D(n149), .CK(CLK), .Q(RF_1__12_) );
  LDL_FDPQ_HD_1 RF_reg_1__11_ ( .D(n148), .CK(CLK), .Q(RF_1__11_) );
  LDL_FDPQ_HD_1 RF_reg_1__10_ ( .D(n147), .CK(CLK), .Q(RF_1__10_) );
  LDL_FDPQ_HD_1 RF_reg_1__9_ ( .D(n146), .CK(CLK), .Q(RF_1__9_) );
  LDL_FDPQ_HD_1 RF_reg_1__8_ ( .D(n145), .CK(CLK), .Q(RF_1__8_) );
  LDL_FDPQ_HD_1 RF_reg_1__7_ ( .D(n144), .CK(CLK), .Q(RF_1__7_) );
  LDL_FDPQ_HD_1 RF_reg_1__6_ ( .D(n143), .CK(CLK), .Q(RF_1__6_) );
  LDL_FDPQ_HD_1 RF_reg_1__5_ ( .D(n142), .CK(CLK), .Q(RF_1__5_) );
  LDL_FDPQ_HD_1 RF_reg_1__4_ ( .D(n141), .CK(CLK), .Q(RF_1__4_) );
  LDL_FDPQ_HD_1 RF_reg_1__3_ ( .D(n140), .CK(CLK), .Q(RF_1__3_) );
  LDL_FDPQ_HD_1 RF_reg_1__2_ ( .D(n139), .CK(CLK), .Q(RF_1__2_) );
  LDL_FDPQ_HD_1 RF_reg_1__1_ ( .D(n138), .CK(CLK), .Q(RF_1__1_) );
  LDL_FDPQ_HD_1 RF_reg_1__0_ ( .D(n137), .CK(CLK), .Q(RF_1__0_) );
  LDL_FDPQ_HD_1 RF_reg_5__15_ ( .D(n88), .CK(CLK), .Q(RF_5__15_) );
  LDL_FDPQ_HD_1 RF_reg_5__14_ ( .D(n87), .CK(CLK), .Q(RF_5__14_) );
  LDL_FDPQ_HD_1 RF_reg_5__13_ ( .D(n86), .CK(CLK), .Q(RF_5__13_) );
  LDL_FDPQ_HD_1 RF_reg_5__12_ ( .D(n85), .CK(CLK), .Q(RF_5__12_) );
  LDL_FDPQ_HD_1 RF_reg_5__11_ ( .D(n84), .CK(CLK), .Q(RF_5__11_) );
  LDL_FDPQ_HD_1 RF_reg_5__10_ ( .D(n83), .CK(CLK), .Q(RF_5__10_) );
  LDL_FDPQ_HD_1 RF_reg_5__9_ ( .D(n82), .CK(CLK), .Q(RF_5__9_) );
  LDL_FDPQ_HD_1 RF_reg_5__8_ ( .D(n81), .CK(CLK), .Q(RF_5__8_) );
  LDL_FDPQ_HD_1 RF_reg_5__7_ ( .D(n80), .CK(CLK), .Q(RF_5__7_) );
  LDL_FDPQ_HD_1 RF_reg_5__6_ ( .D(n79), .CK(CLK), .Q(RF_5__6_) );
  LDL_FDPQ_HD_1 RF_reg_5__5_ ( .D(n78), .CK(CLK), .Q(RF_5__5_) );
  LDL_FDPQ_HD_1 RF_reg_5__4_ ( .D(n77), .CK(CLK), .Q(RF_5__4_) );
  LDL_FDPQ_HD_1 RF_reg_5__3_ ( .D(n76), .CK(CLK), .Q(RF_5__3_) );
  LDL_FDPQ_HD_1 RF_reg_5__2_ ( .D(n75), .CK(CLK), .Q(RF_5__2_) );
  LDL_FDPQ_HD_1 RF_reg_5__1_ ( .D(n74), .CK(CLK), .Q(RF_5__1_) );
  LDL_FDPQ_HD_1 RF_reg_5__0_ ( .D(n73), .CK(CLK), .Q(RF_5__0_) );
  LDL_FDPQ_HD_1 RF_reg_3__15_ ( .D(n120), .CK(CLK), .Q(RF_3__15_) );
  LDL_FDPQ_HD_1 RF_reg_3__14_ ( .D(n119), .CK(CLK), .Q(RF_3__14_) );
  LDL_FDPQ_HD_1 RF_reg_3__13_ ( .D(n118), .CK(CLK), .Q(RF_3__13_) );
  LDL_FDPQ_HD_1 RF_reg_3__12_ ( .D(n117), .CK(CLK), .Q(RF_3__12_) );
  LDL_FDPQ_HD_1 RF_reg_3__11_ ( .D(n116), .CK(CLK), .Q(RF_3__11_) );
  LDL_FDPQ_HD_1 RF_reg_3__10_ ( .D(n115), .CK(CLK), .Q(RF_3__10_) );
  LDL_FDPQ_HD_1 RF_reg_3__9_ ( .D(n114), .CK(CLK), .Q(RF_3__9_) );
  LDL_FDPQ_HD_1 RF_reg_3__8_ ( .D(n113), .CK(CLK), .Q(RF_3__8_) );
  LDL_FDPQ_HD_1 RF_reg_3__7_ ( .D(n112), .CK(CLK), .Q(RF_3__7_) );
  LDL_FDPQ_HD_1 RF_reg_3__6_ ( .D(n111), .CK(CLK), .Q(RF_3__6_) );
  LDL_FDPQ_HD_1 RF_reg_3__5_ ( .D(n110), .CK(CLK), .Q(RF_3__5_) );
  LDL_FDPQ_HD_1 RF_reg_3__4_ ( .D(n109), .CK(CLK), .Q(RF_3__4_) );
  LDL_FDPQ_HD_1 RF_reg_3__3_ ( .D(n108), .CK(CLK), .Q(RF_3__3_) );
  LDL_FDPQ_HD_1 RF_reg_3__2_ ( .D(n107), .CK(CLK), .Q(RF_3__2_) );
  LDL_FDPQ_HD_1 RF_reg_3__1_ ( .D(n106), .CK(CLK), .Q(RF_3__1_) );
  LDL_FDPQ_HD_1 RF_reg_3__0_ ( .D(n105), .CK(CLK), .Q(RF_3__0_) );
  LDL_FDPQ_HD_1 RF_reg_7__15_ ( .D(n560), .CK(CLK), .Q(RF_7__15_) );
  LDL_FDPQ_HD_1 RF_reg_7__14_ ( .D(n550), .CK(CLK), .Q(RF_7__14_) );
  LDL_FDPQ_HD_1 RF_reg_7__13_ ( .D(n540), .CK(CLK), .Q(RF_7__13_) );
  LDL_FDPQ_HD_1 RF_reg_7__12_ ( .D(n530), .CK(CLK), .Q(RF_7__12_) );
  LDL_FDPQ_HD_1 RF_reg_7__11_ ( .D(n520), .CK(CLK), .Q(RF_7__11_) );
  LDL_FDPQ_HD_1 RF_reg_7__10_ ( .D(n510), .CK(CLK), .Q(RF_7__10_) );
  LDL_FDPQ_HD_1 RF_reg_7__9_ ( .D(n500), .CK(CLK), .Q(RF_7__9_) );
  LDL_FDPQ_HD_1 RF_reg_7__8_ ( .D(n490), .CK(CLK), .Q(RF_7__8_) );
  LDL_FDPQ_HD_1 RF_reg_7__7_ ( .D(n480), .CK(CLK), .Q(RF_7__7_) );
  LDL_FDPQ_HD_1 RF_reg_7__6_ ( .D(n470), .CK(CLK), .Q(RF_7__6_) );
  LDL_FDPQ_HD_1 RF_reg_7__5_ ( .D(n460), .CK(CLK), .Q(RF_7__5_) );
  LDL_FDPQ_HD_1 RF_reg_7__4_ ( .D(n450), .CK(CLK), .Q(RF_7__4_) );
  LDL_FDPQ_HD_1 RF_reg_7__3_ ( .D(n440), .CK(CLK), .Q(RF_7__3_) );
  LDL_FDPQ_HD_1 RF_reg_7__2_ ( .D(n43), .CK(CLK), .Q(RF_7__2_) );
  LDL_FDPQ_HD_1 RF_reg_7__1_ ( .D(n42), .CK(CLK), .Q(RF_7__1_) );
  LDL_FDPQ_HD_1 RF_reg_7__0_ ( .D(n41), .CK(CLK), .Q(RF_7__0_) );
  LDL_BUF_1 U2 ( .A(n258), .X(n236) );
  LDL_BUF_1 U3 ( .A(n258), .X(n235) );
  LDL_BUF_1 U4 ( .A(n259), .X(n234) );
  LDL_BUF_1 U5 ( .A(n259), .X(n233) );
  LDL_BUF_1 U6 ( .A(n26000), .X(n228) );
  LDL_BUF_1 U7 ( .A(n26000), .X(n229) );
  LDL_BUF_1 U8 ( .A(BADR[1]), .X(n259) );
  LDL_BUF_1 U9 ( .A(BADR[0]), .X(n258) );
  LDL_BUF_1 U10 ( .A(n261), .X(n227) );
  LDL_BUF_1 U11 ( .A(n261), .X(n226) );
  LDL_BUF_1 U12 ( .A(n330), .X(n240) );
  LDL_BUF_1 U13 ( .A(n370), .X(n238) );
  LDL_BUF_1 U14 ( .A(n330), .X(n241) );
  LDL_BUF_1 U15 ( .A(n370), .X(n239) );
  LDL_BUF_1 U16 ( .A(AADR[1]), .X(n261) );
  LDL_BUF_1 U17 ( .A(AADR[0]), .X(n26000) );
  LDL_BUF_1 U18 ( .A(n2500), .X(n252) );
  LDL_BUF_1 U19 ( .A(n280), .X(n248) );
  LDL_BUF_1 U20 ( .A(n270), .X(n25000) );
  LDL_BUF_1 U21 ( .A(n300), .X(n246) );
  LDL_BUF_1 U22 ( .A(n310), .X(n244) );
  LDL_BUF_1 U23 ( .A(n320), .X(n242) );
  LDL_BUF_1 U24 ( .A(n6), .X(n256) );
  LDL_BUF_1 U25 ( .A(n6), .X(n257) );
  LDL_BUF_1 U26 ( .A(n2500), .X(n253) );
  LDL_BUF_1 U27 ( .A(n280), .X(n249) );
  LDL_BUF_1 U28 ( .A(n23), .X(n254) );
  LDL_BUF_1 U29 ( .A(n300), .X(n247) );
  LDL_BUF_1 U30 ( .A(n320), .X(n243) );
  LDL_BUF_1 U31 ( .A(n270), .X(n251) );
  LDL_BUF_1 U32 ( .A(n23), .X(n255) );
  LDL_BUF_1 U33 ( .A(n310), .X(n245) );
  LDL_AO2BB2_1 U34 ( .A1(n20), .A2(n238), .B1(N27), .B2(n239), .X(A[13]) );
  LDL_AO2BB2_1 U35 ( .A1(n19), .A2(n239), .B1(N28), .B2(n239), .X(A[12]) );
  LDL_AO2BB2_1 U36 ( .A1(n18), .A2(n239), .B1(N29), .B2(n370), .X(A[11]) );
  LDL_AO2BB2_1 U37 ( .A1(n17), .A2(n239), .B1(N30), .B2(n370), .X(A[10]) );
  LDL_AO2BB2_1 U38 ( .A1(n16), .A2(n238), .B1(N31), .B2(n370), .X(A[9]) );
  LDL_AO2BB2_1 U39 ( .A1(n15), .A2(n238), .B1(N32), .B2(n370), .X(A[8]) );
  LDL_AO2BB2_1 U40 ( .A1(n14), .A2(n238), .B1(N33), .B2(n370), .X(A[7]) );
  LDL_AO2BB2_1 U41 ( .A1(n13), .A2(n238), .B1(N34), .B2(n370), .X(A[6]) );
  LDL_AO2BB2_1 U42 ( .A1(n12), .A2(n238), .B1(N35), .B2(n370), .X(A[5]) );
  LDL_AO2BB2_1 U43 ( .A1(n11), .A2(n238), .B1(N36), .B2(n239), .X(A[4]) );
  LDL_AO2BB2_1 U44 ( .A1(n10), .A2(n238), .B1(N37), .B2(n239), .X(A[3]) );
  LDL_AO2BB2_1 U45 ( .A1(n9), .A2(n238), .B1(N38), .B2(n239), .X(A[2]) );
  LDL_AO2BB2_1 U46 ( .A1(n8), .A2(n238), .B1(N39), .B2(n239), .X(A[1]) );
  LDL_AO2BB2_1 U47 ( .A1(n7), .A2(n239), .B1(N40), .B2(n370), .X(A[0]) );
  LDL_AO2BB2_1 U48 ( .A1(n22), .A2(n238), .B1(N25), .B2(n239), .X(A[15]) );
  LDL_AO2BB2_1 U49 ( .A1(n21), .A2(n240), .B1(N45), .B2(n241), .X(B[14]) );
  LDL_AO2BB2_1 U50 ( .A1(n20), .A2(n240), .B1(N46), .B2(n241), .X(B[13]) );
  LDL_AO2BB2_1 U51 ( .A1(n19), .A2(n241), .B1(N47), .B2(n241), .X(B[12]) );
  LDL_AO2BB2_1 U52 ( .A1(n17), .A2(n241), .B1(N49), .B2(n330), .X(B[10]) );
  LDL_AO2BB2_1 U53 ( .A1(n16), .A2(n240), .B1(N50), .B2(n330), .X(B[9]) );
  LDL_AO2BB2_1 U54 ( .A1(n15), .A2(n240), .B1(N51), .B2(n330), .X(B[8]) );
  LDL_AO2BB2_1 U55 ( .A1(n18), .A2(n241), .B1(N48), .B2(n330), .X(B[11]) );
  LDL_AO2BB2_1 U56 ( .A1(n14), .A2(n240), .B1(N52), .B2(n330), .X(B[7]) );
  LDL_AO2BB2_1 U57 ( .A1(n13), .A2(n240), .B1(N53), .B2(n330), .X(B[6]) );
  LDL_AO2BB2_1 U58 ( .A1(n12), .A2(n240), .B1(N54), .B2(n330), .X(B[5]) );
  LDL_AO2BB2_1 U59 ( .A1(n11), .A2(n240), .B1(N55), .B2(n241), .X(B[4]) );
  LDL_AO2BB2_1 U60 ( .A1(n10), .A2(n240), .B1(N56), .B2(n241), .X(B[3]) );
  LDL_AO2BB2_1 U61 ( .A1(n9), .A2(n240), .B1(N57), .B2(n241), .X(B[2]) );
  LDL_AO2BB2_1 U62 ( .A1(n8), .A2(n240), .B1(N58), .B2(n241), .X(B[1]) );
  LDL_AO2BB2_1 U63 ( .A1(n7), .A2(n241), .B1(N59), .B2(n330), .X(B[0]) );
  LDL_AO2BB2_1 U64 ( .A1(n21), .A2(n238), .B1(N26), .B2(n239), .X(A[14]) );
  LDL_ND4_1 U65 ( .A1(n380), .A2(n390), .A3(n400), .A4(WE), .X(n370) );
  LDL_EN2_S_1 U66 ( .A1(n26000), .A2(CADR[0]), .X(n380) );
  LDL_EN2_S_1 U67 ( .A1(n261), .A2(CADR[1]), .X(n390) );
  LDL_EN2_S_1 U68 ( .A1(AADR[2]), .A2(CADR[2]), .X(n400) );
  LDL_ND4_1 U69 ( .A1(n340), .A2(n350), .A3(n360), .A4(WE), .X(n330) );
  LDL_EN2_S_1 U70 ( .A1(n258), .A2(CADR[0]), .X(n340) );
  LDL_EN2_S_1 U71 ( .A1(n259), .A2(CADR[1]), .X(n350) );
  LDL_EN2_S_1 U72 ( .A1(BADR[2]), .A2(CADR[2]), .X(n360) );
  LDL_AO2BB2_1 U73 ( .A1(n22), .A2(n240), .B1(N44), .B2(n241), .X(B[15]) );
  LDL_MUX2_HD_1 U74 ( .D0(n232), .D1(n231), .S(n237), .X(N44) );
  LDL_MUX4_1 U75 ( .D0(RF_0__15_), .D1(RF_2__15_), .D2(RF_1__15_), .D3(
        RF_3__15_), .S0(n234), .S1(n236), .X(n232) );
  LDL_MUX4_1 U76 ( .D0(RF_4__15_), .D1(RF_6__15_), .D2(RF_5__15_), .D3(
        RF_7__15_), .S0(n234), .S1(n236), .X(n231) );
  LDL_MUXI2_1 U77 ( .D0(n1), .D1(n2), .S(n237), .X(N45) );
  LDL_MUXI4_1 U78 ( .D0(RF_0__14_), .D1(RF_2__14_), .D2(RF_1__14_), .D3(
        RF_3__14_), .S0(n234), .S1(n236), .X(n1) );
  LDL_MUXI4_1 U79 ( .D0(RF_4__14_), .D1(RF_6__14_), .D2(RF_5__14_), .D3(
        RF_7__14_), .S0(n234), .S1(n236), .X(n2) );
  LDL_MUXI2_1 U80 ( .D0(n3), .D1(n4), .S(n230), .X(N26) );
  LDL_MUXI4_1 U81 ( .D0(RF_0__14_), .D1(RF_2__14_), .D2(RF_1__14_), .D3(
        RF_3__14_), .S0(n226), .S1(n229), .X(n3) );
  LDL_MUXI4_1 U82 ( .D0(RF_4__14_), .D1(RF_6__14_), .D2(RF_5__14_), .D3(
        RF_7__14_), .S0(AADR[1]), .S1(n229), .X(n4) );
  LDL_MUXI2_1 U83 ( .D0(n5), .D1(n169), .S(n237), .X(N46) );
  LDL_MUXI4_1 U84 ( .D0(RF_0__13_), .D1(RF_2__13_), .D2(RF_1__13_), .D3(
        RF_3__13_), .S0(n234), .S1(n236), .X(n5) );
  LDL_MUXI4_1 U85 ( .D0(RF_4__13_), .D1(RF_6__13_), .D2(RF_5__13_), .D3(
        RF_7__13_), .S0(n234), .S1(n236), .X(n169) );
  LDL_MUXI2_1 U86 ( .D0(n170), .D1(n171), .S(n230), .X(N27) );
  LDL_MUXI4_1 U87 ( .D0(RF_0__13_), .D1(RF_2__13_), .D2(RF_1__13_), .D3(
        RF_3__13_), .S0(n226), .S1(n229), .X(n170) );
  LDL_MUXI4_1 U88 ( .D0(RF_4__13_), .D1(RF_6__13_), .D2(RF_5__13_), .D3(
        RF_7__13_), .S0(AADR[1]), .S1(n229), .X(n171) );
  LDL_MUXI2_1 U89 ( .D0(n172), .D1(n173), .S(n237), .X(N47) );
  LDL_MUXI4_1 U90 ( .D0(RF_0__12_), .D1(RF_2__12_), .D2(RF_1__12_), .D3(
        RF_3__12_), .S0(n234), .S1(n236), .X(n172) );
  LDL_MUXI4_1 U91 ( .D0(RF_4__12_), .D1(RF_6__12_), .D2(RF_5__12_), .D3(
        RF_7__12_), .S0(n234), .S1(n236), .X(n173) );
  LDL_MUXI2_1 U92 ( .D0(n174), .D1(n175), .S(n230), .X(N28) );
  LDL_MUXI4_1 U93 ( .D0(RF_0__12_), .D1(RF_2__12_), .D2(RF_1__12_), .D3(
        RF_3__12_), .S0(n226), .S1(n229), .X(n174) );
  LDL_MUXI4_1 U94 ( .D0(RF_4__12_), .D1(RF_6__12_), .D2(RF_5__12_), .D3(
        RF_7__12_), .S0(AADR[1]), .S1(n229), .X(n175) );
  LDL_MUXI2_1 U95 ( .D0(n176), .D1(n177), .S(n237), .X(N48) );
  LDL_MUXI4_1 U96 ( .D0(RF_0__11_), .D1(RF_2__11_), .D2(RF_1__11_), .D3(
        RF_3__11_), .S0(n234), .S1(n236), .X(n176) );
  LDL_MUXI4_1 U97 ( .D0(RF_4__11_), .D1(RF_6__11_), .D2(RF_5__11_), .D3(
        RF_7__11_), .S0(n234), .S1(n236), .X(n177) );
  LDL_MUXI2_1 U98 ( .D0(n178), .D1(n179), .S(n230), .X(N29) );
  LDL_MUXI4_1 U99 ( .D0(RF_0__11_), .D1(RF_2__11_), .D2(RF_1__11_), .D3(
        RF_3__11_), .S0(AADR[1]), .S1(n229), .X(n178) );
  LDL_MUXI4_1 U100 ( .D0(RF_4__11_), .D1(RF_6__11_), .D2(RF_5__11_), .D3(
        RF_7__11_), .S0(AADR[1]), .S1(n229), .X(n179) );
  LDL_MUXI2_1 U101 ( .D0(n180), .D1(n181), .S(BADR[2]), .X(N49) );
  LDL_MUXI4_1 U102 ( .D0(RF_0__10_), .D1(RF_2__10_), .D2(RF_1__10_), .D3(
        RF_3__10_), .S0(n234), .S1(n236), .X(n180) );
  LDL_MUXI4_1 U103 ( .D0(RF_4__10_), .D1(RF_6__10_), .D2(RF_5__10_), .D3(
        RF_7__10_), .S0(n234), .S1(n236), .X(n181) );
  LDL_MUXI2_1 U104 ( .D0(n182), .D1(n183), .S(n230), .X(N30) );
  LDL_MUXI4_1 U105 ( .D0(RF_0__10_), .D1(RF_2__10_), .D2(RF_1__10_), .D3(
        RF_3__10_), .S0(AADR[1]), .S1(n229), .X(n182) );
  LDL_MUXI4_1 U106 ( .D0(RF_4__10_), .D1(RF_6__10_), .D2(RF_5__10_), .D3(
        RF_7__10_), .S0(AADR[1]), .S1(n229), .X(n183) );
  LDL_MUXI2_1 U107 ( .D0(n184), .D1(n185), .S(n237), .X(N50) );
  LDL_MUXI4_1 U108 ( .D0(RF_0__9_), .D1(RF_2__9_), .D2(RF_1__9_), .D3(RF_3__9_), .S0(n233), .S1(n235), .X(n184) );
  LDL_MUXI4_1 U109 ( .D0(RF_4__9_), .D1(RF_6__9_), .D2(RF_5__9_), .D3(RF_7__9_), .S0(BADR[1]), .S1(n235), .X(n185) );
  LDL_MUXI2_1 U110 ( .D0(n186), .D1(n187), .S(n230), .X(N31) );
  LDL_MUXI4_1 U111 ( .D0(RF_0__9_), .D1(RF_2__9_), .D2(RF_1__9_), .D3(RF_3__9_), .S0(n227), .S1(n228), .X(n186) );
  LDL_MUXI4_1 U112 ( .D0(RF_4__9_), .D1(RF_6__9_), .D2(RF_5__9_), .D3(RF_7__9_), .S0(n227), .S1(n228), .X(n187) );
  LDL_MUXI2_1 U113 ( .D0(n188), .D1(n189), .S(n237), .X(N51) );
  LDL_MUXI4_1 U114 ( .D0(RF_0__8_), .D1(RF_2__8_), .D2(RF_1__8_), .D3(RF_3__8_), .S0(BADR[1]), .S1(n235), .X(n188) );
  LDL_MUXI4_1 U115 ( .D0(RF_4__8_), .D1(RF_6__8_), .D2(RF_5__8_), .D3(RF_7__8_), .S0(BADR[1]), .S1(n235), .X(n189) );
  LDL_MUXI2_1 U116 ( .D0(n190), .D1(n191), .S(n230), .X(N32) );
  LDL_MUXI4_1 U117 ( .D0(RF_0__8_), .D1(RF_2__8_), .D2(RF_1__8_), .D3(RF_3__8_), .S0(n227), .S1(n228), .X(n190) );
  LDL_MUXI4_1 U118 ( .D0(RF_4__8_), .D1(RF_6__8_), .D2(RF_5__8_), .D3(RF_7__8_), .S0(n227), .S1(n228), .X(n191) );
  LDL_MUXI2_1 U119 ( .D0(n192), .D1(n193), .S(n237), .X(N52) );
  LDL_MUXI4_1 U120 ( .D0(RF_0__7_), .D1(RF_2__7_), .D2(RF_1__7_), .D3(RF_3__7_), .S0(BADR[1]), .S1(n235), .X(n192) );
  LDL_MUXI4_1 U121 ( .D0(RF_4__7_), .D1(RF_6__7_), .D2(RF_5__7_), .D3(RF_7__7_), .S0(BADR[1]), .S1(n235), .X(n193) );
  LDL_MUXI2_1 U122 ( .D0(n194), .D1(n195), .S(AADR[2]), .X(N33) );
  LDL_MUXI4_1 U123 ( .D0(RF_0__7_), .D1(RF_2__7_), .D2(RF_1__7_), .D3(RF_3__7_), .S0(n227), .S1(n228), .X(n194) );
  LDL_MUXI4_1 U124 ( .D0(RF_4__7_), .D1(RF_6__7_), .D2(RF_5__7_), .D3(RF_7__7_), .S0(n227), .S1(n228), .X(n195) );
  LDL_MUXI2_1 U125 ( .D0(n196), .D1(n197), .S(BADR[2]), .X(N53) );
  LDL_MUXI4_1 U126 ( .D0(RF_0__6_), .D1(RF_2__6_), .D2(RF_1__6_), .D3(RF_3__6_), .S0(n233), .S1(n235), .X(n196) );
  LDL_MUXI4_1 U127 ( .D0(RF_4__6_), .D1(RF_6__6_), .D2(RF_5__6_), .D3(RF_7__6_), .S0(BADR[1]), .S1(n235), .X(n197) );
  LDL_MUXI2_1 U128 ( .D0(n198), .D1(n199), .S(n230), .X(N34) );
  LDL_MUXI4_1 U129 ( .D0(RF_0__6_), .D1(RF_2__6_), .D2(RF_1__6_), .D3(RF_3__6_), .S0(n227), .S1(n228), .X(n198) );
  LDL_MUXI4_1 U130 ( .D0(RF_4__6_), .D1(RF_6__6_), .D2(RF_5__6_), .D3(RF_7__6_), .S0(n227), .S1(n228), .X(n199) );
  LDL_MUXI2_1 U131 ( .D0(n200), .D1(n201), .S(n237), .X(N54) );
  LDL_MUXI4_1 U132 ( .D0(RF_0__5_), .D1(RF_2__5_), .D2(RF_1__5_), .D3(RF_3__5_), .S0(n233), .S1(n235), .X(n200) );
  LDL_MUXI4_1 U133 ( .D0(RF_4__5_), .D1(RF_6__5_), .D2(RF_5__5_), .D3(RF_7__5_), .S0(BADR[1]), .S1(n235), .X(n201) );
  LDL_MUXI2_1 U134 ( .D0(n202), .D1(n203), .S(AADR[2]), .X(N35) );
  LDL_MUXI4_1 U135 ( .D0(RF_0__5_), .D1(RF_2__5_), .D2(RF_1__5_), .D3(RF_3__5_), .S0(n227), .S1(n228), .X(n202) );
  LDL_MUXI4_1 U136 ( .D0(RF_4__5_), .D1(RF_6__5_), .D2(RF_5__5_), .D3(RF_7__5_), .S0(n227), .S1(n228), .X(n203) );
  LDL_MUXI2_1 U137 ( .D0(n204), .D1(n205), .S(BADR[2]), .X(N55) );
  LDL_MUXI4_1 U138 ( .D0(RF_0__4_), .D1(RF_2__4_), .D2(RF_1__4_), .D3(RF_3__4_), .S0(n233), .S1(n235), .X(n204) );
  LDL_MUXI4_1 U139 ( .D0(RF_4__4_), .D1(RF_6__4_), .D2(RF_5__4_), .D3(RF_7__4_), .S0(BADR[1]), .S1(n235), .X(n205) );
  LDL_MUXI2_1 U140 ( .D0(n206), .D1(n207), .S(n230), .X(N36) );
  LDL_MUXI4_1 U141 ( .D0(RF_0__4_), .D1(RF_2__4_), .D2(RF_1__4_), .D3(RF_3__4_), .S0(n227), .S1(n228), .X(n206) );
  LDL_MUXI4_1 U142 ( .D0(RF_4__4_), .D1(RF_6__4_), .D2(RF_5__4_), .D3(RF_7__4_), .S0(n227), .S1(n228), .X(n207) );
  LDL_MUXI2_1 U143 ( .D0(n208), .D1(n209), .S(n237), .X(N56) );
  LDL_MUXI4_1 U144 ( .D0(RF_0__3_), .D1(RF_2__3_), .D2(RF_1__3_), .D3(RF_3__3_), .S0(n233), .S1(n258), .X(n208) );
  LDL_MUXI4_1 U145 ( .D0(RF_4__3_), .D1(RF_6__3_), .D2(RF_5__3_), .D3(RF_7__3_), .S0(n233), .S1(BADR[0]), .X(n209) );
  LDL_MUXI2_1 U146 ( .D0(n210), .D1(n211), .S(AADR[2]), .X(N37) );
  LDL_MUXI4_1 U147 ( .D0(RF_0__3_), .D1(RF_2__3_), .D2(RF_1__3_), .D3(RF_3__3_), .S0(n226), .S1(AADR[0]), .X(n210) );
  LDL_MUXI4_1 U148 ( .D0(RF_4__3_), .D1(RF_6__3_), .D2(RF_5__3_), .D3(RF_7__3_), .S0(n226), .S1(AADR[0]), .X(n211) );
  LDL_MUXI2_1 U149 ( .D0(n212), .D1(n213), .S(n237), .X(N57) );
  LDL_MUXI4_1 U150 ( .D0(RF_0__2_), .D1(RF_2__2_), .D2(RF_1__2_), .D3(RF_3__2_), .S0(n233), .S1(BADR[0]), .X(n212) );
  LDL_MUXI4_1 U151 ( .D0(RF_4__2_), .D1(RF_6__2_), .D2(RF_5__2_), .D3(RF_7__2_), .S0(n233), .S1(BADR[0]), .X(n213) );
  LDL_MUXI2_1 U152 ( .D0(n214), .D1(n215), .S(n230), .X(N38) );
  LDL_MUXI4_1 U153 ( .D0(RF_0__2_), .D1(RF_2__2_), .D2(RF_1__2_), .D3(RF_3__2_), .S0(n226), .S1(AADR[0]), .X(n214) );
  LDL_MUXI4_1 U154 ( .D0(RF_4__2_), .D1(RF_6__2_), .D2(RF_5__2_), .D3(RF_7__2_), .S0(n226), .S1(AADR[0]), .X(n215) );
  LDL_MUXI2_1 U155 ( .D0(n216), .D1(n217), .S(n237), .X(N58) );
  LDL_MUXI4_1 U156 ( .D0(RF_0__1_), .D1(RF_2__1_), .D2(RF_1__1_), .D3(RF_3__1_), .S0(n233), .S1(BADR[0]), .X(n216) );
  LDL_MUXI4_1 U157 ( .D0(RF_4__1_), .D1(RF_6__1_), .D2(RF_5__1_), .D3(RF_7__1_), .S0(n233), .S1(BADR[0]), .X(n217) );
  LDL_MUXI2_1 U158 ( .D0(n218), .D1(n219), .S(n230), .X(N39) );
  LDL_MUXI4_1 U159 ( .D0(RF_0__1_), .D1(RF_2__1_), .D2(RF_1__1_), .D3(RF_3__1_), .S0(n226), .S1(AADR[0]), .X(n218) );
  LDL_MUXI4_1 U160 ( .D0(RF_4__1_), .D1(RF_6__1_), .D2(RF_5__1_), .D3(RF_7__1_), .S0(n226), .S1(AADR[0]), .X(n219) );
  LDL_MUXI2_1 U161 ( .D0(n220), .D1(n221), .S(BADR[2]), .X(N59) );
  LDL_MUXI4_1 U162 ( .D0(RF_0__0_), .D1(RF_2__0_), .D2(RF_1__0_), .D3(RF_3__0_), .S0(n233), .S1(BADR[0]), .X(n220) );
  LDL_MUXI4_1 U163 ( .D0(RF_4__0_), .D1(RF_6__0_), .D2(RF_5__0_), .D3(RF_7__0_), .S0(n233), .S1(BADR[0]), .X(n221) );
  LDL_MUXI2_1 U164 ( .D0(n222), .D1(n223), .S(n230), .X(N40) );
  LDL_MUXI4_1 U165 ( .D0(RF_0__0_), .D1(RF_2__0_), .D2(RF_1__0_), .D3(RF_3__0_), .S0(n226), .S1(AADR[0]), .X(n222) );
  LDL_MUXI4_1 U166 ( .D0(RF_4__0_), .D1(RF_6__0_), .D2(RF_5__0_), .D3(RF_7__0_), .S0(n226), .S1(AADR[0]), .X(n223) );
  LDL_MUXI2_1 U167 ( .D0(n224), .D1(n225), .S(AADR[2]), .X(N25) );
  LDL_MUXI4_1 U168 ( .D0(RF_0__15_), .D1(RF_2__15_), .D2(RF_1__15_), .D3(
        RF_3__15_), .S0(n226), .S1(n229), .X(n224) );
  LDL_MUXI4_1 U169 ( .D0(RF_4__15_), .D1(RF_6__15_), .D2(RF_5__15_), .D3(
        RF_7__15_), .S0(AADR[1]), .S1(n229), .X(n225) );
  LDL_ND4_1 U170 ( .A1(WE), .A2(CADR[2]), .A3(CADR[1]), .A4(CADR[0]), .X(n6)
         );
  LDL_ND4_1 U171 ( .A1(WE), .A2(CADR[2]), .A3(CADR[0]), .A4(n2600), .X(n2500)
         );
  LDL_ND4_1 U172 ( .A1(WE), .A2(CADR[1]), .A3(CADR[0]), .A4(n290), .X(n280) );
  LDL_ND4_1 U173 ( .A1(WE), .A2(CADR[2]), .A3(CADR[1]), .A4(n24), .X(n23) );
  LDL_ND4_1 U174 ( .A1(WE), .A2(CADR[2]), .A3(n24), .A4(n2600), .X(n270) );
  LDL_ND4_1 U175 ( .A1(WE), .A2(CADR[1]), .A3(n24), .A4(n290), .X(n300) );
  LDL_ND4_1 U176 ( .A1(WE), .A2(CADR[0]), .A3(n2600), .A4(n290), .X(n310) );
  LDL_ND4_1 U177 ( .A1(WE), .A2(n24), .A3(n2600), .A4(n290), .X(n320) );
  LDL_INV_1 U178 ( .A(C[14]), .X(n21) );
  LDL_INV_1 U179 ( .A(C[13]), .X(n20) );
  LDL_INV_1 U180 ( .A(C[12]), .X(n19) );
  LDL_INV_1 U181 ( .A(C[11]), .X(n18) );
  LDL_INV_1 U182 ( .A(C[10]), .X(n17) );
  LDL_INV_1 U183 ( .A(C[8]), .X(n15) );
  LDL_INV_1 U184 ( .A(C[7]), .X(n14) );
  LDL_INV_1 U185 ( .A(C[6]), .X(n13) );
  LDL_INV_1 U186 ( .A(C[5]), .X(n12) );
  LDL_INV_1 U187 ( .A(C[4]), .X(n11) );
  LDL_INV_1 U188 ( .A(C[3]), .X(n10) );
  LDL_INV_1 U189 ( .A(C[2]), .X(n9) );
  LDL_INV_1 U190 ( .A(C[1]), .X(n8) );
  LDL_INV_1 U191 ( .A(C[0]), .X(n7) );
  LDL_INV_1 U192 ( .A(C[15]), .X(n22) );
  LDL_INV_1 U193 ( .A(C[9]), .X(n16) );
  LDL_BUF_1 U194 ( .A(BADR[2]), .X(n237) );
  LDL_BUF_1 U195 ( .A(AADR[2]), .X(n230) );
  LDL_INV_1 U196 ( .A(CADR[2]), .X(n290) );
  LDL_INV_1 U197 ( .A(CADR[1]), .X(n2600) );
  LDL_INV_1 U198 ( .A(CADR[0]), .X(n24) );
  LDL_AO2BB2_1 U199 ( .A1(n256), .A2(n7), .B1(RF_7__0_), .B2(n6), .X(n41) );
  LDL_AO2BB2_1 U200 ( .A1(n256), .A2(n8), .B1(RF_7__1_), .B2(n6), .X(n42) );
  LDL_AO2BB2_1 U201 ( .A1(n256), .A2(n9), .B1(RF_7__2_), .B2(n6), .X(n43) );
  LDL_AO2BB2_1 U202 ( .A1(n256), .A2(n10), .B1(RF_7__3_), .B2(n6), .X(n440) );
  LDL_AO2BB2_1 U203 ( .A1(n256), .A2(n11), .B1(RF_7__4_), .B2(n6), .X(n450) );
  LDL_AO2BB2_1 U204 ( .A1(n256), .A2(n12), .B1(RF_7__5_), .B2(n257), .X(n460)
         );
  LDL_AO2BB2_1 U205 ( .A1(n256), .A2(n13), .B1(RF_7__6_), .B2(n257), .X(n470)
         );
  LDL_AO2BB2_1 U206 ( .A1(n256), .A2(n14), .B1(RF_7__7_), .B2(n257), .X(n480)
         );
  LDL_AO2BB2_1 U207 ( .A1(n256), .A2(n15), .B1(RF_7__8_), .B2(n257), .X(n490)
         );
  LDL_AO2BB2_1 U208 ( .A1(n256), .A2(n16), .B1(RF_7__9_), .B2(n257), .X(n500)
         );
  LDL_AO2BB2_1 U209 ( .A1(n256), .A2(n17), .B1(RF_7__10_), .B2(n257), .X(n510)
         );
  LDL_AO2BB2_1 U210 ( .A1(n256), .A2(n18), .B1(RF_7__11_), .B2(n257), .X(n520)
         );
  LDL_AO2BB2_1 U211 ( .A1(n7), .A2(n23), .B1(RF_6__0_), .B2(n255), .X(n570) );
  LDL_AO2BB2_1 U212 ( .A1(n8), .A2(n255), .B1(RF_6__1_), .B2(n255), .X(n580)
         );
  LDL_AO2BB2_1 U213 ( .A1(n9), .A2(n23), .B1(RF_6__2_), .B2(n255), .X(n590) );
  LDL_AO2BB2_1 U214 ( .A1(n10), .A2(n23), .B1(RF_6__3_), .B2(n255), .X(n60) );
  LDL_AO2BB2_1 U215 ( .A1(n11), .A2(n23), .B1(RF_6__4_), .B2(n255), .X(n61) );
  LDL_AO2BB2_1 U216 ( .A1(n12), .A2(n23), .B1(RF_6__5_), .B2(n254), .X(n62) );
  LDL_AO2BB2_1 U217 ( .A1(n13), .A2(n255), .B1(RF_6__6_), .B2(n254), .X(n63)
         );
  LDL_AO2BB2_1 U218 ( .A1(n14), .A2(n255), .B1(RF_6__7_), .B2(n254), .X(n64)
         );
  LDL_AO2BB2_1 U219 ( .A1(n15), .A2(n255), .B1(RF_6__8_), .B2(n254), .X(n65)
         );
  LDL_AO2BB2_1 U220 ( .A1(n16), .A2(n23), .B1(RF_6__9_), .B2(n254), .X(n66) );
  LDL_AO2BB2_1 U221 ( .A1(n17), .A2(n23), .B1(RF_6__10_), .B2(n254), .X(n67)
         );
  LDL_AO2BB2_1 U222 ( .A1(n18), .A2(n23), .B1(RF_6__11_), .B2(n254), .X(n68)
         );
  LDL_AO2BB2_1 U223 ( .A1(n19), .A2(n254), .B1(RF_6__12_), .B2(n254), .X(n69)
         );
  LDL_AO2BB2_1 U224 ( .A1(n20), .A2(n254), .B1(RF_6__13_), .B2(n255), .X(n70)
         );
  LDL_AO2BB2_1 U225 ( .A1(n21), .A2(n254), .B1(RF_6__14_), .B2(n255), .X(n71)
         );
  LDL_AO2BB2_1 U226 ( .A1(n22), .A2(n254), .B1(RF_6__15_), .B2(n255), .X(n72)
         );
  LDL_AO2BB2_1 U227 ( .A1(n7), .A2(n252), .B1(RF_5__0_), .B2(n2500), .X(n73)
         );
  LDL_AO2BB2_1 U228 ( .A1(n8), .A2(n252), .B1(RF_5__1_), .B2(n2500), .X(n74)
         );
  LDL_AO2BB2_1 U229 ( .A1(n9), .A2(n252), .B1(RF_5__2_), .B2(n2500), .X(n75)
         );
  LDL_AO2BB2_1 U230 ( .A1(n10), .A2(n252), .B1(RF_5__3_), .B2(n2500), .X(n76)
         );
  LDL_AO2BB2_1 U231 ( .A1(n11), .A2(n252), .B1(RF_5__4_), .B2(n2500), .X(n77)
         );
  LDL_AO2BB2_1 U232 ( .A1(n12), .A2(n252), .B1(RF_5__5_), .B2(n253), .X(n78)
         );
  LDL_AO2BB2_1 U233 ( .A1(n13), .A2(n252), .B1(RF_5__6_), .B2(n253), .X(n79)
         );
  LDL_AO2BB2_1 U234 ( .A1(n14), .A2(n252), .B1(RF_5__7_), .B2(n253), .X(n80)
         );
  LDL_AO2BB2_1 U235 ( .A1(n15), .A2(n252), .B1(RF_5__8_), .B2(n253), .X(n81)
         );
  LDL_AO2BB2_1 U236 ( .A1(n16), .A2(n252), .B1(RF_5__9_), .B2(n253), .X(n82)
         );
  LDL_AO2BB2_1 U237 ( .A1(n17), .A2(n252), .B1(RF_5__10_), .B2(n253), .X(n83)
         );
  LDL_AO2BB2_1 U238 ( .A1(n18), .A2(n252), .B1(RF_5__11_), .B2(n253), .X(n84)
         );
  LDL_AO2BB2_1 U239 ( .A1(n19), .A2(n253), .B1(RF_5__12_), .B2(n253), .X(n85)
         );
  LDL_AO2BB2_1 U240 ( .A1(n20), .A2(n253), .B1(RF_5__13_), .B2(n2500), .X(n86)
         );
  LDL_AO2BB2_1 U241 ( .A1(n21), .A2(n253), .B1(RF_5__14_), .B2(n2500), .X(n87)
         );
  LDL_AO2BB2_1 U242 ( .A1(n22), .A2(n253), .B1(RF_5__15_), .B2(n2500), .X(n88)
         );
  LDL_AO2BB2_1 U243 ( .A1(n7), .A2(n25000), .B1(RF_4__0_), .B2(n270), .X(n89)
         );
  LDL_AO2BB2_1 U244 ( .A1(n8), .A2(n25000), .B1(RF_4__1_), .B2(n270), .X(n90)
         );
  LDL_AO2BB2_1 U245 ( .A1(n9), .A2(n25000), .B1(RF_4__2_), .B2(n270), .X(n91)
         );
  LDL_AO2BB2_1 U246 ( .A1(n10), .A2(n25000), .B1(RF_4__3_), .B2(n270), .X(n92)
         );
  LDL_AO2BB2_1 U247 ( .A1(n11), .A2(n25000), .B1(RF_4__4_), .B2(n270), .X(n93)
         );
  LDL_AO2BB2_1 U248 ( .A1(n12), .A2(n25000), .B1(RF_4__5_), .B2(n251), .X(n94)
         );
  LDL_AO2BB2_1 U249 ( .A1(n13), .A2(n25000), .B1(RF_4__6_), .B2(n251), .X(n95)
         );
  LDL_AO2BB2_1 U250 ( .A1(n14), .A2(n25000), .B1(RF_4__7_), .B2(n251), .X(n96)
         );
  LDL_AO2BB2_1 U251 ( .A1(n15), .A2(n25000), .B1(RF_4__8_), .B2(n251), .X(n97)
         );
  LDL_AO2BB2_1 U252 ( .A1(n16), .A2(n25000), .B1(RF_4__9_), .B2(n251), .X(n98)
         );
  LDL_AO2BB2_1 U253 ( .A1(n17), .A2(n25000), .B1(RF_4__10_), .B2(n251), .X(n99) );
  LDL_AO2BB2_1 U254 ( .A1(n18), .A2(n25000), .B1(RF_4__11_), .B2(n251), .X(
        n100) );
  LDL_AO2BB2_1 U255 ( .A1(n19), .A2(n251), .B1(RF_4__12_), .B2(n251), .X(n101)
         );
  LDL_AO2BB2_1 U256 ( .A1(n20), .A2(n251), .B1(RF_4__13_), .B2(n270), .X(n102)
         );
  LDL_AO2BB2_1 U257 ( .A1(n21), .A2(n251), .B1(RF_4__14_), .B2(n270), .X(n103)
         );
  LDL_AO2BB2_1 U258 ( .A1(n22), .A2(n251), .B1(RF_4__15_), .B2(n270), .X(n104)
         );
  LDL_AO2BB2_1 U259 ( .A1(n7), .A2(n248), .B1(RF_3__0_), .B2(n280), .X(n105)
         );
  LDL_AO2BB2_1 U260 ( .A1(n8), .A2(n248), .B1(RF_3__1_), .B2(n280), .X(n106)
         );
  LDL_AO2BB2_1 U261 ( .A1(n9), .A2(n248), .B1(RF_3__2_), .B2(n280), .X(n107)
         );
  LDL_AO2BB2_1 U262 ( .A1(n10), .A2(n248), .B1(RF_3__3_), .B2(n280), .X(n108)
         );
  LDL_AO2BB2_1 U263 ( .A1(n11), .A2(n248), .B1(RF_3__4_), .B2(n280), .X(n109)
         );
  LDL_AO2BB2_1 U264 ( .A1(n12), .A2(n248), .B1(RF_3__5_), .B2(n249), .X(n110)
         );
  LDL_AO2BB2_1 U265 ( .A1(n13), .A2(n248), .B1(RF_3__6_), .B2(n249), .X(n111)
         );
  LDL_AO2BB2_1 U266 ( .A1(n14), .A2(n248), .B1(RF_3__7_), .B2(n249), .X(n112)
         );
  LDL_AO2BB2_1 U267 ( .A1(n15), .A2(n248), .B1(RF_3__8_), .B2(n249), .X(n113)
         );
  LDL_AO2BB2_1 U268 ( .A1(n16), .A2(n248), .B1(RF_3__9_), .B2(n249), .X(n114)
         );
  LDL_AO2BB2_1 U269 ( .A1(n17), .A2(n248), .B1(RF_3__10_), .B2(n249), .X(n115)
         );
  LDL_AO2BB2_1 U270 ( .A1(n18), .A2(n248), .B1(RF_3__11_), .B2(n249), .X(n116)
         );
  LDL_AO2BB2_1 U271 ( .A1(n19), .A2(n249), .B1(RF_3__12_), .B2(n249), .X(n117)
         );
  LDL_AO2BB2_1 U272 ( .A1(n20), .A2(n249), .B1(RF_3__13_), .B2(n280), .X(n118)
         );
  LDL_AO2BB2_1 U273 ( .A1(n21), .A2(n249), .B1(RF_3__14_), .B2(n280), .X(n119)
         );
  LDL_AO2BB2_1 U274 ( .A1(n22), .A2(n249), .B1(RF_3__15_), .B2(n280), .X(n120)
         );
  LDL_AO2BB2_1 U275 ( .A1(n7), .A2(n246), .B1(RF_2__0_), .B2(n300), .X(n121)
         );
  LDL_AO2BB2_1 U276 ( .A1(n8), .A2(n246), .B1(RF_2__1_), .B2(n300), .X(n122)
         );
  LDL_AO2BB2_1 U277 ( .A1(n9), .A2(n246), .B1(RF_2__2_), .B2(n300), .X(n123)
         );
  LDL_AO2BB2_1 U278 ( .A1(n10), .A2(n246), .B1(RF_2__3_), .B2(n300), .X(n124)
         );
  LDL_AO2BB2_1 U279 ( .A1(n11), .A2(n246), .B1(RF_2__4_), .B2(n300), .X(n125)
         );
  LDL_AO2BB2_1 U280 ( .A1(n12), .A2(n246), .B1(RF_2__5_), .B2(n247), .X(n126)
         );
  LDL_AO2BB2_1 U281 ( .A1(n13), .A2(n246), .B1(RF_2__6_), .B2(n247), .X(n127)
         );
  LDL_AO2BB2_1 U282 ( .A1(n14), .A2(n246), .B1(RF_2__7_), .B2(n247), .X(n128)
         );
  LDL_AO2BB2_1 U283 ( .A1(n15), .A2(n246), .B1(RF_2__8_), .B2(n247), .X(n129)
         );
  LDL_AO2BB2_1 U284 ( .A1(n16), .A2(n246), .B1(RF_2__9_), .B2(n247), .X(n130)
         );
  LDL_AO2BB2_1 U285 ( .A1(n17), .A2(n246), .B1(RF_2__10_), .B2(n247), .X(n131)
         );
  LDL_AO2BB2_1 U286 ( .A1(n18), .A2(n246), .B1(RF_2__11_), .B2(n247), .X(n132)
         );
  LDL_AO2BB2_1 U287 ( .A1(n19), .A2(n247), .B1(RF_2__12_), .B2(n247), .X(n133)
         );
  LDL_AO2BB2_1 U288 ( .A1(n20), .A2(n247), .B1(RF_2__13_), .B2(n300), .X(n134)
         );
  LDL_AO2BB2_1 U289 ( .A1(n21), .A2(n247), .B1(RF_2__14_), .B2(n300), .X(n135)
         );
  LDL_AO2BB2_1 U290 ( .A1(n22), .A2(n247), .B1(RF_2__15_), .B2(n300), .X(n136)
         );
  LDL_AO2BB2_1 U291 ( .A1(n7), .A2(n244), .B1(RF_1__0_), .B2(n245), .X(n137)
         );
  LDL_AO2BB2_1 U292 ( .A1(n8), .A2(n244), .B1(RF_1__1_), .B2(n245), .X(n138)
         );
  LDL_AO2BB2_1 U293 ( .A1(n9), .A2(n244), .B1(RF_1__2_), .B2(n245), .X(n139)
         );
  LDL_AO2BB2_1 U294 ( .A1(n10), .A2(n244), .B1(RF_1__3_), .B2(n245), .X(n140)
         );
  LDL_AO2BB2_1 U295 ( .A1(n11), .A2(n244), .B1(RF_1__4_), .B2(n245), .X(n141)
         );
  LDL_AO2BB2_1 U296 ( .A1(n12), .A2(n244), .B1(RF_1__5_), .B2(n245), .X(n142)
         );
  LDL_AO2BB2_1 U297 ( .A1(n13), .A2(n244), .B1(RF_1__6_), .B2(n245), .X(n143)
         );
  LDL_AO2BB2_1 U298 ( .A1(n14), .A2(n244), .B1(RF_1__7_), .B2(n310), .X(n144)
         );
  LDL_AO2BB2_1 U299 ( .A1(n15), .A2(n244), .B1(RF_1__8_), .B2(n245), .X(n145)
         );
  LDL_AO2BB2_1 U300 ( .A1(n16), .A2(n244), .B1(RF_1__9_), .B2(n245), .X(n146)
         );
  LDL_AO2BB2_1 U301 ( .A1(n17), .A2(n244), .B1(RF_1__10_), .B2(n310), .X(n147)
         );
  LDL_AO2BB2_1 U302 ( .A1(n18), .A2(n244), .B1(RF_1__11_), .B2(n310), .X(n148)
         );
  LDL_AO2BB2_1 U303 ( .A1(n19), .A2(n310), .B1(RF_1__12_), .B2(n310), .X(n149)
         );
  LDL_AO2BB2_1 U304 ( .A1(n20), .A2(n310), .B1(RF_1__13_), .B2(n245), .X(n150)
         );
  LDL_AO2BB2_1 U305 ( .A1(n21), .A2(n310), .B1(RF_1__14_), .B2(n245), .X(n151)
         );
  LDL_AO2BB2_1 U306 ( .A1(n22), .A2(n310), .B1(RF_1__15_), .B2(n245), .X(n152)
         );
  LDL_AO2BB2_1 U307 ( .A1(n7), .A2(n242), .B1(RF_0__0_), .B2(n320), .X(n153)
         );
  LDL_AO2BB2_1 U308 ( .A1(n8), .A2(n242), .B1(RF_0__1_), .B2(n320), .X(n154)
         );
  LDL_AO2BB2_1 U309 ( .A1(n9), .A2(n242), .B1(RF_0__2_), .B2(n320), .X(n155)
         );
  LDL_AO2BB2_1 U310 ( .A1(n10), .A2(n242), .B1(RF_0__3_), .B2(n320), .X(n156)
         );
  LDL_AO2BB2_1 U311 ( .A1(n11), .A2(n242), .B1(RF_0__4_), .B2(n320), .X(n157)
         );
  LDL_AO2BB2_1 U312 ( .A1(n12), .A2(n242), .B1(RF_0__5_), .B2(n243), .X(n158)
         );
  LDL_AO2BB2_1 U313 ( .A1(n13), .A2(n242), .B1(RF_0__6_), .B2(n243), .X(n159)
         );
  LDL_AO2BB2_1 U314 ( .A1(n14), .A2(n242), .B1(RF_0__7_), .B2(n243), .X(n160)
         );
  LDL_AO2BB2_1 U315 ( .A1(n15), .A2(n242), .B1(RF_0__8_), .B2(n243), .X(n161)
         );
  LDL_AO2BB2_1 U316 ( .A1(n16), .A2(n242), .B1(RF_0__9_), .B2(n243), .X(n162)
         );
  LDL_AO2BB2_1 U317 ( .A1(n17), .A2(n242), .B1(RF_0__10_), .B2(n243), .X(n163)
         );
  LDL_AO2BB2_1 U318 ( .A1(n18), .A2(n242), .B1(RF_0__11_), .B2(n243), .X(n164)
         );
  LDL_AO2BB2_1 U319 ( .A1(n19), .A2(n243), .B1(RF_0__12_), .B2(n243), .X(n165)
         );
  LDL_AO2BB2_1 U320 ( .A1(n20), .A2(n243), .B1(RF_0__13_), .B2(n320), .X(n166)
         );
  LDL_AO2BB2_1 U321 ( .A1(n21), .A2(n243), .B1(RF_0__14_), .B2(n320), .X(n167)
         );
  LDL_AO2BB2_1 U322 ( .A1(n22), .A2(n243), .B1(RF_0__15_), .B2(n320), .X(n168)
         );
  LDL_AO2BB2_1 U323 ( .A1(n257), .A2(n19), .B1(RF_7__12_), .B2(n257), .X(n530)
         );
  LDL_AO2BB2_1 U324 ( .A1(n257), .A2(n20), .B1(RF_7__13_), .B2(n6), .X(n540)
         );
  LDL_AO2BB2_1 U325 ( .A1(n257), .A2(n21), .B1(RF_7__14_), .B2(n6), .X(n550)
         );
  LDL_AO2BB2_1 U326 ( .A1(n257), .A2(n22), .B1(RF_7__15_), .B2(n6), .X(n560)
         );
endmodule


module POCOP ( CLK, RST_N, IDATAIN, DDATAIN, IADDR, DADDR, DDATAOUT, WE_N );
  input [15:0] IDATAIN;
  input [15:0] DDATAIN;
  output [15:0] IADDR;
  output [15:0] DADDR;
  output [15:0] DDATAOUT;
  input CLK, RST_N;
  output WE_N;
  wire   N10, N11, N12, N13, N14, N15, N16, N17, N18, N19, N20, N21, N22, N23,
         N24, N25, IR_15_, IR_14_, IR_13_, IR_12_, IR_11_, IR_10_, IR_9_,
         IR_8_, IR_7_, IR_6_, IR_5_, IR_4_, IR_3_, IR_2_, IR_1_, IR_0_, LD_OP,
         LD_OP_ID, ALU_Y_15_, ALU_Y_14_, ALU_Y_13_, ALU_Y_12_, ALU_Y_11_,
         ALU_Y_10_, ALU_Y_9_, ALU_Y_8_, ALU_Y_7_, ALU_Y_6_, ALU_Y_5_, ALU_Y_4_,
         ALU_Y_3_, ALU_Y_2_, ALU_Y_1_, ALU_Y_0_, RD_ID_2_, RD_ID_1_, RD_ID_0_,
         RWE_ID, RF_B_15_, RF_B_14_, RF_B_13_, RF_B_12_, RF_B_11_, RF_B_10_,
         RF_B_9_, RF_B_8_, RF_B_7_, RF_B_6_, RF_B_5_, RF_B_4_, RF_B_3_,
         RF_B_2_, RF_B_1_, RF_B_0_, RF_A_15_, RF_A_14_, RF_A_13_, RF_A_12_,
         RF_A_11_, RF_A_10_, RF_A_9_, RF_A_8_, RF_A_7_, RF_A_6_, RF_A_5_,
         RF_A_4_, RF_A_3_, RF_A_2_, RF_A_1_, RF_A_0_, RWE, RF_C_15_, RF_C_14_,
         RF_C_13_, RF_C_12_, RF_C_11_, RF_C_10_, RF_C_9_, RF_C_8_, RF_C_7_,
         RF_C_6_, RF_C_5_, RF_C_4_, RF_C_3_, RF_C_2_, RF_C_1_, RF_C_0_,
         RD_EX_2_, RD_EX_1_, RD_EX_0_, RWE_EX, ST_OP_ID, COM_ID_2_, COM_ID_1_,
         COM_ID_0_, CREG_15_, CREG_14_, CREG_13_, CREG_12_, CREG_11_, CREG_10_,
         CREG_9_, CREG_8_, CREG_7_, CREG_6_, CREG_5_, CREG_4_, CREG_3_,
         CREG_2_, CREG_1_, CREG_0_, DREG_15_, DREG_14_, DREG_13_, DREG_12_,
         DREG_11_, DREG_10_, DREG_9_, DREG_8_, DREG_7_, DREG_6_, DREG_5_,
         DREG_4_, DREG_3_, DREG_2_, DREG_1_, DREG_0_, LD_OP_EX, n6, n7, n8, n9,
         n1000, n1100, n1200, n1400, n1500, n1600, n1700, n190, n200, n210,
         n220, n230, n240, n250, n26, n27, n28, n29, n30, n31, n32, n33, n34,
         n35, n36, n37, n38, n39, n40, n41, n42, n43, n44, n45, n46, n47, n48,
         n49, n50, n51, n52, n53, n54, n55, n56, n57, n58, n59, n60, n61, n62,
         n63, n64, n65, n66, n67, n68, n69, n70, n71, n72, n73, n74, n75, n76,
         n77, n78, n79, n80, n81, n82, n83, n84, n85, n86, n87, n89, n90, n91,
         n92, n93, n94, n96, n97, n10000, n101, n102, n103, n104, n105, n106,
         n107, n108, n109, n11000, n111, n112, n113, n114, n115, n116, n117,
         n118, n119, n12000, n121, n122, n123, n124, n125, n126, n127, n128,
         n129, n130, n131, n132, n133, n134, n135, n136, n137, n138, n139,
         n14000, n141, n142, n143, n144, n145, n146, n147, n148, n149, n15000,
         n151, n152, n153, n154, n155, n156, n157, n158, n159, n16000, n1, n2,
         n3, n4, n5, n1310, n180, n88, n95, n98, n99, n161, n162, n163, n164,
         n165, n166, n167, n168, n169, n17000;

  RFILE RFILE_1 ( .CLK(CLK), .AADR({IR_10_, IR_9_, IR_8_}), .BADR({IR_7_, 
        IR_6_, IR_5_}), .CADR({RD_EX_2_, RD_EX_1_, RD_EX_0_}), .A({RF_A_15_, 
        RF_A_14_, RF_A_13_, RF_A_12_, RF_A_11_, RF_A_10_, RF_A_9_, RF_A_8_, 
        RF_A_7_, RF_A_6_, RF_A_5_, RF_A_4_, RF_A_3_, RF_A_2_, RF_A_1_, RF_A_0_}), .B({RF_B_15_, RF_B_14_, RF_B_13_, RF_B_12_, RF_B_11_, RF_B_10_, RF_B_9_, 
        RF_B_8_, RF_B_7_, RF_B_6_, RF_B_5_, RF_B_4_, RF_B_3_, RF_B_2_, RF_B_1_, 
        RF_B_0_}), .C({RF_C_15_, RF_C_14_, RF_C_13_, RF_C_12_, RF_C_11_, 
        RF_C_10_, RF_C_9_, RF_C_8_, RF_C_7_, RF_C_6_, RF_C_5_, RF_C_4_, 
        RF_C_3_, RF_C_2_, RF_C_1_, RF_C_0_}), .WE(RWE_EX) );
  ALU ALU_1 ( .A(DDATAOUT), .B(DADDR), .S({COM_ID_2_, COM_ID_1_, COM_ID_0_}), 
        .Y({ALU_Y_15_, ALU_Y_14_, ALU_Y_13_, ALU_Y_12_, ALU_Y_11_, ALU_Y_10_, 
        ALU_Y_9_, ALU_Y_8_, ALU_Y_7_, ALU_Y_6_, ALU_Y_5_, ALU_Y_4_, ALU_Y_3_, 
        ALU_Y_2_, ALU_Y_1_, ALU_Y_0_}) );
  POCOP_DW01_inc_0 add_19 ( .A(IADDR), .SUM({N25, N24, N23, N22, N21, N20, N19, 
        N18, N17, N16, N15, N14, N13, N12, N11, N10}) );
  LDL_FDPQ_HD_1 DREG_reg_15_ ( .D(DDATAIN[15]), .CK(CLK), .Q(DREG_15_) );
  LDL_FDPQ_HD_1 DREG_reg_14_ ( .D(DDATAIN[14]), .CK(CLK), .Q(DREG_14_) );
  LDL_FDPQ_HD_1 DREG_reg_13_ ( .D(DDATAIN[13]), .CK(CLK), .Q(DREG_13_) );
  LDL_FDPQ_HD_1 DREG_reg_12_ ( .D(DDATAIN[12]), .CK(CLK), .Q(DREG_12_) );
  LDL_FDPQ_HD_1 DREG_reg_11_ ( .D(DDATAIN[11]), .CK(CLK), .Q(DREG_11_) );
  LDL_FDPQ_HD_1 DREG_reg_10_ ( .D(DDATAIN[10]), .CK(CLK), .Q(DREG_10_) );
  LDL_FDPQ_HD_1 DREG_reg_8_ ( .D(DDATAIN[8]), .CK(CLK), .Q(DREG_8_) );
  LDL_FDPQ_HD_1 DREG_reg_7_ ( .D(DDATAIN[7]), .CK(CLK), .Q(DREG_7_) );
  LDL_FDPQ_HD_1 DREG_reg_6_ ( .D(DDATAIN[6]), .CK(CLK), .Q(DREG_6_) );
  LDL_FDPQ_HD_1 DREG_reg_5_ ( .D(DDATAIN[5]), .CK(CLK), .Q(DREG_5_) );
  LDL_FDPQ_HD_1 DREG_reg_4_ ( .D(DDATAIN[4]), .CK(CLK), .Q(DREG_4_) );
  LDL_FDPQ_HD_1 DREG_reg_3_ ( .D(DDATAIN[3]), .CK(CLK), .Q(DREG_3_) );
  LDL_FDPQ_HD_1 DREG_reg_2_ ( .D(DDATAIN[2]), .CK(CLK), .Q(DREG_2_) );
  LDL_FDPQ_HD_1 DREG_reg_1_ ( .D(DDATAIN[1]), .CK(CLK), .Q(DREG_1_) );
  LDL_FDPQ_HD_1 DREG_reg_0_ ( .D(DDATAIN[0]), .CK(CLK), .Q(DREG_0_) );
  LDL_FDPQ_HD_1 DREG_reg_9_ ( .D(DDATAIN[9]), .CK(CLK), .Q(DREG_9_) );
  LDL_FDPQ_HD_1 CREG_reg_0_ ( .D(ALU_Y_0_), .CK(CLK), .Q(CREG_0_) );
  LDL_FDPQ_HD_1 CREG_reg_1_ ( .D(ALU_Y_1_), .CK(CLK), .Q(CREG_1_) );
  LDL_FDPQ_HD_1 CREG_reg_2_ ( .D(ALU_Y_2_), .CK(CLK), .Q(CREG_2_) );
  LDL_FDPQ_HD_1 CREG_reg_3_ ( .D(ALU_Y_3_), .CK(CLK), .Q(CREG_3_) );
  LDL_FDPQ_HD_1 CREG_reg_4_ ( .D(ALU_Y_4_), .CK(CLK), .Q(CREG_4_) );
  LDL_FDPQ_HD_1 CREG_reg_5_ ( .D(ALU_Y_5_), .CK(CLK), .Q(CREG_5_) );
  LDL_FDPQ_HD_1 CREG_reg_6_ ( .D(ALU_Y_6_), .CK(CLK), .Q(CREG_6_) );
  LDL_FDPQ_HD_1 CREG_reg_7_ ( .D(ALU_Y_7_), .CK(CLK), .Q(CREG_7_) );
  LDL_FDPQ_HD_1 CREG_reg_8_ ( .D(ALU_Y_8_), .CK(CLK), .Q(CREG_8_) );
  LDL_FDPQ_HD_1 CREG_reg_9_ ( .D(ALU_Y_9_), .CK(CLK), .Q(CREG_9_) );
  LDL_FDPQ_HD_1 CREG_reg_10_ ( .D(ALU_Y_10_), .CK(CLK), .Q(CREG_10_) );
  LDL_FDPQ_HD_1 CREG_reg_11_ ( .D(ALU_Y_11_), .CK(CLK), .Q(CREG_11_) );
  LDL_FDPQ_HD_1 CREG_reg_12_ ( .D(ALU_Y_12_), .CK(CLK), .Q(CREG_12_) );
  LDL_FDPQ_HD_1 CREG_reg_13_ ( .D(ALU_Y_13_), .CK(CLK), .Q(CREG_13_) );
  LDL_FDPQ_HD_1 CREG_reg_14_ ( .D(ALU_Y_14_), .CK(CLK), .Q(CREG_14_) );
  LDL_FDPQ_HD_1 CREG_reg_15_ ( .D(ALU_Y_15_), .CK(CLK), .Q(CREG_15_) );
  LDL_FDPRBQ_HD_1 RWE_ID_reg ( .D(RWE), .CK(CLK), .RD(n168), .Q(RWE_ID) );
  LDL_FDPQB_HD_1 LD_OP_EX_reg ( .D(LD_OP_ID), .CK(CLK), .QN(n139) );
  LDL_FDPRBQ_HD_1 IR_reg_4_ ( .D(IDATAIN[4]), .CK(CLK), .RD(RST_N), .Q(IR_4_)
         );
  LDL_FDPRBQ_HD_1 IR_reg_2_ ( .D(IDATAIN[2]), .CK(CLK), .RD(n17000), .Q(IR_2_)
         );
  LDL_FDPRBQ_HD_1 IR_reg_1_ ( .D(IDATAIN[1]), .CK(CLK), .RD(n168), .Q(IR_1_)
         );
  LDL_FDPRBQ_HD_1 IR_reg_0_ ( .D(IDATAIN[0]), .CK(CLK), .RD(n168), .Q(IR_0_)
         );
  LDL_FDPRBQ_HD_1 IR_reg_3_ ( .D(IDATAIN[3]), .CK(CLK), .RD(n169), .Q(IR_3_)
         );
  LDL_FDPQ_HD_1 LD_OP_ID_reg ( .D(n146), .CK(CLK), .Q(LD_OP_ID) );
  LDL_FDPRBQ_HD_1 IR_reg_10_ ( .D(IDATAIN[10]), .CK(CLK), .RD(n17000), .Q(
        IR_10_) );
  LDL_FDPQ_HD_1 RWE_EX_reg ( .D(RWE_ID), .CK(CLK), .Q(RWE_EX) );
  LDL_FDPRBQ_HD_1 IR_reg_9_ ( .D(IDATAIN[9]), .CK(CLK), .RD(n169), .Q(IR_9_)
         );
  LDL_FDPRBQ_HD_1 IR_reg_8_ ( .D(IDATAIN[8]), .CK(CLK), .RD(n169), .Q(IR_8_)
         );
  LDL_FDPRBQ_HD_1 IR_reg_6_ ( .D(IDATAIN[6]), .CK(CLK), .RD(n169), .Q(IR_6_)
         );
  LDL_FDPRBQ_HD_1 IR_reg_5_ ( .D(IDATAIN[5]), .CK(CLK), .RD(n169), .Q(IR_5_)
         );
  LDL_FDPRBQ_HD_1 IR_reg_14_ ( .D(IDATAIN[14]), .CK(CLK), .RD(n168), .Q(IR_14_) );
  LDL_FDPRBQ_HD_1 IR_reg_11_ ( .D(IDATAIN[11]), .CK(CLK), .RD(n169), .Q(IR_11_) );
  LDL_FDPRBQ_HD_1 IR_reg_12_ ( .D(IDATAIN[12]), .CK(CLK), .RD(n168), .Q(IR_12_) );
  LDL_FDPQ_HD_1 RD_ID_reg_2_ ( .D(n142), .CK(CLK), .Q(RD_ID_2_) );
  LDL_FDPRBQ_HD_1 IR_reg_15_ ( .D(IDATAIN[15]), .CK(CLK), .RD(n17000), .Q(
        IR_15_) );
  LDL_FDPQ_HD_1 RD_ID_reg_1_ ( .D(n141), .CK(CLK), .Q(RD_ID_1_) );
  LDL_FDPQ_HD_1 RD_ID_reg_0_ ( .D(n14000), .CK(CLK), .Q(RD_ID_0_) );
  LDL_FDPRBQ_HD_1 IR_reg_13_ ( .D(IDATAIN[13]), .CK(CLK), .RD(n169), .Q(IR_13_) );
  LDL_FDPQ_HD_1 COM_ID_reg_1_ ( .D(n144), .CK(CLK), .Q(COM_ID_1_) );
  LDL_FDPQ_HD_1 COM_ID_reg_0_ ( .D(n143), .CK(CLK), .Q(COM_ID_0_) );
  LDL_FDPQ_HD_1 COM_ID_reg_2_ ( .D(n145), .CK(CLK), .Q(COM_ID_2_) );
  LDL_FDPQ_HD_1 RD_EX_reg_1_ ( .D(RD_ID_1_), .CK(CLK), .Q(RD_EX_1_) );
  LDL_FDPQ_HD_1 RD_EX_reg_2_ ( .D(RD_ID_2_), .CK(CLK), .Q(RD_EX_2_) );
  LDL_FDPQ_HD_1 RD_EX_reg_0_ ( .D(RD_ID_0_), .CK(CLK), .Q(RD_EX_0_) );
  LDL_FDPRBQ_HD_1 IR_reg_7_ ( .D(IDATAIN[7]), .CK(CLK), .RD(n17000), .Q(IR_7_)
         );
  LDL_FDPRBQ_HD_1 PC_reg_1_ ( .D(N11), .CK(CLK), .RD(n17000), .Q(IADDR[1]) );
  LDL_FDPRBQ_HD_1 PC_reg_2_ ( .D(N12), .CK(CLK), .RD(n168), .Q(IADDR[2]) );
  LDL_FDPRBQ_HD_1 PC_reg_3_ ( .D(N13), .CK(CLK), .RD(n169), .Q(IADDR[3]) );
  LDL_FDPRBQ_HD_1 PC_reg_4_ ( .D(N14), .CK(CLK), .RD(n169), .Q(IADDR[4]) );
  LDL_FDPRBQ_HD_1 PC_reg_5_ ( .D(N15), .CK(CLK), .RD(n168), .Q(IADDR[5]) );
  LDL_FDPRBQ_HD_1 PC_reg_6_ ( .D(N16), .CK(CLK), .RD(RST_N), .Q(IADDR[6]) );
  LDL_FDPRBQ_HD_1 PC_reg_7_ ( .D(N17), .CK(CLK), .RD(n168), .Q(IADDR[7]) );
  LDL_FDPRBQ_HD_1 PC_reg_8_ ( .D(N18), .CK(CLK), .RD(n17000), .Q(IADDR[8]) );
  LDL_FDPRBQ_HD_1 PC_reg_9_ ( .D(N19), .CK(CLK), .RD(RST_N), .Q(IADDR[9]) );
  LDL_FDPRBQ_HD_1 PC_reg_10_ ( .D(N20), .CK(CLK), .RD(RST_N), .Q(IADDR[10]) );
  LDL_FDPRBQ_HD_1 PC_reg_11_ ( .D(N21), .CK(CLK), .RD(n169), .Q(IADDR[11]) );
  LDL_FDPRBQ_HD_1 PC_reg_12_ ( .D(N22), .CK(CLK), .RD(RST_N), .Q(IADDR[12]) );
  LDL_FDPRBQ_HD_1 PC_reg_13_ ( .D(N23), .CK(CLK), .RD(n17000), .Q(IADDR[13])
         );
  LDL_FDPRBQ_HD_1 PC_reg_14_ ( .D(N24), .CK(CLK), .RD(RST_N), .Q(IADDR[14]) );
  LDL_FDPRBQ_HD_1 PC_reg_15_ ( .D(N25), .CK(CLK), .RD(RST_N), .Q(IADDR[15]) );
  LDL_FDPRBQ_HD_1 PC_reg_0_ ( .D(N10), .CK(CLK), .RD(n168), .Q(IADDR[0]) );
  LDL_FDPQ_HD_1 ST_OP_ID_reg ( .D(n147), .CK(CLK), .Q(ST_OP_ID) );
  LDL_FDPQ_HD_1 BREG_reg_8_ ( .D(n12000), .CK(CLK), .Q(DADDR[8]) );
  LDL_FDPQ_HD_1 BREG_reg_9_ ( .D(n118), .CK(CLK), .Q(DADDR[9]) );
  LDL_FDPQ_HD_1 BREG_reg_10_ ( .D(n116), .CK(CLK), .Q(DADDR[10]) );
  LDL_FDPQ_HD_1 BREG_reg_11_ ( .D(n114), .CK(CLK), .Q(DADDR[11]) );
  LDL_FDPQ_HD_1 BREG_reg_12_ ( .D(n112), .CK(CLK), .Q(DADDR[12]) );
  LDL_FDPQ_HD_1 BREG_reg_13_ ( .D(n11000), .CK(CLK), .Q(DADDR[13]) );
  LDL_FDPQ_HD_1 BREG_reg_14_ ( .D(n108), .CK(CLK), .Q(DADDR[14]) );
  LDL_FDPQ_HD_1 BREG_reg_15_ ( .D(n107), .CK(CLK), .Q(DADDR[15]) );
  LDL_FDPQ_HD_1 BREG_reg_0_ ( .D(n136), .CK(CLK), .Q(DADDR[0]) );
  LDL_FDPQ_HD_1 BREG_reg_1_ ( .D(n134), .CK(CLK), .Q(DADDR[1]) );
  LDL_FDPQ_HD_1 BREG_reg_2_ ( .D(n132), .CK(CLK), .Q(DADDR[2]) );
  LDL_FDPQ_HD_1 BREG_reg_3_ ( .D(n130), .CK(CLK), .Q(DADDR[3]) );
  LDL_FDPQ_HD_1 BREG_reg_4_ ( .D(n128), .CK(CLK), .Q(DADDR[4]) );
  LDL_FDPQ_HD_1 BREG_reg_5_ ( .D(n126), .CK(CLK), .Q(DADDR[5]) );
  LDL_FDPQ_HD_1 BREG_reg_6_ ( .D(n124), .CK(CLK), .Q(DADDR[6]) );
  LDL_FDPQ_HD_1 BREG_reg_7_ ( .D(n122), .CK(CLK), .Q(DADDR[7]) );
  LDL_FDPQ_HD_1 AREG_reg_0_ ( .D(n137), .CK(CLK), .Q(DDATAOUT[0]) );
  LDL_FDPQ_HD_1 AREG_reg_15_ ( .D(n138), .CK(CLK), .Q(DDATAOUT[15]) );
  LDL_FDPQ_HD_1 AREG_reg_2_ ( .D(n133), .CK(CLK), .Q(DDATAOUT[2]) );
  LDL_FDPQ_HD_1 AREG_reg_3_ ( .D(n131), .CK(CLK), .Q(DDATAOUT[3]) );
  LDL_FDPQ_HD_1 AREG_reg_4_ ( .D(n129), .CK(CLK), .Q(DDATAOUT[4]) );
  LDL_FDPQ_HD_1 AREG_reg_5_ ( .D(n127), .CK(CLK), .Q(DDATAOUT[5]) );
  LDL_FDPQ_HD_1 AREG_reg_6_ ( .D(n125), .CK(CLK), .Q(DDATAOUT[6]) );
  LDL_FDPQ_HD_1 AREG_reg_7_ ( .D(n123), .CK(CLK), .Q(DDATAOUT[7]) );
  LDL_FDPQ_HD_1 AREG_reg_8_ ( .D(n121), .CK(CLK), .Q(DDATAOUT[8]) );
  LDL_FDPQ_HD_1 AREG_reg_11_ ( .D(n115), .CK(CLK), .Q(DDATAOUT[11]) );
  LDL_FDPQ_HD_1 AREG_reg_12_ ( .D(n113), .CK(CLK), .Q(DDATAOUT[12]) );
  LDL_FDPQ_HD_1 AREG_reg_13_ ( .D(n111), .CK(CLK), .Q(DDATAOUT[13]) );
  LDL_FDPQ_HD_1 AREG_reg_10_ ( .D(n117), .CK(CLK), .Q(DDATAOUT[10]) );
  LDL_FDPQ_HD_1 AREG_reg_9_ ( .D(n119), .CK(CLK), .Q(DDATAOUT[9]) );
  LDL_FDPQ_HD_1 AREG_reg_14_ ( .D(n109), .CK(CLK), .Q(DDATAOUT[14]) );
  LDL_FDPQ_HD_1 AREG_reg_1_ ( .D(n135), .CK(CLK), .Q(DDATAOUT[1]) );
  LDL_ND2_1 U3 ( .A1(n97), .A2(LD_OP_ID), .X(n1) );
  LDL_INV_1 U4 ( .A(n1), .X(n2) );
  LDL_INV_1 U5 ( .A(n1), .X(n3) );
  LDL_ND2_1 U6 ( .A1(n96), .A2(n17000), .X(n4) );
  LDL_INV_1 U7 ( .A(n4), .X(n5) );
  LDL_INV_1 U8 ( .A(n4), .X(n1310) );
  LDL_ND2_1 U9 ( .A1(n97), .A2(n93), .X(n180) );
  LDL_INV_1 U10 ( .A(n180), .X(n88) );
  LDL_INV_1 U11 ( .A(n180), .X(n95) );
  LDL_BUF_1 U12 ( .A(n94), .X(n98) );
  LDL_INV_1 U13 ( .A(n139), .X(n99) );
  LDL_INV_1 U14 ( .A(RST_N), .X(n164) );
  LDL_INV_1 U15 ( .A(n169), .X(n165) );
  LDL_INV_1 U16 ( .A(n168), .X(n166) );
  LDL_BUF_1 U17 ( .A(n90), .X(n161) );
  LDL_INV_1 U18 ( .A(n80), .X(n106) );
  LDL_INV_1 U19 ( .A(n45), .X(n105) );
  LDL_BUF_1 U20 ( .A(n17000), .X(n169) );
  LDL_BUF_1 U21 ( .A(n17000), .X(n168) );
  LDL_INV_1 U22 ( .A(n17000), .X(n167) );
  LDL_ND3_1 U23 ( .A1(RST_N), .A2(n93), .A3(n92), .X(n45) );
  LDL_ND2_1 U24 ( .A1(RST_N), .A2(n84), .X(n80) );
  LDL_NR2_1 U25 ( .A1(n96), .A2(n164), .X(n97) );
  LDL_AN3B_1 U26 ( .B1(n91), .B2(RST_N), .A(n15000), .X(n90) );
  LDL_OR2_1 U27 ( .A1(n85), .A2(n166), .X(n9) );
  LDL_BUF_1 U28 ( .A(RST_N), .X(n17000) );
  LDL_ND2B_S_1 U29 ( .A(n84), .B(n85), .X(n15000) );
  LDL_NR2_1 U30 ( .A1(n91), .A2(n15000), .X(n92) );
  LDL_NR3_1 U31 ( .A1(n148), .A2(n149), .A3(n40), .X(LD_OP) );
  LDL_ND3_1 U32 ( .A1(n6), .A2(n7), .A3(n152), .X(n149) );
  LDL_INV_1 U33 ( .A(LD_OP_EX), .X(n153) );
  LDL_AN3_S_1 U34 ( .A1(n92), .A2(n17000), .A3(LD_OP_ID), .X(n94) );
  LDL_ND3_1 U35 ( .A1(n106), .A2(n89), .A3(IR_7_), .X(n1000) );
  LDL_ND2_1 U36 ( .A1(n210), .A2(n220), .X(n111) );
  LDL_AOI22_1 U37 ( .A1(DDATAIN[13]), .A2(n3), .B1(DDATAOUT[13]), .B2(n166), 
        .X(n210) );
  LDL_AOI22_1 U38 ( .A1(RF_A_13_), .A2(n1310), .B1(ALU_Y_13_), .B2(n95), .X(
        n220) );
  LDL_ND2_1 U39 ( .A1(n26), .A2(n27), .X(n113) );
  LDL_AOI22_1 U40 ( .A1(DDATAIN[12]), .A2(n3), .B1(DDATAOUT[12]), .B2(n166), 
        .X(n26) );
  LDL_AOI22_1 U41 ( .A1(RF_A_12_), .A2(n1310), .B1(ALU_Y_12_), .B2(n95), .X(
        n27) );
  LDL_ND2_1 U42 ( .A1(n30), .A2(n31), .X(n115) );
  LDL_AOI22_1 U43 ( .A1(DDATAIN[11]), .A2(n2), .B1(DDATAOUT[11]), .B2(n166), 
        .X(n30) );
  LDL_AOI22_1 U44 ( .A1(RF_A_11_), .A2(n5), .B1(ALU_Y_11_), .B2(n88), .X(n31)
         );
  LDL_ND2_1 U45 ( .A1(n34), .A2(n35), .X(n117) );
  LDL_AOI22_1 U46 ( .A1(DDATAIN[10]), .A2(n2), .B1(DDATAOUT[10]), .B2(n166), 
        .X(n34) );
  LDL_AOI22_1 U47 ( .A1(RF_A_10_), .A2(n5), .B1(ALU_Y_10_), .B2(n88), .X(n35)
         );
  LDL_ND2_1 U48 ( .A1(n38), .A2(n39), .X(n119) );
  LDL_AOI22_1 U49 ( .A1(DDATAIN[9]), .A2(n2), .B1(DDATAOUT[9]), .B2(n166), .X(
        n38) );
  LDL_AOI22_1 U50 ( .A1(RF_A_9_), .A2(n5), .B1(ALU_Y_9_), .B2(n88), .X(n39) );
  LDL_ND2_1 U51 ( .A1(n43), .A2(n44), .X(n121) );
  LDL_AOI22_1 U52 ( .A1(DDATAIN[8]), .A2(n3), .B1(DDATAOUT[8]), .B2(n166), .X(
        n43) );
  LDL_AOI22_1 U53 ( .A1(RF_A_8_), .A2(n1310), .B1(ALU_Y_8_), .B2(n95), .X(n44)
         );
  LDL_ND2_1 U54 ( .A1(n48), .A2(n49), .X(n123) );
  LDL_AOI22_1 U55 ( .A1(DDATAIN[7]), .A2(n2), .B1(DDATAOUT[7]), .B2(n165), .X(
        n48) );
  LDL_AOI22_1 U56 ( .A1(RF_A_7_), .A2(n5), .B1(ALU_Y_7_), .B2(n88), .X(n49) );
  LDL_ND2_1 U57 ( .A1(n52), .A2(n53), .X(n125) );
  LDL_AOI22_1 U58 ( .A1(DDATAIN[6]), .A2(n3), .B1(DDATAOUT[6]), .B2(n165), .X(
        n52) );
  LDL_AOI22_1 U59 ( .A1(RF_A_6_), .A2(n1310), .B1(ALU_Y_6_), .B2(n95), .X(n53)
         );
  LDL_ND2_1 U60 ( .A1(n56), .A2(n57), .X(n127) );
  LDL_AOI22_1 U61 ( .A1(DDATAIN[5]), .A2(n2), .B1(DDATAOUT[5]), .B2(n165), .X(
        n56) );
  LDL_AOI22_1 U62 ( .A1(RF_A_5_), .A2(n5), .B1(ALU_Y_5_), .B2(n88), .X(n57) );
  LDL_ND2_1 U63 ( .A1(n60), .A2(n61), .X(n129) );
  LDL_AOI22_1 U64 ( .A1(DDATAIN[4]), .A2(n2), .B1(DDATAOUT[4]), .B2(n165), .X(
        n60) );
  LDL_AOI22_1 U65 ( .A1(RF_A_4_), .A2(n5), .B1(ALU_Y_4_), .B2(n88), .X(n61) );
  LDL_ND2_1 U66 ( .A1(n64), .A2(n65), .X(n131) );
  LDL_AOI22_1 U67 ( .A1(DDATAIN[3]), .A2(n2), .B1(DDATAOUT[3]), .B2(n165), .X(
        n64) );
  LDL_AOI22_1 U68 ( .A1(RF_A_3_), .A2(n5), .B1(ALU_Y_3_), .B2(n88), .X(n65) );
  LDL_ND2_1 U69 ( .A1(n68), .A2(n69), .X(n133) );
  LDL_AOI22_1 U70 ( .A1(DDATAIN[2]), .A2(n3), .B1(DDATAOUT[2]), .B2(n165), .X(
        n68) );
  LDL_AOI22_1 U71 ( .A1(RF_A_2_), .A2(n1310), .B1(ALU_Y_2_), .B2(n95), .X(n69)
         );
  LDL_ND2_1 U72 ( .A1(n72), .A2(n73), .X(n135) );
  LDL_AOI22_1 U73 ( .A1(DDATAIN[1]), .A2(n2), .B1(DDATAOUT[1]), .B2(n164), .X(
        n72) );
  LDL_AOI22_1 U74 ( .A1(RF_A_1_), .A2(n5), .B1(ALU_Y_1_), .B2(n88), .X(n73) );
  LDL_ND2_1 U75 ( .A1(n76), .A2(n77), .X(n137) );
  LDL_AOI22_1 U76 ( .A1(DDATAIN[0]), .A2(n3), .B1(DDATAOUT[0]), .B2(n164), .X(
        n76) );
  LDL_AOI22_1 U77 ( .A1(RF_A_0_), .A2(n1310), .B1(ALU_Y_0_), .B2(n95), .X(n77)
         );
  LDL_ND2_1 U78 ( .A1(n78), .A2(n79), .X(n138) );
  LDL_AOI22_1 U79 ( .A1(n3), .A2(DDATAIN[15]), .B1(DDATAOUT[15]), .B2(n164), 
        .X(n78) );
  LDL_AOI22_1 U80 ( .A1(RF_A_15_), .A2(n1310), .B1(n95), .B2(ALU_Y_15_), .X(
        n79) );
  LDL_OAI21_1 U81 ( .A1(n80), .A2(n82), .B(n83), .X(n144) );
  LDL_MUXI2_1 U82 ( .D0(n102), .D1(COM_ID_1_), .S(n164), .X(n83) );
  LDL_NR2_1 U83 ( .A1(n15000), .A2(n6), .X(n102) );
  LDL_OAI211_1 U84 ( .A1(IR_13_), .A2(n80), .B1(n9), .B2(n81), .X(n143) );
  LDL_MUXI2_1 U85 ( .D0(n101), .D1(COM_ID_0_), .S(n164), .X(n81) );
  LDL_NR2_1 U86 ( .A1(n84), .A2(n40), .X(n101) );
  LDL_OAI2111_1 U87 ( .A1(n9), .A2(n163), .B1(n1000), .B2(n1400), .B3(n1500), 
        .X(n108) );
  LDL_ND2_1 U88 ( .A1(RF_B_14_), .A2(n90), .X(n1400) );
  LDL_AOI222_1 U89 ( .A1(DADDR[14]), .A2(n167), .B1(DDATAIN[14]), .B2(n94), 
        .C1(ALU_Y_14_), .C2(n105), .X(n1500) );
  LDL_OAI2111_1 U90 ( .A1(n9), .A2(n162), .B1(n1000), .B2(n190), .B3(n200), 
        .X(n11000) );
  LDL_ND2_1 U91 ( .A1(RF_B_13_), .A2(n161), .X(n190) );
  LDL_AOI222_1 U92 ( .A1(DADDR[13]), .A2(n167), .B1(DDATAIN[13]), .B2(n94), 
        .C1(ALU_Y_13_), .C2(n105), .X(n200) );
  LDL_OAI2111_1 U93 ( .A1(n9), .A2(n230), .B1(n1000), .B2(n240), .B3(n250), 
        .X(n112) );
  LDL_ND2_1 U94 ( .A1(RF_B_12_), .A2(n90), .X(n240) );
  LDL_AOI222_1 U95 ( .A1(DADDR[12]), .A2(n167), .B1(DDATAIN[12]), .B2(n94), 
        .C1(ALU_Y_12_), .C2(n105), .X(n250) );
  LDL_OAI2111_1 U96 ( .A1(n9), .A2(n7), .B1(n1000), .B2(n32), .B3(n33), .X(
        n116) );
  LDL_ND2_1 U97 ( .A1(RF_B_10_), .A2(n161), .X(n32) );
  LDL_AOI222_1 U98 ( .A1(DADDR[10]), .A2(n166), .B1(DDATAIN[10]), .B2(n94), 
        .C1(ALU_Y_10_), .C2(n105), .X(n33) );
  LDL_OAI2111_1 U99 ( .A1(n9), .A2(n6), .B1(n1000), .B2(n36), .B3(n37), .X(
        n118) );
  LDL_ND2_1 U100 ( .A1(RF_B_9_), .A2(n161), .X(n36) );
  LDL_AOI222_1 U101 ( .A1(DADDR[9]), .A2(n166), .B1(DDATAIN[9]), .B2(n94), 
        .C1(ALU_Y_9_), .C2(n105), .X(n37) );
  LDL_OAI2111_1 U102 ( .A1(n9), .A2(n40), .B1(n1000), .B2(n41), .B3(n42), .X(
        n12000) );
  LDL_ND2_1 U103 ( .A1(RF_B_8_), .A2(n90), .X(n41) );
  LDL_AOI222_1 U104 ( .A1(DADDR[8]), .A2(n166), .B1(DDATAIN[8]), .B2(n94), 
        .C1(ALU_Y_8_), .C2(n105), .X(n42) );
  LDL_OAI2111_1 U105 ( .A1(n8), .A2(n9), .B1(n1000), .B2(n1100), .B3(n1200), 
        .X(n107) );
  LDL_INV_1 U106 ( .A(IR_7_), .X(n8) );
  LDL_ND2_1 U107 ( .A1(RF_B_15_), .A2(n161), .X(n1100) );
  LDL_AOI222_1 U108 ( .A1(DADDR[15]), .A2(n167), .B1(DDATAIN[15]), .B2(n94), 
        .C1(ALU_Y_15_), .C2(n105), .X(n1200) );
  LDL_OAI2111_1 U109 ( .A1(n148), .A2(n9), .B1(n1000), .B2(n28), .B3(n29), .X(
        n114) );
  LDL_ND2_1 U110 ( .A1(RF_B_11_), .A2(n90), .X(n28) );
  LDL_AOI222_1 U111 ( .A1(DADDR[11]), .A2(n167), .B1(DDATAIN[11]), .B2(n94), 
        .C1(ALU_Y_11_), .C2(n105), .X(n29) );
  LDL_OAI2B11_1 U112 ( .A(ALU_Y_7_), .B(n45), .C1(n46), .C2(n47), .X(n122) );
  LDL_AOI22_1 U113 ( .A1(IR_7_), .A2(n106), .B1(DADDR[7]), .B2(n166), .X(n47)
         );
  LDL_AOI22_1 U114 ( .A1(RF_B_7_), .A2(n161), .B1(DDATAIN[7]), .B2(n94), .X(
        n46) );
  LDL_OAI2B11_1 U115 ( .A(ALU_Y_6_), .B(n45), .C1(n50), .C2(n51), .X(n124) );
  LDL_AOI22_1 U116 ( .A1(IR_6_), .A2(n106), .B1(DADDR[6]), .B2(n165), .X(n51)
         );
  LDL_AOI22_1 U117 ( .A1(RF_B_6_), .A2(n161), .B1(DDATAIN[6]), .B2(n94), .X(
        n50) );
  LDL_OAI2B11_1 U118 ( .A(ALU_Y_5_), .B(n45), .C1(n54), .C2(n55), .X(n126) );
  LDL_AOI22_1 U119 ( .A1(IR_5_), .A2(n106), .B1(DADDR[5]), .B2(n165), .X(n55)
         );
  LDL_AOI22_1 U120 ( .A1(RF_B_5_), .A2(n161), .B1(DDATAIN[5]), .B2(n94), .X(
        n54) );
  LDL_OAI2B11_1 U121 ( .A(ALU_Y_4_), .B(n45), .C1(n58), .C2(n59), .X(n128) );
  LDL_AOI22_1 U122 ( .A1(IR_4_), .A2(n106), .B1(DADDR[4]), .B2(n165), .X(n59)
         );
  LDL_AOI22_1 U123 ( .A1(RF_B_4_), .A2(n161), .B1(DDATAIN[4]), .B2(n98), .X(
        n58) );
  LDL_OAI2B11_1 U124 ( .A(ALU_Y_3_), .B(n45), .C1(n62), .C2(n63), .X(n130) );
  LDL_AOI22_1 U125 ( .A1(n106), .A2(IR_3_), .B1(DADDR[3]), .B2(n165), .X(n63)
         );
  LDL_AOI22_1 U126 ( .A1(RF_B_3_), .A2(n161), .B1(DDATAIN[3]), .B2(n98), .X(
        n62) );
  LDL_OAI2B11_1 U127 ( .A(ALU_Y_2_), .B(n45), .C1(n66), .C2(n67), .X(n132) );
  LDL_AOI22_1 U128 ( .A1(IR_2_), .A2(n106), .B1(DADDR[2]), .B2(n165), .X(n67)
         );
  LDL_AOI22_1 U129 ( .A1(RF_B_2_), .A2(n90), .B1(DDATAIN[2]), .B2(n98), .X(n66) );
  LDL_OAI2B11_1 U130 ( .A(ALU_Y_1_), .B(n45), .C1(n70), .C2(n71), .X(n134) );
  LDL_AOI22_1 U131 ( .A1(IR_1_), .A2(n106), .B1(DADDR[1]), .B2(n165), .X(n71)
         );
  LDL_AOI22_1 U132 ( .A1(RF_B_1_), .A2(n161), .B1(DDATAIN[1]), .B2(n98), .X(
        n70) );
  LDL_OAI2B11_1 U133 ( .A(ALU_Y_0_), .B(n45), .C1(n74), .C2(n75), .X(n136) );
  LDL_AOI22_1 U134 ( .A1(IR_0_), .A2(n106), .B1(DADDR[0]), .B2(n164), .X(n75)
         );
  LDL_AOI22_1 U135 ( .A1(RF_B_0_), .A2(n90), .B1(DDATAIN[0]), .B2(n98), .X(n74) );
  LDL_MUXI2_1 U136 ( .D0(n104), .D1(WE_N), .S(n164), .X(n147) );
  LDL_ND3B_1 U137 ( .A(n149), .B1(n40), .B2(IR_3_), .X(n104) );
  LDL_OAI21_1 U138 ( .A1(n80), .A2(n82), .B(n86), .X(n145) );
  LDL_MUXI2_1 U139 ( .D0(n103), .D1(COM_ID_2_), .S(n164), .X(n86) );
  LDL_NR2_1 U140 ( .A1(n15000), .A2(n7), .X(n103) );
  LDL_ND2_1 U141 ( .A1(n1600), .A2(n1700), .X(n109) );
  LDL_AOI22_1 U142 ( .A1(n3), .A2(DDATAIN[14]), .B1(DDATAOUT[14]), .B2(n166), 
        .X(n1600) );
  LDL_AOI22_1 U143 ( .A1(RF_A_14_), .A2(n1310), .B1(n95), .B2(ALU_Y_14_), .X(
        n1700) );
  LDL_INV_1 U144 ( .A(ST_OP_ID), .X(WE_N) );
  LDL_MUX2_HD_1 U145 ( .D0(IR_8_), .D1(RD_ID_0_), .S(n164), .X(n14000) );
  LDL_MUX2_HD_1 U146 ( .D0(IR_9_), .D1(RD_ID_1_), .S(n164), .X(n141) );
  LDL_MUX2_HD_1 U147 ( .D0(IR_10_), .D1(RD_ID_2_), .S(n164), .X(n142) );
  LDL_MUX2_HD_1 U148 ( .D0(LD_OP_ID), .D1(LD_OP), .S(n169), .X(n146) );
  LDL_AN3B_1 U149 ( .B1(n87), .B2(IR_14_), .A(IR_12_), .X(n84) );
  LDL_ND4_1 U150 ( .A1(IR_12_), .A2(n157), .A3(IR_14_), .A4(n89), .X(n85) );
  LDL_NR2_1 U151 ( .A1(IR_15_), .A2(IR_13_), .X(n157) );
  LDL_ND4_1 U152 ( .A1(RWE_ID), .A2(n158), .A3(n159), .A4(n16000), .X(n91) );
  LDL_EN2_S_1 U153 ( .A1(IR_5_), .A2(RD_ID_0_), .X(n158) );
  LDL_EN2_S_1 U154 ( .A1(IR_6_), .A2(RD_ID_1_), .X(n159) );
  LDL_EN2_S_1 U155 ( .A1(RD_ID_2_), .A2(IR_7_), .X(n16000) );
  LDL_INV_1 U156 ( .A(IR_11_), .X(n89) );
  LDL_INV_1 U157 ( .A(IR_6_), .X(n163) );
  LDL_INV_1 U158 ( .A(IR_5_), .X(n162) );
  LDL_INV_1 U159 ( .A(IR_15_), .X(n87) );
  LDL_ND4_1 U160 ( .A1(n154), .A2(n155), .A3(n156), .A4(RWE_ID), .X(n96) );
  LDL_EN2_S_1 U161 ( .A1(RD_ID_0_), .A2(IR_8_), .X(n154) );
  LDL_EN2_S_1 U162 ( .A1(RD_ID_2_), .A2(IR_10_), .X(n156) );
  LDL_EN2_S_1 U163 ( .A1(RD_ID_1_), .A2(IR_9_), .X(n155) );
  LDL_AO22_1 U164 ( .A1(DREG_14_), .A2(LD_OP_EX), .B1(CREG_14_), .B2(n153), 
        .X(RF_C_14_) );
  LDL_AO22_1 U165 ( .A1(DREG_13_), .A2(LD_OP_EX), .B1(CREG_13_), .B2(n153), 
        .X(RF_C_13_) );
  LDL_AO22_1 U166 ( .A1(DREG_12_), .A2(n99), .B1(CREG_12_), .B2(n139), .X(
        RF_C_12_) );
  LDL_AO22_1 U167 ( .A1(DREG_11_), .A2(n99), .B1(CREG_11_), .B2(n139), .X(
        RF_C_11_) );
  LDL_AO22_1 U168 ( .A1(DREG_10_), .A2(n99), .B1(CREG_10_), .B2(n139), .X(
        RF_C_10_) );
  LDL_AO22_1 U169 ( .A1(DREG_8_), .A2(LD_OP_EX), .B1(CREG_8_), .B2(n153), .X(
        RF_C_8_) );
  LDL_AO22_1 U170 ( .A1(DREG_7_), .A2(LD_OP_EX), .B1(CREG_7_), .B2(n153), .X(
        RF_C_7_) );
  LDL_AO22_1 U171 ( .A1(DREG_6_), .A2(LD_OP_EX), .B1(CREG_6_), .B2(n153), .X(
        RF_C_6_) );
  LDL_AO22_1 U172 ( .A1(DREG_5_), .A2(LD_OP_EX), .B1(CREG_5_), .B2(n153), .X(
        RF_C_5_) );
  LDL_AO22_1 U173 ( .A1(DREG_4_), .A2(LD_OP_EX), .B1(CREG_4_), .B2(n153), .X(
        RF_C_4_) );
  LDL_AO22_1 U174 ( .A1(DREG_3_), .A2(LD_OP_EX), .B1(CREG_3_), .B2(n153), .X(
        RF_C_3_) );
  LDL_AO22_1 U175 ( .A1(DREG_2_), .A2(LD_OP_EX), .B1(CREG_2_), .B2(n153), .X(
        RF_C_2_) );
  LDL_AO22_1 U176 ( .A1(DREG_1_), .A2(LD_OP_EX), .B1(CREG_1_), .B2(n153), .X(
        RF_C_1_) );
  LDL_AO22_1 U177 ( .A1(DREG_0_), .A2(n99), .B1(CREG_0_), .B2(n139), .X(
        RF_C_0_) );
  LDL_AO22_1 U178 ( .A1(DREG_15_), .A2(LD_OP_EX), .B1(CREG_15_), .B2(n153), 
        .X(RF_C_15_) );
  LDL_AO22_1 U179 ( .A1(n99), .A2(DREG_9_), .B1(CREG_9_), .B2(n153), .X(
        RF_C_9_) );
  LDL_INV_1 U180 ( .A(n139), .X(LD_OP_EX) );
  LDL_AN4_1 U181 ( .A1(n230), .A2(n87), .A3(n10000), .A4(n82), .X(n152) );
  LDL_NR3_1 U182 ( .A1(IR_14_), .A2(IR_11_), .A3(IR_12_), .X(n10000) );
  LDL_INV_1 U183 ( .A(IR_0_), .X(n40) );
  LDL_INV_1 U184 ( .A(IR_13_), .X(n82) );
  LDL_INV_1 U185 ( .A(IR_1_), .X(n6) );
  LDL_INV_1 U186 ( .A(IR_2_), .X(n7) );
  LDL_INV_1 U187 ( .A(IR_3_), .X(n148) );
  LDL_INV_1 U188 ( .A(LD_OP_ID), .X(n93) );
  LDL_OR3B_1 U189 ( .B1(LD_OP), .B2(n15000), .A(n151), .X(RWE) );
  LDL_OAI211_1 U190 ( .A1(IR_0_), .A2(n149), .B1(n148), .B2(n152), .X(n151) );
  LDL_INV_1 U191 ( .A(IR_4_), .X(n230) );
endmodule


module POCOP_TOP ( CLK, RST_N, DATAIN_15, DATAIN_14, DATAIN_13, DATAIN_12, 
        DATAIN_11, DATAIN_10, DATAIN_9, DATAIN_8, DATAIN_7, DATAIN_6, DATAIN_5, 
        DATAIN_4, DATAIN_3, DATAIN_2, DATAIN_1, DATAIN_0, ADDR_15, ADDR_14, 
        ADDR_13, ADDR_12, ADDR_11, ADDR_10, ADDR_9, ADDR_8, ADDR_7, ADDR_6, 
        ADDR_5, ADDR_4, ADDR_3, ADDR_2, ADDR_1, ADDR_0, DOUT_15, DOUT_14, 
        DOUT_13, DOUT_12, DOUT_11, DOUT_10, DOUT_9, DOUT_8, DOUT_7, DOUT_6, 
        DOUT_5, DOUT_4, DOUT_3, DOUT_2, DOUT_1, DOUT_0, SEL_ID, WE_N );
  input CLK, RST_N, DATAIN_15, DATAIN_14, DATAIN_13, DATAIN_12, DATAIN_11,
         DATAIN_10, DATAIN_9, DATAIN_8, DATAIN_7, DATAIN_6, DATAIN_5, DATAIN_4,
         DATAIN_3, DATAIN_2, DATAIN_1, DATAIN_0, SEL_ID;
  output ADDR_15, ADDR_14, ADDR_13, ADDR_12, ADDR_11, ADDR_10, ADDR_9, ADDR_8,
         ADDR_7, ADDR_6, ADDR_5, ADDR_4, ADDR_3, ADDR_2, ADDR_1, ADDR_0,
         DOUT_15, DOUT_14, DOUT_13, DOUT_12, DOUT_11, DOUT_10, DOUT_9, DOUT_8,
         DOUT_7, DOUT_6, DOUT_5, DOUT_4, DOUT_3, DOUT_2, DOUT_1, DOUT_0, WE_N;
  wire   n_Logic1_, n_Logic0_, W_SEL_ID, W_ADDR_15_, W_ADDR_14_, W_ADDR_13_,
         W_ADDR_12_, W_ADDR_11_, W_ADDR_10_, W_ADDR_9_, W_ADDR_8_, W_ADDR_7_,
         W_ADDR_6_, W_ADDR_5_, W_ADDR_4_, W_ADDR_3_, W_ADDR_2_, W_ADDR_1_,
         W_ADDR_0_, W_IADDR_15_, W_IADDR_14_, W_IADDR_13_, W_IADDR_12_,
         W_IADDR_11_, W_IADDR_10_, W_IADDR_9_, W_IADDR_8_, W_IADDR_7_,
         W_IADDR_6_, W_IADDR_5_, W_IADDR_4_, W_IADDR_3_, W_IADDR_2_,
         W_IADDR_1_, W_IADDR_0_, W_DADDR_15_, W_DADDR_14_, W_DADDR_13_,
         W_DADDR_12_, W_DADDR_11_, W_DADDR_10_, W_DADDR_9_, W_DADDR_8_,
         W_DADDR_7_, W_DADDR_6_, W_DADDR_5_, W_DADDR_4_, W_DADDR_3_,
         W_DADDR_2_, W_DADDR_1_, W_DADDR_0_, W_IDATAIN_15_, W_IDATAIN_14_,
         W_IDATAIN_13_, W_IDATAIN_12_, W_IDATAIN_11_, W_IDATAIN_10_,
         W_IDATAIN_9_, W_IDATAIN_8_, W_IDATAIN_7_, W_IDATAIN_6_, W_IDATAIN_5_,
         W_IDATAIN_4_, W_IDATAIN_3_, W_IDATAIN_2_, W_IDATAIN_1_, W_IDATAIN_0_,
         W_DATAIN_15_, W_DATAIN_14_, W_DATAIN_13_, W_DATAIN_12_, W_DATAIN_11_,
         W_DATAIN_10_, W_DATAIN_9_, W_DATAIN_8_, W_DATAIN_7_, W_DATAIN_6_,
         W_DATAIN_5_, W_DATAIN_4_, W_DATAIN_3_, W_DATAIN_2_, W_DATAIN_1_,
         W_DATAIN_0_, W_DDATAIN_15_, W_DDATAIN_14_, W_DDATAIN_13_,
         W_DDATAIN_12_, W_DDATAIN_11_, W_DDATAIN_10_, W_DDATAIN_9_,
         W_DDATAIN_8_, W_DDATAIN_7_, W_DDATAIN_6_, W_DDATAIN_5_, W_DDATAIN_4_,
         W_DDATAIN_3_, W_DDATAIN_2_, W_DDATAIN_1_, W_DDATAIN_0_, W_CLK,
         W_RST_N, W_DOUT_15_, W_DOUT_14_, W_DOUT_13_, W_DOUT_12_, W_DOUT_11_,
         W_DOUT_10_, W_DOUT_9_, W_DOUT_8_, W_DOUT_7_, W_DOUT_6_, W_DOUT_5_,
         W_DOUT_4_, W_DOUT_3_, W_DOUT_2_, W_DOUT_1_, W_DOUT_0_, W_WE_N, n19,
         n21, n22, n23, n24, n25, n26, n27, n28, n29, n30, n31, n32, n33, n34,
         n35, n36, n37, n38, n39, n40, n41, n48, n49, n50, n51, n52, n53, n54,
         n55, n56, n57;

  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_CLK ( .A(CLK), .Y(W_CLK) );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_RST_N ( .A(RST_N), .Y(W_RST_N) );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_15 ( .A(DATAIN_15), .Y(W_DATAIN_15_)
         );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_14 ( .A(DATAIN_14), .Y(W_DATAIN_14_)
         );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_13 ( .A(DATAIN_13), .Y(W_DATAIN_13_)
         );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_12 ( .A(DATAIN_12), .Y(W_DATAIN_12_)
         );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_11 ( .A(DATAIN_11), .Y(W_DATAIN_11_)
         );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_10 ( .A(DATAIN_10), .Y(W_DATAIN_10_)
         );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_9 ( .A(DATAIN_9), .Y(W_DATAIN_9_) );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_8 ( .A(DATAIN_8), .Y(W_DATAIN_8_) );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_7 ( .A(DATAIN_7), .Y(W_DATAIN_7_) );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_6 ( .A(DATAIN_6), .Y(W_DATAIN_6_) );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_5 ( .A(DATAIN_5), .Y(W_DATAIN_5_) );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_4 ( .A(DATAIN_4), .Y(W_DATAIN_4_) );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_3 ( .A(DATAIN_3), .Y(W_DATAIN_3_) );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_2 ( .A(DATAIN_2), .Y(W_DATAIN_2_) );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_1 ( .A(DATAIN_1), .Y(W_DATAIN_1_) );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_0 ( .A(DATAIN_0), .Y(W_DATAIN_0_) );
  C0S8L0STARCIO_FE_TWF1IC33AS IBUF_SEL_ID ( .A(SEL_ID), .Y(W_SEL_ID) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_15 ( .A(W_DOUT_15_), .C0(
        n_Logic0_), .C1(n_Logic0_), .CTL(n_Logic0_), .OEN(n_Logic1_), .Y0(
        DOUT_15) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_14 ( .A(W_DOUT_14_), .C0(
        n_Logic0_), .C1(n_Logic0_), .CTL(n_Logic0_), .OEN(n_Logic1_), .Y0(
        DOUT_14) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_13 ( .A(W_DOUT_13_), .C0(
        n_Logic0_), .C1(n_Logic0_), .CTL(n_Logic0_), .OEN(n_Logic1_), .Y0(
        DOUT_13) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_12 ( .A(W_DOUT_12_), .C0(
        n_Logic0_), .C1(n55), .CTL(n_Logic0_), .OEN(n_Logic1_), .Y0(DOUT_12)
         );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_11 ( .A(W_DOUT_11_), .C0(n55), 
        .C1(n55), .CTL(n55), .OEN(n_Logic1_), .Y0(DOUT_11) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_10 ( .A(W_DOUT_10_), .C0(n55), 
        .C1(n55), .CTL(n55), .OEN(n_Logic1_), .Y0(DOUT_10) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_9 ( .A(W_DOUT_9_), .C0(n55), .C1(
        n55), .CTL(n55), .OEN(n_Logic1_), .Y0(DOUT_9) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_8 ( .A(W_DOUT_8_), .C0(n54), .C1(
        n54), .CTL(n55), .OEN(n_Logic1_), .Y0(DOUT_8) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_7 ( .A(W_DOUT_7_), .C0(n54), .C1(
        n54), .CTL(n54), .OEN(n_Logic1_), .Y0(DOUT_7) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_6 ( .A(W_DOUT_6_), .C0(n54), .C1(
        n54), .CTL(n54), .OEN(n_Logic1_), .Y0(DOUT_6) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_5 ( .A(W_DOUT_5_), .C0(n54), .C1(
        n54), .CTL(n54), .OEN(n_Logic1_), .Y0(DOUT_5) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_4 ( .A(W_DOUT_4_), .C0(n53), .C1(
        n53), .CTL(n53), .OEN(n57), .Y0(DOUT_4) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_3 ( .A(W_DOUT_3_), .C0(n53), .C1(
        n53), .CTL(n53), .OEN(n57), .Y0(DOUT_3) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_2 ( .A(W_DOUT_2_), .C0(n53), .C1(
        n53), .CTL(n53), .OEN(n57), .Y0(DOUT_2) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_1 ( .A(W_DOUT_1_), .C0(n53), .C1(
        n52), .CTL(n53), .OEN(n57), .Y0(DOUT_1) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_0 ( .A(W_DOUT_0_), .C0(n52), .C1(
        n52), .CTL(n52), .OEN(n57), .Y0(DOUT_0) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_15 ( .A(W_ADDR_15_), .C0(n52), 
        .C1(n52), .CTL(n52), .OEN(n57), .Y0(ADDR_15) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_14 ( .A(W_ADDR_14_), .C0(n52), 
        .C1(n52), .CTL(n52), .OEN(n57), .Y0(ADDR_14) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_13 ( .A(W_ADDR_13_), .C0(n51), 
        .C1(n51), .CTL(n52), .OEN(n57), .Y0(ADDR_13) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_12 ( .A(W_ADDR_12_), .C0(n51), 
        .C1(n51), .CTL(n51), .OEN(n57), .Y0(ADDR_12) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_11 ( .A(W_ADDR_11_), .C0(n51), 
        .C1(n51), .CTL(n51), .OEN(n57), .Y0(ADDR_11) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_10 ( .A(W_ADDR_10_), .C0(n51), 
        .C1(n51), .CTL(n51), .OEN(n57), .Y0(ADDR_10) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_9 ( .A(W_ADDR_9_), .C0(n50), .C1(
        n50), .CTL(n50), .OEN(n56), .Y0(ADDR_9) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_8 ( .A(W_ADDR_8_), .C0(n50), .C1(
        n50), .CTL(n50), .OEN(n56), .Y0(ADDR_8) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_7 ( .A(W_ADDR_7_), .C0(n50), .C1(
        n50), .CTL(n50), .OEN(n56), .Y0(ADDR_7) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_6 ( .A(W_ADDR_6_), .C0(n50), .C1(
        n49), .CTL(n50), .OEN(n56), .Y0(ADDR_6) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_5 ( .A(W_ADDR_5_), .C0(n49), .C1(
        n49), .CTL(n49), .OEN(n56), .Y0(ADDR_5) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_4 ( .A(W_ADDR_4_), .C0(n49), .C1(
        n49), .CTL(n49), .OEN(n56), .Y0(ADDR_4) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_3 ( .A(W_ADDR_3_), .C0(n49), .C1(
        n49), .CTL(n49), .OEN(n56), .Y0(ADDR_3) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_2 ( .A(W_ADDR_2_), .C0(n48), .C1(
        n48), .CTL(n49), .OEN(n56), .Y0(ADDR_2) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_1 ( .A(W_ADDR_1_), .C0(n48), .C1(
        n48), .CTL(n48), .OEN(n56), .Y0(ADDR_1) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_0 ( .A(W_ADDR_0_), .C0(n48), .C1(
        n48), .CTL(n48), .OEN(n56), .Y0(ADDR_0) );
  C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_WE_N ( .A(W_WE_N), .C0(n48), .C1(n48), 
        .CTL(n48), .OEN(n56), .Y0(WE_N) );
  POCOP POCOP_0 ( .CLK(W_CLK), .RST_N(W_RST_N), .IDATAIN({W_IDATAIN_15_, 
        W_IDATAIN_14_, W_IDATAIN_13_, W_IDATAIN_12_, W_IDATAIN_11_, 
        W_IDATAIN_10_, W_IDATAIN_9_, W_IDATAIN_8_, W_IDATAIN_7_, W_IDATAIN_6_, 
        W_IDATAIN_5_, W_IDATAIN_4_, W_IDATAIN_3_, W_IDATAIN_2_, W_IDATAIN_1_, 
        W_IDATAIN_0_}), .DDATAIN({W_DDATAIN_15_, W_DDATAIN_14_, W_DDATAIN_13_, 
        W_DDATAIN_12_, W_DDATAIN_11_, W_DDATAIN_10_, W_DDATAIN_9_, 
        W_DDATAIN_8_, W_DDATAIN_7_, W_DDATAIN_6_, W_DDATAIN_5_, W_DDATAIN_4_, 
        W_DDATAIN_3_, W_DDATAIN_2_, W_DDATAIN_1_, W_DDATAIN_0_}), .IADDR({
        W_IADDR_15_, W_IADDR_14_, W_IADDR_13_, W_IADDR_12_, W_IADDR_11_, 
        W_IADDR_10_, W_IADDR_9_, W_IADDR_8_, W_IADDR_7_, W_IADDR_6_, 
        W_IADDR_5_, W_IADDR_4_, W_IADDR_3_, W_IADDR_2_, W_IADDR_1_, W_IADDR_0_}), .DADDR({W_DADDR_15_, W_DADDR_14_, W_DADDR_13_, W_DADDR_12_, W_DADDR_11_, 
        W_DADDR_10_, W_DADDR_9_, W_DADDR_8_, W_DADDR_7_, W_DADDR_6_, 
        W_DADDR_5_, W_DADDR_4_, W_DADDR_3_, W_DADDR_2_, W_DADDR_1_, W_DADDR_0_}), .DDATAOUT({W_DOUT_15_, W_DOUT_14_, W_DOUT_13_, W_DOUT_12_, W_DOUT_11_, 
        W_DOUT_10_, W_DOUT_9_, W_DOUT_8_, W_DOUT_7_, W_DOUT_6_, W_DOUT_5_, 
        W_DOUT_4_, W_DOUT_3_, W_DOUT_2_, W_DOUT_1_, W_DOUT_0_}), .WE_N(W_WE_N)
         );
  LDL_INV_1 U68 ( .A(W_SEL_ID), .X(n37) );
  LDL_INV_1 U69 ( .A(n39), .X(n36) );
  LDL_BUF_1 U70 ( .A(W_SEL_ID), .X(n39) );
  LDL_BUF_1 U71 ( .A(W_SEL_ID), .X(n41) );
  LDL_BUF_1 U72 ( .A(W_SEL_ID), .X(n40) );
  LDL_INV_1 U73 ( .A(W_SEL_ID), .X(n38) );
  LDL_NR2_1 U74 ( .A1(n40), .A2(n35), .X(W_DDATAIN_0_) );
  LDL_NR2_1 U75 ( .A1(n41), .A2(n28), .X(W_DDATAIN_1_) );
  LDL_NR2_1 U76 ( .A1(n40), .A2(n27), .X(W_DDATAIN_2_) );
  LDL_NR2_1 U77 ( .A1(n39), .A2(n26), .X(W_DDATAIN_3_) );
  LDL_NR2_1 U78 ( .A1(n39), .A2(n25), .X(W_DDATAIN_4_) );
  LDL_NR2_1 U79 ( .A1(n40), .A2(n24), .X(W_DDATAIN_5_) );
  LDL_NR2_1 U80 ( .A1(n41), .A2(n23), .X(W_DDATAIN_6_) );
  LDL_NR2_1 U81 ( .A1(n40), .A2(n22), .X(W_DDATAIN_7_) );
  LDL_NR2_1 U82 ( .A1(n41), .A2(n30), .X(W_DDATAIN_14_) );
  LDL_NR2_1 U83 ( .A1(n40), .A2(n29), .X(W_DDATAIN_15_) );
  LDL_NR2_1 U84 ( .A1(n39), .A2(n33), .X(W_DDATAIN_11_) );
  LDL_NR2_1 U85 ( .A1(W_SEL_ID), .A2(n21), .X(W_DDATAIN_8_) );
  LDL_NR2_1 U86 ( .A1(n39), .A2(n19), .X(W_DDATAIN_9_) );
  LDL_NR2_1 U87 ( .A1(n41), .A2(n31), .X(W_DDATAIN_13_) );
  LDL_NR2_1 U88 ( .A1(n39), .A2(n34), .X(W_DDATAIN_10_) );
  LDL_NR2_1 U89 ( .A1(n40), .A2(n32), .X(W_DDATAIN_12_) );
  LDL_NR2_1 U90 ( .A1(n36), .A2(n28), .X(W_IDATAIN_1_) );
  LDL_NR2_1 U91 ( .A1(n36), .A2(n27), .X(W_IDATAIN_2_) );
  LDL_NR2_1 U92 ( .A1(n36), .A2(n26), .X(W_IDATAIN_3_) );
  LDL_NR2_1 U93 ( .A1(n36), .A2(n25), .X(W_IDATAIN_4_) );
  LDL_NR2_1 U94 ( .A1(n36), .A2(n24), .X(W_IDATAIN_5_) );
  LDL_NR2_1 U95 ( .A1(n36), .A2(n23), .X(W_IDATAIN_6_) );
  LDL_NR2_1 U96 ( .A1(n36), .A2(n22), .X(W_IDATAIN_7_) );
  LDL_NR2_1 U97 ( .A1(n36), .A2(n21), .X(W_IDATAIN_8_) );
  LDL_NR2_1 U98 ( .A1(n36), .A2(n32), .X(W_IDATAIN_12_) );
  LDL_NR2_1 U99 ( .A1(n36), .A2(n31), .X(W_IDATAIN_13_) );
  LDL_NR2_1 U100 ( .A1(n36), .A2(n30), .X(W_IDATAIN_14_) );
  LDL_NR2_1 U101 ( .A1(n36), .A2(n29), .X(W_IDATAIN_15_) );
  LDL_NR2_1 U102 ( .A1(n37), .A2(n35), .X(W_IDATAIN_0_) );
  LDL_NR2_1 U103 ( .A1(n37), .A2(n34), .X(W_IDATAIN_10_) );
  LDL_NR2_1 U104 ( .A1(n37), .A2(n33), .X(W_IDATAIN_11_) );
  LDL_NR2_1 U105 ( .A1(n19), .A2(n37), .X(W_IDATAIN_9_) );
  LDL_AO22_1 U106 ( .A1(W_IADDR_1_), .A2(n39), .B1(W_DADDR_1_), .B2(n38), .X(
        W_ADDR_1_) );
  LDL_AO22_1 U107 ( .A1(W_IADDR_2_), .A2(n40), .B1(W_DADDR_2_), .B2(n38), .X(
        W_ADDR_2_) );
  LDL_AO22_1 U108 ( .A1(W_IADDR_3_), .A2(n41), .B1(W_DADDR_3_), .B2(n38), .X(
        W_ADDR_3_) );
  LDL_AO22_1 U109 ( .A1(W_IADDR_4_), .A2(n39), .B1(W_DADDR_4_), .B2(n37), .X(
        W_ADDR_4_) );
  LDL_AO22_1 U110 ( .A1(W_IADDR_5_), .A2(W_SEL_ID), .B1(W_DADDR_5_), .B2(n37), 
        .X(W_ADDR_5_) );
  LDL_AO22_1 U111 ( .A1(W_IADDR_6_), .A2(W_SEL_ID), .B1(W_DADDR_6_), .B2(n37), 
        .X(W_ADDR_6_) );
  LDL_AO22_1 U112 ( .A1(W_IADDR_7_), .A2(n41), .B1(W_DADDR_7_), .B2(n37), .X(
        W_ADDR_7_) );
  LDL_AO22_1 U113 ( .A1(W_IADDR_0_), .A2(n41), .B1(W_DADDR_0_), .B2(n37), .X(
        W_ADDR_0_) );
  LDL_AO22_1 U114 ( .A1(W_IADDR_8_), .A2(W_SEL_ID), .B1(W_DADDR_8_), .B2(n37), 
        .X(W_ADDR_8_) );
  LDL_AO22_1 U115 ( .A1(W_IADDR_9_), .A2(W_SEL_ID), .B1(W_DADDR_9_), .B2(n37), 
        .X(W_ADDR_9_) );
  LDL_AO22_1 U116 ( .A1(W_IADDR_10_), .A2(W_SEL_ID), .B1(W_DADDR_10_), .B2(n37), .X(W_ADDR_10_) );
  LDL_AO22_1 U117 ( .A1(W_IADDR_11_), .A2(n41), .B1(W_DADDR_11_), .B2(n38), 
        .X(W_ADDR_11_) );
  LDL_AO22_1 U118 ( .A1(W_IADDR_12_), .A2(n40), .B1(W_DADDR_12_), .B2(n38), 
        .X(W_ADDR_12_) );
  LDL_AO22_1 U119 ( .A1(W_IADDR_13_), .A2(n41), .B1(W_DADDR_13_), .B2(n38), 
        .X(W_ADDR_13_) );
  LDL_AO22_1 U120 ( .A1(W_IADDR_14_), .A2(n39), .B1(W_DADDR_14_), .B2(n38), 
        .X(W_ADDR_14_) );
  LDL_AO22_1 U121 ( .A1(W_IADDR_15_), .A2(n40), .B1(W_DADDR_15_), .B2(n38), 
        .X(W_ADDR_15_) );
  LDL_INV_1 U122 ( .A(W_DATAIN_9_), .X(n19) );
  LDL_INV_1 U123 ( .A(W_DATAIN_0_), .X(n35) );
  LDL_INV_1 U124 ( .A(W_DATAIN_1_), .X(n28) );
  LDL_INV_1 U125 ( .A(W_DATAIN_2_), .X(n27) );
  LDL_INV_1 U126 ( .A(W_DATAIN_3_), .X(n26) );
  LDL_INV_1 U127 ( .A(W_DATAIN_4_), .X(n25) );
  LDL_INV_1 U128 ( .A(W_DATAIN_5_), .X(n24) );
  LDL_INV_1 U129 ( .A(W_DATAIN_6_), .X(n23) );
  LDL_INV_1 U130 ( .A(W_DATAIN_7_), .X(n22) );
  LDL_INV_1 U131 ( .A(W_DATAIN_8_), .X(n21) );
  LDL_INV_1 U132 ( .A(W_DATAIN_10_), .X(n34) );
  LDL_INV_1 U133 ( .A(W_DATAIN_11_), .X(n33) );
  LDL_INV_1 U134 ( .A(W_DATAIN_12_), .X(n32) );
  LDL_INV_1 U135 ( .A(W_DATAIN_13_), .X(n31) );
  LDL_INV_1 U136 ( .A(W_DATAIN_14_), .X(n30) );
  LDL_INV_1 U137 ( .A(W_DATAIN_15_), .X(n29) );
  LDH_CLHL U138 ( .L(n48), .H(n56) );
  LDH_CLHL U139 ( .L(n49) );
  LDH_CLHL U140 ( .L(n50) );
  LDH_CLHL U141 ( .L(n51) );
  LDH_CLHL U142 ( .L(n52) );
  LDH_CLHL U143 ( .L(n53) );
  LDH_CLHL U144 ( .L(n54) );
  LDH_CLHL U145 ( .L(n55), .H(n57) );
  LDH_CLHL U146 ( .L(n_Logic0_), .H(n_Logic1_) );
endmodule

