###################################################
# Set Input Parameter
###################################################
set I_CNF ../../database/conf/VDEC_soce.conf
set I_LEF ../../database/lef/lef
set I_NET ../../database/netlist/POCOP_TOP-compile.v
set I_DEF ./io.def.gz
set O_DEF ./floorplan.def.gz
set O_NET ./floorplan.v.gz
set chipsize 2.5
#set chipsize 5.0
#set chipsize 5025
###################################################
# Data in
###################################################

loadConfig $I_CNF 0
setUIVar rda_Input ui_netlist $I_NET
setUIVar rda_Input ui_leffile $I_LEF
commitConfig

if { $chipsize == "2.5" } {
#   floorPlan -site nc40_dsc \
#             -b -1158.960 -1158.960 \
#                 1158.960  1158.960 \
#                -1158.960 -1158.960 \
#                 1158.960  1158.960 \
#                 -917.796  -917.796 \
#                  917.796   917.796
   floorPlan -site nc40_dsc \
             -b -1158.960 -1158.960 \
                 1158.960  1158.960 \
                -1158.960 -1158.960 \
                 1158.960  1158.960 \
                 -827.640  -827.640 \
                  827.640   827.640
} elseif { $chipsize == "5.0" } {
   floorPlan -site nc40_dsc \
             -b -2422.992 -2422.992 \
                 2422.992  2422.992 \
                -2422.992 -2422.992 \
                 2422.992  2422.992 \
                -2181.828 -2181.828 \
                 2181.828 2181.828
} elseif { $chipsize == "5025" } {
   floorPlan -site nc40_dsc \
             -b -2422.992 -1158.960 \
                 2422.992  1158.960 \
                -2422.992 -1158.960 \
                 2422.992  1158.960 \
                -2181.828  -917.796 \
                 2181.828   917.796
}

generateTracks \
-m1HOffset 0 -m1HPitch 0.132 -m1VOffset 0.066 -m1VPitch 0.132 \
-m2HOffset 0 -m2HPitch 0.132 -m2VOffset 0.066 -m2VPitch 0.132 \
-m3HOffset 0 -m3HPitch 0.132 -m3VOffset 0.066 -m3VPitch 0.132 \
-m4HOffset 0 -m4HPitch 0.132 -m4VOffset 0.066 -m4VPitch 0.132 \
-m5HOffset 0 -m5HPitch 0.132 -m5VOffset 0.066 -m5VPitch 0.132 \
-m6HOffset 0 -m6HPitch 0.264 -m6VOffset 0.066 -m6VPitch 0.264 \
-m7HOffset 0 -m7HPitch 0.792 -m7VOffset 0.066 -m7VPitch 0.792

source file/mkdef.tcl
defin $I_DEF

# source file/place_macro.tcl

#### additional commands 
# deselectAll

# dbForEachCellIo [dbgTopCell] ioPtr {
# 	selectInst [dbInstName [dbIoInst $ioPtr]]
# }
# cutRow  -selected -leftGap 4.455 -rightGap 4.455 -bottomGap 4.455 -topGap 4.455
# deselectAll

# addEndCap -preCap LDL_POWERSTOPL -postCap LDL_POWERSTOPR \
# 	-prefix LDL_POWERSTOP_
#### end of additional commands 

setPreference ConstraintUserXOffset 0.066
setPreference BlockSnapRule 2
setPreference ConstraintUserXGrid 0.132
setPreference ConstraintUserYGrid 0.132
deselectAll
snapFPlan -block

checkMacroLLOnTrack -useM2M3Track

set dbgLefDefOutVersion 5.6
saveNetlist $O_NET
defout -floorplan -placement -netlist -routing -noCutRow $O_DEF
#exit
