###################################################
# Set Input Parameter
###################################################
set design         POCOP_TOP
set pinassign_list ../../database/pin_assign/pin_assign_poco.csv
set pad_file       ../../database/pad_file/chip_2500x2500_FPBGA_pad.list
set output_def    io.def.gz

set chipsize 2.5
#set chipsize 5.0
#set chipsize 5025

set iocell C0S8L0STARCIO_FE_TWF1IC33AS
set plliocell C0S8L0STARCIO_FE_ACPLIO38V10
#set pllcell "C0S8L0STARCIO_FE_ACPLMPHH38V10 pll"
set pllcell "ACPLSCHL38V10 pll"

set iofill C0S8L0STARCIO_FE_TWF1SFCELL33
set CORNERBL "NECBLBUFF C0S8L0STARCIO_FE_TWF1SBLBUFF"
set CORNERBR "NECBRBUFF C0S8L0STARCIO_FE_TWF1SBRBUFF"
set CORNERTR "NECTRBUFF C0S8L0STARCIO_FE_TWF1STRBUFF"
set CORNERTL "NECTLBUFF C0S8L0STARCIO_FE_TWF1STLBUFF"
###################################################
# make IODEF script for SoC Encounter
###################################################
if { $chipsize == "2.5" } {
	set SIZE "-1250000 -1250000 1250000 1250000"
	set GRID "-1113916 -1113916 1113916 1113916"
	set CHWIDTH "91040 91040 91040 91040"
} elseif { $chipsize == "5.0" } {
	set	SIZE  "-2500000  -2500000  2500000  2500000"
	set	GRID  "-2377948  -2377948  2377948  2377948"
	set	CHWIDTH  "77008  77008  77008  77008"
} elseif { $chipsize == "5025" } {
	set	SIZE  "-2500000  -1250000  2500000  1250000"
	set	GRID  "-2377948  -1113916  2377948  1113916"
	set	CHWIDTH  "77008  91040  77008  91040"
}
set iocell_x [expr [lindex [dbCellDim [dbGetCellByName $iocell]] 0 ]]
set iocell_y [expr [lindex [dbCellDim [dbGetCellByName $iocell]] 1 ]]
set plliocell_x [expr [lindex [dbCellDim [dbGetCellByName $plliocell]] 0 ]]
set plliocell_y [expr [lindex [dbCellDim [dbGetCellByName $plliocell]] 1 ]]
set pllcell_x [expr [lindex [dbCellDim [dbGetCellByName [lindex $pllcell 0 ]]] 0 ]]
set pllcell_y [expr [lindex [dbCellDim [dbGetCellByName [lindex $pllcell 0 ]]] 1 ]]
set offset_tx [expr $iocell_x/2]
set offset_rx [expr ($iocell_y - [expr ([lindex $SIZE 2] - [lindex $GRID 2] - [lindex $CHWIDTH 2])])]
set offset_bx [expr $iocell_x/2]
set offset_lx [expr -([lindex $SIZE 0] - [lindex $GRID 0] + [lindex $CHWIDTH 0])]
set offset_ty [expr ($iocell_y - [expr ([lindex $SIZE 3] - [lindex $GRID 3] - [lindex $CHWIDTH 3])])]
set offset_ry [expr $iocell_x/2]
set offset_by [expr -([lindex $SIZE 1] - [lindex $GRID 1] + [lindex $CHWIDTH 1])]
set offset_ly [expr $iocell_x/2]

set file1 [open $pad_file r] 
while { [gets $file1 line] >= 0 } {
	set padno [lindex $line 0] 
	set io_ori($padno) [lindex $line 6]
	if { $io_ori($padno) == "N" } {
		set io_llx($padno) [expr [lindex $line 2] - ($offset_bx)]
		set io_lly($padno) [expr [lindex $line 3] - ($offset_by)]
		set last_n_pad [lindex $line 0]
	} elseif { $io_ori($padno) == "W" } {
		set io_llx($padno) [expr [lindex $line 2] - ($offset_rx)]
		set io_lly($padno) [expr [lindex $line 3] - ($offset_ry)]
		set last_w_pad [lindex $line 0]
	} elseif { $io_ori($padno) == "S" } {
		set io_llx($padno) [expr [lindex $line 2] - ($offset_tx)]
		set io_lly($padno) [expr [lindex $line 3] - ($offset_ty)]
		set last_s_pad [lindex $line 0]
	} elseif { $io_ori($padno) == "E" } {
		set io_llx($padno) [expr [lindex $line 2] - ($offset_lx)]
		set io_lly($padno) [expr [lindex $line 3] - ($offset_ly)]
		set last_e_pad [lindex $line 0]
	}
}
close $file1

set file [open $output_def w]
puts $file "VERSION 5.6 ;
DIVIDERCHAR \"/\" ;
BUSBITCHARS \"\[\]\" ;
DESIGN $design ;
UNITS DISTANCE MICRONS 1000 ;
COMPONENTS 1 ;
\- [lindex $CORNERBL 0] [lindex $CORNERBL 1] \+ SOURCE DIST \+ FIXED \( [expr [lindex $SIZE 0] + [lindex $CHWIDTH 0]] [expr [lindex $SIZE 1] + [lindex $CHWIDTH 1]] \) N \;
\- [lindex $CORNERBR 0] [lindex $CORNERBR 1] \+ SOURCE DIST \+ FIXED \( [expr [lindex $SIZE 2] - [lindex $CHWIDTH 2] - [lindex [dbCellDim [dbGetCellByName [lindex $CORNERBR 1]]] 0 ]] [expr [lindex $SIZE 1] + [lindex $CHWIDTH 1]] \) N \;
\- [lindex $CORNERTR 0] [lindex $CORNERTR 1] \+ SOURCE DIST \+ FIXED \( [expr [lindex $SIZE 2] - [lindex $CHWIDTH 2] - [lindex [dbCellDim [dbGetCellByName [lindex $CORNERTR 1]]] 0 ]] [expr [lindex $SIZE 3] - [lindex $CHWIDTH 3] - [lindex [dbCellDim [dbGetCellByName [lindex $CORNERTR 1]]] 1 ]] \) N \;
\- [lindex $CORNERTL 0] [lindex $CORNERTL 1] \+ SOURCE DIST \+ FIXED \( [expr [lindex $SIZE 0] + [lindex $CHWIDTH 0]] [expr [lindex $SIZE 3] - [lindex $CHWIDTH 3] - [lindex [dbCellDim [dbGetCellByName [lindex $CORNERTL 1]]] 1 ]] \) N \;"

set flag 0
set flag_pll 0
set inner_offset 108902
set file2 [open $pinassign_list r]
while {[gets $file2 line] >= 0 } {
	set line [split "$line" ,]
	if {[lindex $line 1] eq "PKG-PIN_No."} {
		set flag {1}
		continue
	}
	if {$flag == "0"} {continue}
		set padNo [lindex $line 2]
		set portName($padNo) [lindex $line 5]
		set pad_pos($padNo) [lindex $line 4]
	if {[regexp {^$} [lindex $line 5]]} {
		continue
	} elseif {[regexp {^PLL_} [lindex $line 5]]} {
		if {$flag_pll == "0"} { 
			if {[regexp {^PLL_GND} [lindex $line 5]]} {
				set pll_gnd_no [lindex $line 2]
				set flag_pll 1
				continue
			} elseif {[regexp {^PLL_VDD} [lindex $line 5]]} {
				set pll_vdd_no [lindex $line 2]
				set flag_pll 1
				continue
			}
		} elseif {$flag_pll == "1"} {
			if {[regexp {^PLL_VDD} [lindex $line 5]]} {
				set ftermPtr [dbGetFTermByName $portName($padNo)]
	                	dbForEachNetInputTerm [dbFTermNet $ftermPtr] i {
                        		set instName($portName($padNo)) [dbTermInstName $i]
                        		set pllslot 7
				}
				if { [expr [lindex $line 2] - $pll_gnd_no] == 4 } {
	        	        	set pllio_offset_left [expr $iocell_x * 5]
        	        	        set pllio_offset_right [expr $iocell_x * 1]
        	               	} else {
        	                      	set pllio_offset_left [expr $iocell_x * 4]
        	                       	set pllio_offset_right [expr $iocell_x * 2]
                        	}
                        	if { $io_ori($padNo) == "N" } {
                        	        set io_llx($padNo) [expr $io_llx($padNo) - $pllio_offset_left]
                        	        for {set i 0} {$i < $pllslot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($i * $iocell_x)],$io_lly($padNo)) 1 }
                        	        set pllcell_llx [expr $io_llx($padNo) + ($plliocell_x / 2) - ($pllcell_x / 2) ]
                        	        set pllcell_lly [expr $io_lly($padNo) + $plliocell_y]
                        	        set pllcell_ori $io_ori($padNo)
                        	} elseif { $io_ori($padNo) == "W" } {
                        	        set io_llx($padNo) [expr $io_llx($padNo) - ($plliocell_y - $iocell_y)]
                        	        set io_lly($padNo) [expr $io_lly($padNo) - $pllio_offset_left]
                        	        for {set i 0} {$i < $pllslot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($plliocell_y - $iocell_y)],[expr $io_lly($padNo) + ($i * $iocell_x)]) 1 }
                        	        set pllcell_llx [expr $io_llx($padNo) - $pllcell_x]
                        	        set pllcell_lly [expr $io_lly($padNo) + ($plliocell_x / 2) - ($pllcell_y / 2) ]
                        	        set pllcell_ori $io_ori($padNo)
                        	} elseif { $io_ori($padNo) == "S" } {
                        	        set io_llx($padNo) [expr $io_llx($padNo) - $pllio_offset_right]
                        	        set io_lly($padNo) [expr $io_lly($padNo) - ($plliocell_y - $iocell_y)]
                        	        for {set i 0} {$i < $pllslot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($i * $iocell_x)],[expr $io_lly($padNo) + ($plliocell_y - $iocell_y)]) 1 }
                        	        set pllcell_llx [expr $io_llx($padNo) + ($plliocell_x / 2) - ($pllcell_x / 2) ]
                        	        set pllcell_lly [expr $io_lly($padNo) - $pllcell_y]
                        	        set pllcell_ori $io_ori($padNo)
                        	} elseif { $io_ori($padNo) == "E" } {
                        	        set io_lly($padNo) [expr $io_lly($padNo) - $pllio_offset_right]
                        	        for {set i 0} {$i < $pllslot} {incr i} { set flag_fill($io_llx($padNo),[expr $io_lly($padNo) + ($i * $iocell_x)]) 1 }
                        	        set pllcell_llx [expr $io_llx($padNo) + $plliocell_y]
                        	        set pllcell_lly [expr $io_lly($padNo) + ($plliocell_x / 2) - ($pllcell_y / 2) ]
                        	        set pllcell_ori $io_ori($padNo)
                        	}
                        	set celName($portName($padNo)) [dbInstCellName $instName($portName($padNo))]
                        	set flag_pll 0
                	} elseif {[regexp {^PLL_GND} [lindex $line 5]]} {
				set ftermPtr [dbGetFTermByName $portName($padNo)]
                                dbForEachNetInputTerm [dbFTermNet $ftermPtr] i {
                                	set instName($portName($padNo)) [dbTermInstName $i]
                                	set pllslot 7
				}
		               	if { [expr [lindex $line 2] - $pll_vdd_no] == 4 } {
	               			set pllio_offset_left [expr $iocell_x * 5]
	               	       		set pllio_offset_right [expr $iocell_x * 1]
	               		} else {
	               	       		set pllio_offset_left [expr $iocell_x * 4]
	               	       		set pllio_offset_right [expr $iocell_x * 2]
	               		}
	                	if { $io_ori($padNo) == "N" } {
	                	        set io_llx($padNo) [expr $io_llx($padNo) - $pllio_offset_left]
					set io_ori($padNo) FN
	                	        for {set i 0} {$i < $pllslot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($i * $iocell_x)],$io_lly($padNo)) 1 }
	                	        set pllcell_llx [expr $io_llx($padNo) + ($plliocell_x / 2) - ($pllcell_x / 2) ]
	                	        set pllcell_lly [expr $io_lly($padNo) + $plliocell_y]
	                	        set pllcell_ori FN
		        	} elseif { $io_ori($padNo) == "W" } {
	    	        	        set io_llx($padNo) [expr $io_llx($padNo) - ($plliocell_y - $iocell_y)]
	                	        set io_lly($padNo) [expr $io_lly($padNo) - $pllio_offset_left]
					set io_ori($padNo) FE
	                	        for {set i 0} {$i < $pllslot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($plliocell_y - $iocell_y)],[expr $io_lly($padNo) + ($i * $iocell_x)]) 1 }
	                	        set pllcell_llx [expr $io_llx($padNo) - $pllcell_x]
	                	        set pllcell_lly [expr $io_lly($padNo) + ($plliocell_x / 2) - ($pllcell_y / 2) ]
	                	        set pllcell_ori FE
	                	} elseif { $io_ori($padNo) == "S" } {
	                	        set io_llx($padNo) [expr $io_llx($padNo) - $pllio_offset_right]
	                	        set io_lly($padNo) [expr $io_lly($padNo) - ($plliocell_y - $iocell_y)]
					set io_ori($padNo) FS
	                	        for {set i 0} {$i < $pllslot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($i * $iocell_x)],[expr $io_lly($padNo) + ($plliocell_y - $iocell_y)]) 1 }
	                	        set pllcell_llx [expr $io_llx($padNo) + ($plliocell_x / 2) - ($pllcell_x / 2) ]
	                	        set pllcell_lly [expr $io_lly($padNo) - $pllcell_y]
	                	        set pllcell_ori FS
	                	} elseif { $io_ori($padNo) == "E" } {
	                	        set io_lly($padNo) [expr $io_lly($padNo) - $pllio_offset_right]
					set io_ori($padNo) FW
	                	        for {set i 0} {$i < $pllslot} {incr i} { set flag_fill($io_llx($padNo),[expr $io_lly($padNo) + ($i * $iocell_x)]) 1 }
	                	        set pllcell_llx [expr $io_llx($padNo) + $plliocell_y]
	                	        set pllcell_lly [expr $io_lly($padNo) + ($plliocell_x / 2) - ($pllcell_y / 2) ]
	                	        set pllcell_ori FW
	                	}
	                	set celName($portName($padNo)) [dbInstCellName $instName($portName($padNo))]
				set flag_pll 0
			}
			puts $file "- [lindex $pllcell 1] [lindex $pllcell 0] + FIXED ( $pllcell_llx $pllcell_lly ) $pllcell_ori ;"
		}
	} elseif {[regexp {^VDD|^GND|^CTR3|^CTR4|^CTR5|^CTR6} [lindex $line 5]]} {
		set instName($portName($padNo)) "$portName($padNo)_$padNo"
		set celName($portName($padNo)) [lindex $line 7]
		if { [regexp {^VDD|^GND} [lindex $line 5]] } {
			if { [regexp {inner} [lindex $line 4]] } {
				if { [regexp {W$} [lindex $line 6]] } {
					set VG_slot 2
					if { $io_ori($padNo) == "N" } {
						set io_lly($padNo) [expr $io_lly($padNo) - $inner_offset]
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($i * $iocell_x)],$io_lly($padNo)) 1 }
					} elseif { $io_ori($padNo) == "W" } {
						set io_llx($padNo) [expr $io_llx($padNo) + $inner_offset]
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill($io_llx($padNo),[expr $io_lly($padNo) + ($i * $iocell_x)]) 1 }
					} elseif { $io_ori($padNo) == "S" } {
						set io_llx($padNo) [expr $io_llx($padNo) - $iocell_x]
						set io_lly($padNo) [expr $io_lly($padNo) + $inner_offset]
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($i * $iocell_x)],$io_lly($padNo)) 1 }
					} elseif { $io_ori($padNo) == "E" } {
						set io_llx($padNo) [expr $io_llx($padNo) - $inner_offset]
						set io_lly($padNo) [expr $io_lly($padNo) - $iocell_x]
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill($io_llx($padNo),[expr $io_lly($padNo) + ($i * $iocell_x)]) 1 }
					}
				} elseif { [regexp {WA$} [lindex $line 6]] } {
					set VG_slot 2
					if { $io_ori($padNo) == "N" } {
						set io_lly($padNo) [expr $io_lly($padNo) - $inner_offset]
						set io_llx($padNo) [expr $io_llx($padNo) - $iocell_x]
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($i * $iocell_x)],$io_lly($padNo)) 1 }
						set io_ori($padNo) FN
					} elseif { $io_ori($padNo) == "W" } {
						set io_lly($padNo) [expr $io_lly($padNo) - $iocell_x]
						set io_llx($padNo) [expr $io_llx($padNo) + $inner_offset]
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill($io_llx($padNo),[expr $io_lly($padNo) + ($i * $iocell_x)]) 1 }
						set io_ori($padNo) FE
					} elseif { $io_ori($padNo) == "S" } {
						set io_lly($padNo) [expr $io_lly($padNo) + $inner_offset]
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($i * $iocell_x)],$io_lly($padNo)) 1 }
						set io_ori($padNo) FS
					} elseif { $io_ori($padNo) == "E" } {
						set io_llx($padNo) [expr $io_llx($padNo) - $inner_offset]
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill($io_llx($padNo),[expr $io_lly($padNo) + ($i * $iocell_x)]) 1 }
						set io_ori($padNo) FW
					}
				} else {
	                        	if { $io_ori($padNo) == "N" } {
	                        	        set io_lly($padNo) [expr $io_lly($padNo) - $inner_offset]
	                        	} elseif { $io_ori($padNo) == "W" } {
	                        	        set io_llx($padNo) [expr $io_llx($padNo) + $inner_offset]
	                        	} elseif { $io_ori($padNo) == "S" } {
	                        	        set io_lly($padNo) [expr $io_lly($padNo) + $inner_offset]
	                        	} elseif { $io_ori($padNo) == "E" } {
	                        	        set io_llx($padNo) [expr $io_llx($padNo) - $inner_offset]
	                        	}
					set flag_fill($io_llx($padNo),$io_lly($padNo)) 1
				}
			} elseif {[regexp {outer} [lindex $line 4]] } {
				if { [regexp {W$} [lindex $line 6]] } {
					set VG_slot 2
					if { $io_ori($padNo) == "N" } {
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($i * $iocell_x)],$io_lly($padNo)) 1 }
						set io_ori($padNo) FN
					} elseif { $io_ori($padNo) == "W" } {
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill($io_llx($padNo),[expr $io_lly($padNo) + ($i * $iocell_x)]) 1 }
						set io_ori($padNo) FE
					} elseif { $io_ori($padNo) == "S" } {
						set io_llx($padNo) [expr $io_llx($padNo) - $iocell_x]
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($i * $iocell_x)],$io_lly($padNo)) 1 }
						set io_ori($padNo) FS
					} elseif { $io_ori($padNo) == "E" } {
						set io_lly($padNo) [expr $io_lly($padNo) - $iocell_x]
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill($io_llx($padNo),[expr $io_lly($padNo) + ($i * $iocell_x)]) 1 }
						set io_ori($padNo) FW
					}
				} elseif { [regexp {WA$} [lindex $line 6]] } {
					set VG_slot 2
					if { $io_ori($padNo) == "N" } {
						set io_llx($padNo) [expr $io_llx($padNo) - $iocell_x]
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($i * $iocell_x)],$io_lly($padNo)) 1 }
					} elseif { $io_ori($padNo) == "W" } {
						set io_lly($padNo) [expr $io_lly($padNo) - $iocell_x]
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill($io_llx($padNo),[expr $io_lly($padNo) + ($i * $iocell_x)]) 1 }
					} elseif { $io_ori($padNo) == "S" } {
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill([expr $io_llx($padNo) + ($i * $iocell_x)],$io_lly($padNo)) 1 }
					} elseif { $io_ori($padNo) == "E" } {
						for {set i 0} {$i < $VG_slot} {incr i} { set flag_fill($io_llx($padNo),[expr $io_lly($padNo) + ($i * $iocell_x)]) 1 }
					}
				} else {
					set flag_fill($io_llx($padNo),$io_lly($padNo)) 1
				}
			}
		} else {
			set flag_fill($io_llx($padNo),$io_lly($padNo)) 1
		}
	} else {
		set ftermPtr [dbGetFTermByName $portName($padNo)]
		if { [dbIsFTermInput $ftermPtr] } {
			dbForEachNetInputTerm [dbFTermNet $ftermPtr] i {
				if { $i == $ftermPtr} {
				} else {
					set instName($portName($padNo)) [dbTermInstName $i]
				}
			}
		} elseif { [dbIsFTermOutput $ftermPtr] } {
			dbForEachNetOutputTerm [dbFTermNet $ftermPtr] i {
				set instName($portName($padNo)) [dbTermInstName $i]
			}
		} else {continue}
                if { [regexp {inner} [lindex $line 4]] } {
			if { $io_ori($padNo) == "N" } {
				set io_lly($padNo) [expr $io_lly($padNo) - $inner_offset]
			} elseif { $io_ori($padNo) == "W" } {
				set io_llx($padNo) [expr $io_llx($padNo) + $inner_offset]
			} elseif { $io_ori($padNo) == "S" } {
				set io_lly($padNo) [expr $io_lly($padNo) + $inner_offset]
			} elseif { $io_ori($padNo) == "E" } {
				set io_llx($padNo) [expr $io_llx($padNo) - $inner_offset]
			}
		}
		set celName($portName($padNo)) [dbInstCellName $instName($portName($padNo))]
		set flag_fill($io_llx($padNo),$io_lly($padNo)) 1
	}
	puts $file "- $instName($portName($padNo)) $celName($portName($padNo)) + FIXED ( $io_llx($padNo) $io_lly($padNo) ) $io_ori($padNo) ;"
}
#puts $file "- [lindex $pllcell 1] [lindex $pllcell 0] + FIXED ( $pllcell_llx $pllcell_lly ) $pllcell_ori ;"
close $file2

set count 0
for { set i $io_llx(3) } { $i < [expr $io_llx([expr $last_n_pad - 2 ]) + $iocell_x] } {set i [expr $i + $iocell_x]} {
	incr count
	set fill_x $i
	set fill_y $io_lly(1)
	if {![info exists flag_fill($fill_x,$fill_y)] } {
		puts $file1 "\- ${iofill}_$count $iofill \+ SOURCE DIST \+ FIXED \( $fill_x $fill_y \) N \;"
	}
}
for { set i $io_lly([expr $last_n_pad + 3]) } { $i < [expr $io_lly([expr $last_w_pad - 2 ]) + $iocell_x] } {set i [expr $i + $iocell_x]} {
	incr count
	set fill_x $io_llx($last_w_pad)
	set fill_y $i
	if {![info exists flag_fill($fill_x,$fill_y)] } {
		puts $file1 "\- ${iofill}_$count $iofill \+ SOURCE DIST \+ FIXED \( $fill_x $fill_y \) W \;"
	}
}
for { set i $io_llx([expr $last_w_pad + 3]) } { $i > [expr $io_llx([expr $last_s_pad - 2 ]) - $iocell_x] } {set i [expr $i - $iocell_x]} {
	incr count
	set fill_x $i
	set fill_y $io_lly($last_s_pad)
	if {![info exists flag_fill($fill_x,$fill_y)] } {
		puts $file1 "\- ${iofill}_$count $iofill \+ SOURCE DIST \+ FIXED \( $fill_x $fill_y \) S \;"
	}
}
for { set i $io_lly([expr $last_s_pad + 3]) } { $i > [expr $io_lly([expr $last_e_pad - 2 ]) - $iocell_x] } {set i [expr $i - $iocell_x]} {
	incr count
	set fill_x $io_llx($last_e_pad)
	set fill_y $i
	if {![info exists flag_fill($fill_x,$fill_y)] } {
		puts $file1 "\- ${iofill}_$count $iofill \+ SOURCE DIST \+ FIXED \( $fill_x $fill_y \) E \;"
	}
}

puts $file "END COMPONENTS
END DESIGN"
close $file
