###################################################
# Set Input Parameter
###################################################
set design         POCOP_TOP
set pinassign_list ../../database/pin_assign/pin_assign_poco.csv
set pad_file       ../../database/pad_file/chip_2500x2500_FPBGA_pad.list
set output_def    io.def.gz

set chipsize 2.5
#set chipsize 5.0
#set chipsize 5025

set iocell C0S8L0STARCIO_FE_TWF1IC33AS
set plliocell C0S8L0STARCIO_FE_ACPLIO38V10
set pllcell "C0S8L0STARCIO_FE_ACPLMPHH38V10 pll"
set iofill C0S8L0STARCIO_FE_TWF1SFCELL33
set CORNERBL "NECBLBUFF C0S8L0STARCIO_FE_TWF1SBLBUFF"
set CORNERBR "NECBRBUFF C0S8L0STARCIO_FE_TWF1SBRBUFF"
set CORNERTR "NECTRBUFF C0S8L0STARCIO_FE_TWF1STRBUFF"
set CORNERTL "NECTLBUFF C0S8L0STARCIO_FE_TWF1STLBUFF"
###################################################
# make IODEF script for SoC Encounter
###################################################
if { $chipsize == "2.5" } {
	set SIZE "-1250000 -1250000 1250000 1250000"
	set GRID "-1113916 -1113916 1113916 1113916"
	set CHWIDTH "91040 91040 91040 91040"
} elseif { $chipsize == "5.0" } {
	set	SIZE  "-2500000  -2500000  2500000  2500000"
	set	GRID  "-2377948  -2377948  2377948  2377948"
	set	CHWIDTH  "77008  77008  77008  77008"
} elseif { $chipsize == "5025" } {
	set	SIZE  "-2500000  -1250000  2500000  1250000"
	set	GRID  "-2377948  -1113916  2377948  1113916"
	set	CHWIDTH  "77008  91040  77008  91040"
}
set iocell_x [expr [lindex [dbCellDim [dbGetCellByName $iocell]] 0 ]]
set iocell_y [expr [lindex [dbCellDim [dbGetCellByName $iocell]] 1 ]]
set plliocell_x [expr [lindex [dbCellDim [dbGetCellByName $plliocell]] 0 ]]
set plliocell_y [expr [lindex [dbCellDim [dbGetCellByName $plliocell]] 1 ]]
# set pllcell_x [expr [lindex [dbCellDim [dbGetCellByName [lindex $pllcell 0 ]]] 0 ]]
# set pllcell_y [expr [lindex [dbCellDim [dbGetCellByName [lindex $pllcell 0 ]]] 1 ]]
set offset_tx [expr $iocell_x/2]
set offset_rx [expr ($iocell_y - [expr ([lindex $SIZE 2] - [lindex $GRID 2] - [lindex $CHWIDTH 2])])]
set offset_bx [expr $iocell_x/2]
set offset_lx [expr -([lindex $SIZE 0] - [lindex $GRID 0] + [lindex $CHWIDTH 0])]
set offset_ty [expr ($iocell_y - [expr ([lindex $SIZE 3] - [lindex $GRID 3] - [lindex $CHWIDTH 3])])]
set offset_ry [expr $iocell_x/2]
set offset_by [expr -([lindex $SIZE 1] - [lindex $GRID 1] + [lindex $CHWIDTH 1])]
set offset_ly [expr $iocell_x/2]
