clearGlobalNets
globalNetConnect VDD -type pgpin -pin VDD -inst * -verbose
globalNetConnect VDD -type tiehi -inst * -verbose
globalNetConnect VSS -type pgpin -pin VSS -inst * -verbose
globalNetConnect VSS -type tielo -inst * -verbose
# globalNetConnect VDE -type pgpin -pin VDE -inst * -verbose

cutRow
clearCutRow
deselectAll

set toplayer 8
set botlayer 1

set v_spacing [expr 0.132 * 6]
set h_spacing [expr 0.132 * 6]
set vlayer M2L
set hlayer M3L
# set v_offset 0.627
# set h_offset 0.528
set v_offset [expr 0.132*122] 
set h_offset [expr 0.132*122]
set v_width [expr 0.132 * 7] 
set h_width [expr 0.132 * 7]

addRing -nets { VDD VSS } \
        -follow io \
        -around core \
        -layer_top ${hlayer} \
        -layer_bottom ${hlayer} \
        -width_top ${h_width} \
        -width_bottom ${h_width} \
        -width_right ${v_width} \
        -width_left ${v_width} \
        -layer_right ${vlayer} \
        -layer_left ${vlayer} \
        -spacing_top ${h_spacing} \
        -spacing_bottom ${h_spacing} \
        -spacing_right ${v_spacing} \
        -spacing_left ${v_spacing} \
        -offset_top ${h_offset} \
        -offset_bottom ${h_offset} \
        -offset_right ${v_offset} \
        -offset_left ${v_offset} \
        -stacked_via_top_layer M6S \
        -stacked_via_bottom_layer M1L \
        -jog_distance [expr 0.132*15] \
        -threshold [expr 0.132*2]
deselectAll


# setAddStripeOption -remove_floating_stripe_over_block 0
#    -spacing [expr 0.264 * 20] \
#    -width [expr 0.264 * 4] \
#    -layer M4L \


set connectlayer 4
set con_name VSS
sroute -nets { VSS } \
    -connect { padPin } \
    -padPinAllGeomsConnect \
    -padPinLayerRange { 1 5 } \
    -padPinWidth [expr 0.132*7]

set connectlayer 4
set con_name VDD

sroute -nets { VDD } \
        -connect { padPin } \
    	-padPinAllGeomsConnect \
        -blockPinTarget { nearestTarget } \
        -padPinLayerRange { 3 5 } \
    	-padPinWidth ${width}

addStripe -nets {VSS VDD } \
  -layer M6S \
    -direction vertical \
    -spacing [expr 0.264 * 20] \
    -width ${width} \
    -set_to_set_distance [expr 0.264 * 60] \
    -xleft_offset [expr 0.264 * 15] \
    -block_ring_top_layer_limit M1T \
    -block_ring_bottom_layer_limit M1L \
    -padcore_ring_top_layer_limit M1T \
    -padcore_ring_bottom_layer_limit M1L \
    -stacked_via_top_layer PM \
    -stacked_via_bottom_layer M1L \
    -merge_stripes_value [expr 0.264*5]

sroute -nets { VSS VDD } \
    -connect { blockPin corePin floatingStripe } \
    -layerChangeRange { 1 8 } \
    -blockPinTarget { nearestRingStripe } \
    -padPinPortConnect { allPort oneGeom } \
    -area {-902.0 -902.0 902.0 902.0} \
    -targetViaTopLayer 8 \
    -targetViaBottomLayer 1 \
    -corePinMaxViaHeight 0.066

#    -allowJogging 1 \
#    -allowLayerChange 1 \
#    -blockPin useLef \
#    -checkAlignedSecondaryPin 1 \
#    -crossoverViaBottomLayer 1 \
#    -crossoverViaTopLayer 8 \

saveNetlist pg.v.gz
defout -floorplan -placement -netlist -routing -noCutRow ${DESIGN}_pg.def.gz
