# Script : cts.tcl
# Version : V1.4.2
# Function : Sample SoC Encounter CTS script
# Date : 2009.12.15
#
# SoCE version : 8.1
# Directory : sample_script/Layout_SOCE/cts.tcl
# 
# Copyright (C) NEC Electronics Corporation 2005,2007-2009

#######################################################
#---------- Required setting by user -----------------
set inputConfig     ../../database/conf/VDEC_soce.conf
set inputDef        ./cts.def.gz
set inputVerilog    ./cts.v.gz
set inputLef        ../../database/lef/lef
set inputSDC        ../../database/sdc/cpu8top_clock_200MHz.tcl
set outputDef       ./ibpo.def.gz
set outputVerilog   ./ibpo.v.gz

set ShieldNetList ./file/shield_net.list

set maxLayerNumber  7

### NonDefaultRule for clocknets_upper ###
set UpperRouteNDR "SP"

#####################################
# input design
#####################################

set DBU 1000
set dbgLefDefOutVersion 5.6

set dbgUpdateDefRows 0
set dbgUseNewFootPrint  1

set dbgGPSAutoCellFunction 1
set dbgDefOutUnits $DBU
setImportMode -minDbuPerMicron $DBU
set preRouteSkipApplyGlobalNets 1
setVar dbgAllowPowerDomainMinGapZero 1
set sprUseRowOrient 1
set dbgIPOMaxBufDetourDist 100
set dpgBufInsMinTotCap 0

setPreference UserGridUnit 1

### for general flow (from here) ###
loadConfig                        $inputConfig 0
set rda_Input(ui_netlist)         $inputVerilog
set rda_Input(ui_leffile)         $inputLef
set rda_Input(ui_timingcon_file)  $inputSDC
commitConfig
if { [ info exists inputECOFile ] } { loadECO  $inputECOFile }
defIn                             $inputDef
### for general flow (to here) ###

#####################################
# Add  NONDEFAULTRULE
#####################################
##source vias_ux7ls_sample.tcl
#----------------------
# shield_net
#---------------------
set netFName $ShieldNetList
set NETFILE [open $netFName]
while { [eof $NETFILE] == 0 } {
  set g [gets  $NETFILE]
  if { $g == "" } { continue }
  setAttribute \
    -net $g \
   -non_default_rule $UpperRouteNDR
}
close $NETFILE


#####################################
# output Netlist/DEF
#####################################
### for general flow (from here) ###
defOut -floorplan -placement -netlist -routing -noCutRow $outputDef
### for general flow (to here) ###

### for flat flow (from here) ###
#defOut -verilog_from_def_netlist_flow -floorplan -placement -netlist -routing -noCutRow $outputDef
### for flat flow (to here) ###

if { [ info exists inputECOFile ] } {
  loadECO  $inputECOFile_DEL
  source   $inputDelModule
  saveNetlist -excludeCellInst $Phy_Only_Cell $outputVerilog
} else {
  saveNetlist $outputVerilog
}

exit

