##
## THIS LIBRARY IS FOR NEC ELECTORONICS INTERNAL USE ONLY.
## Copyright (C) NEC Electronics Corporation 2008
##
## UX8 NanoRoute sample script
##
## Ver.1.7   2009-03-06
##

##
## Set Variables
##

set inputLef        ../../database/lef/lef
set inputDef        ../16_repair_hold/hold_repair.def.gz
set outputDef       ./route.def.gz

# set inputDB         <NanoInputLibrary>
# set inputCell       <InputCellName>
# set inputView       <InputViewName>
# set outputDB        <NanoOutputLibrary>

#set I_LIB_MAX       <inputTimingLibrary>
#set capTable        <inputCapTable>
#set timingGraph     <inputTimingGraph>

#set ShieldNetList   ./file/shield_net.list2

set TopLayer        7
set RootClkFile     ../04_cts/clocknets_upper
set RootTopLayer    5
set RootBottomLayer 3
set LeafClkFile     ../04_cts/clocknets_leaf
set LeafTopLyer     5
set LeafBottomLayer 3
set NumOfCPU        1 ; # number of CPU(s)

# I/O control signal nets list ; (ex) set IOCSNetsList { NET1 NET2 }
set IOCSNetsList { AVDD* AGND* } ;

##
## 1st initial option setting
##
pdi clear_all

# --- Multithread Option ( Number Change ) --- #
pdi set_option env_number_processor $NumOfCPU
# --- Multithread Option ( Number Change ) --- #

pdi set_option droute_on_grid_only true
#pdi set_option droute_on_grid_only false
pdi set_option routeWithViaInPin true
pdi set_option routeWithViaOnlyForStandardCellPin true
pdi set_option dbKeepFillWires true

pdi set_option routeAutoPinAccessUseViaOnly "1:1"

pdi set_option drouteExpIgnoreEolSideSpacing true
pdi set_option droute_exp_use_advanced_tapering true

##
##  Design Import 
##
pdi import_lib    -lef $inputLef
pdi import_design -def $inputDef
# pdi load_lib $inputDB
# pdi load_design $inputCell $inputView
# pdi import_design -def -eco $inputDef
# pdi save_lib $outputDB

#pdi import_lib -tlib $I_LIB_MAX
#pdi import_lib -pef  $capTable

##
## 2nd initial option setting
##
pdi set_option droute_exp_fix_violation_for_close_pin_connection true
pdi set_option droute_exp_relax_via_line_samenet_notch true
pdi set_option drouteUseConservativeCutSpacingForPin true
pdi set_option route_strictly_honor_non_default_rule true
pdi set_option droute_use_conservative_cut_spacing_for_special_via false
pdi set_option droute_honor_obs_around_pin true
pdi set_option droute_use_min_spacing_for_blockage false
pdi set_option droute_allow_merged_wire_at_pin false
pdi set_option droute_check_min_enclosed_area true
pdi set_option droute_auto_stop false
pdi set_option route_top_routing_layer $TopLayer
pdi set_option env_honor_track true
pdi set_option droute_fast_area_route_mode true
pdi set_option db_detect_wire_crossing true

pdi set_option drouteTopMultiCutViaRoutingLayer 5
pdi set_option drouteBottomMultiCutViaRoutingLayer 1

# pdi set_option route_merge_special_wire true
# pdi set_option groute_minimize_congestion true
# pdi set_option droute_no_taper_on_output_pin true

### === for concurrent redundant via (from here) === ###
pdi set_option droute_use_multi_cut_via_effort high
### === for concurrent redundant via (to here) === ### 

## === Clock Nets Route Setting From here === ##

 pdi set_attribute -net * -skip_routing true
 
 set netFName $RootClkFile
 set NETFILE [open $netFName]
 while { [eof $NETFILE] == 0 } {
 set g [gets  $NETFILE]
 if { $g == "" } { continue }
 pdi set_attribute -net $g \
     -skip_routing false -weight 10 \
     -top_preferred_routing_layer $RootTopLayer \
     -bottom_preferred_routing_layer $RootBottomLayer
 }
 close $NETFILE
 
 set netFName $LeafClkFile
 set NETFILE [open $netFName]
 while { [eof $NETFILE] == 0 } {
 set g [gets  $NETFILE]
 if { $g == "" } { continue }
 pdi set_attribute -net $g \
     -skip_routing false -weight 3 \
     -top_preferred_routing_layer $LeafTopLyer \
     -bottom_preferred_routing_layer $LeafBottomLayer
 }
 close $NETFILE

### Add shield net
#set netFName $ShieldNetList
# set NETFILE [open $netFName]
# while { [eof $NETFILE] == 0 } {
# set g [gets  $NETFILE]
# if { $g == "" } { continue }
# pdi set_attribute -net $g \
#     -skip_routing false 
# }
# close $NETFILE
###
 
 pdi set_option route_use_guide true
 pdi set_option groute_trunk_pin_first true
 
 pdi set_option droute_start_iteration default
 pdi set_option droute_end_iteration default
 pdi global_route
 pdi detail_route
 
 pdi set_option route_use_guide false
 pdi set_option groute_trunk_pin_first false
 
 pdi set_attribute -net * -skip_routing false
 
 #pdi save_design route_clocknets

## === Clock Nets Route Setting To here === ##

##
## Do Route
##

if { [ info exists IOCSNetsList ] } {
    foreach cnet $IOCSNetsList {
        pdi set_attribute -net $cnet -skip_routing true
    }
}

pdi set_attribute -net @CLOCK -skip_routing true
#set netFName $ShieldNetList
# set NETFILE [open $netFName]
# while { [eof $NETFILE] == 0 } {
# set g [gets  $NETFILE]
# if { $g == "" } { continue }
# pdi set_attribute -net $g -skip_routing true
# }
# close $NETFILE

pdi set_option route_with_si_driven true
pdi set_option route_with_new_si_driven true
pdi set_option route_si_effort high
##      pdi set_option route_si_length_limit 300.00
##      pdi set_option route_with_si_post_route_fix true
#

# --- TimingGraph Routing --- #
#pdi set_option timingEngine $timingGraph
#pdi set_option route_with_timing_driven true
#pdi set_option route_tdr_effort 10
# --- TimingGraph Routing --- #

# --- ECO Option --- #
pdi set_option route_with_eco true
# --- ECO Option --- #

pdi global_route
#pdi save_design groute_end

pdi set_option droute_end_iteration 0
pdi detail_route
#pdi save_design droute_dbs_signal0

pdi set_option droute_start_iteration 1
pdi set_option droute_end_iteration 1
pdi detail_route
#pdi save_design droute_dbs_signal1

pdi set_option droute_start_iteration 2
pdi set_option droute_end_iteration 19
pdi detail_route
#pdi save_design droute_dbs_signal19

pdi set_attribute -net @CLOCK -skip_routing false
#set netFName $ShieldNetList
# set NETFILE [open $netFName]
# while { [eof $NETFILE] == 0 } {
# set g [gets  $NETFILE]
# if { $g == "" } { continue }
# pdi set_attribute -net $g -skip_routing false
# }
# close $NETFILE

pdi set_option droute_start_iteration 20
pdi set_option droute_end_iteration default
pdi detail_route
#pdi save_design droute_dbs_signal20

# pdi export_design -def -full -no_lef_via -dbunit 1000 $outputDef ; exit

##
## Repair ( Do Route )
##
pdi deselect
pdi set_option droute_antenna_factor 0.9
pdi verify -process_antenna
# pdi verify -drc
pdi set_attribute -net @CLOCK -skip_routing true
#set netFName $ShieldNetList
# set NETFILE [open $netFName]
# while { [eof $NETFILE] == 0 } {
# set g [gets  $NETFILE]
# if { $g == "" } { continue }
# pdi set_attribute -net $g -skip_routing true
# }
# close $NETFILE
pdi delete_wire -violated
pdi set_attribute -net @CLOCK -skip_routing false

pdi set_option droute_start_iteration default
pdi set_option droute_end_iteration default
pdi global_route
pdi detail_route

### === postRoute redundant via swapping from here === ###

#pdi set_attribute -net @CLOCK -skip_routing true
#pdi set_option droutePostRouteSwapVia true
#pdi detail_route

### === postRoute redundant via swapping to here === ###

##
## output Def file.
##
pdi export_design -def -full -no_lef_via -dbunit 1000 $outputDef

##
## Report
##
# pdi verify -drc
pdi verify -process_antenna
pdi report_design -summary
pdi report_design -violation
#pdi report_design -wire

##
## Save Design
##
pdi save_design nanoroute_final

exit
