##
## THIS LIBRARY IS FOR NEC ELECTORONICS INTERNAL USE ONLY.
## Copyright (C) NEC Electronics Corporation 2008
##
## UX8 NanoRoute Shield sample script
##
## Ver.1.3   2009-03-06
##

##
## Set Variables
##

set inputLef        ../../database/lef/lef
set inputDef        ./shield_attribute.def.gz
set outputDef       ./shield.def.gz

set TopLayer        7
set NumOfCPU        1 ; # number of CPU(s)

# I/O control signal nets list ; (ex) set IOCSNetsList { NET1 NET2 }
set IOCSNetsList { AVDD* AGND* } ;

##
## 1st initial option setting
##

pdi clear_all

# --- Multithread Option ( Number Change ) --- #
pdi set_option env_number_processor $NumOfCPU
# --- Multithread Option ( Number Change ) --- #

pdi set_option droute_on_grid_only true
pdi set_option route_enclose_via_in_pin true
pdi set_option dbKeepFillWires true

pdi set_option drouteExpIgnoreEolSideSpacing true

pdi set_option routeExpShieldUseMultithread true ; # in 8.1 only

##
##  Design Import 
##

pdi import_lib    -lef $inputLef
pdi import_design -def $inputDef
# pdi load_lib <NanoLibrary>
# pdi load_design <CellName> <ViewName>

##
## 2nd initial option setting
##

pdi set_option route_strictly_honor_non_default_rule true
pdi set_option droute_use_conservative_cut_spacing_for_special_via false
pdi set_option droute_honor_obs_around_pin true
pdi set_option droute_use_min_spacing_for_blockage false
pdi set_option droute_allow_merged_wire_at_pin false
pdi set_option droute_check_min_enclosed_area true
pdi set_option droute_auto_stop false
pdi set_option route_top_routing_layer $TopLayer
pdi set_option env_honor_track true
pdi set_option droute_fast_area_route_mode true
pdi set_option db_detect_wire_crossing true

# pdi set_option groute_minimize_congestion true

##
## shielding option setting
##

pdi set_option routeExpFastAddShield true
pdi set_option routeAllowPlanarAccessToFollowpin false
pdi set_option route_deferred_shield true
pdi set_option route_with_si_driven false

##
## Shielding
##

if { [ info exists IOCSNetsList ] } {
    foreach cnet $IOCSNetsList {
        pdi set_attribute -net $cnet -skip_routing true
    }
}

pdi create_shield -include_fixed

##
## Output DEF file
##

pdi export_design -def -full -no_lef_via -dbunit 1000 $outputDef

##
## Save design
##

pdi save_design nanoroute_shield

exit
