##
## THIS LIBRARY IS FOR NEC ELECTORONICS INTERNAL USE ONLY.
## Copyright (C) NEC Electronics Corporation 2008
##
## SOC Encounter Add Attribute for Shield Sample Script
##
## Ver.2.2   2009-04-17
##

#set DESIGN       <design name>     ; # Specify in the config file
set inputConfig  ../../database/conf/VDEC_soce.conf

set inputLef     ../../database/lef/lef
set inputDef     ../05_route/route.def.gz
set inputVerilog ../04_cts/cts.v.gz

set outputDef    ./shield_attribute.def.gz

set ClkNetFile   ../04_cts/clocknets
#set ShieldNetList ./file/shield_net.list2

set FromRule     SP        ; # Specify "default" or NONDEFAULTRULE name
set ToRule       default   ; # Specify "default" or NONDEFAULTRULE name

#set inputECOFile     <input ECO file>

# -----------------------------------------------------------------------------

set dbgUpdateDefRows 0
set dbgUseSiteAsIGU 1

setCompressLevel 9

### for general flow (from here) ###

loadConfig $inputConfig  0
#set rda_Input(ui_topcell) "$DESIGN"
set rda_Input(ui_netlist) "$inputVerilog"
set rda_Input(ui_leffile) "$inputLef"
set rda_Input(ui_timelib,max) ""
set rda_Input(ui_timelib,min) ""
set rda_Input(ui_captbl_file) ""
set rda_Input(ui_timingcon_file) ""
commitConfig

if { [ info exists inputECOFile ] } { loadECO  $inputECOFile }

defIn $inputDef

### for general flow (to here) ###

### for flat flow (from here) ###
#loadLefFile $inputLef
#loadDefNetlist $inputDef
#saveNetlist $inputDef.flat.v
#freeDesign
#loadConfig $inputConfig 0
#setUIVar rda_Input ui_netlist $inputDef.flat.v
#commitConfig
#defIn -verilog_from_def_netlist_flow $inputDef
### for flat flow (to here) ###

# -----------------------------------------------------------------------------

setPrerouteAsObs {1}

## ----------------------------------------
##  Generate ViaList of each rule
## ----------------------------------------

Puts "Generate ViaList ........"

# -----------------
#  default rule
# -----------------

set allViaList [ getAllViaCell ]
foreach via $allViaList {
  if [ dbIsViaCellDefault [ dbGetViaCellByName $via ] ] {
    if { ! [ info exist ViaList(default) ] } {
      set ViaList(default) [ list ]
    }
    lappend ViaList(default) $via
  }
}
set ViaList(default) [ lsort $ViaList(default) ]

Puts "Rule : default"
Puts "$ViaList(default)\n"

# --------------------------------
#  nondefault rule (each rule)
# --------------------------------

dbForEachHeadRuleList [dbgHead] rule {
  set ruleName    [ dbExtRuleName $rule ]
  set ruleViaList [ dbExtRuleViaCellList $rule ]
  if { $ruleViaList != 0x0 } {
    dbForEachListPtr $ruleViaList ptr {
      if { ! [ info exist ViaList($ruleName) ] } {
        set ViaList($ruleName) [ list ]
      }
      lappend ViaList($ruleName) [dbViaCellName $ptr]
    }
    set ViaList($ruleName) [ lsort $ViaList($ruleName) ]
    Puts "Rule : $ruleName"
    Puts "$ViaList($ruleName)\n"
  }
}

## -----------------------------
##  Change Rule
## -----------------------------

set FromVias $ViaList($FromRule)
set ToVias   $ViaList($ToRule)

set netFName $ClkNetFile
set NETFILE [open $netFName]
while { [eof $NETFILE] == 0 } {
  set g [gets  $NETFILE]
  if { $g == "" } { continue }

  # set g [dbNetName [dbTermNet [dbGetObjByName $g]]]

  setAttribute \
    -net        $g \
    -shield_net VDD \
    -shield_net VSS \
    -non_default_rule $ToRule

  editChangeRule \
    -net  $g \
    -from $FromRule \
    -to   $ToRule

  editChangeVia  -net $g -from ${FromVias} -to ${ToVias} -signal_only 1

}
close $NETFILE

#set netFName $ShieldNetList
#set NETFILE [open $netFName]
#while { [eof $NETFILE] == 0 } {
#  set g [gets  $NETFILE]
#  if { $g == "" } { continue }
#
#  # set g [dbNetName [dbTermNet [dbGetObjByName $g]]]
#
#  setAttribute \
#    -net        $g \
#    -shield_net VDD \
#    -shield_net VSS \
#    -non_default_rule $ToRule
#
#  editChangeRule \
#    -net  $g \
#    -from $FromRule \
#    -to   $ToRule
#
#  editChangeVia  -net $g -from ${FromVias} -to ${ToVias} -signal_only 1
#
#}
#close $NETFILE

## -----------------------------
##  Export DEF
## -----------------------------

### for general flow (from here) ###
set dbgLefDefOutVersion 5.6
defOut -floorplan -placement -netlist -routing -noCutRow $outputDef
### for general flow (to here) ###

### for flat flow (from here) ###
#set dbgLefDefOutVersion 5.6
#defOut -verilog_from_def_netlist_flow -floorplan -placement -netlist -routing -noCutRow $outputDef
### for flat flow (to here) ###

# In SOCE 5.2, add -physicalPin option
#defOut -floorplan -placement -netlist -routing -noCutRow -physicalPin $outputDef

exit
