##
## THIS LIBRARY IS FOR NEC ELECTORONICS INTERNAL USE ONLY.
## Copyright (C) NEC Electronics Corporation 2009
##
## UX8L SoC Encounter MetalFill sample script
##
## Ver4.0     2009-09-08
##   

set inputConfig   ../../database/conf/VDEC_soce.conf
set inputLef      ../../database/lef/lef
set inputDef      ../06_shield/shield.def.gz
# set inputDef      ../08_09_cdfill/fill.def.gz
set inputVerilog  ../04_cts/cts.v.gz

set chipsize 2.5
#set chipsize 5.0
#set chipsize 50.25

#set inputECOFile     <input ECO file>

set outputDef     ./metalfill.def.gz

set NumOfCPU      1 ;# number of CPU(s)

## ----------------------------------------------------------
##  Please set the area definition file output from IO Plan.
##  If you don't use it, set the CHIPAREA by manual.
##  If you don't set both, DEF DIEAREA will be used.
## ----------------------------------------------------------

#set MFillAreaFile < area definition file output from IO Plan >

if { $chipsize == "2.5" } {
    set X1  -933.960
    set Y1  -933.960
    set X2   941.040
    set Y2   941.040
} elseif { $chipsize == "5.0" } {
    set X1 -2197.992
    set Y1 -2197.992
    set X2  2202.008
    set Y2  2202.008
} elseif { $chipsize == "50.25" } {
    set X1 -2197.992
    set Y1  -933.960
    set X2  2202.008
    set Y2   941.040
}

set layer_num 7
#########################   M1   M2   M3   M4   M5   M6   M7
set WholeMetalRate_Mx     { 25.0 25.0 25.0 25.0 25.0 30.0 25.0 } ;#<Input whole chip metal rate from "Design Manual">
set LocalMetalRate_Mx     { 14.0 14.0 14.0 14.0 14.0 15.0 21.0 } ;#<Input local metal rate from "Design Manual">

set IO_MetalRate_Mx       { 30.9 36.4 47.0 54.1 53.8 32.3 34.6 }
set SRAM_MetalRate_Mx     { 25.4 25.4 30.4  0    0    0    0   }
set Fuse_MetalRate_Mx     { 33.3 34.9 42.4  0    0    0    0   }
set DRAM_MetalRate_Mx     { 43.6 44.3 48.1 48.2  0    0    0   }
set Analog_MetalRate_Mx   { 29.9 33.1 32.6 36.1 36.8 28.5  0   }
set IO_Name	"(^TWF|^TWC)"
set SRAM_Name	"(^WDSRAM|^WDROM|^WDREG|^OWSRAM|^OWROM|^OWREG)"
set Fuse_Name	"(^WDAFUS|^OWAFUS)"
set DRAM_Name   "(^NCED8|^NBED8)"
set Analog_Name "(^AC|^AD)"

# -----------------------------------------------------------------------------

set dbgUpdateDefRows 0
set dbgUseSiteAsIGU 1
set sprgAlwaysSaveZeroDrcFile 1

setCompressLevel 9

### for general flow (from here) ###
loadConfig $inputConfig  0
set rda_Input(ui_netlist) "$inputVerilog"
set rda_Input(ui_leffile) "$inputLef"
commitConfig
if { [ info exists inputECOFile ] } { loadECO  $inputECOFile }
defIn    $inputDef
### for general flow (to here) ###
