##
## THIS LIBRARY IS FOR NEC ELECTORONICS INTERNAL USE ONLY.
## Copyright (C) NEC Electronics Corporation 2009
##
## UX8L SoC Encounter MetalFill sample script
##
## Ver4.0     2009-09-08
##   

set inputConfig   ../../database/conf/VDEC_soce.conf
set inputLef      ../../database/lef/lef
# set inputDef      ../06_shield_repair/shield.def.gz
set inputDef      ../06_shield/shield.def.gz
# set inputVerilog  ../16_repair_hold/hold_repair.v.gz
set inputVerilog  ../08_09_cdfill/fill.v.gz

set chipsize 2.5
#set chipsize 5.0
#set chipsize 50.25

#set inputECOFile     <input ECO file>

set outputDef     ./metalfill.def.gz

set NumOfCPU      1 ;# number of CPU(s)

## ----------------------------------------------------------
##  Please set the area definition file output from IO Plan.
##  If you don't use it, set the CHIPAREA by manual.
##  If you don't set both, DEF DIEAREA will be used.
## ----------------------------------------------------------

#set MFillAreaFile < area definition file output from IO Plan >

if { $chipsize == "2.5" } {
    set X1  -933.960
    set Y1  -933.960
    set X2   941.040
    set Y2   941.040
} elseif { $chipsize == "5.0" } {
    set X1 -2197.992
    set Y1 -2197.992
    set X2  2202.008
    set Y2  2202.008
} elseif { $chipsize == "50.25" } {
    set X1 -2197.992
    set Y1  -933.960
    set X2  2202.008
    set Y2   941.040
}

set layer_num 7
#########################   M1   M2   M3   M4   M5   M6   M7
set WholeMetalRate_Mx     { 25.0 25.0 25.0 25.0 25.0 30.0 25.0 } ;#<Input whole chip metal rate from "Design Manual">
set LocalMetalRate_Mx     { 14.0 14.0 14.0 14.0 14.0 15.0 21.0 } ;#<Input local metal rate from "Design Manual">

set IO_MetalRate_Mx       { 30.9 36.4 47.0 54.1 53.8 32.3 34.6 }
set SRAM_MetalRate_Mx     { 25.4 25.4 30.4  0    0    0    0   }
set Fuse_MetalRate_Mx     { 33.3 34.9 42.4  0    0    0    0   }
set DRAM_MetalRate_Mx     { 43.6 44.3 48.1 48.2  0    0    0   }
set Analog_MetalRate_Mx   { 29.9 33.1 32.6 36.1 36.8 28.5  0   }
set IO_Name	"(^TWF|^TWC)"
set SRAM_Name	"(^WDSRAM|^WDROM|^WDREG|^OWSRAM|^OWROM|^OWREG)"
set Fuse_Name	"(^WDAFUS|^OWAFUS)"
set DRAM_Name   "(^NCED8|^NBED8)"
set Analog_Name "(^AC|^AD)"

# -----------------------------------------------------------------------------

set dbgUpdateDefRows 0
set dbgUseSiteAsIGU 1
set sprgAlwaysSaveZeroDrcFile 1

setCompressLevel 9

### for general flow (from here) ###
loadConfig $inputConfig  0
set rda_Input(ui_netlist) "$inputVerilog"
set rda_Input(ui_leffile) "$inputLef"
commitConfig
if { [ info exists inputECOFile ] } { loadECO  $inputECOFile }
defIn    $inputDef
### for general flow (to here) ###

#### for flat flow (from here) ###
#loadLefFile $InputLef
#loadDefNetlist $inputDef
#saveNetlist $inputDef.flat.v
#freeDesign
#loadConfig $inputConfig 0
#setUIVar rda_Input ui_netlist $inputDef.flat.v
#commitConfig
#defIn -verilog_from_def_netlist_flow $inputDef
#### for flat flow (to here) ###

setPrerouteAsObs {1}

setSnapGrid -layer { 1 2 3 4 5 6 7 }  -pitch 0.033 0.033

## -------------------------
##  Set number of threads
## -------------------------

setMultiCpuUsage -numThreads $NumOfCPU


## -------------------------------------
##  Set Grid based metalfill engine 
## -------------------------------------

setBetaFeature soceMFGridBasedAlgo 1


## ------------------------------
##  Set MFillArea & Whole Area
## ------------------------------

if { [ info exists MFillAreaFile ] } {
  source $MFillAreaFile
} elseif { !( [info exists X1] && [info exists Y1] \
           && [info exists X2] && [info exists Y2] )} {
  set X1 [dbDBUToMicrons [lindex [dbFPlanBox [dbHeadFPlan]] 0]]
  set Y1 [dbDBUToMicrons [lindex [dbFPlanBox [dbHeadFPlan]] 1]]
  set X2 [dbDBUToMicrons [lindex [dbFPlanBox [dbHeadFPlan]] 2]]
  set Y2 [dbDBUToMicrons [lindex [dbFPlanBox [dbHeadFPlan]] 3]]
}

set AREA [ list $X1 $Y1 $X2 $Y2 ]

set WX1 [dbDBUToMicrons [lindex [dbFPlanBox [dbHeadFPlan]] 0]]
set WY1 [dbDBUToMicrons [lindex [dbFPlanBox [dbHeadFPlan]] 1]]
set WX2 [dbDBUToMicrons [lindex [dbFPlanBox [dbHeadFPlan]] 2]]
set WY2 [dbDBUToMicrons [lindex [dbFPlanBox [dbHeadFPlan]] 3]]

set WAREA [ list $WX1 $WY1 $WX2 $WY2 ]

set WX [ expr abs($WX2 - $WX1) ]
set WY [ expr abs($WY2 - $WY1) ]

## -------------------------
##  Create cont.conf
## -------------------------

if [file exists "cont.conf" ] {
  exec mv cont.conf cont.conf.old
}
set fp [open "cont.conf" w]
puts $fp "srouteFillUseVmd true"
close $fp

## -------------------------------------------------
##  Target Density Calculation (from here)
## -------------------------------------------------
proc procCellDensity { CellName } {
  set CellDim  [ dbCellDim ${CellName} ]
  set CellSize [ expr [lindex ${CellDim} 0] * [lindex ${CellDim} 1] ]
  set CellNum  [ dbCellNrRef ${CellName} ]
  Puts "${CellName}\t${CellSize}\t${CellNum}"
  return [ expr ${CellSize} * ${CellNum} ]
}

proc procPctCheck { PctName PctValue } {
  set digit_check "NG"
  if { [regexp -- {^[0-9]+\.[0-9]+$} ${PctValue}] } { set digit_check "OK" }
  if { [regexp -- {^[0-9]+$} ${PctValue}] } { set digit_check "OK" }
  if { [string equal ${digit_check} "OK"] } {
    if {${PctValue}>=0&&${PctValue}<=100} {
      Puts "${PctName} = ${PctValue}"
    } else {
      Puts "Invalid value \"${PctValue}\" in \"${PctName}\" !"
      exit
    }
  } else {
    Puts "Invalid string \"${PctValue}\" in \"${PctName}\" !"
    exit
  }
}

#########################################################################
## Auto whole chip min density switching in semi global or thin global 
#########################################################################
#switch -- [dbLayerLefName [dbGetLayerByZ 6]] {
#  M6S {set WholeMetalRate_Mx ${WholeMetalRate_MxM6S}}
#  M6T {set WholeMetalRate_Mx ${WholeMetalRate_MxM6T}}
#  default { Puts "ERROR:illegal Layer Name of layer 6" ; exit }
#}

set WholeMetalRate_Mx ${WholeMetalRate_Mx}

foreach m { IO_MetalRate SRAM_MetalRate Fuse_MetalRate DRAM_MetalRate Analog_MetalRate WholeMetalRate LocalMetalRate } {
  set list_name "${m}_Mx"
  set list_length "[llength [subst \${${m}_Mx}]]"
  if { ${list_length} == ${layer_num} } {
    for { set n 1 } { ${n} <= ${layer_num} } { incr n } {
      set   [subst ${m}_M${n}] [lindex [subst \${${list_name}}] [expr ${n} -1 ]]
      procPctCheck [subst ${m}_M${n}] [subst \${${m}_M${n}}]
    }
  } else {
    Puts "Different list number \"${list_name}(${list_length})\" and \"layer_num(${layer_num})\" !"
    exit
  }
}

set IO_Area 0
set SRAM_Area 0
set Fuse_Area 0
set DRAM_Area 0
set Analog_Area 0
set allLibCells "[ dbGet -p head.allCells.objType libCell ]"
Puts "Cell Name\tArea of 1Cell\tCell Number"
foreach libCell ${allLibCells} {
  set CellName [dbCellName ${libCell}]
  set key dummy
  if {[regexp -- ${IO_Name} ${CellName} ]} { set key IO }
  if {[regexp -- ${SRAM_Name} ${CellName} ]} { set key SRAM }
  if {[regexp -- ${Fuse_Name} ${CellName} ]} { set key Fuse }
  if {[regexp -- ${DRAM_Name} ${CellName} ]} { set key DRAM }
  if {[regexp -- ${Analog_Name} ${CellName} ]} { set key Analog }
  switch -regexp ${key} {
    IO     { set IO_Area   [expr [ procCellDensity ${CellName} ] + ${IO_Area} ]   }
    SRAM   { set SRAM_Area [expr [ procCellDensity ${CellName} ] + ${SRAM_Area} ] }
    Fuse   { set Fuse_Area [expr [ procCellDensity ${CellName} ] + ${Fuse_Area} ] }
    DRAM   { set DRAM_Area [expr [ procCellDensity ${CellName} ] + ${DRAM_Area} ] }
    Analog { set Analog_Area [expr [ procCellDensity ${CellName} ] + ${Analog_Area} ] }
  }
}

foreach m { IO SRAM Fuse DRAM Analog } {
  for { set n 1 } { ${n} <= ${layer_num} } { incr n } {
    if { [subst \${${m}_MetalRate_M${n}}] > 0 } {
      set ${m}_Area_M${n} "[subst \${${m}_Area}]"
    } else {
      set ${m}_Area_M${n} 0
    }
    Puts "[subst ${m}_Area_M${n}] = [subst \${${m}_Area_M${n}}]"
  }
}

for { set n 1 } { ${n} <= ${layer_num} } { incr n } {
  set Chip_Area_M${n} [expr [dbBoxDimX [dbFPlanBox [dbHeadFPlan]]] * [dbBoxDimY [dbFPlanBox [dbHeadFPlan]]]]
  set e_TDensity_M${n} "( [subst \${Chip_Area_M${n}}] * [subst \${WholeMetalRate_M${n}}] - ( \
        [subst \${IO_Area_M${n}}] * [subst \${IO_MetalRate_M${n}}]   + \
        [subst \${SRAM_Area_M${n}}] * [subst \${SRAM_MetalRate_M${n}}] + \
        [subst \${DRAM_Area_M${n}}] * [subst \${DRAM_MetalRate_M${n}}] + \
        [subst \${Fuse_Area_M${n}}] * [subst \${Fuse_MetalRate_M${n}}] + \
        [subst \${Analog_Area_M${n}}] * [subst \${Analog_MetalRate_M${n}}] \
    ) ) / ( \
      [subst \${Chip_Area_M${n}}] - ( \
        [subst \${IO_Area_M${n}}]   + \
        [subst \${SRAM_Area_M${n}}] + \
        [subst \${DRAM_Area_M${n}}] + \
        [subst \${Fuse_Area_M${n}}] + \
        [subst \${Analog_Area_M${n}}] \
    ) )"
  Puts "e_TDensity_M${n} = [subst \${e_TDensity_M${n}}]"
  set TDensity_M${n} "[expr [subst \${e_TDensity_M${n}}]]"
  procPctCheck "TDensity_M${n} (un-adjusted)" [subst \${TDensity_M${n}}]
  if { [subst \${TDensity_M${n}}] < [subst \${LocalMetalRate_M${n}}] } {
    set TDensity_M${n} "[subst \${LocalMetalRate_M${n}}]"
  } else {
    set TDensity_M${n} "[format %.1f [expr ceil([subst \${e_TDensity_M${n}}] * 10) / 10 ]]"
  }
  procPctCheck "TDensity_M${n} (adjusted)" [subst \${TDensity_M${n}}]
}
## -------------------------------------------------
##  Target Density Calculation (to here)
## -------------------------------------------------


## -------------------------
##  MetalFill Setting
## -------------------------

# ------------
#  step 0
# ------------

setMetalFill \
    -layer { 1 2 3 4 5 6 7 } \
    -windowSize 11.880 11.880 -windowStep 11.880 11.880

setMetalFill \
    -layer { 1 } \
    -minDensity $TDensity_M1 -preferredDensity 13.0 -maxDensity 75.0

setMetalFill \
    -layer { 2 } \
    -minDensity $TDensity_M2 -preferredDensity 13.0 -maxDensity 75.0

setMetalFill \
    -layer { 3 } \
    -minDensity $TDensity_M3 -preferredDensity 13.0 -maxDensity 75.0

setMetalFill \
    -layer { 4 } \
    -minDensity $TDensity_M4 -preferredDensity 13.0 -maxDensity 75.0

setMetalFill \
    -layer { 5 } \
    -minDensity $TDensity_M5 -preferredDensity 13.0 -maxDensity 75.0

setMetalFill \
    -layer { 6 } \
    -minDensity $TDensity_M6 -preferredDensity 14.0 -maxDensity 75.0

setMetalFill \
    -layer { 7 } \
    -minDensity $TDensity_M7 -preferredDensity 20.0 -maxDensity 75.0

# ------------
#  step 1
# ------------

setMetalFill -iterationName step1 \
    -layer { 1 2 3 4 5 6 7 } \
    -windowSize 11.880 11.880 -windowStep 11.880 11.880

setMetalFill -iterationName step1 \
    -layer { 1 } \
    -minDensity $TDensity_M1 -preferredDensity 13.0 -maxDensity 75.0 \
    -activeSpacing 0.462  -gapSpacing 0.132 -maxLength 7.392 -minLength 0.264 \
    -maxWidth 0.264 -minWidth 0.264

setMetalFill -iterationName step1 \
    -layer { 2 } \
    -minDensity $TDensity_M2 -preferredDensity 13.0 -maxDensity 75.0 \
    -activeSpacing 0.462  -gapSpacing 0.132 -maxLength 7.392 -minLength 0.264 \
    -maxWidth 0.264 -minWidth 0.264

setMetalFill -iterationName step1 \
    -layer { 3 } \
    -minDensity $TDensity_M3 -preferredDensity 13.0 -maxDensity 75.0 \
    -activeSpacing 0.462  -gapSpacing 0.132 -maxLength 7.392 -minLength 0.264 \
    -maxWidth 0.264 -minWidth 0.264

setMetalFill -iterationName step1 \
    -layer { 4 } \
    -minDensity $TDensity_M4 -preferredDensity 13.0 -maxDensity 75.0 \
    -activeSpacing 0.462  -gapSpacing 0.132 -maxLength 7.392 -minLength 0.264 \
    -maxWidth 0.264 -minWidth 0.264

setMetalFill -iterationName step1 \
    -layer { 5 } \
    -minDensity $TDensity_M5 -preferredDensity 13.0 -maxDensity 75.0 \
    -activeSpacing 0.462  -gapSpacing 0.132 -maxLength 7.392 -minLength 0.264 \
    -maxWidth 0.264 -minWidth 0.264

setMetalFill -iterationName step1 \
    -layer { 6 } \
    -minDensity $TDensity_M6 -preferredDensity 14.0 -maxDensity 75.0 \
    -activeSpacing 0.858  -gapSpacing 0.198 -maxLength 7.392 -minLength 0.132 \
    -maxWidth 0.528 -minWidth 0.528

setMetalFill -iterationName step1 \
    -layer { 7 } \
    -minDensity $TDensity_M7 -preferredDensity 20.0 -maxDensity 75.0 \
    -activeSpacing 2.508  -gapSpacing 0.528 -maxLength 7.392 -minLength 0.429 \
    -maxWidth 1.584 -minWidth 1.584

# ------------
#  step 2
# ------------

setMetalFill -iterationName step2 \
    -layer { 1 2 3 4 5 6 7 } \
    -windowSize 11.880 11.880 -windowStep 11.880 11.880

setMetalFill -iterationName step2 \
    -layer { 1 } \
    -minDensity $TDensity_M1 -preferredDensity 13.0 -maxDensity 75.0 \
    -activeSpacing 0.330  -gapSpacing 0.066 -maxLength 7.392 -minLength 0.264 \
    -maxWidth 0.066 -minWidth 0.066

setMetalFill -iterationName step2 \
    -layer { 2 } \
    -minDensity $TDensity_M2 -preferredDensity 13.0 -maxDensity 75.0 \
    -activeSpacing 0.264  -gapSpacing 0.066 -maxLength 7.392 -minLength 0.330 \
    -maxWidth 0.066 -minWidth 0.066

setMetalFill -iterationName step2 \
    -layer { 3 } \
    -minDensity $TDensity_M3 -preferredDensity 13.0 -maxDensity 75.0 \
    -activeSpacing 0.264  -gapSpacing 0.066 -maxLength 7.392 -minLength 0.330 \
    -maxWidth 0.066 -minWidth 0.066

setMetalFill -iterationName step2 \
    -layer { 4 } \
    -minDensity $TDensity_M4 -preferredDensity 13.0 -maxDensity 75.0 \
    -activeSpacing 0.264  -gapSpacing 0.066 -maxLength 7.392 -minLength 0.330 \
    -maxWidth 0.066 -minWidth 0.066

setMetalFill -iterationName step2 \
    -layer { 5 } \
    -minDensity $TDensity_M5 -preferredDensity 13.0 -maxDensity 75.0 \
    -activeSpacing 0.264  -gapSpacing 0.066 -maxLength 7.392 -minLength 0.330 \
    -maxWidth 0.066 -minWidth 0.066

setMetalFill -iterationName step2 \
    -layer { 6 } \
    -minDensity $TDensity_M6 -preferredDensity 14.0 -maxDensity 75.0 \
    -activeSpacing 0.528  -gapSpacing 0.132 -maxLength 7.392 -minLength 0.528 \
    -maxWidth 0.132 -minWidth 0.132

setMetalFill -iterationName step2 \
    -layer { 7 } \
    -minDensity $TDensity_M7 -preferredDensity 20.0 -maxDensity 75.0 \
    -activeSpacing 1.584  -gapSpacing 0.396 -maxLength 7.392 -minLength 1.617 \
    -maxWidth 0.396 -minWidth 0.396

## -------------------------
##  Add MetalFill
## -------------------------

addMetalFill -iterationNameList { step1 step2 } -extraConfig cont.conf \
    -layer { 1 2 3 4 5 6 7 } -area $X1 $Y1 $X2 $Y2 \
    -timingAware on -snap -onCells -stagger off \
    -useNonDefaultSpacing


## -------------------------
##  Verify Metal Density
## -------------------------

# ---------------------------------------
#  verify1 min ( local area rule )
# ---------------------------------------

setMetalFill -layer { 1 2 3 4 5 } \
    -windowSize  95.040  95.040 -windowStep  23.760  23.760 \
    -minDensity 13.5 -maxDensity 100.0 -preferredDensity 13.5

setMetalFill -layer { 6 } \
    -windowSize  95.040  95.040 -windowStep  23.760  23.760 \
    -minDensity 14.5 -maxDensity 100.0 -preferredDensity 14.5

setMetalFill -layer { 7 } \
    -windowSize 475.200 475.200 -windowStep  95.040  95.040 \
    -minDensity 20.5 -maxDensity 100.0 -preferredDensity 20.5

verifyMetalDensity -layers { M1 M2 M3 M4 M5 M6 M7 } -area $AREA \
    -reportfile metal_density_final1_min.rpt -detailed

saveDrc verify_metal1_min.drc

# ---------------------------------------
#  verify1 max ( local area rule )
# ---------------------------------------
 
setMetalFill -layer { 1 2 3 4 5 } \
    -windowSize  23.760  23.760 -windowStep  11.880  11.880 \
    -minDensity 0.0 -maxDensity 75.0 -preferredDensity 13.5
 
setMetalFill -layer { 6 } \
    -windowSize  23.760  23.760 -windowStep  11.880  11.880 \
    -minDensity 0.0 -maxDensity 75.0 -preferredDensity 14.5
 
setMetalFill -layer { 7 } \
    -windowSize 142.560 142.560 -windowStep  35.640  35.640 \
    -minDensity 0.0 -maxDensity 75.0 -preferredDensity 20.5
 
verifyMetalDensity -layers { M1 M2 M3 M4 M5 M6 M7 } -area $AREA \
    -reportfile metal_density_final1_max.rpt -detailed
 
saveDrc verify_metal1_max.drc


# ---------------------------------------
#  verify2 min ( whole area rule )
# ---------------------------------------

setMetalFill -layer { 1 2 3 4 5 6 7 } \
    -windowSize $WX $WY -windowStep $WX $WY

setMetalFill -layer { 1 } \
    -minDensity $TDensity_M1 -maxDensity 100.0 -preferredDensity $TDensity_M1

setMetalFill -layer { 2 } \
    -minDensity $TDensity_M2 -maxDensity 100.0 -preferredDensity $TDensity_M2

setMetalFill -layer { 3 } \
    -minDensity $TDensity_M3 -maxDensity 100.0 -preferredDensity $TDensity_M3

setMetalFill -layer { 4 } \
    -minDensity $TDensity_M4 -maxDensity 100.0 -preferredDensity $TDensity_M4

setMetalFill -layer { 5 } \
    -minDensity $TDensity_M5 -maxDensity 100.0 -preferredDensity $TDensity_M5

setMetalFill -layer { 6 } \
    -minDensity $TDensity_M6 -maxDensity 100.0 -preferredDensity $TDensity_M6

setMetalFill -layer { 7 } \
    -minDensity $TDensity_M7 -maxDensity 100.0 -preferredDensity $TDensity_M7

verifyMetalDensity -layers { M1 M2 M3 M4 M5 M6 M7 } -area $WAREA \
    -reportfile metal_density_final2_min.rpt -detailed

saveDrc verify_metal2_min.drc

# ---------------------------------------
#  verify2 max ( whole area rule )
# ---------------------------------------
 
setMetalFill -layer { 1 2 3 4 5 6 7 } \
    -windowSize $WX $WY -windowStep $WX $WY
 
setMetalFill -layer { 1 } \
    -minDensity 0.0 -maxDensity 50.0 -preferredDensity $TDensity_M1

setMetalFill -layer { 2 } \
    -minDensity 0.0 -maxDensity 50.0 -preferredDensity $TDensity_M2

setMetalFill -layer { 3 } \
    -minDensity 0.0 -maxDensity 50.0 -preferredDensity $TDensity_M3
 
setMetalFill -layer { 4 } \
    -minDensity 0.0 -maxDensity 50.0 -preferredDensity $TDensity_M4
 
setMetalFill -layer { 5 } \
    -minDensity 0.0 -maxDensity 50.0 -preferredDensity $TDensity_M5

setMetalFill -layer { 6 } \
    -minDensity 0.0 -maxDensity 50.0 -preferredDensity $TDensity_M6
 
setMetalFill -layer { 7 } \
    -minDensity 0.0 -maxDensity 60.0 -preferredDensity $TDensity_M7

verifyMetalDensity -layers { M1 M2 M3 M4 M5 M6 M7 } -area $WAREA \
    -reportfile metal_density_final2_max.rpt -detailed

saveDrc verify_metal2_max.drc


# ---------------------------------------
#  verify3 ( 0% density rule )
# ---------------------------------------

setMetalFill -layer { 1 2 3 4 5 } \
    -windowSize  11.880  11.880 -windowStep  11.880  11.880 \
    -minDensity  0.01 -maxDensity 100.0  -preferredDensity 13.0

setMetalFill -layer { 6 } \
    -windowSize  11.880  11.880 -windowStep  11.880  11.880 \
    -minDensity  0.01 -maxDensity 100.0  -preferredDensity 14.0

setMetalFill -layer { 7 } \
    -windowSize  47.520  47.520 -windowStep  47.520  47.520 \
    -minDensity  0.01 -maxDensity 100.0  -preferredDensity 20.0

verifyMetalDensity -layers { M1 M2 M3 M4 M5 M6 M7 } -area $AREA \
    -reportfile metal_density_final3.rpt -detailed

saveDrc verify_metal3.drc


## -------------------------
##  Export Design
## -------------------------

set dbgLefDefOutVersion 5.6

### for general flow (from here) ###
defOut -floorplan -placement -netlist -routing -noCutRow $outputDef
#### for general flow (to here) ###

#### for flat flow (from here) ###
#defOut -verilog_from_def_netlist_flow -floorplan -placement -netlist -routing -noCutRow $outputDef
#### for flat flow (to here) ###

# exit
