# Script   : cdfill_soce.tcl
# Version  : Ver3.7.0
# Function : "SAMPLE" SoC Encounter Decoupling Cell Insertion
# Date     : Sep.24,2009
#
# SOCE version : 08.10-e296
#
# THIS LIBRARY IS FOR NEC ELECTRONICS INTERNAL USE ONLY.
# Copyright (C) NEC Electronics Corporation 2009
#
#
#    Ver3.7.0 Sep-24-2009
#

set ENCOUNTER_VERSION 8.1
set SOCE_VER 08.10-e296

set TECHNOLOGY   UX8L
#set DESIGN   <design name> ; # Specify in the config file

set inputConfig  ../../database/conf/VDEC_soce.conf
set inputVerilog ../04_cts/cts.v.gz
set inputDef     ../07_metal_fill/metalfill.def.gz
# set inputDef     ../06_shield/shield.def.gz
set inputLef     ../../database/lef/lef
set inputSDC     ../../database/sdc/POCOP_TOP.sdc

set outputDef    ./decap.def.gz

set max_nr_iter 10 ; # number of iteration
set NumOfCPU     1 ; # number of CPU(s)

set encounterDBS "encdbs"

set targetCap           "100000000"
set decap_prefix        "FILL_G_"
set normal_prefix       "FILL_F_"
set rptDeCapFinal       "final"

set maxLayerNumber 7

set defineScript   ./file/define_cdfill_9Grid_GC1.tcl

#set inputECOFile   <input ECO file>

#****************************
# Initial Setting
#****************************

if { $TECHNOLOGY == "CB12" || $TECHNOLOGY == "CB130M"|| $TECHNOLOGY == "CMOS12M" } {
        set DBU 100
} else {
        set DBU 1000
}

set numberOfPaths 100

if { $ENCOUNTER_VERSION == "4.2" } {
        set dbgDefOutPhysicalPin 1
}
set dbgUpdateDefRows 0
set dbgGPSAutoCellFunction 1

set dbgDefOutUnits $DBU
setImportMode -minDbuPerMicron $DBU
set preRouteSkipApplyGlobalNets 1
setVar dbgAllowPowerDomainMinGapZero 1
set sprUseRowOrient 1

set dbgIPOMaxBufDetourDist 100
set dpgBufInsMinTotCap 0

set vgApiUseMT 1
setMultiCpuUsage -numThreads  $NumOfCPU

#****************************
# Defining Procedures
#****************************

source ./cdfill_count_rpt.tcl

proc cntCell { cellName } {
        set cnt 0
        set cellPtr [dbgTopCell]
        dbForEachCellInst $cellPtr instPtr {
                set instName [dbInstName $instPtr]
                set leafCell [dbInstCellName $instPtr]
                if { $leafCell == $cellName } {
                        incr cnt
                }
        }
        Puts "$cellName : $cnt"
}

#****************************
# Importing Design
#****************************

### for general flow (from here) ###
loadConfig $inputConfig 0
#setUIVar rda_Input ui_topcell  "$DESIGN"
setUIVar rda_Input ui_netlist "$inputVerilog"
setUIVar rda_Input ui_timingcon_file "$inputSDC"
setUIVar rda_Input ui_leffile "$inputLef"
commitConfig

if { [ info exists inputECOFile ] } { loadECO  $inputECOFile }

defIn $inputDef
### for general flow (to here) ###
