# Script   : cdfill_count_rpt.tcl
# Version  : Ver1.0.0
# Function : "SAMPLE" SoC Encounter Decoupling Cell Count Report
# Date     : Sep.24,2009
#
#
# THIS LIBRARY IS FOR NEC ELECTRONICS INTERNAL USE ONLY.
# Copyright (C) NEC Electronics Corporation 2009
#
#
#    Ver1.0.0 Sep-24-2009  BY M.Yamada
#         The 1st creation
#

#****************************
# Defining Procedures
#****************************

proc rptDeCap { phase } {
        Puts "#// ======== begin fillcell report ($phase) ========"
        createSaveDir tmp_reportDeCap_dir
        reportDeCapCellCandidates -file tmp_reportDeCap_dir/reportDecap.log
        set in_file [open tmp_reportDeCap_dir/reportDecap.log r]
        while {[gets $in_file line] >= 0 } {
                set deCapFill [list]
                set F [split $line]
                if { [string compare -length 1 [lindex $F 0] "#"] != 0 } {
                        set deCap [lindex $F 0]
                        set cnt 0
                        set cellPtr [dbgTopCell]
                        dbForEachCellInst $cellPtr instPtr {
                                set instName [dbInstName $instPtr]
                                set leafCell [dbInstCellName $instPtr]
                                if { $leafCell == $deCap } {
                                        incr cnt
                                }
                        }
                        Puts "$deCap : $cnt data found"
                }
        }
        close $in_file
        Puts "#// ======== end fillcell report ($phase) ========"
}
