# Script   : SOCE_add_filler.tcl
# Version  : Ver1.8.0
# Function : "SAMPLE" Script for SoC Encounter addFiller
# Date     : Sep.07,2009
#
# SOCE version : 08.10-e296
#
# THIS LIBRARY IS FOR NEC ELECTORONICS INTERNAL USE ONLY.
# Copyright (C) NEC Electronics Corporation 2006,2007,2008,2009
#
# Ver1.8.0  2009-09-07
#

set ENCOUNTER_VERSION 8.1

# ============================================================================ #
# --- Data preparation --- #
# ============================================================================ #
set TECHNOLOGY   UX8L
set GRID         9
#set DESIGN       <design name>          ; # Specify in the config file
set inputConfig  ../../database/conf/VDEC_soce.conf

set inputLef     ../../database/lef/lef
set inputDef     ./decap.def.gz
set inputVerilog ../16_repair_hold/hold_repair.v.gz

set outputDef    ./fill.def.gz
set outputNet    ./fill.v.gz

#set inputECOFile <input ECO file>

set normal_prefix "FILL_F_"

if { $TECHNOLOGY == "CB65L" || $TECHNOLOGY == "UX7LS" } {
  set normal_fill { TH3FILL1024 TH3FILL512 TH3FILL256 TH3FILL128 TH3FILL64 TH3FILL32 TH3FILL16 TH3FILL8 TH3FILL4 TH3FILL2 TH3FILL1 }
} elseif { $TECHNOLOGY == "UX8L" || $TECHNOLOGY == "UX8LD" } {
          if { $GRID == 9 } {
              set normal_fill { LDL_FILL64 LDL_FILL32 LDL_FILL16 LDL_FILL8 LDL_FILL4 LDL_FILL2 LDL_FILL1 }
          } elseif { $GRID == 12 } {
              set normal_fill { LPL_FILL64 LPL_FILL32 LPL_FILL16 LPL_FILL8 LPL_FILL4 LPL_FILL2 LPL_FILL1 }
          } else {
              puts "GRID value is wrong"
              exit 1
          }
}

set dbgUpdateDefRows 0
set dbgUseSiteAsIGU 1

### for general flow (from here) ###
loadConfig $inputConfig  0
#set rda_Input(ui_topcell) "$DESIGN"
set rda_Input(ui_netlist) "$inputVerilog"
set rda_Input(ui_leffile) "$inputLef"
commitConfig

if { [ info exists inputECOFile ] } { loadECO  $inputECOFile }

defIn $inputDef
### for general flow (to here) ###

### for flat flow (from here) ###
#loadLefFile $inputLef
#loadDefNetlist $inputDef
#saveNetlist $inputDef.flat.v
#freeDesign
#loadConfig $inputConfig 0
#setUIVar rda_Input ui_netlist $inputDef.flat.v
#commitConfig
#defIn -verilog_from_def_netlist_flow $inputDef
### for flat flow (to here) ###

setPrerouteAsObs { }

# ============================================================================ #
# --- delete placement blockages --- #
# ============================================================================ #

deleteObstruction -all

# ============================================================================ #
# --- add filler --- #
# ============================================================================ #

addFiller -cell $normal_fill \
	  -prefix $normal_prefix \
	  -markFixed \
	  -noDRC

checkPlace 

# ============================================================================ #
# --- output DEF --- #
# ============================================================================ #

if { $TECHNOLOGY == "CB65L" || $TECHNOLOGY == "UX7LS" || $TECHNOLOGY == "UX8L" || $TECHNOLOGY == "UX8LD" } {
  set dbgLefDefOutVersion 5.6
} else {
  set dbgLefDefOutVersion 5.5
}

if { $TECHNOLOGY == "CB65L" } {
  globalNetConnect VDD -type pgpin -pin VDD
  globalNetConnect GND -type pgpin -pin GND
} elseif { $TECHNOLOGY == "UX7LS" } {
  globalNetConnect VDD -type pgpin -pin VDD
  globalNetConnect GND -type pgpin -pin GND
  globalNetConnect VDD -type tiehi
  globalNetConnect GND -type tielo
} else {
  globalNetConnect VDD -type pgpin -pin VDD
  globalNetConnect VSS -type pgpin -pin VSS
  globalNetConnect VDD -type tiehi
  globalNetConnect VSS -type tielo
}

if { $ENCOUNTER_VERSION == "5.2" } {
  defOut -physicalPin -floorplan -placement -netlist -noCutRow -routing $outputDef
} else {
### for general flow (from here) ###
  saveNetlist $outputNet
  defOut -floorplan -placement -netlist -noCutRow -routing -addHalfWireExtensionOnPin $outputDef
### for general flow (to here) ###

### for flat flow (from here) ###
#defOut -verilog_from_def_netlist_flow -floorplan -placement -netlist -noCutRow -routing $outputDef
### for flat flow (to here) ###
}

#saveDesign add_filler.enc

exit
# END
