##
## THIS LIBRARY IS FOR NEC ELECTORONICS INTERNAL USE ONLY.
## Copyright (C) NEC Electronics Corporation 2008
##
## UX8L SoC Encounter Verify Sample Script
##
## Ver.1.6   2009-03-30
##

#set DESIGN       <design name>     ; # Specify in the config file
set inputConfig  ../../database/conf/VDEC_soce.conf

set inputLef     ../../database/lef/lef
set inputDef     ../08_09_cdfill_repair/fill.def.gz
set inputVerilog ../08_09_cdfill_repair/fill.v.gz

set NumOfCPU     1  ;  # number of CPU(s)

#set inputECOFile     <input ECO file>

# -----------------------------------------------------------------------------

set dbgUpdateDefRows 0
set dbgUseSiteAsIGU 1
set vgIgnoreRObsViols 1
set vgAllInfluenceViols 1
set vgIgnoreNDROnSameNet 1
set vgExpIgnoreEolSideSpacing 1
set sprgAlwaysSaveZeroDrcFile 1

setCompressLevel 9
setMultiCpuUsage -numThreads $NumOfCPU

### for general flow (from here) ###

loadConfig $inputConfig  0
#set rda_Input(ui_topcell) "$DESIGN"
set rda_Input(ui_netlist) "$inputVerilog"
set rda_Input(ui_leffile) "$inputLef"
set rda_Input(ui_timelib,max) ""
set rda_Input(ui_timelib,min) ""
set rda_Input(ui_captbl_file) ""
set rda_Input(ui_timingcon_file) ""
commitConfig

if { [ info exists inputECOFile ] } { loadECO  $inputECOFile }

defIn $inputDef

### for general flow (to here) ###

### for flat flow (from here) ###
#loadLefFile $inputLef
#loadDefNetlist $inputDef
#saveNetlist $inputDef.flat.v
#freeDesign
#loadConfig $inputConfig 0
#setUIVar rda_Input ui_netlist $inputDef.flat.v
#commitConfig
#defIn -verilog_from_def_netlist_flow $inputDef
### for flat flow (to here) ###

# -----------------------------------------------------------------------------

setPrerouteAsObs { }

# create user grid

setSnapGrid -layer { 1 }               -pitch 0.011 0.011
setSnapGrid -layer { 2 3 4 5 }         -pitch 0.033 0.033
setSnapGrid -layer { V12 V23 V34 V45 } -pitch 0.066 0.066

# -- Macro Lower-Left On Track Check -- #

checkMacroLLOnTrack -useM2M3Track

# -- Verify Geometry -- #

verifyGeometry \
  -allowRoutingCellBlkgOverlap \
  -allowRoutingBlkgPinOverlap \
  -stackedViasOnRegNets \
  -noImplantCheck \
  -reportNetOnlyOffGrid \
  -offSnapGrid -layer { 1 2 3 4 5 } \
  -useNonDefaultSpacing \
  -report ${DESIGN}.geom.rpt \
  -error 1000000

# -- Verify Connectivity -- #

verifyConnectivity \
  -noAntenna \
  -report ${DESIGN}.conn.rpt

# -- Verify Place -- #

setPlaceMode -danglingPinAccessCheck false
setPlaceMode -allowBorderPinAbut true
#setPlaceMode -checkPinLayerForAccess { 1 2 3 }
checkPlace ${DESIGN}.place.rpt

# -- Verify Antenna -- #

verifyProcessAntenna \
  -report ${DESIGN}.antenna.rpt

saveDrc ${DESIGN}.drc
#saveDesign verify.enc

exit
