
set  topCell    cpu8top
set  I_CNF      ../../database/conf/VDEC_soce.conf
set  I_LEF      ../../database/lef/lef

set  I_NET      ../08_09_cdfill_repair/fill.v.gz
set  I_DEF      ../08_09_cdfill_repair/fill.def.gz

set  OPC_PATH   /eda_tools/opencad/OpenCAD-LINUX-UX8L_1.2.0/
set  I_MAP      $OPC_PATH/lib/UX8L/wide1_1.1V/layout/oasis.map.7L

#set  O_NET      cpu8top.v
set  O_LVS_NET  cpu8top.lvs.v
set  O_DEF      cpu8top.def.gz
set  O_GDS      cpu8top.gds2.gz

loadConfig $I_CNF  0
setUIVar rda_Input ui_netlist        $I_NET
setUIVar rda_Input ui_leffile        $I_LEF
if {[info exists I_SDC]} {setUIVar rda_Input ui_timingcon_file $I_SDC}
set rda_Input(ui_topcell) "$topCell"

commitConfig


deselectAll
  
#-----------------------------------------------------------------------------
# inputs TOP DEF & flatten
#-----------------------------------------------------------------------------
setTopCell $topCell
defIn $I_DEF

flattenPartition

unplaceAllGuides
deleteAllInstGroups

#saveNetlist $O_NET
saveNetlist $O_LVS_NET -excludeLeafCell -includePhysicalCell \
[list \
LDL_FILL64GC1 LDL_FILL32GC1 LDL_FILL16GC1 LDL_FILL8GC1 C0S8L0STARCIO_FE_TWF1SFCELL33 \
]

set dbgLefDefOutVersion 5.6
set dbgDefOutLefVias 1
defOut -floorplan -placement -noCutRow -routing -addHalfWireExtensionOnPin  $O_DEF

setStreamOutMode -SEcompatible true
setStreamOutMode -supportPathType4 false
streamOut $O_GDS -mapFile $I_MAP -units 1000 -uniquifyCellNames -structureName cpu8top -dieAreaAsBoundary

exit


