module ALU_DW01_add_0 (
	A, 
	B, 
	CI, 
	SUM, 
	CO);
   input [15:0] A;
   input [15:0] B;
   input CI;
   output [15:0] SUM;
   output CO;

   // Internal wires
   wire carry_15_;
   wire carry_14_;
   wire carry_13_;
   wire carry_12_;
   wire carry_11_;
   wire carry_10_;
   wire carry_9_;
   wire carry_8_;
   wire carry_7_;
   wire carry_6_;
   wire carry_5_;
   wire carry_4_;
   wire carry_3_;
   wire carry_2_;
   wire carry_1_;

   LDL_EO3_1 U1_15 (.X(SUM[15]), 
	.A3(carry_15_), 
	.A2(B[15]), 
	.A1(A[15]));
   LDL_ADDF_HD_1 U1_13 (.S(SUM[13]), 
	.CO(carry_14_), 
	.CI(carry_13_), 
	.B(B[13]), 
	.A(A[13]));
   LDL_ADDF_HD_1 U1_12 (.S(SUM[12]), 
	.CO(carry_13_), 
	.CI(carry_12_), 
	.B(B[12]), 
	.A(A[12]));
   LDL_ADDF_HD_1 U1_11 (.S(SUM[11]), 
	.CO(carry_12_), 
	.CI(carry_11_), 
	.B(B[11]), 
	.A(A[11]));
   LDL_ADDF_HD_1 U1_10 (.S(SUM[10]), 
	.CO(carry_11_), 
	.CI(carry_10_), 
	.B(B[10]), 
	.A(A[10]));
   LDL_ADDF_HD_1 U1_8 (.S(SUM[8]), 
	.CO(carry_9_), 
	.CI(carry_8_), 
	.B(B[8]), 
	.A(A[8]));
   LDL_ADDF_HD_1 U1_7 (.S(SUM[7]), 
	.CO(carry_8_), 
	.CI(carry_7_), 
	.B(B[7]), 
	.A(A[7]));
   LDL_ADDF_HD_1 U1_6 (.S(SUM[6]), 
	.CO(carry_7_), 
	.CI(carry_6_), 
	.B(B[6]), 
	.A(A[6]));
   LDL_ADDF_HD_1 U1_5 (.S(SUM[5]), 
	.CO(carry_6_), 
	.CI(carry_5_), 
	.B(B[5]), 
	.A(A[5]));
   LDL_ADDF_HD_1 U1_4 (.S(SUM[4]), 
	.CO(carry_5_), 
	.CI(carry_4_), 
	.B(B[4]), 
	.A(A[4]));
   LDL_ADDF_HD_1 U1_3 (.S(SUM[3]), 
	.CO(carry_4_), 
	.CI(carry_3_), 
	.B(B[3]), 
	.A(A[3]));
   LDL_ADDF_HD_1 U1_2 (.S(SUM[2]), 
	.CO(carry_3_), 
	.CI(carry_2_), 
	.B(B[2]), 
	.A(A[2]));
   LDL_ADDF_HD_1 U1_9 (.S(SUM[9]), 
	.CO(carry_10_), 
	.CI(carry_9_), 
	.B(B[9]), 
	.A(A[9]));
   LDL_ADDF_HD_1 U1_14 (.S(SUM[14]), 
	.CO(carry_15_), 
	.CI(carry_14_), 
	.B(B[14]), 
	.A(A[14]));
   LDL_ADDF_HD_1 U1_1 (.S(SUM[1]), 
	.CO(carry_2_), 
	.CI(carry_1_), 
	.B(B[1]), 
	.A(A[1]));
   LDH_AN2_1 U1 (.X(carry_1_), 
	.A2(A[0]), 
	.A1(B[0]));
   LDH_EO2_1 U2 (.X(SUM[0]), 
	.A2(B[0]), 
	.A1(A[0]));
endmodule

module ALU_DW01_sub_0 (
	A, 
	B, 
	CI, 
	DIFF, 
	CO);
   input [15:0] A;
   input [15:0] B;
   input CI;
   output [15:0] DIFF;
   output CO;

   // Internal wires
   wire carry_15_;
   wire carry_14_;
   wire carry_13_;
   wire carry_12_;
   wire carry_11_;
   wire carry_10_;
   wire carry_9_;
   wire carry_8_;
   wire carry_7_;
   wire carry_6_;
   wire carry_5_;
   wire carry_4_;
   wire carry_3_;
   wire carry_2_;
   wire carry_1_;
   wire B_not_15_;
   wire B_not_14_;
   wire B_not_13_;
   wire B_not_12_;
   wire B_not_11_;
   wire B_not_10_;
   wire B_not_9_;
   wire B_not_8_;
   wire B_not_7_;
   wire B_not_6_;
   wire B_not_5_;
   wire B_not_4_;
   wire B_not_3_;
   wire B_not_2_;
   wire B_not_1_;
   wire B_not_0_;

   LDL_EO3_1 U2_15 (.X(DIFF[15]), 
	.A3(carry_15_), 
	.A2(B_not_15_), 
	.A1(A[15]));
   LDL_ADDF_HD_1 U2_2 (.S(DIFF[2]), 
	.CO(carry_3_), 
	.CI(carry_2_), 
	.B(B_not_2_), 
	.A(A[2]));
   LDL_ADDF_HD_1 U2_3 (.S(DIFF[3]), 
	.CO(carry_4_), 
	.CI(carry_3_), 
	.B(B_not_3_), 
	.A(A[3]));
   LDL_ADDF_HD_1 U2_4 (.S(DIFF[4]), 
	.CO(carry_5_), 
	.CI(carry_4_), 
	.B(B_not_4_), 
	.A(A[4]));
   LDL_ADDF_HD_1 U2_5 (.S(DIFF[5]), 
	.CO(carry_6_), 
	.CI(carry_5_), 
	.B(B_not_5_), 
	.A(A[5]));
   LDL_ADDF_HD_1 U2_6 (.S(DIFF[6]), 
	.CO(carry_7_), 
	.CI(carry_6_), 
	.B(B_not_6_), 
	.A(A[6]));
   LDL_ADDF_HD_1 U2_7 (.S(DIFF[7]), 
	.CO(carry_8_), 
	.CI(carry_7_), 
	.B(B_not_7_), 
	.A(A[7]));
   LDL_ADDF_HD_1 U2_8 (.S(DIFF[8]), 
	.CO(carry_9_), 
	.CI(carry_8_), 
	.B(B_not_8_), 
	.A(A[8]));
   LDL_ADDF_HD_1 U2_10 (.S(DIFF[10]), 
	.CO(carry_11_), 
	.CI(carry_10_), 
	.B(B_not_10_), 
	.A(A[10]));
   LDL_ADDF_HD_1 U2_11 (.S(DIFF[11]), 
	.CO(carry_12_), 
	.CI(carry_11_), 
	.B(B_not_11_), 
	.A(A[11]));
   LDL_ADDF_HD_1 U2_12 (.S(DIFF[12]), 
	.CO(carry_13_), 
	.CI(carry_12_), 
	.B(B_not_12_), 
	.A(A[12]));
   LDL_ADDF_HD_1 U2_13 (.S(DIFF[13]), 
	.CO(carry_14_), 
	.CI(carry_13_), 
	.B(B_not_13_), 
	.A(A[13]));
   LDL_ADDF_HD_1 U2_9 (.S(DIFF[9]), 
	.CO(carry_10_), 
	.CI(carry_9_), 
	.B(B_not_9_), 
	.A(A[9]));
   LDL_ADDF_HD_1 U2_14 (.S(DIFF[14]), 
	.CO(carry_15_), 
	.CI(carry_14_), 
	.B(B_not_14_), 
	.A(A[14]));
   LDL_ADDF_HD_1 U2_1 (.S(DIFF[1]), 
	.CO(carry_2_), 
	.CI(carry_1_), 
	.B(B_not_1_), 
	.A(A[1]));
   LDH_OR2_1 U1 (.X(carry_1_), 
	.A2(B_not_0_), 
	.A1(A[0]));
   LDH_EN2_S_1 U2 (.X(DIFF[0]), 
	.A2(A[0]), 
	.A1(B_not_0_));
   LDH_INV_1 U3 (.X(B_not_9_), 
	.A(B[9]));
   LDH_INV_1 U4 (.X(B_not_8_), 
	.A(B[8]));
   LDH_INV_1 U5 (.X(B_not_7_), 
	.A(B[7]));
   LDH_INV_1 U6 (.X(B_not_6_), 
	.A(B[6]));
   LDH_INV_1 U7 (.X(B_not_5_), 
	.A(B[5]));
   LDH_INV_1 U8 (.X(B_not_4_), 
	.A(B[4]));
   LDH_INV_1 U9 (.X(B_not_3_), 
	.A(B[3]));
   LDH_INV_1 U10 (.X(B_not_2_), 
	.A(B[2]));
   LDH_INV_1 U11 (.X(B_not_1_), 
	.A(B[1]));
   LDH_INV_1 U12 (.X(B_not_15_), 
	.A(B[15]));
   LDH_INV_1 U13 (.X(B_not_14_), 
	.A(B[14]));
   LDH_INV_1 U14 (.X(B_not_13_), 
	.A(B[13]));
   LDH_INV_1 U15 (.X(B_not_12_), 
	.A(B[12]));
   LDH_INV_1 U16 (.X(B_not_11_), 
	.A(B[11]));
   LDH_INV_1 U17 (.X(B_not_10_), 
	.A(B[10]));
   LDH_INV_1 U18 (.X(B_not_0_), 
	.A(B[0]));
endmodule

module POCOP_DW01_inc_0 (
	A, 
	SUM);
   input [15:0] A;
   output [15:0] SUM;

   // Internal wires
   wire carry_15_;
   wire carry_14_;
   wire carry_13_;
   wire carry_12_;
   wire carry_11_;
   wire carry_10_;
   wire carry_9_;
   wire carry_8_;
   wire carry_7_;
   wire carry_6_;
   wire carry_5_;
   wire carry_4_;
   wire carry_3_;
   wire carry_2_;

   LDL_ADDH_1 U1_1_14 (.S(SUM[14]), 
	.CO(carry_15_), 
	.B(carry_14_), 
	.A(A[14]));
   LDL_ADDH_1 U1_1_1 (.S(SUM[1]), 
	.CO(carry_2_), 
	.B(A[0]), 
	.A(A[1]));
   LDL_ADDH_1 U1_1_2 (.S(SUM[2]), 
	.CO(carry_3_), 
	.B(carry_2_), 
	.A(A[2]));
   LDL_ADDH_1 U1_1_3 (.S(SUM[3]), 
	.CO(carry_4_), 
	.B(carry_3_), 
	.A(A[3]));
   LDL_ADDH_1 U1_1_4 (.S(SUM[4]), 
	.CO(carry_5_), 
	.B(carry_4_), 
	.A(A[4]));
   LDL_ADDH_1 U1_1_5 (.S(SUM[5]), 
	.CO(carry_6_), 
	.B(carry_5_), 
	.A(A[5]));
   LDL_ADDH_1 U1_1_6 (.S(SUM[6]), 
	.CO(carry_7_), 
	.B(carry_6_), 
	.A(A[6]));
   LDL_ADDH_1 U1_1_7 (.S(SUM[7]), 
	.CO(carry_8_), 
	.B(carry_7_), 
	.A(A[7]));
   LDL_ADDH_1 U1_1_8 (.S(SUM[8]), 
	.CO(carry_9_), 
	.B(carry_8_), 
	.A(A[8]));
   LDL_ADDH_1 U1_1_9 (.S(SUM[9]), 
	.CO(carry_10_), 
	.B(carry_9_), 
	.A(A[9]));
   LDL_ADDH_1 U1_1_10 (.S(SUM[10]), 
	.CO(carry_11_), 
	.B(carry_10_), 
	.A(A[10]));
   LDL_ADDH_1 U1_1_11 (.S(SUM[11]), 
	.CO(carry_12_), 
	.B(carry_11_), 
	.A(A[11]));
   LDL_ADDH_1 U1_1_12 (.S(SUM[12]), 
	.CO(carry_13_), 
	.B(carry_12_), 
	.A(A[12]));
   LDL_ADDH_1 U1_1_13 (.S(SUM[13]), 
	.CO(carry_14_), 
	.B(carry_13_), 
	.A(A[13]));
   LDH_EO2_1 U1 (.X(SUM[15]), 
	.A2(A[15]), 
	.A1(carry_15_));
   LDH_INV_1 U2 (.X(SUM[0]), 
	.A(A[0]));
endmodule

module ALU (
	A, 
	B, 
	S, 
	Y);
   input [15:0] A;
   input [15:0] B;
   input [2:0] S;
   output [15:0] Y;

   // Internal wires
   wire N41;
   wire N42;
   wire N43;
   wire N44;
   wire N45;
   wire N46;
   wire N47;
   wire N48;
   wire N49;
   wire N50;
   wire N51;
   wire N52;
   wire N53;
   wire N54;
   wire N55;
   wire N56;
   wire N57;
   wire N58;
   wire N59;
   wire N60;
   wire N61;
   wire N62;
   wire N63;
   wire N64;
   wire N65;
   wire N66;
   wire N67;
   wire N68;
   wire N69;
   wire N70;
   wire N71;
   wire N72;
   wire n6;
   wire n27;
   wire n28;
   wire n29;
   wire n30;
   wire n31;
   wire n35;
   wire n36;
   wire n37;
   wire n38;
   wire n39;
   wire n40;
   wire n410;
   wire n420;
   wire n430;
   wire n440;
   wire n450;
   wire n460;
   wire n470;
   wire n480;
   wire n490;
   wire n500;
   wire n510;
   wire n520;
   wire n530;
   wire n540;
   wire n550;
   wire n560;
   wire n570;
   wire n580;
   wire n590;
   wire n600;
   wire n610;
   wire n620;
   wire n630;
   wire n640;
   wire n650;
   wire n660;
   wire n670;
   wire n680;
   wire n690;
   wire n700;
   wire n710;
   wire n720;
   wire n73;
   wire n74;
   wire n75;
   wire n76;
   wire n77;
   wire n78;
   wire n79;
   wire n80;
   wire n81;
   wire n82;
   wire n83;
   wire n84;
   wire n85;
   wire n86;
   wire n87;
   wire n88;
   wire n89;
   wire n90;
   wire n91;
   wire n92;
   wire n93;
   wire n94;
   wire n95;
   wire n96;
   wire n97;
   wire n98;
   wire n99;
   wire n100;
   wire n1;
   wire n2;
   wire n3;
   wire n4;
   wire n5;
   wire n7;
   wire n8;
   wire n9;
   wire n10;
   wire n11;
   wire n12;
   wire n13;
   wire n14;
   wire n15;

   ALU_DW01_sub_0 sub_7 (.A({ A[15],
		A[14],
		A[13],
		A[12],
		A[11],
		A[10],
		A[9],
		A[8],
		A[7],
		A[6],
		A[5],
		A[4],
		A[3],
		A[2],
		A[1],
		A[0] }), 
	.B({ B[15],
		B[14],
		B[13],
		B[12],
		B[11],
		B[10],
		B[9],
		B[8],
		B[7],
		B[6],
		B[5],
		B[4],
		B[3],
		B[2],
		B[1],
		B[0] }), 
	.CI(n6), 
	.DIFF({ N72,
		N71,
		N70,
		N69,
		N68,
		N67,
		N66,
		N65,
		N64,
		N63,
		N62,
		N61,
		N60,
		N59,
		N58,
		N57 }));
   ALU_DW01_add_0 add_7 (.A({ A[15],
		A[14],
		A[13],
		A[12],
		A[11],
		A[10],
		A[9],
		A[8],
		A[7],
		A[6],
		A[5],
		A[4],
		A[3],
		A[2],
		A[1],
		A[0] }), 
	.B({ B[15],
		B[14],
		B[13],
		B[12],
		B[11],
		B[10],
		B[9],
		B[8],
		B[7],
		B[6],
		B[5],
		B[4],
		B[3],
		B[2],
		B[1],
		B[0] }), 
	.CI(n6), 
	.SUM({ N56,
		N55,
		N54,
		N53,
		N52,
		N51,
		N50,
		N49,
		N48,
		N47,
		N46,
		N45,
		N44,
		N43,
		N42,
		N41 }));
   LDL_OR3_1 U2 (.X(n1), 
	.A3(n94), 
	.A2(S[1]), 
	.A1(n99));
   LDL_OR3_1 U3 (.X(n2), 
	.A3(n94), 
	.A2(S[0]), 
	.A1(n100));
   LDL_OR3_1 U4 (.X(n3), 
	.A3(n94), 
	.A2(S[1]), 
	.A1(S[0]));
   LDL_INV_1 U5 (.X(n4), 
	.A(n1));
   LDL_INV_1 U6 (.X(n5), 
	.A(n1));
   LDL_INV_1 U7 (.X(n7), 
	.A(n3));
   LDL_INV_1 U8 (.X(n8), 
	.A(n3));
   LDL_INV_1 U9 (.X(n9), 
	.A(n27));
   LDL_INV_1 U10 (.X(n10), 
	.A(n9));
   LDL_INV_1 U11 (.X(n11), 
	.A(n2));
   LDL_INV_1 U12 (.X(n12), 
	.A(n2));
   LDL_NR2_1 U13 (.X(n13), 
	.A2(S[2]), 
	.A1(n99));
   LDL_NR2_1 U14 (.X(n14), 
	.A2(S[2]), 
	.A1(n100));
   LDL_NR2_1 U15 (.X(n37), 
	.A2(S[2]), 
	.A1(n99));
   LDL_NR2_1 U16 (.X(n36), 
	.A2(S[2]), 
	.A1(n100));
   LDL_BUF_1 U17 (.X(n15), 
	.A(n35));
   LDL_NR3_1 U18 (.X(n35), 
	.A3(n94), 
	.A2(n99), 
	.A1(n100));
   LDL_OAI2111_1 U19 (.X(Y[15]), 
	.B3(n73), 
	.B2(n720), 
	.B1(n710), 
	.A2(n700), 
	.A1(n10));
   LDL_INV_1 U20 (.X(n700), 
	.A(A[15]));
   LDL_AOAI211_1 U21 (.X(n710), 
	.C(B[15]), 
	.B(n13), 
	.A2(n14), 
	.A1(A[15]));
   LDL_AOI22_1 U22 (.X(n73), 
	.B2(n8), 
	.B1(A[14]), 
	.A2(n12), 
	.A1(N56));
   LDL_OAI2111_1 U23 (.X(Y[14]), 
	.B3(n77), 
	.B2(n76), 
	.B1(n75), 
	.A2(n74), 
	.A1(n27));
   LDL_INV_1 U24 (.X(n74), 
	.A(A[14]));
   LDL_AOAI211_1 U25 (.X(n75), 
	.C(B[14]), 
	.B(n37), 
	.A2(n36), 
	.A1(A[14]));
   LDL_ND2_1 U26 (.X(n76), 
	.A2(n15), 
	.A1(N71));
   LDL_OAI2111_1 U27 (.X(Y[13]), 
	.B3(n81), 
	.B2(n80), 
	.B1(n79), 
	.A2(n78), 
	.A1(n27));
   LDL_INV_1 U28 (.X(n78), 
	.A(A[13]));
   LDL_AOAI211_1 U29 (.X(n79), 
	.C(B[13]), 
	.B(n37), 
	.A2(n36), 
	.A1(A[13]));
   LDL_ND2_1 U30 (.X(n80), 
	.A2(n35), 
	.A1(N70));
   LDL_OAI2111_1 U31 (.X(Y[12]), 
	.B3(n85), 
	.B2(n84), 
	.B1(n83), 
	.A2(n82), 
	.A1(n27));
   LDL_INV_1 U32 (.X(n82), 
	.A(A[12]));
   LDL_AOAI211_1 U33 (.X(n83), 
	.C(B[12]), 
	.B(n37), 
	.A2(n14), 
	.A1(A[12]));
   LDL_ND2_1 U34 (.X(n84), 
	.A2(n15), 
	.A1(N69));
   LDL_OAI2111_1 U35 (.X(Y[11]), 
	.B3(n89), 
	.B2(n88), 
	.B1(n87), 
	.A2(n86), 
	.A1(n10));
   LDL_INV_1 U36 (.X(n86), 
	.A(A[11]));
   LDL_AOAI211_1 U37 (.X(n87), 
	.C(B[11]), 
	.B(n13), 
	.A2(n14), 
	.A1(A[11]));
   LDL_ND2_1 U38 (.X(n88), 
	.A2(n15), 
	.A1(N68));
   LDL_AOI222_1 U39 (.X(n81), 
	.C2(n4), 
	.C1(A[14]), 
	.B2(n11), 
	.B1(N54), 
	.A2(n7), 
	.A1(A[12]));
   LDL_AOI222_1 U40 (.X(n85), 
	.C2(n4), 
	.C1(A[13]), 
	.B2(n11), 
	.B1(N53), 
	.A2(n7), 
	.A1(A[11]));
   LDL_AOI222_1 U41 (.X(n89), 
	.C2(n4), 
	.C1(A[12]), 
	.B2(n11), 
	.B1(N52), 
	.A2(A[10]), 
	.A1(n8));
   LDL_AOI222_1 U42 (.X(n77), 
	.C2(n4), 
	.C1(A[15]), 
	.B2(n12), 
	.B1(N55), 
	.A2(n7), 
	.A1(A[13]));
   LDL_ND2_1 U43 (.X(n720), 
	.A2(n35), 
	.A1(N72));
   LDL_ND2_1 U44 (.X(n97), 
	.A2(n35), 
	.A1(N57));
   LDL_OAI2111_1 U45 (.X(Y[10]), 
	.B3(n93), 
	.B2(n92), 
	.B1(n91), 
	.A2(n90), 
	.A1(n10));
   LDL_INV_1 U46 (.X(n90), 
	.A(A[10]));
   LDL_AOAI211_1 U47 (.X(n91), 
	.C(B[10]), 
	.B(n37), 
	.A2(n36), 
	.A1(A[10]));
   LDL_ND2_1 U48 (.X(n92), 
	.A2(n15), 
	.A1(N67));
   LDL_OAI2111_1 U49 (.X(Y[9]), 
	.B3(n31), 
	.B2(n30), 
	.B1(n29), 
	.A2(n28), 
	.A1(n27));
   LDL_INV_1 U50 (.X(n28), 
	.A(A[9]));
   LDL_AOAI211_1 U51 (.X(n29), 
	.C(B[9]), 
	.B(n13), 
	.A2(n14), 
	.A1(A[9]));
   LDL_ND2_1 U52 (.X(n30), 
	.A2(n15), 
	.A1(N66));
   LDL_OAI2111_1 U53 (.X(Y[8]), 
	.B3(n410), 
	.B2(n40), 
	.B1(n39), 
	.A2(n38), 
	.A1(n27));
   LDL_INV_1 U54 (.X(n38), 
	.A(A[8]));
   LDL_AOAI211_1 U55 (.X(n39), 
	.C(B[8]), 
	.B(n13), 
	.A2(n36), 
	.A1(A[8]));
   LDL_ND2_1 U56 (.X(n40), 
	.A2(n35), 
	.A1(N65));
   LDL_OAI2111_1 U57 (.X(Y[7]), 
	.B3(n450), 
	.B2(n440), 
	.B1(n430), 
	.A2(n420), 
	.A1(n10));
   LDL_INV_1 U58 (.X(n420), 
	.A(A[7]));
   LDL_AOAI211_1 U59 (.X(n430), 
	.C(B[7]), 
	.B(n13), 
	.A2(n36), 
	.A1(A[7]));
   LDL_ND2_1 U60 (.X(n440), 
	.A2(n15), 
	.A1(N64));
   LDL_OAI2111_1 U61 (.X(Y[6]), 
	.B3(n490), 
	.B2(n480), 
	.B1(n470), 
	.A2(n460), 
	.A1(n10));
   LDL_INV_1 U62 (.X(n460), 
	.A(A[6]));
   LDL_AOAI211_1 U63 (.X(n470), 
	.C(B[6]), 
	.B(n37), 
	.A2(n36), 
	.A1(A[6]));
   LDL_ND2_1 U64 (.X(n480), 
	.A2(n35), 
	.A1(N63));
   LDL_OAI2111_1 U65 (.X(Y[5]), 
	.B3(n530), 
	.B2(n520), 
	.B1(n510), 
	.A2(n500), 
	.A1(n10));
   LDL_INV_1 U66 (.X(n500), 
	.A(A[5]));
   LDL_AOAI211_1 U67 (.X(n510), 
	.C(B[5]), 
	.B(n37), 
	.A2(n14), 
	.A1(A[5]));
   LDL_ND2_1 U68 (.X(n520), 
	.A2(n15), 
	.A1(N62));
   LDL_OAI2111_1 U69 (.X(Y[4]), 
	.B3(n570), 
	.B2(n560), 
	.B1(n550), 
	.A2(n540), 
	.A1(n10));
   LDL_INV_1 U70 (.X(n540), 
	.A(A[4]));
   LDL_AOAI211_1 U71 (.X(n550), 
	.C(B[4]), 
	.B(n13), 
	.A2(n36), 
	.A1(A[4]));
   LDL_ND2_1 U72 (.X(n560), 
	.A2(n35), 
	.A1(N61));
   LDL_OAI2111_1 U73 (.X(Y[3]), 
	.B3(n610), 
	.B2(n600), 
	.B1(n590), 
	.A2(n580), 
	.A1(n10));
   LDL_INV_1 U74 (.X(n580), 
	.A(A[3]));
   LDL_AOAI211_1 U75 (.X(n590), 
	.C(B[3]), 
	.B(n37), 
	.A2(n36), 
	.A1(A[3]));
   LDL_ND2_1 U76 (.X(n600), 
	.A2(n15), 
	.A1(N60));
   LDL_OAI2111_1 U77 (.X(Y[2]), 
	.B3(n650), 
	.B2(n640), 
	.B1(n630), 
	.A2(n620), 
	.A1(n10));
   LDL_INV_1 U78 (.X(n620), 
	.A(A[2]));
   LDL_AOAI211_1 U79 (.X(n630), 
	.C(B[2]), 
	.B(n13), 
	.A2(n14), 
	.A1(A[2]));
   LDL_ND2_1 U80 (.X(n640), 
	.A2(n35), 
	.A1(N59));
   LDL_OAI2111_1 U81 (.X(Y[1]), 
	.B3(n690), 
	.B2(n680), 
	.B1(n670), 
	.A2(n660), 
	.A1(n10));
   LDL_INV_1 U82 (.X(n660), 
	.A(A[1]));
   LDL_AOAI211_1 U83 (.X(n670), 
	.C(B[1]), 
	.B(n37), 
	.A2(n14), 
	.A1(A[1]));
   LDL_ND2_1 U84 (.X(n680), 
	.A2(n15), 
	.A1(N58));
   LDL_OAI2111_1 U85 (.X(Y[0]), 
	.B3(n98), 
	.B2(n97), 
	.B1(n96), 
	.A2(n95), 
	.A1(n10));
   LDL_INV_1 U86 (.X(n95), 
	.A(A[0]));
   LDL_AOAI211_1 U87 (.X(n96), 
	.C(B[0]), 
	.B(n13), 
	.A2(n14), 
	.A1(A[0]));
   LDL_AOI22_1 U88 (.X(n98), 
	.B2(n5), 
	.B1(A[1]), 
	.A2(n12), 
	.A1(N41));
   LDL_AOI222_1 U89 (.X(n31), 
	.C2(n4), 
	.C1(A[10]), 
	.B2(n11), 
	.B1(N50), 
	.A2(n7), 
	.A1(A[8]));
   LDL_AOI222_1 U90 (.X(n93), 
	.C2(n4), 
	.C1(A[11]), 
	.B2(n11), 
	.B1(N51), 
	.A2(A[9]), 
	.A1(n7));
   LDL_AOI222_1 U91 (.X(n450), 
	.C2(n5), 
	.C1(A[8]), 
	.B2(n12), 
	.B1(N48), 
	.A2(n8), 
	.A1(A[6]));
   LDL_AOI222_1 U92 (.X(n490), 
	.C2(n5), 
	.C1(A[7]), 
	.B2(n12), 
	.B1(N47), 
	.A2(n8), 
	.A1(A[5]));
   LDL_AOI222_1 U93 (.X(n530), 
	.C2(n5), 
	.C1(A[6]), 
	.B2(n12), 
	.B1(N46), 
	.A2(n8), 
	.A1(A[4]));
   LDL_AOI222_1 U94 (.X(n570), 
	.C2(n5), 
	.C1(A[5]), 
	.B2(n12), 
	.B1(N45), 
	.A2(n8), 
	.A1(A[3]));
   LDL_AOI222_1 U95 (.X(n610), 
	.C2(n5), 
	.C1(A[4]), 
	.B2(n12), 
	.B1(N44), 
	.A2(n8), 
	.A1(A[2]));
   LDL_AOI222_1 U96 (.X(n650), 
	.C2(n5), 
	.C1(A[3]), 
	.B2(n12), 
	.B1(N43), 
	.A2(n8), 
	.A1(A[1]));
   LDL_AOI222_1 U97 (.X(n690), 
	.C2(n5), 
	.C1(A[2]), 
	.B2(n12), 
	.B1(N42), 
	.A2(n8), 
	.A1(A[0]));
   LDL_AOI33_1 U98 (.X(n27), 
	.B3(n100), 
	.B2(n94), 
	.B1(n99), 
	.A3(S[0]), 
	.A2(n94), 
	.A1(S[1]));
   LDL_AOI222_1 U99 (.X(n410), 
	.C2(A[9]), 
	.C1(n5), 
	.B2(n11), 
	.B1(N49), 
	.A2(n7), 
	.A1(A[7]));
   LDL_INV_1 U100 (.X(n94), 
	.A(S[2]));
   LDL_INV_1 U101 (.X(n99), 
	.A(S[0]));
   LDL_INV_1 U102 (.X(n100), 
	.A(S[1]));
   LDH_CLHL U103 (.L(n6));
endmodule

module RFILE (
	CLK, 
	AADR, 
	BADR, 
	CADR, 
	A, 
	B, 
	C, 
	WE);
   input CLK;
   input [2:0] AADR;
   input [2:0] BADR;
   input [2:0] CADR;
   output [15:0] A;
   output [15:0] B;
   input [15:0] C;
   input WE;

   // Internal wires
   wire RF_0__15_;
   wire RF_0__14_;
   wire RF_0__13_;
   wire RF_0__12_;
   wire RF_0__11_;
   wire RF_0__10_;
   wire RF_0__9_;
   wire RF_0__8_;
   wire RF_0__7_;
   wire RF_0__6_;
   wire RF_0__5_;
   wire RF_0__4_;
   wire RF_0__3_;
   wire RF_0__2_;
   wire RF_0__1_;
   wire RF_0__0_;
   wire RF_1__15_;
   wire RF_1__14_;
   wire RF_1__13_;
   wire RF_1__12_;
   wire RF_1__11_;
   wire RF_1__10_;
   wire RF_1__9_;
   wire RF_1__8_;
   wire RF_1__7_;
   wire RF_1__6_;
   wire RF_1__5_;
   wire RF_1__4_;
   wire RF_1__3_;
   wire RF_1__2_;
   wire RF_1__1_;
   wire RF_1__0_;
   wire RF_2__15_;
   wire RF_2__14_;
   wire RF_2__13_;
   wire RF_2__12_;
   wire RF_2__11_;
   wire RF_2__10_;
   wire RF_2__9_;
   wire RF_2__8_;
   wire RF_2__7_;
   wire RF_2__6_;
   wire RF_2__5_;
   wire RF_2__4_;
   wire RF_2__3_;
   wire RF_2__2_;
   wire RF_2__1_;
   wire RF_2__0_;
   wire RF_3__15_;
   wire RF_3__14_;
   wire RF_3__13_;
   wire RF_3__12_;
   wire RF_3__11_;
   wire RF_3__10_;
   wire RF_3__9_;
   wire RF_3__8_;
   wire RF_3__7_;
   wire RF_3__6_;
   wire RF_3__5_;
   wire RF_3__4_;
   wire RF_3__3_;
   wire RF_3__2_;
   wire RF_3__1_;
   wire RF_3__0_;
   wire RF_4__15_;
   wire RF_4__14_;
   wire RF_4__13_;
   wire RF_4__12_;
   wire RF_4__11_;
   wire RF_4__10_;
   wire RF_4__9_;
   wire RF_4__8_;
   wire RF_4__7_;
   wire RF_4__6_;
   wire RF_4__5_;
   wire RF_4__4_;
   wire RF_4__3_;
   wire RF_4__2_;
   wire RF_4__1_;
   wire RF_4__0_;
   wire RF_5__15_;
   wire RF_5__14_;
   wire RF_5__13_;
   wire RF_5__12_;
   wire RF_5__11_;
   wire RF_5__10_;
   wire RF_5__9_;
   wire RF_5__8_;
   wire RF_5__7_;
   wire RF_5__6_;
   wire RF_5__5_;
   wire RF_5__4_;
   wire RF_5__3_;
   wire RF_5__2_;
   wire RF_5__1_;
   wire RF_5__0_;
   wire RF_6__15_;
   wire RF_6__14_;
   wire RF_6__13_;
   wire RF_6__12_;
   wire RF_6__11_;
   wire RF_6__10_;
   wire RF_6__9_;
   wire RF_6__8_;
   wire RF_6__7_;
   wire RF_6__6_;
   wire RF_6__5_;
   wire RF_6__4_;
   wire RF_6__3_;
   wire RF_6__2_;
   wire RF_6__1_;
   wire RF_6__0_;
   wire RF_7__15_;
   wire RF_7__14_;
   wire RF_7__13_;
   wire RF_7__12_;
   wire RF_7__11_;
   wire RF_7__10_;
   wire RF_7__9_;
   wire RF_7__8_;
   wire RF_7__7_;
   wire RF_7__6_;
   wire RF_7__5_;
   wire RF_7__4_;
   wire RF_7__3_;
   wire RF_7__2_;
   wire RF_7__1_;
   wire RF_7__0_;
   wire N25;
   wire N26;
   wire N27;
   wire N28;
   wire N29;
   wire N30;
   wire N31;
   wire N32;
   wire N33;
   wire N34;
   wire N35;
   wire N36;
   wire N37;
   wire N38;
   wire N39;
   wire N40;
   wire N44;
   wire N45;
   wire N46;
   wire N47;
   wire N48;
   wire N49;
   wire N50;
   wire N51;
   wire N52;
   wire N53;
   wire N54;
   wire N55;
   wire N56;
   wire N57;
   wire N58;
   wire N59;
   wire n6;
   wire n7;
   wire n8;
   wire n9;
   wire n10;
   wire n11;
   wire n12;
   wire n13;
   wire n14;
   wire n15;
   wire n16;
   wire n17;
   wire n18;
   wire n19;
   wire n20;
   wire n21;
   wire n22;
   wire n23;
   wire n24;
   wire n2500;
   wire n2600;
   wire n270;
   wire n280;
   wire n290;
   wire n300;
   wire n310;
   wire n320;
   wire n330;
   wire n340;
   wire n350;
   wire n360;
   wire n370;
   wire n380;
   wire n390;
   wire n400;
   wire n41;
   wire n42;
   wire n43;
   wire n440;
   wire n450;
   wire n460;
   wire n470;
   wire n480;
   wire n490;
   wire n500;
   wire n510;
   wire n520;
   wire n530;
   wire n540;
   wire n550;
   wire n560;
   wire n570;
   wire n580;
   wire n590;
   wire n60;
   wire n61;
   wire n62;
   wire n63;
   wire n64;
   wire n65;
   wire n66;
   wire n67;
   wire n68;
   wire n69;
   wire n70;
   wire n71;
   wire n72;
   wire n73;
   wire n74;
   wire n75;
   wire n76;
   wire n77;
   wire n78;
   wire n79;
   wire n80;
   wire n81;
   wire n82;
   wire n83;
   wire n84;
   wire n85;
   wire n86;
   wire n87;
   wire n88;
   wire n89;
   wire n90;
   wire n91;
   wire n92;
   wire n93;
   wire n94;
   wire n95;
   wire n96;
   wire n97;
   wire n98;
   wire n99;
   wire n100;
   wire n101;
   wire n102;
   wire n103;
   wire n104;
   wire n105;
   wire n106;
   wire n107;
   wire n108;
   wire n109;
   wire n110;
   wire n111;
   wire n112;
   wire n113;
   wire n114;
   wire n115;
   wire n116;
   wire n117;
   wire n118;
   wire n119;
   wire n120;
   wire n121;
   wire n122;
   wire n123;
   wire n124;
   wire n125;
   wire n126;
   wire n127;
   wire n128;
   wire n129;
   wire n130;
   wire n131;
   wire n132;
   wire n133;
   wire n134;
   wire n135;
   wire n136;
   wire n137;
   wire n138;
   wire n139;
   wire n140;
   wire n141;
   wire n142;
   wire n143;
   wire n144;
   wire n145;
   wire n146;
   wire n147;
   wire n148;
   wire n149;
   wire n150;
   wire n151;
   wire n152;
   wire n153;
   wire n154;
   wire n155;
   wire n156;
   wire n157;
   wire n158;
   wire n159;
   wire n160;
   wire n161;
   wire n162;
   wire n163;
   wire n164;
   wire n165;
   wire n166;
   wire n167;
   wire n168;
   wire n1;
   wire n2;
   wire n3;
   wire n4;
   wire n5;
   wire n169;
   wire n170;
   wire n171;
   wire n172;
   wire n173;
   wire n174;
   wire n175;
   wire n176;
   wire n177;
   wire n178;
   wire n179;
   wire n180;
   wire n181;
   wire n182;
   wire n183;
   wire n184;
   wire n185;
   wire n186;
   wire n187;
   wire n188;
   wire n189;
   wire n190;
   wire n191;
   wire n192;
   wire n193;
   wire n194;
   wire n195;
   wire n196;
   wire n197;
   wire n198;
   wire n199;
   wire n200;
   wire n201;
   wire n202;
   wire n203;
   wire n204;
   wire n205;
   wire n206;
   wire n207;
   wire n208;
   wire n209;
   wire n210;
   wire n211;
   wire n212;
   wire n213;
   wire n214;
   wire n215;
   wire n216;
   wire n217;
   wire n218;
   wire n219;
   wire n220;
   wire n221;
   wire n222;
   wire n223;
   wire n224;
   wire n225;
   wire n226;
   wire n227;
   wire n228;
   wire n229;
   wire n230;
   wire n231;
   wire n232;
   wire n233;
   wire n234;
   wire n235;
   wire n236;
   wire n237;
   wire n238;
   wire n239;
   wire n240;
   wire n241;
   wire n242;
   wire n243;
   wire n244;
   wire n245;
   wire n246;
   wire n247;
   wire n248;
   wire n249;
   wire n25000;
   wire n251;
   wire n252;
   wire n253;
   wire n254;
   wire n255;
   wire n256;
   wire n257;
   wire n258;
   wire n259;
   wire n26000;
   wire n261;

   LDL_FDPQ_HD_1 RF_reg_0__15_ (.Q(RF_0__15_), 
	.D(n168), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__14_ (.Q(RF_0__14_), 
	.D(n167), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__13_ (.Q(RF_0__13_), 
	.D(n166), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__12_ (.Q(RF_0__12_), 
	.D(n165), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__11_ (.Q(RF_0__11_), 
	.D(n164), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__10_ (.Q(RF_0__10_), 
	.D(n163), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__9_ (.Q(RF_0__9_), 
	.D(n162), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__8_ (.Q(RF_0__8_), 
	.D(n161), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__7_ (.Q(RF_0__7_), 
	.D(n160), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__6_ (.Q(RF_0__6_), 
	.D(n159), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__5_ (.Q(RF_0__5_), 
	.D(n158), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__4_ (.Q(RF_0__4_), 
	.D(n157), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__3_ (.Q(RF_0__3_), 
	.D(n156), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__2_ (.Q(RF_0__2_), 
	.D(n155), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__1_ (.Q(RF_0__1_), 
	.D(n154), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_0__0_ (.Q(RF_0__0_), 
	.D(n153), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__15_ (.Q(RF_4__15_), 
	.D(n104), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__14_ (.Q(RF_4__14_), 
	.D(n103), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__13_ (.Q(RF_4__13_), 
	.D(n102), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__12_ (.Q(RF_4__12_), 
	.D(n101), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__11_ (.Q(RF_4__11_), 
	.D(n100), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__10_ (.Q(RF_4__10_), 
	.D(n99), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__9_ (.Q(RF_4__9_), 
	.D(n98), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__8_ (.Q(RF_4__8_), 
	.D(n97), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__7_ (.Q(RF_4__7_), 
	.D(n96), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__6_ (.Q(RF_4__6_), 
	.D(n95), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__5_ (.Q(RF_4__5_), 
	.D(n94), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__4_ (.Q(RF_4__4_), 
	.D(n93), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__3_ (.Q(RF_4__3_), 
	.D(n92), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__2_ (.Q(RF_4__2_), 
	.D(n91), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__1_ (.Q(RF_4__1_), 
	.D(n90), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_4__0_ (.Q(RF_4__0_), 
	.D(n89), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__15_ (.Q(RF_2__15_), 
	.D(n136), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__14_ (.Q(RF_2__14_), 
	.D(n135), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__13_ (.Q(RF_2__13_), 
	.D(n134), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__12_ (.Q(RF_2__12_), 
	.D(n133), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__11_ (.Q(RF_2__11_), 
	.D(n132), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__10_ (.Q(RF_2__10_), 
	.D(n131), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__9_ (.Q(RF_2__9_), 
	.D(n130), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__8_ (.Q(RF_2__8_), 
	.D(n129), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__7_ (.Q(RF_2__7_), 
	.D(n128), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__6_ (.Q(RF_2__6_), 
	.D(n127), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__5_ (.Q(RF_2__5_), 
	.D(n126), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__4_ (.Q(RF_2__4_), 
	.D(n125), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__3_ (.Q(RF_2__3_), 
	.D(n124), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__2_ (.Q(RF_2__2_), 
	.D(n123), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__1_ (.Q(RF_2__1_), 
	.D(n122), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_2__0_ (.Q(RF_2__0_), 
	.D(n121), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__15_ (.Q(RF_6__15_), 
	.D(n72), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__14_ (.Q(RF_6__14_), 
	.D(n71), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__13_ (.Q(RF_6__13_), 
	.D(n70), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__12_ (.Q(RF_6__12_), 
	.D(n69), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__11_ (.Q(RF_6__11_), 
	.D(n68), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__10_ (.Q(RF_6__10_), 
	.D(n67), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__9_ (.Q(RF_6__9_), 
	.D(n66), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__8_ (.Q(RF_6__8_), 
	.D(n65), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__7_ (.Q(RF_6__7_), 
	.D(n64), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__6_ (.Q(RF_6__6_), 
	.D(n63), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__5_ (.Q(RF_6__5_), 
	.D(n62), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__4_ (.Q(RF_6__4_), 
	.D(n61), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__3_ (.Q(RF_6__3_), 
	.D(n60), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__2_ (.Q(RF_6__2_), 
	.D(n590), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__1_ (.Q(RF_6__1_), 
	.D(n580), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_6__0_ (.Q(RF_6__0_), 
	.D(n570), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__15_ (.Q(RF_1__15_), 
	.D(n152), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__14_ (.Q(RF_1__14_), 
	.D(n151), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__13_ (.Q(RF_1__13_), 
	.D(n150), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__12_ (.Q(RF_1__12_), 
	.D(n149), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__11_ (.Q(RF_1__11_), 
	.D(n148), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__10_ (.Q(RF_1__10_), 
	.D(n147), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__9_ (.Q(RF_1__9_), 
	.D(n146), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__8_ (.Q(RF_1__8_), 
	.D(n145), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__7_ (.Q(RF_1__7_), 
	.D(n144), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__6_ (.Q(RF_1__6_), 
	.D(n143), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__5_ (.Q(RF_1__5_), 
	.D(n142), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__4_ (.Q(RF_1__4_), 
	.D(n141), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__3_ (.Q(RF_1__3_), 
	.D(n140), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__2_ (.Q(RF_1__2_), 
	.D(n139), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__1_ (.Q(RF_1__1_), 
	.D(n138), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_1__0_ (.Q(RF_1__0_), 
	.D(n137), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__15_ (.Q(RF_5__15_), 
	.D(n88), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__14_ (.Q(RF_5__14_), 
	.D(n87), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__13_ (.Q(RF_5__13_), 
	.D(n86), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__12_ (.Q(RF_5__12_), 
	.D(n85), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__11_ (.Q(RF_5__11_), 
	.D(n84), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__10_ (.Q(RF_5__10_), 
	.D(n83), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__9_ (.Q(RF_5__9_), 
	.D(n82), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__8_ (.Q(RF_5__8_), 
	.D(n81), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__7_ (.Q(RF_5__7_), 
	.D(n80), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__6_ (.Q(RF_5__6_), 
	.D(n79), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__5_ (.Q(RF_5__5_), 
	.D(n78), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__4_ (.Q(RF_5__4_), 
	.D(n77), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__3_ (.Q(RF_5__3_), 
	.D(n76), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__2_ (.Q(RF_5__2_), 
	.D(n75), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__1_ (.Q(RF_5__1_), 
	.D(n74), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_5__0_ (.Q(RF_5__0_), 
	.D(n73), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__15_ (.Q(RF_3__15_), 
	.D(n120), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__14_ (.Q(RF_3__14_), 
	.D(n119), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__13_ (.Q(RF_3__13_), 
	.D(n118), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__12_ (.Q(RF_3__12_), 
	.D(n117), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__11_ (.Q(RF_3__11_), 
	.D(n116), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__10_ (.Q(RF_3__10_), 
	.D(n115), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__9_ (.Q(RF_3__9_), 
	.D(n114), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__8_ (.Q(RF_3__8_), 
	.D(n113), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__7_ (.Q(RF_3__7_), 
	.D(n112), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__6_ (.Q(RF_3__6_), 
	.D(n111), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__5_ (.Q(RF_3__5_), 
	.D(n110), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__4_ (.Q(RF_3__4_), 
	.D(n109), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__3_ (.Q(RF_3__3_), 
	.D(n108), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__2_ (.Q(RF_3__2_), 
	.D(n107), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__1_ (.Q(RF_3__1_), 
	.D(n106), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_3__0_ (.Q(RF_3__0_), 
	.D(n105), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__15_ (.Q(RF_7__15_), 
	.D(n560), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__14_ (.Q(RF_7__14_), 
	.D(n550), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__13_ (.Q(RF_7__13_), 
	.D(n540), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__12_ (.Q(RF_7__12_), 
	.D(n530), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__11_ (.Q(RF_7__11_), 
	.D(n520), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__10_ (.Q(RF_7__10_), 
	.D(n510), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__9_ (.Q(RF_7__9_), 
	.D(n500), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__8_ (.Q(RF_7__8_), 
	.D(n490), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__7_ (.Q(RF_7__7_), 
	.D(n480), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__6_ (.Q(RF_7__6_), 
	.D(n470), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__5_ (.Q(RF_7__5_), 
	.D(n460), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__4_ (.Q(RF_7__4_), 
	.D(n450), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__3_ (.Q(RF_7__3_), 
	.D(n440), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__2_ (.Q(RF_7__2_), 
	.D(n43), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__1_ (.Q(RF_7__1_), 
	.D(n42), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RF_reg_7__0_ (.Q(RF_7__0_), 
	.D(n41), 
	.CK(CLK));
   LDL_BUF_1 U2 (.X(n236), 
	.A(n258));
   LDL_BUF_1 U3 (.X(n235), 
	.A(n258));
   LDL_BUF_1 U4 (.X(n234), 
	.A(n259));
   LDL_BUF_1 U5 (.X(n233), 
	.A(n259));
   LDL_BUF_1 U6 (.X(n228), 
	.A(n26000));
   LDL_BUF_1 U7 (.X(n229), 
	.A(n26000));
   LDL_BUF_1 U8 (.X(n259), 
	.A(BADR[1]));
   LDL_BUF_1 U9 (.X(n258), 
	.A(BADR[0]));
   LDL_BUF_1 U10 (.X(n227), 
	.A(n261));
   LDL_BUF_1 U11 (.X(n226), 
	.A(n261));
   LDL_BUF_1 U12 (.X(n240), 
	.A(n330));
   LDL_BUF_1 U13 (.X(n238), 
	.A(n370));
   LDL_BUF_1 U14 (.X(n241), 
	.A(n330));
   LDL_BUF_1 U15 (.X(n239), 
	.A(n370));
   LDL_BUF_1 U16 (.X(n261), 
	.A(AADR[1]));
   LDL_BUF_1 U17 (.X(n26000), 
	.A(AADR[0]));
   LDL_BUF_1 U18 (.X(n252), 
	.A(n2500));
   LDL_BUF_1 U19 (.X(n248), 
	.A(n280));
   LDL_BUF_1 U20 (.X(n25000), 
	.A(n270));
   LDL_BUF_1 U21 (.X(n246), 
	.A(n300));
   LDL_BUF_1 U22 (.X(n244), 
	.A(n310));
   LDL_BUF_1 U23 (.X(n242), 
	.A(n320));
   LDL_BUF_1 U24 (.X(n256), 
	.A(n6));
   LDL_BUF_1 U25 (.X(n257), 
	.A(n6));
   LDL_BUF_1 U26 (.X(n253), 
	.A(n2500));
   LDL_BUF_1 U27 (.X(n249), 
	.A(n280));
   LDL_BUF_1 U28 (.X(n254), 
	.A(n23));
   LDL_BUF_1 U29 (.X(n247), 
	.A(n300));
   LDL_BUF_1 U30 (.X(n243), 
	.A(n320));
   LDL_BUF_1 U31 (.X(n251), 
	.A(n270));
   LDL_BUF_1 U32 (.X(n255), 
	.A(n23));
   LDL_BUF_1 U33 (.X(n245), 
	.A(n310));
   LDL_AO2BB2_1 U34 (.X(A[13]), 
	.B2(n239), 
	.B1(N27), 
	.A2(n238), 
	.A1(n20));
   LDL_AO2BB2_1 U35 (.X(A[12]), 
	.B2(n239), 
	.B1(N28), 
	.A2(n239), 
	.A1(n19));
   LDL_AO2BB2_1 U36 (.X(A[11]), 
	.B2(n370), 
	.B1(N29), 
	.A2(n239), 
	.A1(n18));
   LDL_AO2BB2_1 U37 (.X(A[10]), 
	.B2(n370), 
	.B1(N30), 
	.A2(n239), 
	.A1(n17));
   LDL_AO2BB2_1 U38 (.X(A[9]), 
	.B2(n370), 
	.B1(N31), 
	.A2(n238), 
	.A1(n16));
   LDL_AO2BB2_1 U39 (.X(A[8]), 
	.B2(n370), 
	.B1(N32), 
	.A2(n238), 
	.A1(n15));
   LDL_AO2BB2_1 U40 (.X(A[7]), 
	.B2(n370), 
	.B1(N33), 
	.A2(n238), 
	.A1(n14));
   LDL_AO2BB2_1 U41 (.X(A[6]), 
	.B2(n370), 
	.B1(N34), 
	.A2(n238), 
	.A1(n13));
   LDL_AO2BB2_1 U42 (.X(A[5]), 
	.B2(n370), 
	.B1(N35), 
	.A2(n238), 
	.A1(n12));
   LDL_AO2BB2_1 U43 (.X(A[4]), 
	.B2(n239), 
	.B1(N36), 
	.A2(n238), 
	.A1(n11));
   LDL_AO2BB2_1 U44 (.X(A[3]), 
	.B2(n239), 
	.B1(N37), 
	.A2(n238), 
	.A1(n10));
   LDL_AO2BB2_1 U45 (.X(A[2]), 
	.B2(n239), 
	.B1(N38), 
	.A2(n238), 
	.A1(n9));
   LDL_AO2BB2_1 U46 (.X(A[1]), 
	.B2(n239), 
	.B1(N39), 
	.A2(n238), 
	.A1(n8));
   LDL_AO2BB2_1 U47 (.X(A[0]), 
	.B2(n370), 
	.B1(N40), 
	.A2(n239), 
	.A1(n7));
   LDL_AO2BB2_1 U48 (.X(A[15]), 
	.B2(n239), 
	.B1(N25), 
	.A2(n238), 
	.A1(n22));
   LDL_AO2BB2_1 U49 (.X(B[14]), 
	.B2(n241), 
	.B1(N45), 
	.A2(n240), 
	.A1(n21));
   LDL_AO2BB2_1 U50 (.X(B[13]), 
	.B2(n241), 
	.B1(N46), 
	.A2(n240), 
	.A1(n20));
   LDL_AO2BB2_1 U51 (.X(B[12]), 
	.B2(n241), 
	.B1(N47), 
	.A2(n241), 
	.A1(n19));
   LDL_AO2BB2_1 U52 (.X(B[10]), 
	.B2(n330), 
	.B1(N49), 
	.A2(n241), 
	.A1(n17));
   LDL_AO2BB2_1 U53 (.X(B[9]), 
	.B2(n330), 
	.B1(N50), 
	.A2(n240), 
	.A1(n16));
   LDL_AO2BB2_1 U54 (.X(B[8]), 
	.B2(n330), 
	.B1(N51), 
	.A2(n240), 
	.A1(n15));
   LDL_AO2BB2_1 U55 (.X(B[11]), 
	.B2(n330), 
	.B1(N48), 
	.A2(n241), 
	.A1(n18));
   LDL_AO2BB2_1 U56 (.X(B[7]), 
	.B2(n330), 
	.B1(N52), 
	.A2(n240), 
	.A1(n14));
   LDL_AO2BB2_1 U57 (.X(B[6]), 
	.B2(n330), 
	.B1(N53), 
	.A2(n240), 
	.A1(n13));
   LDL_AO2BB2_1 U58 (.X(B[5]), 
	.B2(n330), 
	.B1(N54), 
	.A2(n240), 
	.A1(n12));
   LDL_AO2BB2_1 U59 (.X(B[4]), 
	.B2(n241), 
	.B1(N55), 
	.A2(n240), 
	.A1(n11));
   LDL_AO2BB2_1 U60 (.X(B[3]), 
	.B2(n241), 
	.B1(N56), 
	.A2(n240), 
	.A1(n10));
   LDL_AO2BB2_1 U61 (.X(B[2]), 
	.B2(n241), 
	.B1(N57), 
	.A2(n240), 
	.A1(n9));
   LDL_AO2BB2_1 U62 (.X(B[1]), 
	.B2(n241), 
	.B1(N58), 
	.A2(n240), 
	.A1(n8));
   LDL_AO2BB2_1 U63 (.X(B[0]), 
	.B2(n330), 
	.B1(N59), 
	.A2(n241), 
	.A1(n7));
   LDL_AO2BB2_1 U64 (.X(A[14]), 
	.B2(n239), 
	.B1(N26), 
	.A2(n238), 
	.A1(n21));
   LDL_ND4_1 U65 (.X(n370), 
	.A4(WE), 
	.A3(n400), 
	.A2(n390), 
	.A1(n380));
   LDL_EN2_S_1 U66 (.X(n380), 
	.A2(CADR[0]), 
	.A1(n26000));
   LDL_EN2_S_1 U67 (.X(n390), 
	.A2(CADR[1]), 
	.A1(n261));
   LDL_EN2_S_1 U68 (.X(n400), 
	.A2(CADR[2]), 
	.A1(AADR[2]));
   LDL_ND4_1 U69 (.X(n330), 
	.A4(WE), 
	.A3(n360), 
	.A2(n350), 
	.A1(n340));
   LDL_EN2_S_1 U70 (.X(n340), 
	.A2(CADR[0]), 
	.A1(n258));
   LDL_EN2_S_1 U71 (.X(n350), 
	.A2(CADR[1]), 
	.A1(n259));
   LDL_EN2_S_1 U72 (.X(n360), 
	.A2(CADR[2]), 
	.A1(BADR[2]));
   LDL_AO2BB2_1 U73 (.X(B[15]), 
	.B2(n241), 
	.B1(N44), 
	.A2(n240), 
	.A1(n22));
   LDL_MUX2_HD_1 U74 (.X(N44), 
	.S(n237), 
	.D1(n231), 
	.D0(n232));
   LDL_MUX4_1 U75 (.X(n232), 
	.S1(n236), 
	.S0(n234), 
	.D3(RF_3__15_), 
	.D2(RF_1__15_), 
	.D1(RF_2__15_), 
	.D0(RF_0__15_));
   LDL_MUX4_1 U76 (.X(n231), 
	.S1(n236), 
	.S0(n234), 
	.D3(RF_7__15_), 
	.D2(RF_5__15_), 
	.D1(RF_6__15_), 
	.D0(RF_4__15_));
   LDL_MUXI2_1 U77 (.X(N45), 
	.S(n237), 
	.D1(n2), 
	.D0(n1));
   LDL_MUXI4_1 U78 (.X(n1), 
	.S1(n236), 
	.S0(n234), 
	.D3(RF_3__14_), 
	.D2(RF_1__14_), 
	.D1(RF_2__14_), 
	.D0(RF_0__14_));
   LDL_MUXI4_1 U79 (.X(n2), 
	.S1(n236), 
	.S0(n234), 
	.D3(RF_7__14_), 
	.D2(RF_5__14_), 
	.D1(RF_6__14_), 
	.D0(RF_4__14_));
   LDL_MUXI2_1 U80 (.X(N26), 
	.S(n230), 
	.D1(n4), 
	.D0(n3));
   LDL_MUXI4_1 U81 (.X(n3), 
	.S1(n229), 
	.S0(n226), 
	.D3(RF_3__14_), 
	.D2(RF_1__14_), 
	.D1(RF_2__14_), 
	.D0(RF_0__14_));
   LDL_MUXI4_1 U82 (.X(n4), 
	.S1(n229), 
	.S0(AADR[1]), 
	.D3(RF_7__14_), 
	.D2(RF_5__14_), 
	.D1(RF_6__14_), 
	.D0(RF_4__14_));
   LDL_MUXI2_1 U83 (.X(N46), 
	.S(n237), 
	.D1(n169), 
	.D0(n5));
   LDL_MUXI4_1 U84 (.X(n5), 
	.S1(n236), 
	.S0(n234), 
	.D3(RF_3__13_), 
	.D2(RF_1__13_), 
	.D1(RF_2__13_), 
	.D0(RF_0__13_));
   LDL_MUXI4_1 U85 (.X(n169), 
	.S1(n236), 
	.S0(n234), 
	.D3(RF_7__13_), 
	.D2(RF_5__13_), 
	.D1(RF_6__13_), 
	.D0(RF_4__13_));
   LDL_MUXI2_1 U86 (.X(N27), 
	.S(n230), 
	.D1(n171), 
	.D0(n170));
   LDL_MUXI4_1 U87 (.X(n170), 
	.S1(n229), 
	.S0(n226), 
	.D3(RF_3__13_), 
	.D2(RF_1__13_), 
	.D1(RF_2__13_), 
	.D0(RF_0__13_));
   LDL_MUXI4_1 U88 (.X(n171), 
	.S1(n229), 
	.S0(AADR[1]), 
	.D3(RF_7__13_), 
	.D2(RF_5__13_), 
	.D1(RF_6__13_), 
	.D0(RF_4__13_));
   LDL_MUXI2_1 U89 (.X(N47), 
	.S(n237), 
	.D1(n173), 
	.D0(n172));
   LDL_MUXI4_1 U90 (.X(n172), 
	.S1(n236), 
	.S0(n234), 
	.D3(RF_3__12_), 
	.D2(RF_1__12_), 
	.D1(RF_2__12_), 
	.D0(RF_0__12_));
   LDL_MUXI4_1 U91 (.X(n173), 
	.S1(n236), 
	.S0(n234), 
	.D3(RF_7__12_), 
	.D2(RF_5__12_), 
	.D1(RF_6__12_), 
	.D0(RF_4__12_));
   LDL_MUXI2_1 U92 (.X(N28), 
	.S(n230), 
	.D1(n175), 
	.D0(n174));
   LDL_MUXI4_1 U93 (.X(n174), 
	.S1(n229), 
	.S0(n226), 
	.D3(RF_3__12_), 
	.D2(RF_1__12_), 
	.D1(RF_2__12_), 
	.D0(RF_0__12_));
   LDL_MUXI4_1 U94 (.X(n175), 
	.S1(n229), 
	.S0(AADR[1]), 
	.D3(RF_7__12_), 
	.D2(RF_5__12_), 
	.D1(RF_6__12_), 
	.D0(RF_4__12_));
   LDL_MUXI2_1 U95 (.X(N48), 
	.S(n237), 
	.D1(n177), 
	.D0(n176));
   LDL_MUXI4_1 U96 (.X(n176), 
	.S1(n236), 
	.S0(n234), 
	.D3(RF_3__11_), 
	.D2(RF_1__11_), 
	.D1(RF_2__11_), 
	.D0(RF_0__11_));
   LDL_MUXI4_1 U97 (.X(n177), 
	.S1(n236), 
	.S0(n234), 
	.D3(RF_7__11_), 
	.D2(RF_5__11_), 
	.D1(RF_6__11_), 
	.D0(RF_4__11_));
   LDL_MUXI2_1 U98 (.X(N29), 
	.S(n230), 
	.D1(n179), 
	.D0(n178));
   LDL_MUXI4_1 U99 (.X(n178), 
	.S1(n229), 
	.S0(AADR[1]), 
	.D3(RF_3__11_), 
	.D2(RF_1__11_), 
	.D1(RF_2__11_), 
	.D0(RF_0__11_));
   LDL_MUXI4_1 U100 (.X(n179), 
	.S1(n229), 
	.S0(AADR[1]), 
	.D3(RF_7__11_), 
	.D2(RF_5__11_), 
	.D1(RF_6__11_), 
	.D0(RF_4__11_));
   LDL_MUXI2_1 U101 (.X(N49), 
	.S(BADR[2]), 
	.D1(n181), 
	.D0(n180));
   LDL_MUXI4_1 U102 (.X(n180), 
	.S1(n236), 
	.S0(n234), 
	.D3(RF_3__10_), 
	.D2(RF_1__10_), 
	.D1(RF_2__10_), 
	.D0(RF_0__10_));
   LDL_MUXI4_1 U103 (.X(n181), 
	.S1(n236), 
	.S0(n234), 
	.D3(RF_7__10_), 
	.D2(RF_5__10_), 
	.D1(RF_6__10_), 
	.D0(RF_4__10_));
   LDL_MUXI2_1 U104 (.X(N30), 
	.S(n230), 
	.D1(n183), 
	.D0(n182));
   LDL_MUXI4_1 U105 (.X(n182), 
	.S1(n229), 
	.S0(AADR[1]), 
	.D3(RF_3__10_), 
	.D2(RF_1__10_), 
	.D1(RF_2__10_), 
	.D0(RF_0__10_));
   LDL_MUXI4_1 U106 (.X(n183), 
	.S1(n229), 
	.S0(AADR[1]), 
	.D3(RF_7__10_), 
	.D2(RF_5__10_), 
	.D1(RF_6__10_), 
	.D0(RF_4__10_));
   LDL_MUXI2_1 U107 (.X(N50), 
	.S(n237), 
	.D1(n185), 
	.D0(n184));
   LDL_MUXI4_1 U108 (.X(n184), 
	.S1(n235), 
	.S0(n233), 
	.D3(RF_3__9_), 
	.D2(RF_1__9_), 
	.D1(RF_2__9_), 
	.D0(RF_0__9_));
   LDL_MUXI4_1 U109 (.X(n185), 
	.S1(n235), 
	.S0(BADR[1]), 
	.D3(RF_7__9_), 
	.D2(RF_5__9_), 
	.D1(RF_6__9_), 
	.D0(RF_4__9_));
   LDL_MUXI2_1 U110 (.X(N31), 
	.S(n230), 
	.D1(n187), 
	.D0(n186));
   LDL_MUXI4_1 U111 (.X(n186), 
	.S1(n228), 
	.S0(n227), 
	.D3(RF_3__9_), 
	.D2(RF_1__9_), 
	.D1(RF_2__9_), 
	.D0(RF_0__9_));
   LDL_MUXI4_1 U112 (.X(n187), 
	.S1(n228), 
	.S0(n227), 
	.D3(RF_7__9_), 
	.D2(RF_5__9_), 
	.D1(RF_6__9_), 
	.D0(RF_4__9_));
   LDL_MUXI2_1 U113 (.X(N51), 
	.S(n237), 
	.D1(n189), 
	.D0(n188));
   LDL_MUXI4_1 U114 (.X(n188), 
	.S1(n235), 
	.S0(BADR[1]), 
	.D3(RF_3__8_), 
	.D2(RF_1__8_), 
	.D1(RF_2__8_), 
	.D0(RF_0__8_));
   LDL_MUXI4_1 U115 (.X(n189), 
	.S1(n235), 
	.S0(BADR[1]), 
	.D3(RF_7__8_), 
	.D2(RF_5__8_), 
	.D1(RF_6__8_), 
	.D0(RF_4__8_));
   LDL_MUXI2_1 U116 (.X(N32), 
	.S(n230), 
	.D1(n191), 
	.D0(n190));
   LDL_MUXI4_1 U117 (.X(n190), 
	.S1(n228), 
	.S0(n227), 
	.D3(RF_3__8_), 
	.D2(RF_1__8_), 
	.D1(RF_2__8_), 
	.D0(RF_0__8_));
   LDL_MUXI4_1 U118 (.X(n191), 
	.S1(n228), 
	.S0(n227), 
	.D3(RF_7__8_), 
	.D2(RF_5__8_), 
	.D1(RF_6__8_), 
	.D0(RF_4__8_));
   LDL_MUXI2_1 U119 (.X(N52), 
	.S(n237), 
	.D1(n193), 
	.D0(n192));
   LDL_MUXI4_1 U120 (.X(n192), 
	.S1(n235), 
	.S0(BADR[1]), 
	.D3(RF_3__7_), 
	.D2(RF_1__7_), 
	.D1(RF_2__7_), 
	.D0(RF_0__7_));
   LDL_MUXI4_1 U121 (.X(n193), 
	.S1(n235), 
	.S0(BADR[1]), 
	.D3(RF_7__7_), 
	.D2(RF_5__7_), 
	.D1(RF_6__7_), 
	.D0(RF_4__7_));
   LDL_MUXI2_1 U122 (.X(N33), 
	.S(AADR[2]), 
	.D1(n195), 
	.D0(n194));
   LDL_MUXI4_1 U123 (.X(n194), 
	.S1(n228), 
	.S0(n227), 
	.D3(RF_3__7_), 
	.D2(RF_1__7_), 
	.D1(RF_2__7_), 
	.D0(RF_0__7_));
   LDL_MUXI4_1 U124 (.X(n195), 
	.S1(n228), 
	.S0(n227), 
	.D3(RF_7__7_), 
	.D2(RF_5__7_), 
	.D1(RF_6__7_), 
	.D0(RF_4__7_));
   LDL_MUXI2_1 U125 (.X(N53), 
	.S(BADR[2]), 
	.D1(n197), 
	.D0(n196));
   LDL_MUXI4_1 U126 (.X(n196), 
	.S1(n235), 
	.S0(n233), 
	.D3(RF_3__6_), 
	.D2(RF_1__6_), 
	.D1(RF_2__6_), 
	.D0(RF_0__6_));
   LDL_MUXI4_1 U127 (.X(n197), 
	.S1(n235), 
	.S0(BADR[1]), 
	.D3(RF_7__6_), 
	.D2(RF_5__6_), 
	.D1(RF_6__6_), 
	.D0(RF_4__6_));
   LDL_MUXI2_1 U128 (.X(N34), 
	.S(n230), 
	.D1(n199), 
	.D0(n198));
   LDL_MUXI4_1 U129 (.X(n198), 
	.S1(n228), 
	.S0(n227), 
	.D3(RF_3__6_), 
	.D2(RF_1__6_), 
	.D1(RF_2__6_), 
	.D0(RF_0__6_));
   LDL_MUXI4_1 U130 (.X(n199), 
	.S1(n228), 
	.S0(n227), 
	.D3(RF_7__6_), 
	.D2(RF_5__6_), 
	.D1(RF_6__6_), 
	.D0(RF_4__6_));
   LDL_MUXI2_1 U131 (.X(N54), 
	.S(n237), 
	.D1(n201), 
	.D0(n200));
   LDL_MUXI4_1 U132 (.X(n200), 
	.S1(n235), 
	.S0(n233), 
	.D3(RF_3__5_), 
	.D2(RF_1__5_), 
	.D1(RF_2__5_), 
	.D0(RF_0__5_));
   LDL_MUXI4_1 U133 (.X(n201), 
	.S1(n235), 
	.S0(BADR[1]), 
	.D3(RF_7__5_), 
	.D2(RF_5__5_), 
	.D1(RF_6__5_), 
	.D0(RF_4__5_));
   LDL_MUXI2_1 U134 (.X(N35), 
	.S(AADR[2]), 
	.D1(n203), 
	.D0(n202));
   LDL_MUXI4_1 U135 (.X(n202), 
	.S1(n228), 
	.S0(n227), 
	.D3(RF_3__5_), 
	.D2(RF_1__5_), 
	.D1(RF_2__5_), 
	.D0(RF_0__5_));
   LDL_MUXI4_1 U136 (.X(n203), 
	.S1(n228), 
	.S0(n227), 
	.D3(RF_7__5_), 
	.D2(RF_5__5_), 
	.D1(RF_6__5_), 
	.D0(RF_4__5_));
   LDL_MUXI2_1 U137 (.X(N55), 
	.S(BADR[2]), 
	.D1(n205), 
	.D0(n204));
   LDL_MUXI4_1 U138 (.X(n204), 
	.S1(n235), 
	.S0(n233), 
	.D3(RF_3__4_), 
	.D2(RF_1__4_), 
	.D1(RF_2__4_), 
	.D0(RF_0__4_));
   LDL_MUXI4_1 U139 (.X(n205), 
	.S1(n235), 
	.S0(BADR[1]), 
	.D3(RF_7__4_), 
	.D2(RF_5__4_), 
	.D1(RF_6__4_), 
	.D0(RF_4__4_));
   LDL_MUXI2_1 U140 (.X(N36), 
	.S(n230), 
	.D1(n207), 
	.D0(n206));
   LDL_MUXI4_1 U141 (.X(n206), 
	.S1(n228), 
	.S0(n227), 
	.D3(RF_3__4_), 
	.D2(RF_1__4_), 
	.D1(RF_2__4_), 
	.D0(RF_0__4_));
   LDL_MUXI4_1 U142 (.X(n207), 
	.S1(n228), 
	.S0(n227), 
	.D3(RF_7__4_), 
	.D2(RF_5__4_), 
	.D1(RF_6__4_), 
	.D0(RF_4__4_));
   LDL_MUXI2_1 U143 (.X(N56), 
	.S(n237), 
	.D1(n209), 
	.D0(n208));
   LDL_MUXI4_1 U144 (.X(n208), 
	.S1(n258), 
	.S0(n233), 
	.D3(RF_3__3_), 
	.D2(RF_1__3_), 
	.D1(RF_2__3_), 
	.D0(RF_0__3_));
   LDL_MUXI4_1 U145 (.X(n209), 
	.S1(BADR[0]), 
	.S0(n233), 
	.D3(RF_7__3_), 
	.D2(RF_5__3_), 
	.D1(RF_6__3_), 
	.D0(RF_4__3_));
   LDL_MUXI2_1 U146 (.X(N37), 
	.S(AADR[2]), 
	.D1(n211), 
	.D0(n210));
   LDL_MUXI4_1 U147 (.X(n210), 
	.S1(AADR[0]), 
	.S0(n226), 
	.D3(RF_3__3_), 
	.D2(RF_1__3_), 
	.D1(RF_2__3_), 
	.D0(RF_0__3_));
   LDL_MUXI4_1 U148 (.X(n211), 
	.S1(AADR[0]), 
	.S0(n226), 
	.D3(RF_7__3_), 
	.D2(RF_5__3_), 
	.D1(RF_6__3_), 
	.D0(RF_4__3_));
   LDL_MUXI2_1 U149 (.X(N57), 
	.S(n237), 
	.D1(n213), 
	.D0(n212));
   LDL_MUXI4_1 U150 (.X(n212), 
	.S1(BADR[0]), 
	.S0(n233), 
	.D3(RF_3__2_), 
	.D2(RF_1__2_), 
	.D1(RF_2__2_), 
	.D0(RF_0__2_));
   LDL_MUXI4_1 U151 (.X(n213), 
	.S1(BADR[0]), 
	.S0(n233), 
	.D3(RF_7__2_), 
	.D2(RF_5__2_), 
	.D1(RF_6__2_), 
	.D0(RF_4__2_));
   LDL_MUXI2_1 U152 (.X(N38), 
	.S(n230), 
	.D1(n215), 
	.D0(n214));
   LDL_MUXI4_1 U153 (.X(n214), 
	.S1(AADR[0]), 
	.S0(n226), 
	.D3(RF_3__2_), 
	.D2(RF_1__2_), 
	.D1(RF_2__2_), 
	.D0(RF_0__2_));
   LDL_MUXI4_1 U154 (.X(n215), 
	.S1(AADR[0]), 
	.S0(n226), 
	.D3(RF_7__2_), 
	.D2(RF_5__2_), 
	.D1(RF_6__2_), 
	.D0(RF_4__2_));
   LDL_MUXI2_1 U155 (.X(N58), 
	.S(n237), 
	.D1(n217), 
	.D0(n216));
   LDL_MUXI4_1 U156 (.X(n216), 
	.S1(BADR[0]), 
	.S0(n233), 
	.D3(RF_3__1_), 
	.D2(RF_1__1_), 
	.D1(RF_2__1_), 
	.D0(RF_0__1_));
   LDL_MUXI4_1 U157 (.X(n217), 
	.S1(BADR[0]), 
	.S0(n233), 
	.D3(RF_7__1_), 
	.D2(RF_5__1_), 
	.D1(RF_6__1_), 
	.D0(RF_4__1_));
   LDL_MUXI2_1 U158 (.X(N39), 
	.S(n230), 
	.D1(n219), 
	.D0(n218));
   LDL_MUXI4_1 U159 (.X(n218), 
	.S1(AADR[0]), 
	.S0(n226), 
	.D3(RF_3__1_), 
	.D2(RF_1__1_), 
	.D1(RF_2__1_), 
	.D0(RF_0__1_));
   LDL_MUXI4_1 U160 (.X(n219), 
	.S1(AADR[0]), 
	.S0(n226), 
	.D3(RF_7__1_), 
	.D2(RF_5__1_), 
	.D1(RF_6__1_), 
	.D0(RF_4__1_));
   LDL_MUXI2_1 U161 (.X(N59), 
	.S(BADR[2]), 
	.D1(n221), 
	.D0(n220));
   LDL_MUXI4_1 U162 (.X(n220), 
	.S1(BADR[0]), 
	.S0(n233), 
	.D3(RF_3__0_), 
	.D2(RF_1__0_), 
	.D1(RF_2__0_), 
	.D0(RF_0__0_));
   LDL_MUXI4_1 U163 (.X(n221), 
	.S1(BADR[0]), 
	.S0(n233), 
	.D3(RF_7__0_), 
	.D2(RF_5__0_), 
	.D1(RF_6__0_), 
	.D0(RF_4__0_));
   LDL_MUXI2_1 U164 (.X(N40), 
	.S(n230), 
	.D1(n223), 
	.D0(n222));
   LDL_MUXI4_1 U165 (.X(n222), 
	.S1(AADR[0]), 
	.S0(n226), 
	.D3(RF_3__0_), 
	.D2(RF_1__0_), 
	.D1(RF_2__0_), 
	.D0(RF_0__0_));
   LDL_MUXI4_1 U166 (.X(n223), 
	.S1(AADR[0]), 
	.S0(n226), 
	.D3(RF_7__0_), 
	.D2(RF_5__0_), 
	.D1(RF_6__0_), 
	.D0(RF_4__0_));
   LDL_MUXI2_1 U167 (.X(N25), 
	.S(AADR[2]), 
	.D1(n225), 
	.D0(n224));
   LDL_MUXI4_1 U168 (.X(n224), 
	.S1(n229), 
	.S0(n226), 
	.D3(RF_3__15_), 
	.D2(RF_1__15_), 
	.D1(RF_2__15_), 
	.D0(RF_0__15_));
   LDL_MUXI4_1 U169 (.X(n225), 
	.S1(n229), 
	.S0(AADR[1]), 
	.D3(RF_7__15_), 
	.D2(RF_5__15_), 
	.D1(RF_6__15_), 
	.D0(RF_4__15_));
   LDL_ND4_1 U170 (.X(n6), 
	.A4(CADR[0]), 
	.A3(CADR[1]), 
	.A2(CADR[2]), 
	.A1(WE));
   LDL_ND4_1 U171 (.X(n2500), 
	.A4(n2600), 
	.A3(CADR[0]), 
	.A2(CADR[2]), 
	.A1(WE));
   LDL_ND4_1 U172 (.X(n280), 
	.A4(n290), 
	.A3(CADR[0]), 
	.A2(CADR[1]), 
	.A1(WE));
   LDL_ND4_1 U173 (.X(n23), 
	.A4(n24), 
	.A3(CADR[1]), 
	.A2(CADR[2]), 
	.A1(WE));
   LDL_ND4_1 U174 (.X(n270), 
	.A4(n2600), 
	.A3(n24), 
	.A2(CADR[2]), 
	.A1(WE));
   LDL_ND4_1 U175 (.X(n300), 
	.A4(n290), 
	.A3(n24), 
	.A2(CADR[1]), 
	.A1(WE));
   LDL_ND4_1 U176 (.X(n310), 
	.A4(n290), 
	.A3(n2600), 
	.A2(CADR[0]), 
	.A1(WE));
   LDL_ND4_1 U177 (.X(n320), 
	.A4(n290), 
	.A3(n2600), 
	.A2(n24), 
	.A1(WE));
   LDL_INV_1 U178 (.X(n21), 
	.A(C[14]));
   LDL_INV_1 U179 (.X(n20), 
	.A(C[13]));
   LDL_INV_1 U180 (.X(n19), 
	.A(C[12]));
   LDL_INV_1 U181 (.X(n18), 
	.A(C[11]));
   LDL_INV_1 U182 (.X(n17), 
	.A(C[10]));
   LDL_INV_1 U183 (.X(n15), 
	.A(C[8]));
   LDL_INV_1 U184 (.X(n14), 
	.A(C[7]));
   LDL_INV_1 U185 (.X(n13), 
	.A(C[6]));
   LDL_INV_1 U186 (.X(n12), 
	.A(C[5]));
   LDL_INV_1 U187 (.X(n11), 
	.A(C[4]));
   LDL_INV_1 U188 (.X(n10), 
	.A(C[3]));
   LDL_INV_1 U189 (.X(n9), 
	.A(C[2]));
   LDL_INV_1 U190 (.X(n8), 
	.A(C[1]));
   LDL_INV_1 U191 (.X(n7), 
	.A(C[0]));
   LDL_INV_1 U192 (.X(n22), 
	.A(C[15]));
   LDL_INV_1 U193 (.X(n16), 
	.A(C[9]));
   LDL_BUF_1 U194 (.X(n237), 
	.A(BADR[2]));
   LDL_BUF_1 U195 (.X(n230), 
	.A(AADR[2]));
   LDL_INV_1 U196 (.X(n290), 
	.A(CADR[2]));
   LDL_INV_1 U197 (.X(n2600), 
	.A(CADR[1]));
   LDL_INV_1 U198 (.X(n24), 
	.A(CADR[0]));
   LDL_AO2BB2_1 U199 (.X(n41), 
	.B2(n6), 
	.B1(RF_7__0_), 
	.A2(n7), 
	.A1(n256));
   LDL_AO2BB2_1 U200 (.X(n42), 
	.B2(n6), 
	.B1(RF_7__1_), 
	.A2(n8), 
	.A1(n256));
   LDL_AO2BB2_1 U201 (.X(n43), 
	.B2(n6), 
	.B1(RF_7__2_), 
	.A2(n9), 
	.A1(n256));
   LDL_AO2BB2_1 U202 (.X(n440), 
	.B2(n6), 
	.B1(RF_7__3_), 
	.A2(n10), 
	.A1(n256));
   LDL_AO2BB2_1 U203 (.X(n450), 
	.B2(n6), 
	.B1(RF_7__4_), 
	.A2(n11), 
	.A1(n256));
   LDL_AO2BB2_1 U204 (.X(n460), 
	.B2(n257), 
	.B1(RF_7__5_), 
	.A2(n12), 
	.A1(n256));
   LDL_AO2BB2_1 U205 (.X(n470), 
	.B2(n257), 
	.B1(RF_7__6_), 
	.A2(n13), 
	.A1(n256));
   LDL_AO2BB2_1 U206 (.X(n480), 
	.B2(n257), 
	.B1(RF_7__7_), 
	.A2(n14), 
	.A1(n256));
   LDL_AO2BB2_1 U207 (.X(n490), 
	.B2(n257), 
	.B1(RF_7__8_), 
	.A2(n15), 
	.A1(n256));
   LDL_AO2BB2_1 U208 (.X(n500), 
	.B2(n257), 
	.B1(RF_7__9_), 
	.A2(n16), 
	.A1(n256));
   LDL_AO2BB2_1 U209 (.X(n510), 
	.B2(n257), 
	.B1(RF_7__10_), 
	.A2(n17), 
	.A1(n256));
   LDL_AO2BB2_1 U210 (.X(n520), 
	.B2(n257), 
	.B1(RF_7__11_), 
	.A2(n18), 
	.A1(n256));
   LDL_AO2BB2_1 U211 (.X(n570), 
	.B2(n255), 
	.B1(RF_6__0_), 
	.A2(n23), 
	.A1(n7));
   LDL_AO2BB2_1 U212 (.X(n580), 
	.B2(n255), 
	.B1(RF_6__1_), 
	.A2(n255), 
	.A1(n8));
   LDL_AO2BB2_1 U213 (.X(n590), 
	.B2(n255), 
	.B1(RF_6__2_), 
	.A2(n23), 
	.A1(n9));
   LDL_AO2BB2_1 U214 (.X(n60), 
	.B2(n255), 
	.B1(RF_6__3_), 
	.A2(n23), 
	.A1(n10));
   LDL_AO2BB2_1 U215 (.X(n61), 
	.B2(n255), 
	.B1(RF_6__4_), 
	.A2(n23), 
	.A1(n11));
   LDL_AO2BB2_1 U216 (.X(n62), 
	.B2(n254), 
	.B1(RF_6__5_), 
	.A2(n23), 
	.A1(n12));
   LDL_AO2BB2_1 U217 (.X(n63), 
	.B2(n254), 
	.B1(RF_6__6_), 
	.A2(n255), 
	.A1(n13));
   LDL_AO2BB2_1 U218 (.X(n64), 
	.B2(n254), 
	.B1(RF_6__7_), 
	.A2(n255), 
	.A1(n14));
   LDL_AO2BB2_1 U219 (.X(n65), 
	.B2(n254), 
	.B1(RF_6__8_), 
	.A2(n255), 
	.A1(n15));
   LDL_AO2BB2_1 U220 (.X(n66), 
	.B2(n254), 
	.B1(RF_6__9_), 
	.A2(n23), 
	.A1(n16));
   LDL_AO2BB2_1 U221 (.X(n67), 
	.B2(n254), 
	.B1(RF_6__10_), 
	.A2(n23), 
	.A1(n17));
   LDL_AO2BB2_1 U222 (.X(n68), 
	.B2(n254), 
	.B1(RF_6__11_), 
	.A2(n23), 
	.A1(n18));
   LDL_AO2BB2_1 U223 (.X(n69), 
	.B2(n254), 
	.B1(RF_6__12_), 
	.A2(n254), 
	.A1(n19));
   LDL_AO2BB2_1 U224 (.X(n70), 
	.B2(n255), 
	.B1(RF_6__13_), 
	.A2(n254), 
	.A1(n20));
   LDL_AO2BB2_1 U225 (.X(n71), 
	.B2(n255), 
	.B1(RF_6__14_), 
	.A2(n254), 
	.A1(n21));
   LDL_AO2BB2_1 U226 (.X(n72), 
	.B2(n255), 
	.B1(RF_6__15_), 
	.A2(n254), 
	.A1(n22));
   LDL_AO2BB2_1 U227 (.X(n73), 
	.B2(n2500), 
	.B1(RF_5__0_), 
	.A2(n252), 
	.A1(n7));
   LDL_AO2BB2_1 U228 (.X(n74), 
	.B2(n2500), 
	.B1(RF_5__1_), 
	.A2(n252), 
	.A1(n8));
   LDL_AO2BB2_1 U229 (.X(n75), 
	.B2(n2500), 
	.B1(RF_5__2_), 
	.A2(n252), 
	.A1(n9));
   LDL_AO2BB2_1 U230 (.X(n76), 
	.B2(n2500), 
	.B1(RF_5__3_), 
	.A2(n252), 
	.A1(n10));
   LDL_AO2BB2_1 U231 (.X(n77), 
	.B2(n2500), 
	.B1(RF_5__4_), 
	.A2(n252), 
	.A1(n11));
   LDL_AO2BB2_1 U232 (.X(n78), 
	.B2(n253), 
	.B1(RF_5__5_), 
	.A2(n252), 
	.A1(n12));
   LDL_AO2BB2_1 U233 (.X(n79), 
	.B2(n253), 
	.B1(RF_5__6_), 
	.A2(n252), 
	.A1(n13));
   LDL_AO2BB2_1 U234 (.X(n80), 
	.B2(n253), 
	.B1(RF_5__7_), 
	.A2(n252), 
	.A1(n14));
   LDL_AO2BB2_1 U235 (.X(n81), 
	.B2(n253), 
	.B1(RF_5__8_), 
	.A2(n252), 
	.A1(n15));
   LDL_AO2BB2_1 U236 (.X(n82), 
	.B2(n253), 
	.B1(RF_5__9_), 
	.A2(n252), 
	.A1(n16));
   LDL_AO2BB2_1 U237 (.X(n83), 
	.B2(n253), 
	.B1(RF_5__10_), 
	.A2(n252), 
	.A1(n17));
   LDL_AO2BB2_1 U238 (.X(n84), 
	.B2(n253), 
	.B1(RF_5__11_), 
	.A2(n252), 
	.A1(n18));
   LDL_AO2BB2_1 U239 (.X(n85), 
	.B2(n253), 
	.B1(RF_5__12_), 
	.A2(n253), 
	.A1(n19));
   LDL_AO2BB2_1 U240 (.X(n86), 
	.B2(n2500), 
	.B1(RF_5__13_), 
	.A2(n253), 
	.A1(n20));
   LDL_AO2BB2_1 U241 (.X(n87), 
	.B2(n2500), 
	.B1(RF_5__14_), 
	.A2(n253), 
	.A1(n21));
   LDL_AO2BB2_1 U242 (.X(n88), 
	.B2(n2500), 
	.B1(RF_5__15_), 
	.A2(n253), 
	.A1(n22));
   LDL_AO2BB2_1 U243 (.X(n89), 
	.B2(n270), 
	.B1(RF_4__0_), 
	.A2(n25000), 
	.A1(n7));
   LDL_AO2BB2_1 U244 (.X(n90), 
	.B2(n270), 
	.B1(RF_4__1_), 
	.A2(n25000), 
	.A1(n8));
   LDL_AO2BB2_1 U245 (.X(n91), 
	.B2(n270), 
	.B1(RF_4__2_), 
	.A2(n25000), 
	.A1(n9));
   LDL_AO2BB2_1 U246 (.X(n92), 
	.B2(n270), 
	.B1(RF_4__3_), 
	.A2(n25000), 
	.A1(n10));
   LDL_AO2BB2_1 U247 (.X(n93), 
	.B2(n270), 
	.B1(RF_4__4_), 
	.A2(n25000), 
	.A1(n11));
   LDL_AO2BB2_1 U248 (.X(n94), 
	.B2(n251), 
	.B1(RF_4__5_), 
	.A2(n25000), 
	.A1(n12));
   LDL_AO2BB2_1 U249 (.X(n95), 
	.B2(n251), 
	.B1(RF_4__6_), 
	.A2(n25000), 
	.A1(n13));
   LDL_AO2BB2_1 U250 (.X(n96), 
	.B2(n251), 
	.B1(RF_4__7_), 
	.A2(n25000), 
	.A1(n14));
   LDL_AO2BB2_1 U251 (.X(n97), 
	.B2(n251), 
	.B1(RF_4__8_), 
	.A2(n25000), 
	.A1(n15));
   LDL_AO2BB2_1 U252 (.X(n98), 
	.B2(n251), 
	.B1(RF_4__9_), 
	.A2(n25000), 
	.A1(n16));
   LDL_AO2BB2_1 U253 (.X(n99), 
	.B2(n251), 
	.B1(RF_4__10_), 
	.A2(n25000), 
	.A1(n17));
   LDL_AO2BB2_1 U254 (.X(n100), 
	.B2(n251), 
	.B1(RF_4__11_), 
	.A2(n25000), 
	.A1(n18));
   LDL_AO2BB2_1 U255 (.X(n101), 
	.B2(n251), 
	.B1(RF_4__12_), 
	.A2(n251), 
	.A1(n19));
   LDL_AO2BB2_1 U256 (.X(n102), 
	.B2(n270), 
	.B1(RF_4__13_), 
	.A2(n251), 
	.A1(n20));
   LDL_AO2BB2_1 U257 (.X(n103), 
	.B2(n270), 
	.B1(RF_4__14_), 
	.A2(n251), 
	.A1(n21));
   LDL_AO2BB2_1 U258 (.X(n104), 
	.B2(n270), 
	.B1(RF_4__15_), 
	.A2(n251), 
	.A1(n22));
   LDL_AO2BB2_1 U259 (.X(n105), 
	.B2(n280), 
	.B1(RF_3__0_), 
	.A2(n248), 
	.A1(n7));
   LDL_AO2BB2_1 U260 (.X(n106), 
	.B2(n280), 
	.B1(RF_3__1_), 
	.A2(n248), 
	.A1(n8));
   LDL_AO2BB2_1 U261 (.X(n107), 
	.B2(n280), 
	.B1(RF_3__2_), 
	.A2(n248), 
	.A1(n9));
   LDL_AO2BB2_1 U262 (.X(n108), 
	.B2(n280), 
	.B1(RF_3__3_), 
	.A2(n248), 
	.A1(n10));
   LDL_AO2BB2_1 U263 (.X(n109), 
	.B2(n280), 
	.B1(RF_3__4_), 
	.A2(n248), 
	.A1(n11));
   LDL_AO2BB2_1 U264 (.X(n110), 
	.B2(n249), 
	.B1(RF_3__5_), 
	.A2(n248), 
	.A1(n12));
   LDL_AO2BB2_1 U265 (.X(n111), 
	.B2(n249), 
	.B1(RF_3__6_), 
	.A2(n248), 
	.A1(n13));
   LDL_AO2BB2_1 U266 (.X(n112), 
	.B2(n249), 
	.B1(RF_3__7_), 
	.A2(n248), 
	.A1(n14));
   LDL_AO2BB2_1 U267 (.X(n113), 
	.B2(n249), 
	.B1(RF_3__8_), 
	.A2(n248), 
	.A1(n15));
   LDL_AO2BB2_1 U268 (.X(n114), 
	.B2(n249), 
	.B1(RF_3__9_), 
	.A2(n248), 
	.A1(n16));
   LDL_AO2BB2_1 U269 (.X(n115), 
	.B2(n249), 
	.B1(RF_3__10_), 
	.A2(n248), 
	.A1(n17));
   LDL_AO2BB2_1 U270 (.X(n116), 
	.B2(n249), 
	.B1(RF_3__11_), 
	.A2(n248), 
	.A1(n18));
   LDL_AO2BB2_1 U271 (.X(n117), 
	.B2(n249), 
	.B1(RF_3__12_), 
	.A2(n249), 
	.A1(n19));
   LDL_AO2BB2_1 U272 (.X(n118), 
	.B2(n280), 
	.B1(RF_3__13_), 
	.A2(n249), 
	.A1(n20));
   LDL_AO2BB2_1 U273 (.X(n119), 
	.B2(n280), 
	.B1(RF_3__14_), 
	.A2(n249), 
	.A1(n21));
   LDL_AO2BB2_1 U274 (.X(n120), 
	.B2(n280), 
	.B1(RF_3__15_), 
	.A2(n249), 
	.A1(n22));
   LDL_AO2BB2_1 U275 (.X(n121), 
	.B2(n300), 
	.B1(RF_2__0_), 
	.A2(n246), 
	.A1(n7));
   LDL_AO2BB2_1 U276 (.X(n122), 
	.B2(n300), 
	.B1(RF_2__1_), 
	.A2(n246), 
	.A1(n8));
   LDL_AO2BB2_1 U277 (.X(n123), 
	.B2(n300), 
	.B1(RF_2__2_), 
	.A2(n246), 
	.A1(n9));
   LDL_AO2BB2_1 U278 (.X(n124), 
	.B2(n300), 
	.B1(RF_2__3_), 
	.A2(n246), 
	.A1(n10));
   LDL_AO2BB2_1 U279 (.X(n125), 
	.B2(n300), 
	.B1(RF_2__4_), 
	.A2(n246), 
	.A1(n11));
   LDL_AO2BB2_1 U280 (.X(n126), 
	.B2(n247), 
	.B1(RF_2__5_), 
	.A2(n246), 
	.A1(n12));
   LDL_AO2BB2_1 U281 (.X(n127), 
	.B2(n247), 
	.B1(RF_2__6_), 
	.A2(n246), 
	.A1(n13));
   LDL_AO2BB2_1 U282 (.X(n128), 
	.B2(n247), 
	.B1(RF_2__7_), 
	.A2(n246), 
	.A1(n14));
   LDL_AO2BB2_1 U283 (.X(n129), 
	.B2(n247), 
	.B1(RF_2__8_), 
	.A2(n246), 
	.A1(n15));
   LDL_AO2BB2_1 U284 (.X(n130), 
	.B2(n247), 
	.B1(RF_2__9_), 
	.A2(n246), 
	.A1(n16));
   LDL_AO2BB2_1 U285 (.X(n131), 
	.B2(n247), 
	.B1(RF_2__10_), 
	.A2(n246), 
	.A1(n17));
   LDL_AO2BB2_1 U286 (.X(n132), 
	.B2(n247), 
	.B1(RF_2__11_), 
	.A2(n246), 
	.A1(n18));
   LDL_AO2BB2_1 U287 (.X(n133), 
	.B2(n247), 
	.B1(RF_2__12_), 
	.A2(n247), 
	.A1(n19));
   LDL_AO2BB2_1 U288 (.X(n134), 
	.B2(n300), 
	.B1(RF_2__13_), 
	.A2(n247), 
	.A1(n20));
   LDL_AO2BB2_1 U289 (.X(n135), 
	.B2(n300), 
	.B1(RF_2__14_), 
	.A2(n247), 
	.A1(n21));
   LDL_AO2BB2_1 U290 (.X(n136), 
	.B2(n300), 
	.B1(RF_2__15_), 
	.A2(n247), 
	.A1(n22));
   LDL_AO2BB2_1 U291 (.X(n137), 
	.B2(n245), 
	.B1(RF_1__0_), 
	.A2(n244), 
	.A1(n7));
   LDL_AO2BB2_1 U292 (.X(n138), 
	.B2(n245), 
	.B1(RF_1__1_), 
	.A2(n244), 
	.A1(n8));
   LDL_AO2BB2_1 U293 (.X(n139), 
	.B2(n245), 
	.B1(RF_1__2_), 
	.A2(n244), 
	.A1(n9));
   LDL_AO2BB2_1 U294 (.X(n140), 
	.B2(n245), 
	.B1(RF_1__3_), 
	.A2(n244), 
	.A1(n10));
   LDL_AO2BB2_1 U295 (.X(n141), 
	.B2(n245), 
	.B1(RF_1__4_), 
	.A2(n244), 
	.A1(n11));
   LDL_AO2BB2_1 U296 (.X(n142), 
	.B2(n245), 
	.B1(RF_1__5_), 
	.A2(n244), 
	.A1(n12));
   LDL_AO2BB2_1 U297 (.X(n143), 
	.B2(n245), 
	.B1(RF_1__6_), 
	.A2(n244), 
	.A1(n13));
   LDL_AO2BB2_1 U298 (.X(n144), 
	.B2(n310), 
	.B1(RF_1__7_), 
	.A2(n244), 
	.A1(n14));
   LDL_AO2BB2_1 U299 (.X(n145), 
	.B2(n245), 
	.B1(RF_1__8_), 
	.A2(n244), 
	.A1(n15));
   LDL_AO2BB2_1 U300 (.X(n146), 
	.B2(n245), 
	.B1(RF_1__9_), 
	.A2(n244), 
	.A1(n16));
   LDL_AO2BB2_1 U301 (.X(n147), 
	.B2(n310), 
	.B1(RF_1__10_), 
	.A2(n244), 
	.A1(n17));
   LDL_AO2BB2_1 U302 (.X(n148), 
	.B2(n310), 
	.B1(RF_1__11_), 
	.A2(n244), 
	.A1(n18));
   LDL_AO2BB2_1 U303 (.X(n149), 
	.B2(n310), 
	.B1(RF_1__12_), 
	.A2(n310), 
	.A1(n19));
   LDL_AO2BB2_1 U304 (.X(n150), 
	.B2(n245), 
	.B1(RF_1__13_), 
	.A2(n310), 
	.A1(n20));
   LDL_AO2BB2_1 U305 (.X(n151), 
	.B2(n245), 
	.B1(RF_1__14_), 
	.A2(n310), 
	.A1(n21));
   LDL_AO2BB2_1 U306 (.X(n152), 
	.B2(n245), 
	.B1(RF_1__15_), 
	.A2(n310), 
	.A1(n22));
   LDL_AO2BB2_1 U307 (.X(n153), 
	.B2(n320), 
	.B1(RF_0__0_), 
	.A2(n242), 
	.A1(n7));
   LDL_AO2BB2_1 U308 (.X(n154), 
	.B2(n320), 
	.B1(RF_0__1_), 
	.A2(n242), 
	.A1(n8));
   LDL_AO2BB2_1 U309 (.X(n155), 
	.B2(n320), 
	.B1(RF_0__2_), 
	.A2(n242), 
	.A1(n9));
   LDL_AO2BB2_1 U310 (.X(n156), 
	.B2(n320), 
	.B1(RF_0__3_), 
	.A2(n242), 
	.A1(n10));
   LDL_AO2BB2_1 U311 (.X(n157), 
	.B2(n320), 
	.B1(RF_0__4_), 
	.A2(n242), 
	.A1(n11));
   LDL_AO2BB2_1 U312 (.X(n158), 
	.B2(n243), 
	.B1(RF_0__5_), 
	.A2(n242), 
	.A1(n12));
   LDL_AO2BB2_1 U313 (.X(n159), 
	.B2(n243), 
	.B1(RF_0__6_), 
	.A2(n242), 
	.A1(n13));
   LDL_AO2BB2_1 U314 (.X(n160), 
	.B2(n243), 
	.B1(RF_0__7_), 
	.A2(n242), 
	.A1(n14));
   LDL_AO2BB2_1 U315 (.X(n161), 
	.B2(n243), 
	.B1(RF_0__8_), 
	.A2(n242), 
	.A1(n15));
   LDL_AO2BB2_1 U316 (.X(n162), 
	.B2(n243), 
	.B1(RF_0__9_), 
	.A2(n242), 
	.A1(n16));
   LDL_AO2BB2_1 U317 (.X(n163), 
	.B2(n243), 
	.B1(RF_0__10_), 
	.A2(n242), 
	.A1(n17));
   LDL_AO2BB2_1 U318 (.X(n164), 
	.B2(n243), 
	.B1(RF_0__11_), 
	.A2(n242), 
	.A1(n18));
   LDL_AO2BB2_1 U319 (.X(n165), 
	.B2(n243), 
	.B1(RF_0__12_), 
	.A2(n243), 
	.A1(n19));
   LDL_AO2BB2_1 U320 (.X(n166), 
	.B2(n320), 
	.B1(RF_0__13_), 
	.A2(n243), 
	.A1(n20));
   LDL_AO2BB2_1 U321 (.X(n167), 
	.B2(n320), 
	.B1(RF_0__14_), 
	.A2(n243), 
	.A1(n21));
   LDL_AO2BB2_1 U322 (.X(n168), 
	.B2(n320), 
	.B1(RF_0__15_), 
	.A2(n243), 
	.A1(n22));
   LDL_AO2BB2_1 U323 (.X(n530), 
	.B2(n257), 
	.B1(RF_7__12_), 
	.A2(n19), 
	.A1(n257));
   LDL_AO2BB2_1 U324 (.X(n540), 
	.B2(n6), 
	.B1(RF_7__13_), 
	.A2(n20), 
	.A1(n257));
   LDL_AO2BB2_1 U325 (.X(n550), 
	.B2(n6), 
	.B1(RF_7__14_), 
	.A2(n21), 
	.A1(n257));
   LDL_AO2BB2_1 U326 (.X(n560), 
	.B2(n6), 
	.B1(RF_7__15_), 
	.A2(n22), 
	.A1(n257));
endmodule

module POCOP (
	CLK, 
	RST_N, 
	IDATAIN, 
	DDATAIN, 
	IADDR, 
	DADDR, 
	DDATAOUT, 
	WE_N);
   input CLK;
   input RST_N;
   input [15:0] IDATAIN;
   input [15:0] DDATAIN;
   output [15:0] IADDR;
   output [15:0] DADDR;
   output [15:0] DDATAOUT;
   output WE_N;

   // Internal wires
   wire N10;
   wire N11;
   wire N12;
   wire N13;
   wire N14;
   wire N15;
   wire N16;
   wire N17;
   wire N18;
   wire N19;
   wire N20;
   wire N21;
   wire N22;
   wire N23;
   wire N24;
   wire N25;
   wire IR_15_;
   wire IR_14_;
   wire IR_13_;
   wire IR_12_;
   wire IR_11_;
   wire IR_10_;
   wire IR_9_;
   wire IR_8_;
   wire IR_7_;
   wire IR_6_;
   wire IR_5_;
   wire IR_4_;
   wire IR_3_;
   wire IR_2_;
   wire IR_1_;
   wire IR_0_;
   wire LD_OP;
   wire LD_OP_ID;
   wire ALU_Y_15_;
   wire ALU_Y_14_;
   wire ALU_Y_13_;
   wire ALU_Y_12_;
   wire ALU_Y_11_;
   wire ALU_Y_10_;
   wire ALU_Y_9_;
   wire ALU_Y_8_;
   wire ALU_Y_7_;
   wire ALU_Y_6_;
   wire ALU_Y_5_;
   wire ALU_Y_4_;
   wire ALU_Y_3_;
   wire ALU_Y_2_;
   wire ALU_Y_1_;
   wire ALU_Y_0_;
   wire RD_ID_2_;
   wire RD_ID_1_;
   wire RD_ID_0_;
   wire RWE_ID;
   wire RF_B_15_;
   wire RF_B_14_;
   wire RF_B_13_;
   wire RF_B_12_;
   wire RF_B_11_;
   wire RF_B_10_;
   wire RF_B_9_;
   wire RF_B_8_;
   wire RF_B_7_;
   wire RF_B_6_;
   wire RF_B_5_;
   wire RF_B_4_;
   wire RF_B_3_;
   wire RF_B_2_;
   wire RF_B_1_;
   wire RF_B_0_;
   wire RF_A_15_;
   wire RF_A_14_;
   wire RF_A_13_;
   wire RF_A_12_;
   wire RF_A_11_;
   wire RF_A_10_;
   wire RF_A_9_;
   wire RF_A_8_;
   wire RF_A_7_;
   wire RF_A_6_;
   wire RF_A_5_;
   wire RF_A_4_;
   wire RF_A_3_;
   wire RF_A_2_;
   wire RF_A_1_;
   wire RF_A_0_;
   wire RWE;
   wire RF_C_15_;
   wire RF_C_14_;
   wire RF_C_13_;
   wire RF_C_12_;
   wire RF_C_11_;
   wire RF_C_10_;
   wire RF_C_9_;
   wire RF_C_8_;
   wire RF_C_7_;
   wire RF_C_6_;
   wire RF_C_5_;
   wire RF_C_4_;
   wire RF_C_3_;
   wire RF_C_2_;
   wire RF_C_1_;
   wire RF_C_0_;
   wire RD_EX_2_;
   wire RD_EX_1_;
   wire RD_EX_0_;
   wire RWE_EX;
   wire ST_OP_ID;
   wire COM_ID_2_;
   wire COM_ID_1_;
   wire COM_ID_0_;
   wire CREG_15_;
   wire CREG_14_;
   wire CREG_13_;
   wire CREG_12_;
   wire CREG_11_;
   wire CREG_10_;
   wire CREG_9_;
   wire CREG_8_;
   wire CREG_7_;
   wire CREG_6_;
   wire CREG_5_;
   wire CREG_4_;
   wire CREG_3_;
   wire CREG_2_;
   wire CREG_1_;
   wire CREG_0_;
   wire DREG_15_;
   wire DREG_14_;
   wire DREG_13_;
   wire DREG_12_;
   wire DREG_11_;
   wire DREG_10_;
   wire DREG_9_;
   wire DREG_8_;
   wire DREG_7_;
   wire DREG_6_;
   wire DREG_5_;
   wire DREG_4_;
   wire DREG_3_;
   wire DREG_2_;
   wire DREG_1_;
   wire DREG_0_;
   wire LD_OP_EX;
   wire n6;
   wire n7;
   wire n8;
   wire n9;
   wire n1000;
   wire n1100;
   wire n1200;
   wire n1400;
   wire n1500;
   wire n1600;
   wire n1700;
   wire n190;
   wire n200;
   wire n210;
   wire n220;
   wire n230;
   wire n240;
   wire n250;
   wire n26;
   wire n27;
   wire n28;
   wire n29;
   wire n30;
   wire n31;
   wire n32;
   wire n33;
   wire n34;
   wire n35;
   wire n36;
   wire n37;
   wire n38;
   wire n39;
   wire n40;
   wire n41;
   wire n42;
   wire n43;
   wire n44;
   wire n45;
   wire n46;
   wire n47;
   wire n48;
   wire n49;
   wire n50;
   wire n51;
   wire n52;
   wire n53;
   wire n54;
   wire n55;
   wire n56;
   wire n57;
   wire n58;
   wire n59;
   wire n60;
   wire n61;
   wire n62;
   wire n63;
   wire n64;
   wire n65;
   wire n66;
   wire n67;
   wire n68;
   wire n69;
   wire n70;
   wire n71;
   wire n72;
   wire n73;
   wire n74;
   wire n75;
   wire n76;
   wire n77;
   wire n78;
   wire n79;
   wire n80;
   wire n81;
   wire n82;
   wire n83;
   wire n84;
   wire n85;
   wire n86;
   wire n87;
   wire n89;
   wire n90;
   wire n91;
   wire n92;
   wire n93;
   wire n94;
   wire n96;
   wire n97;
   wire n10000;
   wire n101;
   wire n102;
   wire n103;
   wire n104;
   wire n105;
   wire n106;
   wire n107;
   wire n108;
   wire n109;
   wire n11000;
   wire n111;
   wire n112;
   wire n113;
   wire n114;
   wire n115;
   wire n116;
   wire n117;
   wire n118;
   wire n119;
   wire n12000;
   wire n121;
   wire n122;
   wire n123;
   wire n124;
   wire n125;
   wire n126;
   wire n127;
   wire n128;
   wire n129;
   wire n130;
   wire n131;
   wire n132;
   wire n133;
   wire n134;
   wire n135;
   wire n136;
   wire n137;
   wire n138;
   wire n139;
   wire n14000;
   wire n141;
   wire n142;
   wire n143;
   wire n144;
   wire n145;
   wire n146;
   wire n147;
   wire n148;
   wire n149;
   wire n15000;
   wire n151;
   wire n152;
   wire n153;
   wire n154;
   wire n155;
   wire n156;
   wire n157;
   wire n158;
   wire n159;
   wire n16000;
   wire n1;
   wire n2;
   wire n3;
   wire n4;
   wire n5;
   wire n1310;
   wire n180;
   wire n88;
   wire n95;
   wire n98;
   wire n99;
   wire n161;
   wire n162;
   wire n163;
   wire n164;
   wire n165;
   wire n166;
   wire n167;
   wire n168;
   wire n169;
   wire n17000;

   RFILE RFILE_1 (.CLK(CLK), 
	.AADR({ IR_10_,
		IR_9_,
		IR_8_ }), 
	.BADR({ IR_7_,
		IR_6_,
		IR_5_ }), 
	.CADR({ RD_EX_2_,
		RD_EX_1_,
		RD_EX_0_ }), 
	.A({ RF_A_15_,
		RF_A_14_,
		RF_A_13_,
		RF_A_12_,
		RF_A_11_,
		RF_A_10_,
		RF_A_9_,
		RF_A_8_,
		RF_A_7_,
		RF_A_6_,
		RF_A_5_,
		RF_A_4_,
		RF_A_3_,
		RF_A_2_,
		RF_A_1_,
		RF_A_0_ }), 
	.B({ RF_B_15_,
		RF_B_14_,
		RF_B_13_,
		RF_B_12_,
		RF_B_11_,
		RF_B_10_,
		RF_B_9_,
		RF_B_8_,
		RF_B_7_,
		RF_B_6_,
		RF_B_5_,
		RF_B_4_,
		RF_B_3_,
		RF_B_2_,
		RF_B_1_,
		RF_B_0_ }), 
	.C({ RF_C_15_,
		RF_C_14_,
		RF_C_13_,
		RF_C_12_,
		RF_C_11_,
		RF_C_10_,
		RF_C_9_,
		RF_C_8_,
		RF_C_7_,
		RF_C_6_,
		RF_C_5_,
		RF_C_4_,
		RF_C_3_,
		RF_C_2_,
		RF_C_1_,
		RF_C_0_ }), 
	.WE(RWE_EX));
   ALU ALU_1 (.A({ DDATAOUT[15],
		DDATAOUT[14],
		DDATAOUT[13],
		DDATAOUT[12],
		DDATAOUT[11],
		DDATAOUT[10],
		DDATAOUT[9],
		DDATAOUT[8],
		DDATAOUT[7],
		DDATAOUT[6],
		DDATAOUT[5],
		DDATAOUT[4],
		DDATAOUT[3],
		DDATAOUT[2],
		DDATAOUT[1],
		DDATAOUT[0] }), 
	.B({ DADDR[15],
		DADDR[14],
		DADDR[13],
		DADDR[12],
		DADDR[11],
		DADDR[10],
		DADDR[9],
		DADDR[8],
		DADDR[7],
		DADDR[6],
		DADDR[5],
		DADDR[4],
		DADDR[3],
		DADDR[2],
		DADDR[1],
		DADDR[0] }), 
	.S({ COM_ID_2_,
		COM_ID_1_,
		COM_ID_0_ }), 
	.Y({ ALU_Y_15_,
		ALU_Y_14_,
		ALU_Y_13_,
		ALU_Y_12_,
		ALU_Y_11_,
		ALU_Y_10_,
		ALU_Y_9_,
		ALU_Y_8_,
		ALU_Y_7_,
		ALU_Y_6_,
		ALU_Y_5_,
		ALU_Y_4_,
		ALU_Y_3_,
		ALU_Y_2_,
		ALU_Y_1_,
		ALU_Y_0_ }));
   POCOP_DW01_inc_0 add_19 (.A({ IADDR[15],
		IADDR[14],
		IADDR[13],
		IADDR[12],
		IADDR[11],
		IADDR[10],
		IADDR[9],
		IADDR[8],
		IADDR[7],
		IADDR[6],
		IADDR[5],
		IADDR[4],
		IADDR[3],
		IADDR[2],
		IADDR[1],
		IADDR[0] }), 
	.SUM({ N25,
		N24,
		N23,
		N22,
		N21,
		N20,
		N19,
		N18,
		N17,
		N16,
		N15,
		N14,
		N13,
		N12,
		N11,
		N10 }));
   LDL_FDPQ_HD_1 DREG_reg_15_ (.Q(DREG_15_), 
	.D(DDATAIN[15]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_14_ (.Q(DREG_14_), 
	.D(DDATAIN[14]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_13_ (.Q(DREG_13_), 
	.D(DDATAIN[13]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_12_ (.Q(DREG_12_), 
	.D(DDATAIN[12]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_11_ (.Q(DREG_11_), 
	.D(DDATAIN[11]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_10_ (.Q(DREG_10_), 
	.D(DDATAIN[10]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_8_ (.Q(DREG_8_), 
	.D(DDATAIN[8]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_7_ (.Q(DREG_7_), 
	.D(DDATAIN[7]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_6_ (.Q(DREG_6_), 
	.D(DDATAIN[6]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_5_ (.Q(DREG_5_), 
	.D(DDATAIN[5]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_4_ (.Q(DREG_4_), 
	.D(DDATAIN[4]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_3_ (.Q(DREG_3_), 
	.D(DDATAIN[3]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_2_ (.Q(DREG_2_), 
	.D(DDATAIN[2]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_1_ (.Q(DREG_1_), 
	.D(DDATAIN[1]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_0_ (.Q(DREG_0_), 
	.D(DDATAIN[0]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 DREG_reg_9_ (.Q(DREG_9_), 
	.D(DDATAIN[9]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_0_ (.Q(CREG_0_), 
	.D(ALU_Y_0_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_1_ (.Q(CREG_1_), 
	.D(ALU_Y_1_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_2_ (.Q(CREG_2_), 
	.D(ALU_Y_2_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_3_ (.Q(CREG_3_), 
	.D(ALU_Y_3_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_4_ (.Q(CREG_4_), 
	.D(ALU_Y_4_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_5_ (.Q(CREG_5_), 
	.D(ALU_Y_5_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_6_ (.Q(CREG_6_), 
	.D(ALU_Y_6_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_7_ (.Q(CREG_7_), 
	.D(ALU_Y_7_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_8_ (.Q(CREG_8_), 
	.D(ALU_Y_8_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_9_ (.Q(CREG_9_), 
	.D(ALU_Y_9_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_10_ (.Q(CREG_10_), 
	.D(ALU_Y_10_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_11_ (.Q(CREG_11_), 
	.D(ALU_Y_11_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_12_ (.Q(CREG_12_), 
	.D(ALU_Y_12_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_13_ (.Q(CREG_13_), 
	.D(ALU_Y_13_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_14_ (.Q(CREG_14_), 
	.D(ALU_Y_14_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 CREG_reg_15_ (.Q(CREG_15_), 
	.D(ALU_Y_15_), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 RWE_ID_reg (.RD(n168), 
	.Q(RWE_ID), 
	.D(RWE), 
	.CK(CLK));
   LDL_FDPQB_HD_1 LD_OP_EX_reg (.QN(n139), 
	.D(LD_OP_ID), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_4_ (.RD(RST_N), 
	.Q(IR_4_), 
	.D(IDATAIN[4]), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_2_ (.RD(n17000), 
	.Q(IR_2_), 
	.D(IDATAIN[2]), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_1_ (.RD(n168), 
	.Q(IR_1_), 
	.D(IDATAIN[1]), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_0_ (.RD(n168), 
	.Q(IR_0_), 
	.D(IDATAIN[0]), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_3_ (.RD(n169), 
	.Q(IR_3_), 
	.D(IDATAIN[3]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 LD_OP_ID_reg (.Q(LD_OP_ID), 
	.D(n146), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_10_ (.RD(n17000), 
	.Q(IR_10_), 
	.D(IDATAIN[10]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RWE_EX_reg (.Q(RWE_EX), 
	.D(RWE_ID), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_9_ (.RD(n169), 
	.Q(IR_9_), 
	.D(IDATAIN[9]), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_8_ (.RD(n169), 
	.Q(IR_8_), 
	.D(IDATAIN[8]), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_6_ (.RD(n169), 
	.Q(IR_6_), 
	.D(IDATAIN[6]), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_5_ (.RD(n169), 
	.Q(IR_5_), 
	.D(IDATAIN[5]), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_14_ (.RD(n168), 
	.Q(IR_14_), 
	.D(IDATAIN[14]), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_11_ (.RD(n169), 
	.Q(IR_11_), 
	.D(IDATAIN[11]), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_12_ (.RD(n168), 
	.Q(IR_12_), 
	.D(IDATAIN[12]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RD_ID_reg_2_ (.Q(RD_ID_2_), 
	.D(n142), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_15_ (.RD(n17000), 
	.Q(IR_15_), 
	.D(IDATAIN[15]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RD_ID_reg_1_ (.Q(RD_ID_1_), 
	.D(n141), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RD_ID_reg_0_ (.Q(RD_ID_0_), 
	.D(n14000), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_13_ (.RD(n169), 
	.Q(IR_13_), 
	.D(IDATAIN[13]), 
	.CK(CLK));
   LDL_FDPQ_HD_1 COM_ID_reg_1_ (.Q(COM_ID_1_), 
	.D(n144), 
	.CK(CLK));
   LDL_FDPQ_HD_1 COM_ID_reg_0_ (.Q(COM_ID_0_), 
	.D(n143), 
	.CK(CLK));
   LDL_FDPQ_HD_1 COM_ID_reg_2_ (.Q(COM_ID_2_), 
	.D(n145), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RD_EX_reg_1_ (.Q(RD_EX_1_), 
	.D(RD_ID_1_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RD_EX_reg_2_ (.Q(RD_EX_2_), 
	.D(RD_ID_2_), 
	.CK(CLK));
   LDL_FDPQ_HD_1 RD_EX_reg_0_ (.Q(RD_EX_0_), 
	.D(RD_ID_0_), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 IR_reg_7_ (.RD(n17000), 
	.Q(IR_7_), 
	.D(IDATAIN[7]), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_1_ (.RD(n17000), 
	.Q(IADDR[1]), 
	.D(N11), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_2_ (.RD(n168), 
	.Q(IADDR[2]), 
	.D(N12), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_3_ (.RD(n169), 
	.Q(IADDR[3]), 
	.D(N13), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_4_ (.RD(n169), 
	.Q(IADDR[4]), 
	.D(N14), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_5_ (.RD(n168), 
	.Q(IADDR[5]), 
	.D(N15), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_6_ (.RD(RST_N), 
	.Q(IADDR[6]), 
	.D(N16), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_7_ (.RD(n168), 
	.Q(IADDR[7]), 
	.D(N17), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_8_ (.RD(n17000), 
	.Q(IADDR[8]), 
	.D(N18), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_9_ (.RD(RST_N), 
	.Q(IADDR[9]), 
	.D(N19), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_10_ (.RD(RST_N), 
	.Q(IADDR[10]), 
	.D(N20), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_11_ (.RD(n169), 
	.Q(IADDR[11]), 
	.D(N21), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_12_ (.RD(RST_N), 
	.Q(IADDR[12]), 
	.D(N22), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_13_ (.RD(n17000), 
	.Q(IADDR[13]), 
	.D(N23), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_14_ (.RD(RST_N), 
	.Q(IADDR[14]), 
	.D(N24), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_15_ (.RD(RST_N), 
	.Q(IADDR[15]), 
	.D(N25), 
	.CK(CLK));
   LDL_FDPRBQ_HD_1 PC_reg_0_ (.RD(n168), 
	.Q(IADDR[0]), 
	.D(N10), 
	.CK(CLK));
   LDL_FDPQ_HD_1 ST_OP_ID_reg (.Q(ST_OP_ID), 
	.D(n147), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_8_ (.Q(DADDR[8]), 
	.D(n12000), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_9_ (.Q(DADDR[9]), 
	.D(n118), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_10_ (.Q(DADDR[10]), 
	.D(n116), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_11_ (.Q(DADDR[11]), 
	.D(n114), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_12_ (.Q(DADDR[12]), 
	.D(n112), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_13_ (.Q(DADDR[13]), 
	.D(n11000), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_14_ (.Q(DADDR[14]), 
	.D(n108), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_15_ (.Q(DADDR[15]), 
	.D(n107), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_0_ (.Q(DADDR[0]), 
	.D(n136), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_1_ (.Q(DADDR[1]), 
	.D(n134), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_2_ (.Q(DADDR[2]), 
	.D(n132), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_3_ (.Q(DADDR[3]), 
	.D(n130), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_4_ (.Q(DADDR[4]), 
	.D(n128), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_5_ (.Q(DADDR[5]), 
	.D(n126), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_6_ (.Q(DADDR[6]), 
	.D(n124), 
	.CK(CLK));
   LDL_FDPQ_HD_1 BREG_reg_7_ (.Q(DADDR[7]), 
	.D(n122), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_0_ (.Q(DDATAOUT[0]), 
	.D(n137), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_15_ (.Q(DDATAOUT[15]), 
	.D(n138), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_2_ (.Q(DDATAOUT[2]), 
	.D(n133), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_3_ (.Q(DDATAOUT[3]), 
	.D(n131), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_4_ (.Q(DDATAOUT[4]), 
	.D(n129), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_5_ (.Q(DDATAOUT[5]), 
	.D(n127), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_6_ (.Q(DDATAOUT[6]), 
	.D(n125), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_7_ (.Q(DDATAOUT[7]), 
	.D(n123), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_8_ (.Q(DDATAOUT[8]), 
	.D(n121), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_11_ (.Q(DDATAOUT[11]), 
	.D(n115), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_12_ (.Q(DDATAOUT[12]), 
	.D(n113), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_13_ (.Q(DDATAOUT[13]), 
	.D(n111), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_10_ (.Q(DDATAOUT[10]), 
	.D(n117), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_9_ (.Q(DDATAOUT[9]), 
	.D(n119), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_14_ (.Q(DDATAOUT[14]), 
	.D(n109), 
	.CK(CLK));
   LDL_FDPQ_HD_1 AREG_reg_1_ (.Q(DDATAOUT[1]), 
	.D(n135), 
	.CK(CLK));
   LDL_ND2_1 U3 (.X(n1), 
	.A2(LD_OP_ID), 
	.A1(n97));
   LDL_INV_1 U4 (.X(n2), 
	.A(n1));
   LDL_INV_1 U5 (.X(n3), 
	.A(n1));
   LDL_ND2_1 U6 (.X(n4), 
	.A2(n17000), 
	.A1(n96));
   LDL_INV_1 U7 (.X(n5), 
	.A(n4));
   LDL_INV_1 U8 (.X(n1310), 
	.A(n4));
   LDL_ND2_1 U9 (.X(n180), 
	.A2(n93), 
	.A1(n97));
   LDL_INV_1 U10 (.X(n88), 
	.A(n180));
   LDL_INV_1 U11 (.X(n95), 
	.A(n180));
   LDL_BUF_1 U12 (.X(n98), 
	.A(n94));
   LDL_INV_1 U13 (.X(n99), 
	.A(n139));
   LDL_INV_1 U14 (.X(n164), 
	.A(RST_N));
   LDL_INV_1 U15 (.X(n165), 
	.A(n169));
   LDL_INV_1 U16 (.X(n166), 
	.A(n168));
   LDL_BUF_1 U17 (.X(n161), 
	.A(n90));
   LDL_INV_1 U18 (.X(n106), 
	.A(n80));
   LDL_INV_1 U19 (.X(n105), 
	.A(n45));
   LDL_BUF_1 U20 (.X(n169), 
	.A(n17000));
   LDL_BUF_1 U21 (.X(n168), 
	.A(n17000));
   LDL_INV_1 U22 (.X(n167), 
	.A(n17000));
   LDL_ND3_1 U23 (.X(n45), 
	.A3(n92), 
	.A2(n93), 
	.A1(RST_N));
   LDL_ND2_1 U24 (.X(n80), 
	.A2(n84), 
	.A1(RST_N));
   LDL_NR2_1 U25 (.X(n97), 
	.A2(n164), 
	.A1(n96));
   LDL_AN3B_1 U26 (.X(n90), 
	.B2(RST_N), 
	.B1(n91), 
	.A(n15000));
   LDL_OR2_1 U27 (.X(n9), 
	.A2(n166), 
	.A1(n85));
   LDL_BUF_1 U28 (.X(n17000), 
	.A(RST_N));
   LDL_ND2B_S_1 U29 (.X(n15000), 
	.B(n85), 
	.A(n84));
   LDL_NR2_1 U30 (.X(n92), 
	.A2(n15000), 
	.A1(n91));
   LDL_NR3_1 U31 (.X(LD_OP), 
	.A3(n40), 
	.A2(n149), 
	.A1(n148));
   LDL_ND3_1 U32 (.X(n149), 
	.A3(n152), 
	.A2(n7), 
	.A1(n6));
   LDL_INV_1 U33 (.X(n153), 
	.A(LD_OP_EX));
   LDL_AN3_S_1 U34 (.X(n94), 
	.A3(LD_OP_ID), 
	.A2(n17000), 
	.A1(n92));
   LDL_ND3_1 U35 (.X(n1000), 
	.A3(IR_7_), 
	.A2(n89), 
	.A1(n106));
   LDL_ND2_1 U36 (.X(n111), 
	.A2(n220), 
	.A1(n210));
   LDL_AOI22_1 U37 (.X(n210), 
	.B2(n166), 
	.B1(DDATAOUT[13]), 
	.A2(n3), 
	.A1(DDATAIN[13]));
   LDL_AOI22_1 U38 (.X(n220), 
	.B2(n95), 
	.B1(ALU_Y_13_), 
	.A2(n1310), 
	.A1(RF_A_13_));
   LDL_ND2_1 U39 (.X(n113), 
	.A2(n27), 
	.A1(n26));
   LDL_AOI22_1 U40 (.X(n26), 
	.B2(n166), 
	.B1(DDATAOUT[12]), 
	.A2(n3), 
	.A1(DDATAIN[12]));
   LDL_AOI22_1 U41 (.X(n27), 
	.B2(n95), 
	.B1(ALU_Y_12_), 
	.A2(n1310), 
	.A1(RF_A_12_));
   LDL_ND2_1 U42 (.X(n115), 
	.A2(n31), 
	.A1(n30));
   LDL_AOI22_1 U43 (.X(n30), 
	.B2(n166), 
	.B1(DDATAOUT[11]), 
	.A2(n2), 
	.A1(DDATAIN[11]));
   LDL_AOI22_1 U44 (.X(n31), 
	.B2(n88), 
	.B1(ALU_Y_11_), 
	.A2(n5), 
	.A1(RF_A_11_));
   LDL_ND2_1 U45 (.X(n117), 
	.A2(n35), 
	.A1(n34));
   LDL_AOI22_1 U46 (.X(n34), 
	.B2(n166), 
	.B1(DDATAOUT[10]), 
	.A2(n2), 
	.A1(DDATAIN[10]));
   LDL_AOI22_1 U47 (.X(n35), 
	.B2(n88), 
	.B1(ALU_Y_10_), 
	.A2(n5), 
	.A1(RF_A_10_));
   LDL_ND2_1 U48 (.X(n119), 
	.A2(n39), 
	.A1(n38));
   LDL_AOI22_1 U49 (.X(n38), 
	.B2(n166), 
	.B1(DDATAOUT[9]), 
	.A2(n2), 
	.A1(DDATAIN[9]));
   LDL_AOI22_1 U50 (.X(n39), 
	.B2(n88), 
	.B1(ALU_Y_9_), 
	.A2(n5), 
	.A1(RF_A_9_));
   LDL_ND2_1 U51 (.X(n121), 
	.A2(n44), 
	.A1(n43));
   LDL_AOI22_1 U52 (.X(n43), 
	.B2(n166), 
	.B1(DDATAOUT[8]), 
	.A2(n3), 
	.A1(DDATAIN[8]));
   LDL_AOI22_1 U53 (.X(n44), 
	.B2(n95), 
	.B1(ALU_Y_8_), 
	.A2(n1310), 
	.A1(RF_A_8_));
   LDL_ND2_1 U54 (.X(n123), 
	.A2(n49), 
	.A1(n48));
   LDL_AOI22_1 U55 (.X(n48), 
	.B2(n165), 
	.B1(DDATAOUT[7]), 
	.A2(n2), 
	.A1(DDATAIN[7]));
   LDL_AOI22_1 U56 (.X(n49), 
	.B2(n88), 
	.B1(ALU_Y_7_), 
	.A2(n5), 
	.A1(RF_A_7_));
   LDL_ND2_1 U57 (.X(n125), 
	.A2(n53), 
	.A1(n52));
   LDL_AOI22_1 U58 (.X(n52), 
	.B2(n165), 
	.B1(DDATAOUT[6]), 
	.A2(n3), 
	.A1(DDATAIN[6]));
   LDL_AOI22_1 U59 (.X(n53), 
	.B2(n95), 
	.B1(ALU_Y_6_), 
	.A2(n1310), 
	.A1(RF_A_6_));
   LDL_ND2_1 U60 (.X(n127), 
	.A2(n57), 
	.A1(n56));
   LDL_AOI22_1 U61 (.X(n56), 
	.B2(n165), 
	.B1(DDATAOUT[5]), 
	.A2(n2), 
	.A1(DDATAIN[5]));
   LDL_AOI22_1 U62 (.X(n57), 
	.B2(n88), 
	.B1(ALU_Y_5_), 
	.A2(n5), 
	.A1(RF_A_5_));
   LDL_ND2_1 U63 (.X(n129), 
	.A2(n61), 
	.A1(n60));
   LDL_AOI22_1 U64 (.X(n60), 
	.B2(n165), 
	.B1(DDATAOUT[4]), 
	.A2(n2), 
	.A1(DDATAIN[4]));
   LDL_AOI22_1 U65 (.X(n61), 
	.B2(n88), 
	.B1(ALU_Y_4_), 
	.A2(n5), 
	.A1(RF_A_4_));
   LDL_ND2_1 U66 (.X(n131), 
	.A2(n65), 
	.A1(n64));
   LDL_AOI22_1 U67 (.X(n64), 
	.B2(n165), 
	.B1(DDATAOUT[3]), 
	.A2(n2), 
	.A1(DDATAIN[3]));
   LDL_AOI22_1 U68 (.X(n65), 
	.B2(n88), 
	.B1(ALU_Y_3_), 
	.A2(n5), 
	.A1(RF_A_3_));
   LDL_ND2_1 U69 (.X(n133), 
	.A2(n69), 
	.A1(n68));
   LDL_AOI22_1 U70 (.X(n68), 
	.B2(n165), 
	.B1(DDATAOUT[2]), 
	.A2(n3), 
	.A1(DDATAIN[2]));
   LDL_AOI22_1 U71 (.X(n69), 
	.B2(n95), 
	.B1(ALU_Y_2_), 
	.A2(n1310), 
	.A1(RF_A_2_));
   LDL_ND2_1 U72 (.X(n135), 
	.A2(n73), 
	.A1(n72));
   LDL_AOI22_1 U73 (.X(n72), 
	.B2(n164), 
	.B1(DDATAOUT[1]), 
	.A2(n2), 
	.A1(DDATAIN[1]));
   LDL_AOI22_1 U74 (.X(n73), 
	.B2(n88), 
	.B1(ALU_Y_1_), 
	.A2(n5), 
	.A1(RF_A_1_));
   LDL_ND2_1 U75 (.X(n137), 
	.A2(n77), 
	.A1(n76));
   LDL_AOI22_1 U76 (.X(n76), 
	.B2(n164), 
	.B1(DDATAOUT[0]), 
	.A2(n3), 
	.A1(DDATAIN[0]));
   LDL_AOI22_1 U77 (.X(n77), 
	.B2(n95), 
	.B1(ALU_Y_0_), 
	.A2(n1310), 
	.A1(RF_A_0_));
   LDL_ND2_1 U78 (.X(n138), 
	.A2(n79), 
	.A1(n78));
   LDL_AOI22_1 U79 (.X(n78), 
	.B2(n164), 
	.B1(DDATAOUT[15]), 
	.A2(DDATAIN[15]), 
	.A1(n3));
   LDL_AOI22_1 U80 (.X(n79), 
	.B2(ALU_Y_15_), 
	.B1(n95), 
	.A2(n1310), 
	.A1(RF_A_15_));
   LDL_OAI21_1 U81 (.X(n144), 
	.B(n83), 
	.A2(n82), 
	.A1(n80));
   LDL_MUXI2_1 U82 (.X(n83), 
	.S(n164), 
	.D1(COM_ID_1_), 
	.D0(n102));
   LDL_NR2_1 U83 (.X(n102), 
	.A2(n6), 
	.A1(n15000));
   LDL_OAI211_1 U84 (.X(n143), 
	.B2(n81), 
	.B1(n9), 
	.A2(n80), 
	.A1(IR_13_));
   LDL_MUXI2_1 U85 (.X(n81), 
	.S(n164), 
	.D1(COM_ID_0_), 
	.D0(n101));
   LDL_NR2_1 U86 (.X(n101), 
	.A2(n40), 
	.A1(n84));
   LDL_OAI2111_1 U87 (.X(n108), 
	.B3(n1500), 
	.B2(n1400), 
	.B1(n1000), 
	.A2(n163), 
	.A1(n9));
   LDL_ND2_1 U88 (.X(n1400), 
	.A2(n90), 
	.A1(RF_B_14_));
   LDL_AOI222_1 U89 (.X(n1500), 
	.C2(n105), 
	.C1(ALU_Y_14_), 
	.B2(n94), 
	.B1(DDATAIN[14]), 
	.A2(n167), 
	.A1(DADDR[14]));
   LDL_OAI2111_1 U90 (.X(n11000), 
	.B3(n200), 
	.B2(n190), 
	.B1(n1000), 
	.A2(n162), 
	.A1(n9));
   LDL_ND2_1 U91 (.X(n190), 
	.A2(n161), 
	.A1(RF_B_13_));
   LDL_AOI222_1 U92 (.X(n200), 
	.C2(n105), 
	.C1(ALU_Y_13_), 
	.B2(n94), 
	.B1(DDATAIN[13]), 
	.A2(n167), 
	.A1(DADDR[13]));
   LDL_OAI2111_1 U93 (.X(n112), 
	.B3(n250), 
	.B2(n240), 
	.B1(n1000), 
	.A2(n230), 
	.A1(n9));
   LDL_ND2_1 U94 (.X(n240), 
	.A2(n90), 
	.A1(RF_B_12_));
   LDL_AOI222_1 U95 (.X(n250), 
	.C2(n105), 
	.C1(ALU_Y_12_), 
	.B2(n94), 
	.B1(DDATAIN[12]), 
	.A2(n167), 
	.A1(DADDR[12]));
   LDL_OAI2111_1 U96 (.X(n116), 
	.B3(n33), 
	.B2(n32), 
	.B1(n1000), 
	.A2(n7), 
	.A1(n9));
   LDL_ND2_1 U97 (.X(n32), 
	.A2(n161), 
	.A1(RF_B_10_));
   LDL_AOI222_1 U98 (.X(n33), 
	.C2(n105), 
	.C1(ALU_Y_10_), 
	.B2(n94), 
	.B1(DDATAIN[10]), 
	.A2(n166), 
	.A1(DADDR[10]));
   LDL_OAI2111_1 U99 (.X(n118), 
	.B3(n37), 
	.B2(n36), 
	.B1(n1000), 
	.A2(n6), 
	.A1(n9));
   LDL_ND2_1 U100 (.X(n36), 
	.A2(n161), 
	.A1(RF_B_9_));
   LDL_AOI222_1 U101 (.X(n37), 
	.C2(n105), 
	.C1(ALU_Y_9_), 
	.B2(n94), 
	.B1(DDATAIN[9]), 
	.A2(n166), 
	.A1(DADDR[9]));
   LDL_OAI2111_1 U102 (.X(n12000), 
	.B3(n42), 
	.B2(n41), 
	.B1(n1000), 
	.A2(n40), 
	.A1(n9));
   LDL_ND2_1 U103 (.X(n41), 
	.A2(n90), 
	.A1(RF_B_8_));
   LDL_AOI222_1 U104 (.X(n42), 
	.C2(n105), 
	.C1(ALU_Y_8_), 
	.B2(n94), 
	.B1(DDATAIN[8]), 
	.A2(n166), 
	.A1(DADDR[8]));
   LDL_OAI2111_1 U105 (.X(n107), 
	.B3(n1200), 
	.B2(n1100), 
	.B1(n1000), 
	.A2(n9), 
	.A1(n8));
   LDL_INV_1 U106 (.X(n8), 
	.A(IR_7_));
   LDL_ND2_1 U107 (.X(n1100), 
	.A2(n161), 
	.A1(RF_B_15_));
   LDL_AOI222_1 U108 (.X(n1200), 
	.C2(n105), 
	.C1(ALU_Y_15_), 
	.B2(n94), 
	.B1(DDATAIN[15]), 
	.A2(n167), 
	.A1(DADDR[15]));
   LDL_OAI2111_1 U109 (.X(n114), 
	.B3(n29), 
	.B2(n28), 
	.B1(n1000), 
	.A2(n9), 
	.A1(n148));
   LDL_ND2_1 U110 (.X(n28), 
	.A2(n90), 
	.A1(RF_B_11_));
   LDL_AOI222_1 U111 (.X(n29), 
	.C2(n105), 
	.C1(ALU_Y_11_), 
	.B2(n94), 
	.B1(DDATAIN[11]), 
	.A2(n167), 
	.A1(DADDR[11]));
   LDL_OAI2B11_1 U112 (.X(n122), 
	.C2(n47), 
	.C1(n46), 
	.B(n45), 
	.A(ALU_Y_7_));
   LDL_AOI22_1 U113 (.X(n47), 
	.B2(n166), 
	.B1(DADDR[7]), 
	.A2(n106), 
	.A1(IR_7_));
   LDL_AOI22_1 U114 (.X(n46), 
	.B2(n94), 
	.B1(DDATAIN[7]), 
	.A2(n161), 
	.A1(RF_B_7_));
   LDL_OAI2B11_1 U115 (.X(n124), 
	.C2(n51), 
	.C1(n50), 
	.B(n45), 
	.A(ALU_Y_6_));
   LDL_AOI22_1 U116 (.X(n51), 
	.B2(n165), 
	.B1(DADDR[6]), 
	.A2(n106), 
	.A1(IR_6_));
   LDL_AOI22_1 U117 (.X(n50), 
	.B2(n94), 
	.B1(DDATAIN[6]), 
	.A2(n161), 
	.A1(RF_B_6_));
   LDL_OAI2B11_1 U118 (.X(n126), 
	.C2(n55), 
	.C1(n54), 
	.B(n45), 
	.A(ALU_Y_5_));
   LDL_AOI22_1 U119 (.X(n55), 
	.B2(n165), 
	.B1(DADDR[5]), 
	.A2(n106), 
	.A1(IR_5_));
   LDL_AOI22_1 U120 (.X(n54), 
	.B2(n94), 
	.B1(DDATAIN[5]), 
	.A2(n161), 
	.A1(RF_B_5_));
   LDL_OAI2B11_1 U121 (.X(n128), 
	.C2(n59), 
	.C1(n58), 
	.B(n45), 
	.A(ALU_Y_4_));
   LDL_AOI22_1 U122 (.X(n59), 
	.B2(n165), 
	.B1(DADDR[4]), 
	.A2(n106), 
	.A1(IR_4_));
   LDL_AOI22_1 U123 (.X(n58), 
	.B2(n98), 
	.B1(DDATAIN[4]), 
	.A2(n161), 
	.A1(RF_B_4_));
   LDL_OAI2B11_1 U124 (.X(n130), 
	.C2(n63), 
	.C1(n62), 
	.B(n45), 
	.A(ALU_Y_3_));
   LDL_AOI22_1 U125 (.X(n63), 
	.B2(n165), 
	.B1(DADDR[3]), 
	.A2(IR_3_), 
	.A1(n106));
   LDL_AOI22_1 U126 (.X(n62), 
	.B2(n98), 
	.B1(DDATAIN[3]), 
	.A2(n161), 
	.A1(RF_B_3_));
   LDL_OAI2B11_1 U127 (.X(n132), 
	.C2(n67), 
	.C1(n66), 
	.B(n45), 
	.A(ALU_Y_2_));
   LDL_AOI22_1 U128 (.X(n67), 
	.B2(n165), 
	.B1(DADDR[2]), 
	.A2(n106), 
	.A1(IR_2_));
   LDL_AOI22_1 U129 (.X(n66), 
	.B2(n98), 
	.B1(DDATAIN[2]), 
	.A2(n90), 
	.A1(RF_B_2_));
   LDL_OAI2B11_1 U130 (.X(n134), 
	.C2(n71), 
	.C1(n70), 
	.B(n45), 
	.A(ALU_Y_1_));
   LDL_AOI22_1 U131 (.X(n71), 
	.B2(n165), 
	.B1(DADDR[1]), 
	.A2(n106), 
	.A1(IR_1_));
   LDL_AOI22_1 U132 (.X(n70), 
	.B2(n98), 
	.B1(DDATAIN[1]), 
	.A2(n161), 
	.A1(RF_B_1_));
   LDL_OAI2B11_1 U133 (.X(n136), 
	.C2(n75), 
	.C1(n74), 
	.B(n45), 
	.A(ALU_Y_0_));
   LDL_AOI22_1 U134 (.X(n75), 
	.B2(n164), 
	.B1(DADDR[0]), 
	.A2(n106), 
	.A1(IR_0_));
   LDL_AOI22_1 U135 (.X(n74), 
	.B2(n98), 
	.B1(DDATAIN[0]), 
	.A2(n90), 
	.A1(RF_B_0_));
   LDL_MUXI2_1 U136 (.X(n147), 
	.S(n164), 
	.D1(WE_N), 
	.D0(n104));
   LDL_ND3B_1 U137 (.X(n104), 
	.B2(IR_3_), 
	.B1(n40), 
	.A(n149));
   LDL_OAI21_1 U138 (.X(n145), 
	.B(n86), 
	.A2(n82), 
	.A1(n80));
   LDL_MUXI2_1 U139 (.X(n86), 
	.S(n164), 
	.D1(COM_ID_2_), 
	.D0(n103));
   LDL_NR2_1 U140 (.X(n103), 
	.A2(n7), 
	.A1(n15000));
   LDL_ND2_1 U141 (.X(n109), 
	.A2(n1700), 
	.A1(n1600));
   LDL_AOI22_1 U142 (.X(n1600), 
	.B2(n166), 
	.B1(DDATAOUT[14]), 
	.A2(DDATAIN[14]), 
	.A1(n3));
   LDL_AOI22_1 U143 (.X(n1700), 
	.B2(ALU_Y_14_), 
	.B1(n95), 
	.A2(n1310), 
	.A1(RF_A_14_));
   LDL_INV_1 U144 (.X(WE_N), 
	.A(ST_OP_ID));
   LDL_MUX2_HD_1 U145 (.X(n14000), 
	.S(n164), 
	.D1(RD_ID_0_), 
	.D0(IR_8_));
   LDL_MUX2_HD_1 U146 (.X(n141), 
	.S(n164), 
	.D1(RD_ID_1_), 
	.D0(IR_9_));
   LDL_MUX2_HD_1 U147 (.X(n142), 
	.S(n164), 
	.D1(RD_ID_2_), 
	.D0(IR_10_));
   LDL_MUX2_HD_1 U148 (.X(n146), 
	.S(n169), 
	.D1(LD_OP), 
	.D0(LD_OP_ID));
   LDL_AN3B_1 U149 (.X(n84), 
	.B2(IR_14_), 
	.B1(n87), 
	.A(IR_12_));
   LDL_ND4_1 U150 (.X(n85), 
	.A4(n89), 
	.A3(IR_14_), 
	.A2(n157), 
	.A1(IR_12_));
   LDL_NR2_1 U151 (.X(n157), 
	.A2(IR_13_), 
	.A1(IR_15_));
   LDL_ND4_1 U152 (.X(n91), 
	.A4(n16000), 
	.A3(n159), 
	.A2(n158), 
	.A1(RWE_ID));
   LDL_EN2_S_1 U153 (.X(n158), 
	.A2(RD_ID_0_), 
	.A1(IR_5_));
   LDL_EN2_S_1 U154 (.X(n159), 
	.A2(RD_ID_1_), 
	.A1(IR_6_));
   LDL_EN2_S_1 U155 (.X(n16000), 
	.A2(IR_7_), 
	.A1(RD_ID_2_));
   LDL_INV_1 U156 (.X(n89), 
	.A(IR_11_));
   LDL_INV_1 U157 (.X(n163), 
	.A(IR_6_));
   LDL_INV_1 U158 (.X(n162), 
	.A(IR_5_));
   LDL_INV_1 U159 (.X(n87), 
	.A(IR_15_));
   LDL_ND4_1 U160 (.X(n96), 
	.A4(RWE_ID), 
	.A3(n156), 
	.A2(n155), 
	.A1(n154));
   LDL_EN2_S_1 U161 (.X(n154), 
	.A2(IR_8_), 
	.A1(RD_ID_0_));
   LDL_EN2_S_1 U162 (.X(n156), 
	.A2(IR_10_), 
	.A1(RD_ID_2_));
   LDL_EN2_S_1 U163 (.X(n155), 
	.A2(IR_9_), 
	.A1(RD_ID_1_));
   LDL_AO22_1 U164 (.X(RF_C_14_), 
	.B2(n153), 
	.B1(CREG_14_), 
	.A2(LD_OP_EX), 
	.A1(DREG_14_));
   LDL_AO22_1 U165 (.X(RF_C_13_), 
	.B2(n153), 
	.B1(CREG_13_), 
	.A2(LD_OP_EX), 
	.A1(DREG_13_));
   LDL_AO22_1 U166 (.X(RF_C_12_), 
	.B2(n139), 
	.B1(CREG_12_), 
	.A2(n99), 
	.A1(DREG_12_));
   LDL_AO22_1 U167 (.X(RF_C_11_), 
	.B2(n139), 
	.B1(CREG_11_), 
	.A2(n99), 
	.A1(DREG_11_));
   LDL_AO22_1 U168 (.X(RF_C_10_), 
	.B2(n139), 
	.B1(CREG_10_), 
	.A2(n99), 
	.A1(DREG_10_));
   LDL_AO22_1 U169 (.X(RF_C_8_), 
	.B2(n153), 
	.B1(CREG_8_), 
	.A2(LD_OP_EX), 
	.A1(DREG_8_));
   LDL_AO22_1 U170 (.X(RF_C_7_), 
	.B2(n153), 
	.B1(CREG_7_), 
	.A2(LD_OP_EX), 
	.A1(DREG_7_));
   LDL_AO22_1 U171 (.X(RF_C_6_), 
	.B2(n153), 
	.B1(CREG_6_), 
	.A2(LD_OP_EX), 
	.A1(DREG_6_));
   LDL_AO22_1 U172 (.X(RF_C_5_), 
	.B2(n153), 
	.B1(CREG_5_), 
	.A2(LD_OP_EX), 
	.A1(DREG_5_));
   LDL_AO22_1 U173 (.X(RF_C_4_), 
	.B2(n153), 
	.B1(CREG_4_), 
	.A2(LD_OP_EX), 
	.A1(DREG_4_));
   LDL_AO22_1 U174 (.X(RF_C_3_), 
	.B2(n153), 
	.B1(CREG_3_), 
	.A2(LD_OP_EX), 
	.A1(DREG_3_));
   LDL_AO22_1 U175 (.X(RF_C_2_), 
	.B2(n153), 
	.B1(CREG_2_), 
	.A2(LD_OP_EX), 
	.A1(DREG_2_));
   LDL_AO22_1 U176 (.X(RF_C_1_), 
	.B2(n153), 
	.B1(CREG_1_), 
	.A2(LD_OP_EX), 
	.A1(DREG_1_));
   LDL_AO22_1 U177 (.X(RF_C_0_), 
	.B2(n139), 
	.B1(CREG_0_), 
	.A2(n99), 
	.A1(DREG_0_));
   LDL_AO22_1 U178 (.X(RF_C_15_), 
	.B2(n153), 
	.B1(CREG_15_), 
	.A2(LD_OP_EX), 
	.A1(DREG_15_));
   LDL_AO22_1 U179 (.X(RF_C_9_), 
	.B2(n153), 
	.B1(CREG_9_), 
	.A2(DREG_9_), 
	.A1(n99));
   LDL_INV_1 U180 (.X(LD_OP_EX), 
	.A(n139));
   LDL_AN4_1 U181 (.X(n152), 
	.A4(n82), 
	.A3(n10000), 
	.A2(n87), 
	.A1(n230));
   LDL_NR3_1 U182 (.X(n10000), 
	.A3(IR_12_), 
	.A2(IR_11_), 
	.A1(IR_14_));
   LDL_INV_1 U183 (.X(n40), 
	.A(IR_0_));
   LDL_INV_1 U184 (.X(n82), 
	.A(IR_13_));
   LDL_INV_1 U185 (.X(n6), 
	.A(IR_1_));
   LDL_INV_1 U186 (.X(n7), 
	.A(IR_2_));
   LDL_INV_1 U187 (.X(n148), 
	.A(IR_3_));
   LDL_INV_1 U188 (.X(n93), 
	.A(LD_OP_ID));
   LDL_OR3B_1 U189 (.X(RWE), 
	.B2(n15000), 
	.B1(LD_OP), 
	.A(n151));
   LDL_OAI211_1 U190 (.X(n151), 
	.B2(n152), 
	.B1(n148), 
	.A2(n149), 
	.A1(IR_0_));
   LDL_INV_1 U191 (.X(n230), 
	.A(IR_4_));
endmodule

module POCOP_TOP (
	CLK, 
	RST_N, 
	DATAIN_15, 
	DATAIN_14, 
	DATAIN_13, 
	DATAIN_12, 
	DATAIN_11, 
	DATAIN_10, 
	DATAIN_9, 
	DATAIN_8, 
	DATAIN_7, 
	DATAIN_6, 
	DATAIN_5, 
	DATAIN_4, 
	DATAIN_3, 
	DATAIN_2, 
	DATAIN_1, 
	DATAIN_0, 
	ADDR_15, 
	ADDR_14, 
	ADDR_13, 
	ADDR_12, 
	ADDR_11, 
	ADDR_10, 
	ADDR_9, 
	ADDR_8, 
	ADDR_7, 
	ADDR_6, 
	ADDR_5, 
	ADDR_4, 
	ADDR_3, 
	ADDR_2, 
	ADDR_1, 
	ADDR_0, 
	DOUT_15, 
	DOUT_14, 
	DOUT_13, 
	DOUT_12, 
	DOUT_11, 
	DOUT_10, 
	DOUT_9, 
	DOUT_8, 
	DOUT_7, 
	DOUT_6, 
	DOUT_5, 
	DOUT_4, 
	DOUT_3, 
	DOUT_2, 
	DOUT_1, 
	DOUT_0, 
	SEL_ID, 
	WE_N);
   input CLK;
   input RST_N;
   input DATAIN_15;
   input DATAIN_14;
   input DATAIN_13;
   input DATAIN_12;
   input DATAIN_11;
   input DATAIN_10;
   input DATAIN_9;
   input DATAIN_8;
   input DATAIN_7;
   input DATAIN_6;
   input DATAIN_5;
   input DATAIN_4;
   input DATAIN_3;
   input DATAIN_2;
   input DATAIN_1;
   input DATAIN_0;
   output ADDR_15;
   output ADDR_14;
   output ADDR_13;
   output ADDR_12;
   output ADDR_11;
   output ADDR_10;
   output ADDR_9;
   output ADDR_8;
   output ADDR_7;
   output ADDR_6;
   output ADDR_5;
   output ADDR_4;
   output ADDR_3;
   output ADDR_2;
   output ADDR_1;
   output ADDR_0;
   output DOUT_15;
   output DOUT_14;
   output DOUT_13;
   output DOUT_12;
   output DOUT_11;
   output DOUT_10;
   output DOUT_9;
   output DOUT_8;
   output DOUT_7;
   output DOUT_6;
   output DOUT_5;
   output DOUT_4;
   output DOUT_3;
   output DOUT_2;
   output DOUT_1;
   output DOUT_0;
   input SEL_ID;
   output WE_N;

   // Internal wires
   wire n_Logic1_;
   wire n_Logic0_;
   wire W_SEL_ID;
   wire W_ADDR_15_;
   wire W_ADDR_14_;
   wire W_ADDR_13_;
   wire W_ADDR_12_;
   wire W_ADDR_11_;
   wire W_ADDR_10_;
   wire W_ADDR_9_;
   wire W_ADDR_8_;
   wire W_ADDR_7_;
   wire W_ADDR_6_;
   wire W_ADDR_5_;
   wire W_ADDR_4_;
   wire W_ADDR_3_;
   wire W_ADDR_2_;
   wire W_ADDR_1_;
   wire W_ADDR_0_;
   wire W_IADDR_15_;
   wire W_IADDR_14_;
   wire W_IADDR_13_;
   wire W_IADDR_12_;
   wire W_IADDR_11_;
   wire W_IADDR_10_;
   wire W_IADDR_9_;
   wire W_IADDR_8_;
   wire W_IADDR_7_;
   wire W_IADDR_6_;
   wire W_IADDR_5_;
   wire W_IADDR_4_;
   wire W_IADDR_3_;
   wire W_IADDR_2_;
   wire W_IADDR_1_;
   wire W_IADDR_0_;
   wire W_DADDR_15_;
   wire W_DADDR_14_;
   wire W_DADDR_13_;
   wire W_DADDR_12_;
   wire W_DADDR_11_;
   wire W_DADDR_10_;
   wire W_DADDR_9_;
   wire W_DADDR_8_;
   wire W_DADDR_7_;
   wire W_DADDR_6_;
   wire W_DADDR_5_;
   wire W_DADDR_4_;
   wire W_DADDR_3_;
   wire W_DADDR_2_;
   wire W_DADDR_1_;
   wire W_DADDR_0_;
   wire W_IDATAIN_15_;
   wire W_IDATAIN_14_;
   wire W_IDATAIN_13_;
   wire W_IDATAIN_12_;
   wire W_IDATAIN_11_;
   wire W_IDATAIN_10_;
   wire W_IDATAIN_9_;
   wire W_IDATAIN_8_;
   wire W_IDATAIN_7_;
   wire W_IDATAIN_6_;
   wire W_IDATAIN_5_;
   wire W_IDATAIN_4_;
   wire W_IDATAIN_3_;
   wire W_IDATAIN_2_;
   wire W_IDATAIN_1_;
   wire W_IDATAIN_0_;
   wire W_DATAIN_15_;
   wire W_DATAIN_14_;
   wire W_DATAIN_13_;
   wire W_DATAIN_12_;
   wire W_DATAIN_11_;
   wire W_DATAIN_10_;
   wire W_DATAIN_9_;
   wire W_DATAIN_8_;
   wire W_DATAIN_7_;
   wire W_DATAIN_6_;
   wire W_DATAIN_5_;
   wire W_DATAIN_4_;
   wire W_DATAIN_3_;
   wire W_DATAIN_2_;
   wire W_DATAIN_1_;
   wire W_DATAIN_0_;
   wire W_DDATAIN_15_;
   wire W_DDATAIN_14_;
   wire W_DDATAIN_13_;
   wire W_DDATAIN_12_;
   wire W_DDATAIN_11_;
   wire W_DDATAIN_10_;
   wire W_DDATAIN_9_;
   wire W_DDATAIN_8_;
   wire W_DDATAIN_7_;
   wire W_DDATAIN_6_;
   wire W_DDATAIN_5_;
   wire W_DDATAIN_4_;
   wire W_DDATAIN_3_;
   wire W_DDATAIN_2_;
   wire W_DDATAIN_1_;
   wire W_DDATAIN_0_;
   wire W_CLK;
   wire W_RST_N;
   wire W_DOUT_15_;
   wire W_DOUT_14_;
   wire W_DOUT_13_;
   wire W_DOUT_12_;
   wire W_DOUT_11_;
   wire W_DOUT_10_;
   wire W_DOUT_9_;
   wire W_DOUT_8_;
   wire W_DOUT_7_;
   wire W_DOUT_6_;
   wire W_DOUT_5_;
   wire W_DOUT_4_;
   wire W_DOUT_3_;
   wire W_DOUT_2_;
   wire W_DOUT_1_;
   wire W_DOUT_0_;
   wire W_WE_N;
   wire n19;
   wire n21;
   wire n22;
   wire n23;
   wire n24;
   wire n25;
   wire n26;
   wire n27;
   wire n28;
   wire n29;
   wire n30;
   wire n31;
   wire n32;
   wire n33;
   wire n34;
   wire n35;
   wire n36;
   wire n37;
   wire n38;
   wire n39;
   wire n40;
   wire n41;
   wire n48;
   wire n49;
   wire n50;
   wire n51;
   wire n52;
   wire n53;
   wire n54;
   wire n55;
   wire n56;
   wire n57;

   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_CLK (.Y(W_CLK), 
	.A(CLK));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_RST_N (.Y(W_RST_N), 
	.A(RST_N));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_15 (.Y(W_DATAIN_15_), 
	.A(DATAIN_15));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_14 (.Y(W_DATAIN_14_), 
	.A(DATAIN_14));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_13 (.Y(W_DATAIN_13_), 
	.A(DATAIN_13));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_12 (.Y(W_DATAIN_12_), 
	.A(DATAIN_12));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_11 (.Y(W_DATAIN_11_), 
	.A(DATAIN_11));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_10 (.Y(W_DATAIN_10_), 
	.A(DATAIN_10));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_9 (.Y(W_DATAIN_9_), 
	.A(DATAIN_9));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_8 (.Y(W_DATAIN_8_), 
	.A(DATAIN_8));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_7 (.Y(W_DATAIN_7_), 
	.A(DATAIN_7));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_6 (.Y(W_DATAIN_6_), 
	.A(DATAIN_6));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_5 (.Y(W_DATAIN_5_), 
	.A(DATAIN_5));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_4 (.Y(W_DATAIN_4_), 
	.A(DATAIN_4));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_3 (.Y(W_DATAIN_3_), 
	.A(DATAIN_3));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_2 (.Y(W_DATAIN_2_), 
	.A(DATAIN_2));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_1 (.Y(W_DATAIN_1_), 
	.A(DATAIN_1));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_DATAIN_0 (.Y(W_DATAIN_0_), 
	.A(DATAIN_0));
   C0S8L0STARCIO_FE_TWF1IC33AS IBUF_SEL_ID (.Y(W_SEL_ID), 
	.A(SEL_ID));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_15 (.Y0(DOUT_15), 
	.OEN(n_Logic1_), 
	.CTL(n_Logic0_), 
	.C1(n_Logic0_), 
	.C0(n_Logic0_), 
	.A(W_DOUT_15_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_14 (.Y0(DOUT_14), 
	.OEN(n_Logic1_), 
	.CTL(n_Logic0_), 
	.C1(n_Logic0_), 
	.C0(n_Logic0_), 
	.A(W_DOUT_14_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_13 (.Y0(DOUT_13), 
	.OEN(n_Logic1_), 
	.CTL(n_Logic0_), 
	.C1(n_Logic0_), 
	.C0(n_Logic0_), 
	.A(W_DOUT_13_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_12 (.Y0(DOUT_12), 
	.OEN(n_Logic1_), 
	.CTL(n_Logic0_), 
	.C1(n55), 
	.C0(n_Logic0_), 
	.A(W_DOUT_12_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_11 (.Y0(DOUT_11), 
	.OEN(n_Logic1_), 
	.CTL(n55), 
	.C1(n55), 
	.C0(n55), 
	.A(W_DOUT_11_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_10 (.Y0(DOUT_10), 
	.OEN(n_Logic1_), 
	.CTL(n55), 
	.C1(n55), 
	.C0(n55), 
	.A(W_DOUT_10_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_9 (.Y0(DOUT_9), 
	.OEN(n_Logic1_), 
	.CTL(n55), 
	.C1(n55), 
	.C0(n55), 
	.A(W_DOUT_9_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_8 (.Y0(DOUT_8), 
	.OEN(n_Logic1_), 
	.CTL(n55), 
	.C1(n54), 
	.C0(n54), 
	.A(W_DOUT_8_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_7 (.Y0(DOUT_7), 
	.OEN(n_Logic1_), 
	.CTL(n54), 
	.C1(n54), 
	.C0(n54), 
	.A(W_DOUT_7_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_6 (.Y0(DOUT_6), 
	.OEN(n_Logic1_), 
	.CTL(n54), 
	.C1(n54), 
	.C0(n54), 
	.A(W_DOUT_6_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_5 (.Y0(DOUT_5), 
	.OEN(n_Logic1_), 
	.CTL(n54), 
	.C1(n54), 
	.C0(n54), 
	.A(W_DOUT_5_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_4 (.Y0(DOUT_4), 
	.OEN(n57), 
	.CTL(n53), 
	.C1(n53), 
	.C0(n53), 
	.A(W_DOUT_4_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_3 (.Y0(DOUT_3), 
	.OEN(n57), 
	.CTL(n53), 
	.C1(n53), 
	.C0(n53), 
	.A(W_DOUT_3_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_2 (.Y0(DOUT_2), 
	.OEN(n57), 
	.CTL(n53), 
	.C1(n53), 
	.C0(n53), 
	.A(W_DOUT_2_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_1 (.Y0(DOUT_1), 
	.OEN(n57), 
	.CTL(n53), 
	.C1(n52), 
	.C0(n53), 
	.A(W_DOUT_1_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_DOUT_0 (.Y0(DOUT_0), 
	.OEN(n57), 
	.CTL(n52), 
	.C1(n52), 
	.C0(n52), 
	.A(W_DOUT_0_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_15 (.Y0(ADDR_15), 
	.OEN(n57), 
	.CTL(n52), 
	.C1(n52), 
	.C0(n52), 
	.A(W_ADDR_15_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_14 (.Y0(ADDR_14), 
	.OEN(n57), 
	.CTL(n52), 
	.C1(n52), 
	.C0(n52), 
	.A(W_ADDR_14_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_13 (.Y0(ADDR_13), 
	.OEN(n57), 
	.CTL(n52), 
	.C1(n51), 
	.C0(n51), 
	.A(W_ADDR_13_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_12 (.Y0(ADDR_12), 
	.OEN(n57), 
	.CTL(n51), 
	.C1(n51), 
	.C0(n51), 
	.A(W_ADDR_12_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_11 (.Y0(ADDR_11), 
	.OEN(n57), 
	.CTL(n51), 
	.C1(n51), 
	.C0(n51), 
	.A(W_ADDR_11_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_10 (.Y0(ADDR_10), 
	.OEN(n57), 
	.CTL(n51), 
	.C1(n51), 
	.C0(n51), 
	.A(W_ADDR_10_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_9 (.Y0(ADDR_9), 
	.OEN(n56), 
	.CTL(n50), 
	.C1(n50), 
	.C0(n50), 
	.A(W_ADDR_9_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_8 (.Y0(ADDR_8), 
	.OEN(n56), 
	.CTL(n50), 
	.C1(n50), 
	.C0(n50), 
	.A(W_ADDR_8_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_7 (.Y0(ADDR_7), 
	.OEN(n56), 
	.CTL(n50), 
	.C1(n50), 
	.C0(n50), 
	.A(W_ADDR_7_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_6 (.Y0(ADDR_6), 
	.OEN(n56), 
	.CTL(n50), 
	.C1(n49), 
	.C0(n50), 
	.A(W_ADDR_6_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_5 (.Y0(ADDR_5), 
	.OEN(n56), 
	.CTL(n49), 
	.C1(n49), 
	.C0(n49), 
	.A(W_ADDR_5_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_4 (.Y0(ADDR_4), 
	.OEN(n56), 
	.CTL(n49), 
	.C1(n49), 
	.C0(n49), 
	.A(W_ADDR_4_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_3 (.Y0(ADDR_3), 
	.OEN(n56), 
	.CTL(n49), 
	.C1(n49), 
	.C0(n49), 
	.A(W_ADDR_3_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_2 (.Y0(ADDR_2), 
	.OEN(n56), 
	.CTL(n49), 
	.C1(n48), 
	.C0(n48), 
	.A(W_ADDR_2_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_1 (.Y0(ADDR_1), 
	.OEN(n56), 
	.CTL(n48), 
	.C1(n48), 
	.C0(n48), 
	.A(W_ADDR_1_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_ADDR_0 (.Y0(ADDR_0), 
	.OEN(n56), 
	.CTL(n48), 
	.C1(n48), 
	.C0(n48), 
	.A(W_ADDR_0_));
   C0S8L0STARCIO_FE_TWF1BC33ANV04SZ OBUF_WE_N (.Y0(WE_N), 
	.OEN(n56), 
	.CTL(n48), 
	.C1(n48), 
	.C0(n48), 
	.A(W_WE_N));
   POCOP POCOP_0 (.CLK(W_CLK), 
	.RST_N(W_RST_N), 
	.IDATAIN({ W_IDATAIN_15_,
		W_IDATAIN_14_,
		W_IDATAIN_13_,
		W_IDATAIN_12_,
		W_IDATAIN_11_,
		W_IDATAIN_10_,
		W_IDATAIN_9_,
		W_IDATAIN_8_,
		W_IDATAIN_7_,
		W_IDATAIN_6_,
		W_IDATAIN_5_,
		W_IDATAIN_4_,
		W_IDATAIN_3_,
		W_IDATAIN_2_,
		W_IDATAIN_1_,
		W_IDATAIN_0_ }), 
	.DDATAIN({ W_DDATAIN_15_,
		W_DDATAIN_14_,
		W_DDATAIN_13_,
		W_DDATAIN_12_,
		W_DDATAIN_11_,
		W_DDATAIN_10_,
		W_DDATAIN_9_,
		W_DDATAIN_8_,
		W_DDATAIN_7_,
		W_DDATAIN_6_,
		W_DDATAIN_5_,
		W_DDATAIN_4_,
		W_DDATAIN_3_,
		W_DDATAIN_2_,
		W_DDATAIN_1_,
		W_DDATAIN_0_ }), 
	.IADDR({ W_IADDR_15_,
		W_IADDR_14_,
		W_IADDR_13_,
		W_IADDR_12_,
		W_IADDR_11_,
		W_IADDR_10_,
		W_IADDR_9_,
		W_IADDR_8_,
		W_IADDR_7_,
		W_IADDR_6_,
		W_IADDR_5_,
		W_IADDR_4_,
		W_IADDR_3_,
		W_IADDR_2_,
		W_IADDR_1_,
		W_IADDR_0_ }), 
	.DADDR({ W_DADDR_15_,
		W_DADDR_14_,
		W_DADDR_13_,
		W_DADDR_12_,
		W_DADDR_11_,
		W_DADDR_10_,
		W_DADDR_9_,
		W_DADDR_8_,
		W_DADDR_7_,
		W_DADDR_6_,
		W_DADDR_5_,
		W_DADDR_4_,
		W_DADDR_3_,
		W_DADDR_2_,
		W_DADDR_1_,
		W_DADDR_0_ }), 
	.DDATAOUT({ W_DOUT_15_,
		W_DOUT_14_,
		W_DOUT_13_,
		W_DOUT_12_,
		W_DOUT_11_,
		W_DOUT_10_,
		W_DOUT_9_,
		W_DOUT_8_,
		W_DOUT_7_,
		W_DOUT_6_,
		W_DOUT_5_,
		W_DOUT_4_,
		W_DOUT_3_,
		W_DOUT_2_,
		W_DOUT_1_,
		W_DOUT_0_ }), 
	.WE_N(W_WE_N));
   LDL_INV_1 U68 (.X(n37), 
	.A(W_SEL_ID));
   LDL_INV_1 U69 (.X(n36), 
	.A(n39));
   LDL_BUF_1 U70 (.X(n39), 
	.A(W_SEL_ID));
   LDL_BUF_1 U71 (.X(n41), 
	.A(W_SEL_ID));
   LDL_BUF_1 U72 (.X(n40), 
	.A(W_SEL_ID));
   LDL_INV_1 U73 (.X(n38), 
	.A(W_SEL_ID));
   LDL_NR2_1 U74 (.X(W_DDATAIN_0_), 
	.A2(n35), 
	.A1(n40));
   LDL_NR2_1 U75 (.X(W_DDATAIN_1_), 
	.A2(n28), 
	.A1(n41));
   LDL_NR2_1 U76 (.X(W_DDATAIN_2_), 
	.A2(n27), 
	.A1(n40));
   LDL_NR2_1 U77 (.X(W_DDATAIN_3_), 
	.A2(n26), 
	.A1(n39));
   LDL_NR2_1 U78 (.X(W_DDATAIN_4_), 
	.A2(n25), 
	.A1(n39));
   LDL_NR2_1 U79 (.X(W_DDATAIN_5_), 
	.A2(n24), 
	.A1(n40));
   LDL_NR2_1 U80 (.X(W_DDATAIN_6_), 
	.A2(n23), 
	.A1(n41));
   LDL_NR2_1 U81 (.X(W_DDATAIN_7_), 
	.A2(n22), 
	.A1(n40));
   LDL_NR2_1 U82 (.X(W_DDATAIN_14_), 
	.A2(n30), 
	.A1(n41));
   LDL_NR2_1 U83 (.X(W_DDATAIN_15_), 
	.A2(n29), 
	.A1(n40));
   LDL_NR2_1 U84 (.X(W_DDATAIN_11_), 
	.A2(n33), 
	.A1(n39));
   LDL_NR2_1 U85 (.X(W_DDATAIN_8_), 
	.A2(n21), 
	.A1(W_SEL_ID));
   LDL_NR2_1 U86 (.X(W_DDATAIN_9_), 
	.A2(n19), 
	.A1(n39));
   LDL_NR2_1 U87 (.X(W_DDATAIN_13_), 
	.A2(n31), 
	.A1(n41));
   LDL_NR2_1 U88 (.X(W_DDATAIN_10_), 
	.A2(n34), 
	.A1(n39));
   LDL_NR2_1 U89 (.X(W_DDATAIN_12_), 
	.A2(n32), 
	.A1(n40));
   LDL_NR2_1 U90 (.X(W_IDATAIN_1_), 
	.A2(n28), 
	.A1(n36));
   LDL_NR2_1 U91 (.X(W_IDATAIN_2_), 
	.A2(n27), 
	.A1(n36));
   LDL_NR2_1 U92 (.X(W_IDATAIN_3_), 
	.A2(n26), 
	.A1(n36));
   LDL_NR2_1 U93 (.X(W_IDATAIN_4_), 
	.A2(n25), 
	.A1(n36));
   LDL_NR2_1 U94 (.X(W_IDATAIN_5_), 
	.A2(n24), 
	.A1(n36));
   LDL_NR2_1 U95 (.X(W_IDATAIN_6_), 
	.A2(n23), 
	.A1(n36));
   LDL_NR2_1 U96 (.X(W_IDATAIN_7_), 
	.A2(n22), 
	.A1(n36));
   LDL_NR2_1 U97 (.X(W_IDATAIN_8_), 
	.A2(n21), 
	.A1(n36));
   LDL_NR2_1 U98 (.X(W_IDATAIN_12_), 
	.A2(n32), 
	.A1(n36));
   LDL_NR2_1 U99 (.X(W_IDATAIN_13_), 
	.A2(n31), 
	.A1(n36));
   LDL_NR2_1 U100 (.X(W_IDATAIN_14_), 
	.A2(n30), 
	.A1(n36));
   LDL_NR2_1 U101 (.X(W_IDATAIN_15_), 
	.A2(n29), 
	.A1(n36));
   LDL_NR2_1 U102 (.X(W_IDATAIN_0_), 
	.A2(n35), 
	.A1(n37));
   LDL_NR2_1 U103 (.X(W_IDATAIN_10_), 
	.A2(n34), 
	.A1(n37));
   LDL_NR2_1 U104 (.X(W_IDATAIN_11_), 
	.A2(n33), 
	.A1(n37));
   LDL_NR2_1 U105 (.X(W_IDATAIN_9_), 
	.A2(n37), 
	.A1(n19));
   LDL_AO22_1 U106 (.X(W_ADDR_1_), 
	.B2(n38), 
	.B1(W_DADDR_1_), 
	.A2(n39), 
	.A1(W_IADDR_1_));
   LDL_AO22_1 U107 (.X(W_ADDR_2_), 
	.B2(n38), 
	.B1(W_DADDR_2_), 
	.A2(n40), 
	.A1(W_IADDR_2_));
   LDL_AO22_1 U108 (.X(W_ADDR_3_), 
	.B2(n38), 
	.B1(W_DADDR_3_), 
	.A2(n41), 
	.A1(W_IADDR_3_));
   LDL_AO22_1 U109 (.X(W_ADDR_4_), 
	.B2(n37), 
	.B1(W_DADDR_4_), 
	.A2(n39), 
	.A1(W_IADDR_4_));
   LDL_AO22_1 U110 (.X(W_ADDR_5_), 
	.B2(n37), 
	.B1(W_DADDR_5_), 
	.A2(W_SEL_ID), 
	.A1(W_IADDR_5_));
   LDL_AO22_1 U111 (.X(W_ADDR_6_), 
	.B2(n37), 
	.B1(W_DADDR_6_), 
	.A2(W_SEL_ID), 
	.A1(W_IADDR_6_));
   LDL_AO22_1 U112 (.X(W_ADDR_7_), 
	.B2(n37), 
	.B1(W_DADDR_7_), 
	.A2(n41), 
	.A1(W_IADDR_7_));
   LDL_AO22_1 U113 (.X(W_ADDR_0_), 
	.B2(n37), 
	.B1(W_DADDR_0_), 
	.A2(n41), 
	.A1(W_IADDR_0_));
   LDL_AO22_1 U114 (.X(W_ADDR_8_), 
	.B2(n37), 
	.B1(W_DADDR_8_), 
	.A2(W_SEL_ID), 
	.A1(W_IADDR_8_));
   LDL_AO22_1 U115 (.X(W_ADDR_9_), 
	.B2(n37), 
	.B1(W_DADDR_9_), 
	.A2(W_SEL_ID), 
	.A1(W_IADDR_9_));
   LDL_AO22_1 U116 (.X(W_ADDR_10_), 
	.B2(n37), 
	.B1(W_DADDR_10_), 
	.A2(W_SEL_ID), 
	.A1(W_IADDR_10_));
   LDL_AO22_1 U117 (.X(W_ADDR_11_), 
	.B2(n38), 
	.B1(W_DADDR_11_), 
	.A2(n41), 
	.A1(W_IADDR_11_));
   LDL_AO22_1 U118 (.X(W_ADDR_12_), 
	.B2(n38), 
	.B1(W_DADDR_12_), 
	.A2(n40), 
	.A1(W_IADDR_12_));
   LDL_AO22_1 U119 (.X(W_ADDR_13_), 
	.B2(n38), 
	.B1(W_DADDR_13_), 
	.A2(n41), 
	.A1(W_IADDR_13_));
   LDL_AO22_1 U120 (.X(W_ADDR_14_), 
	.B2(n38), 
	.B1(W_DADDR_14_), 
	.A2(n39), 
	.A1(W_IADDR_14_));
   LDL_AO22_1 U121 (.X(W_ADDR_15_), 
	.B2(n38), 
	.B1(W_DADDR_15_), 
	.A2(n40), 
	.A1(W_IADDR_15_));
   LDL_INV_1 U122 (.X(n19), 
	.A(W_DATAIN_9_));
   LDL_INV_1 U123 (.X(n35), 
	.A(W_DATAIN_0_));
   LDL_INV_1 U124 (.X(n28), 
	.A(W_DATAIN_1_));
   LDL_INV_1 U125 (.X(n27), 
	.A(W_DATAIN_2_));
   LDL_INV_1 U126 (.X(n26), 
	.A(W_DATAIN_3_));
   LDL_INV_1 U127 (.X(n25), 
	.A(W_DATAIN_4_));
   LDL_INV_1 U128 (.X(n24), 
	.A(W_DATAIN_5_));
   LDL_INV_1 U129 (.X(n23), 
	.A(W_DATAIN_6_));
   LDL_INV_1 U130 (.X(n22), 
	.A(W_DATAIN_7_));
   LDL_INV_1 U131 (.X(n21), 
	.A(W_DATAIN_8_));
   LDL_INV_1 U132 (.X(n34), 
	.A(W_DATAIN_10_));
   LDL_INV_1 U133 (.X(n33), 
	.A(W_DATAIN_11_));
   LDL_INV_1 U134 (.X(n32), 
	.A(W_DATAIN_12_));
   LDL_INV_1 U135 (.X(n31), 
	.A(W_DATAIN_13_));
   LDL_INV_1 U136 (.X(n30), 
	.A(W_DATAIN_14_));
   LDL_INV_1 U137 (.X(n29), 
	.A(W_DATAIN_15_));
   LDH_CLHL U138 (.L(n48), 
	.H(n56));
   LDH_CLHL U139 (.L(n49));
   LDH_CLHL U140 (.L(n50));
   LDH_CLHL U141 (.L(n51));
   LDH_CLHL U142 (.L(n52));
   LDH_CLHL U143 (.L(n53));
   LDH_CLHL U144 (.L(n54));
   LDH_CLHL U145 (.L(n55), 
	.H(n57));
   LDH_CLHL U146 (.L(n_Logic0_), 
	.H(n_Logic1_));
endmodule

